
var categories = function () {
    var res = {
        "grinning": {
            "unicode": "1f600",
            "unicode_alternates": "",
            "name": "grinning face",
            "shortname": ":grinning:",
            "category": "people",
            "emoji_order": "1",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "happy",
                "joy",
                "smile",
                "grin",
                "smiling",
                "smiley",
                "person"
            ]
        },
        "grimacing": {
            "unicode": "1f62c",
            "unicode_alternates": "",
            "name": "grimacing face",
            "shortname": ":grimacing:",
            "category": "people",
            "emoji_order": "2",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "teeth",
                "grimace",
                "disapprove",
                "pain",
                "person"
            ]
        },
        "grin": {
            "unicode": "1f601",
            "unicode_alternates": "",
            "name": "grinning face with smiling eyes",
            "shortname": ":grin:",
            "category": "people",
            "emoji_order": "3",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "happy",
                "joy",
                "smile",
                "grin",
                "smiley",
                "eye",
                "person"
            ]
        },
        "joy": {
            "unicode": "1f602",
            "unicode_alternates": "",
            "name": "face with tears of joy",
            "shortname": ":joy:",
            "category": "people",
            "emoji_order": "4",
            "aliases": [],
            "aliases_ascii": [
                ":')",
                ":'-)"
            ],
            "keywords": [
                "cry",
                "haha",
                "happy",
                "weep",
                "person",
                "tear"
            ]
        },
        "smiley": {
            "unicode": "1f603",
            "unicode_alternates": "",
            "name": "smiling face with open mouth",
            "shortname": ":smiley:",
            "category": "people",
            "emoji_order": "5",
            "aliases": [],
            "aliases_ascii": [
                ":D",
                ":-D",
                "=D"
            ],
            "keywords": [
                "haha",
                "happy",
                "joy",
                "smile",
                "smiley",
                "person"
            ]
        },
        "smile": {
            "unicode": "1f604",
            "unicode_alternates": "",
            "name": "smiling face with open mouth and smiling eyes",
            "shortname": ":smile:",
            "category": "people",
            "emoji_order": "6",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "funny",
                "haha",
                "happy",
                "joy",
                "laugh",
                "smile",
                "smiley",
                "eye",
                "person"
            ]
        },
        "sweat_smile": {
            "unicode": "1f605",
            "unicode_alternates": "",
            "name": "smiling face with open mouth and cold sweat",
            "shortname": ":sweat_smile:",
            "category": "people",
            "emoji_order": "7",
            "aliases": [],
            "aliases_ascii": [
                "':)",
                "':-)",
                "'=)",
                "':D",
                "':-D",
                "'=D"
            ],
            "keywords": [
                "happy",
                "hot",
                "perspiration",
                "smile",
                "person"
            ]
        },
        "laughing": {
            "unicode": "1f606",
            "unicode_alternates": "",
            "name": "smiling face with open mouth and tightly-closed eyes",
            "shortname": ":laughing:",
            "category": "people",
            "emoji_order": "8",
            "aliases": [
                ":satisfied:"
            ],
            "aliases_ascii": [
                ">:)",
                ">;)",
                ">:-)",
                ">=)"
            ],
            "keywords": [
                "happy",
                "joy",
                "lol",
                "laughing",
                "laugh",
                "person",
                "satisfied",
                "smile"
            ]
        },
        "innocent": {
            "unicode": "1f607",
            "unicode_alternates": "",
            "name": "smiling face with halo",
            "shortname": ":innocent:",
            "category": "people",
            "emoji_order": "9",
            "aliases": [],
            "aliases_ascii": [
                "O:-)",
                "0:-3",
                "0:3",
                "0:-)",
                "0:)",
                "0;^)",
                "O:)",
                "O;-)",
                "O=)",
                "0;-)",
                "O:-3",
                "O:3"
            ],
            "keywords": [
                "angel",
                "innocent",
                "ring",
                "circle",
                "heaven",
                "fairy tale",
                "fantasy",
                "person",
                "smile"
            ]
        },
        "wink": {
            "unicode": "1f609",
            "unicode_alternates": "",
            "name": "winking face",
            "shortname": ":wink:",
            "category": "people",
            "emoji_order": "10",
            "aliases": [],
            "aliases_ascii": [
                ";)",
                ";-)",
                "*-)",
                "*)",
                ";-]",
                ";]",
                ";D",
                ";^)"
            ],
            "keywords": [
                "happy",
                "mischievous",
                "secret",
                "wink",
                "friendly",
                "joke",
                "person"
            ]
        },
        "blush": {
            "unicode": "1f60a",
            "unicode_alternates": "",
            "name": "smiling face with smiling eyes",
            "shortname": ":blush:",
            "category": "people",
            "emoji_order": "11",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "crush",
                "embarrassed",
                "flushed",
                "happy",
                "shy",
                "smile",
                "smiley",
                "blush",
                "eye",
                "person"
            ]
        },
        "slight_smile": {
            "unicode": "1f642",
            "unicode_alternates": "",
            "name": "slightly smiling face",
            "shortname": ":slight_smile:",
            "category": "people",
            "emoji_order": "12",
            "aliases": [
                ":slightly_smiling_face:"
            ],
            "aliases_ascii": [
                ":)",
                ":-)",
                "=]",
                "=)",
                ":]"
            ],
            "keywords": [
                "slight",
                "smile",
                "happy",
                "person"
            ]
        },
        "upside_down": {
            "unicode": "1f643",
            "unicode_alternates": "",
            "name": "upside-down face",
            "shortname": ":upside_down:",
            "category": "people",
            "emoji_order": "13",
            "aliases": [
                ":upside_down_face:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "relaxed": {
            "unicode": "263a",
            "unicode_alternates": "263a-fe0f",
            "name": "white smiling face",
            "shortname": ":relaxed:",
            "category": "people",
            "emoji_order": "14",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blush",
                "happiness",
                "massage",
                "smile",
                "relaxed",
                "outlined",
                "person"
            ]
        },
        "yum": {
            "unicode": "1f60b",
            "unicode_alternates": "",
            "name": "face savouring delicious food",
            "shortname": ":yum:",
            "category": "people",
            "emoji_order": "15",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "happy",
                "joy",
                "smile",
                "tongue",
                "eat",
                "yummy",
                "yum",
                "tasty",
                "savory",
                "person",
                "um"
            ]
        },
        "relieved": {
            "unicode": "1f60c",
            "unicode_alternates": "",
            "name": "relieved face",
            "shortname": ":relieved:",
            "category": "people",
            "emoji_order": "16",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "happiness",
                "massage",
                "relaxed",
                "satisfied",
                "phew",
                "relief",
                "person"
            ]
        },
        "heart_eyes": {
            "unicode": "1f60d",
            "unicode_alternates": "",
            "name": "smiling face with heart-shaped eyes",
            "shortname": ":heart_eyes:",
            "category": "people",
            "emoji_order": "17",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "crush",
                "infatuation",
                "like",
                "valentines",
                "heart",
                "lovestruck",
                "love",
                "flirt",
                "smile",
                "eye",
                "person"
            ]
        },
        "kissing_heart": {
            "unicode": "1f618",
            "unicode_alternates": "",
            "name": "face throwing a kiss",
            "shortname": ":kissing_heart:",
            "category": "people",
            "emoji_order": "18",
            "aliases": [],
            "aliases_ascii": [
                ":*",
                ":-*",
                "=*",
                ":^*"
            ],
            "keywords": [
                "affection",
                "infatuation",
                "blowing kiss",
                "heart",
                "lips",
                "like",
                "love",
                "valentines",
                "person"
            ]
        },
        "kissing": {
            "unicode": "1f617",
            "unicode_alternates": "",
            "name": "kissing face",
            "shortname": ":kissing:",
            "category": "people",
            "emoji_order": "19",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "3",
                "infatuation",
                "like",
                "love",
                "valentines",
                "kiss",
                "pucker",
                "lips",
                "smooch",
                "person"
            ]
        },
        "kissing_smiling_eyes": {
            "unicode": "1f619",
            "unicode_alternates": "",
            "name": "kissing face with smiling eyes",
            "shortname": ":kissing_smiling_eyes:",
            "category": "people",
            "emoji_order": "20",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "infatuation",
                "valentines",
                "kiss",
                "smile",
                "pucker",
                "lips",
                "smooch",
                "eye",
                "person"
            ]
        },
        "kissing_closed_eyes": {
            "unicode": "1f61a",
            "unicode_alternates": "",
            "name": "kissing face with closed eyes",
            "shortname": ":kissing_closed_eyes:",
            "category": "people",
            "emoji_order": "21",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "infatuation",
                "like",
                "love",
                "valentines",
                "kiss",
                "passion",
                "puckered",
                "heart",
                "smooch",
                "eye",
                "person"
            ]
        },
        "stuck_out_tongue_winking_eye": {
            "unicode": "1f61c",
            "unicode_alternates": "",
            "name": "face with stuck-out tongue and winking eye",
            "shortname": ":stuck_out_tongue_winking_eye:",
            "category": "people",
            "emoji_order": "22",
            "aliases": [],
            "aliases_ascii": [
                ">:P",
                "X-P",
                "x-p"
            ],
            "keywords": [
                "childish",
                "mischievous",
                "playful",
                "prank",
                "wink",
                "kidding",
                "silly",
                "playful",
                "crazy",
                "joke",
                "person"
            ]
        },
        "stuck_out_tongue_closed_eyes": {
            "unicode": "1f61d",
            "unicode_alternates": "",
            "name": "face with stuck-out tongue and tightly-closed eyes",
            "shortname": ":stuck_out_tongue_closed_eyes:",
            "category": "people",
            "emoji_order": "23",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mischievous",
                "playful",
                "prank",
                "kidding",
                "silly",
                "playful",
                "ecstatic",
                "eye",
                "horrible",
                "person",
                "taste"
            ]
        },
        "stuck_out_tongue": {
            "unicode": "1f61b",
            "unicode_alternates": "",
            "name": "face with stuck-out tongue",
            "shortname": ":stuck_out_tongue:",
            "category": "people",
            "emoji_order": "24",
            "aliases": [],
            "aliases_ascii": [
                ":P",
                ":-P",
                "=P",
                ":-p",
                ":p",
                "=p",
                ":-\u00de",
                ":\u00de",
                ":\u00fe",
                ":-\u00fe",
                ":-b",
                ":b",
                "d:"
            ],
            "keywords": [
                "childish",
                "mischievous",
                "playful",
                "prank",
                "silly",
                "playful",
                "cheeky",
                "person"
            ]
        },
        "money_mouth": {
            "unicode": "1f911",
            "unicode_alternates": "",
            "name": "money-mouth face",
            "shortname": ":money_mouth:",
            "category": "people",
            "emoji_order": "25",
            "aliases": [
                ":money_mouth_face:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "nerd": {
            "unicode": "1f913",
            "unicode_alternates": "",
            "name": "nerd face",
            "shortname": ":nerd:",
            "category": "people",
            "emoji_order": "26",
            "aliases": [
                ":nerd_face:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "sunglasses": {
            "unicode": "1f60e",
            "unicode_alternates": "",
            "name": "smiling face with sunglasses",
            "shortname": ":sunglasses:",
            "category": "people",
            "emoji_order": "27",
            "aliases": [],
            "aliases_ascii": [
                "B-)",
                "B)",
                "8)",
                "8-)",
                "B-D",
                "8-D"
            ],
            "keywords": [
                "cool",
                "sun",
                "glasses",
                "sunny",
                "smooth",
                "bright",
                "eye",
                "eyewear",
                "person",
                "smile",
                "weather"
            ]
        },
        "hugging": {
            "unicode": "1f917",
            "unicode_alternates": "",
            "name": "hugging face",
            "shortname": ":hugging:",
            "category": "people",
            "emoji_order": "28",
            "aliases": [
                ":hugging_face:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "smirk": {
            "unicode": "1f60f",
            "unicode_alternates": "",
            "name": "smirking face",
            "shortname": ":smirk:",
            "category": "people",
            "emoji_order": "29",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mean",
                "prank",
                "smile",
                "smug",
                "smirk",
                "half-smile",
                "conceited",
                "person"
            ]
        },
        "no_mouth": {
            "unicode": "1f636",
            "unicode_alternates": "",
            "name": "face without mouth",
            "shortname": ":no_mouth:",
            "category": "people",
            "emoji_order": "30",
            "aliases": [],
            "aliases_ascii": [
                ":-X",
                ":X",
                ":-#",
                ":#",
                "=X",
                "=x",
                ":x",
                ":-x",
                "=#"
            ],
            "keywords": [
                "hellokitty",
                "silent",
                "vapid",
                "person",
                "quiet"
            ]
        },
        "neutral_face": {
            "unicode": "1f610",
            "unicode_alternates": "",
            "name": "neutral face",
            "shortname": ":neutral_face:",
            "category": "people",
            "emoji_order": "31",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "indifference",
                "objective",
                "impartial",
                "blank",
                "deadpan",
                "person"
            ]
        },
        "expressionless": {
            "unicode": "1f611",
            "unicode_alternates": "",
            "name": "expressionless face",
            "shortname": ":expressionless:",
            "category": "people",
            "emoji_order": "32",
            "aliases": [],
            "aliases_ascii": [
                "-_-",
                "-__-",
                "-___-"
            ],
            "keywords": [
                "blank",
                "void",
                "vapid",
                "without expression",
                "indifferent",
                "inexpressive",
                "person",
                "unexpressive"
            ]
        },
        "unamused": {
            "unicode": "1f612",
            "unicode_alternates": "",
            "name": "unamused face",
            "shortname": ":unamused:",
            "category": "people",
            "emoji_order": "33",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bored",
                "indifference",
                "serious",
                "straight face",
                "not amused",
                "depressed",
                "unhappy",
                "disapprove",
                "lame",
                "person"
            ]
        },
        "rolling_eyes": {
            "unicode": "1f644",
            "unicode_alternates": "",
            "name": "face with rolling eyes",
            "shortname": ":rolling_eyes:",
            "category": "people",
            "emoji_order": "34",
            "aliases": [
                ":face_with_rolling_eyes:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "thinking": {
            "unicode": "1f914",
            "unicode_alternates": "",
            "name": "thinking face",
            "shortname": ":thinking:",
            "category": "people",
            "emoji_order": "35",
            "aliases": [
                ":thinking_face:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flushed": {
            "unicode": "1f633",
            "unicode_alternates": "",
            "name": "flushed face",
            "shortname": ":flushed:",
            "category": "people",
            "emoji_order": "36",
            "aliases": [],
            "aliases_ascii": [
                ":$",
                "=$"
            ],
            "keywords": [
                "blush",
                "flattered",
                "flush",
                "blush",
                "red",
                "pink",
                "cheeks",
                "shy",
                "dazed",
                "person"
            ]
        },
        "disappointed": {
            "unicode": "1f61e",
            "unicode_alternates": "",
            "name": "disappointed face",
            "shortname": ":disappointed:",
            "category": "people",
            "emoji_order": "37",
            "aliases": [],
            "aliases_ascii": [
                ">:[",
                ":-(",
                ":(",
                ":-[",
                ":[",
                "=("
            ],
            "keywords": [
                "disappoint",
                "frown",
                "depressed",
                "discouraged",
                "sad",
                "upset",
                "person"
            ]
        },
        "worried": {
            "unicode": "1f61f",
            "unicode_alternates": "",
            "name": "worried face",
            "shortname": ":worried:",
            "category": "people",
            "emoji_order": "38",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "concern",
                "anxious",
                "distressed",
                "nervous",
                "tense",
                "person"
            ]
        },
        "angry": {
            "unicode": "1f620",
            "unicode_alternates": "",
            "name": "angry face",
            "shortname": ":angry:",
            "category": "people",
            "emoji_order": "39",
            "aliases": [],
            "aliases_ascii": [
                ">:(",
                ">:-(",
                ":@"
            ],
            "keywords": [
                "livid",
                "mad",
                "vexed",
                "irritated",
                "annoyed",
                "frustrated",
                "person"
            ]
        },
        "rage": {
            "unicode": "1f621",
            "unicode_alternates": "",
            "name": "pouting face",
            "shortname": ":rage:",
            "category": "people",
            "emoji_order": "40",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "angry",
                "despise",
                "hate",
                "mad",
                "pout",
                "anger",
                "rage",
                "irate",
                "person",
                "red"
            ]
        },
        "pensive": {
            "unicode": "1f614",
            "unicode_alternates": "",
            "name": "pensive face",
            "shortname": ":pensive:",
            "category": "people",
            "emoji_order": "41",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "okay",
                "sad",
                "thoughtful",
                "think",
                "reflective",
                "wistful",
                "meditate",
                "serious",
                "dejected",
                "person"
            ]
        },
        "confused": {
            "unicode": "1f615",
            "unicode_alternates": "",
            "name": "confused face",
            "shortname": ":confused:",
            "category": "people",
            "emoji_order": "42",
            "aliases": [],
            "aliases_ascii": [
                ">:\\",
                ">:\/",
                ":-\/",
                ":-.",
                ":\/",
                ":\\",
                "=\/",
                "=\\",
                ":L",
                "=L"
            ],
            "keywords": [
                "daze",
                "perplex",
                "puzzle",
                "indifference",
                "skeptical",
                "undecided",
                "uneasy",
                "hesitant",
                "person"
            ]
        },
        "slight_frown": {
            "unicode": "1f641",
            "unicode_alternates": "",
            "name": "slightly frowning face",
            "shortname": ":slight_frown:",
            "category": "people",
            "emoji_order": "43",
            "aliases": [
                ":slightly_frowning_face:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "slight",
                "frown",
                "unhappy",
                "disappointed",
                "person"
            ]
        },
        "frowning2": {
            "unicode": "2639",
            "unicode_alternates": "2639-fe0f",
            "name": "white frowning face",
            "shortname": ":frowning2:",
            "category": "people",
            "emoji_order": "44",
            "aliases": [
                ":white_frowning_face:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "frown",
                "person"
            ]
        },
        "persevere": {
            "unicode": "1f623",
            "unicode_alternates": "",
            "name": "persevering face",
            "shortname": ":persevere:",
            "category": "people",
            "emoji_order": "45",
            "aliases": [],
            "aliases_ascii": [
                ">.<"
            ],
            "keywords": [
                "endure",
                "persevere",
                "no",
                "sick",
                "upset",
                "person"
            ]
        },
        "confounded": {
            "unicode": "1f616",
            "unicode_alternates": "",
            "name": "confounded face",
            "shortname": ":confounded:",
            "category": "people",
            "emoji_order": "46",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "confused",
                "sick",
                "unwell",
                "amaze",
                "perplex",
                "puzzle",
                "mystify",
                "person"
            ]
        },
        "tired_face": {
            "unicode": "1f62b",
            "unicode_alternates": "",
            "name": "tired face",
            "shortname": ":tired_face:",
            "category": "people",
            "emoji_order": "47",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "frustrated",
                "sick",
                "upset",
                "whine",
                "exhausted",
                "sleepy",
                "person"
            ]
        },
        "weary": {
            "unicode": "1f629",
            "unicode_alternates": "",
            "name": "weary face",
            "shortname": ":weary:",
            "category": "people",
            "emoji_order": "48",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "frustrated",
                "sad",
                "sleepy",
                "tired",
                "tiredness",
                "study",
                "finals",
                "school",
                "exhausted",
                "person"
            ]
        },
        "triumph": {
            "unicode": "1f624",
            "unicode_alternates": "",
            "name": "face with look of triumph",
            "shortname": ":triumph:",
            "category": "people",
            "emoji_order": "49",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gas",
                "phew",
                "steam",
                "breath",
                "person",
                "won"
            ]
        },
        "open_mouth": {
            "unicode": "1f62e",
            "unicode_alternates": "",
            "name": "face with open mouth",
            "shortname": ":open_mouth:",
            "category": "people",
            "emoji_order": "50",
            "aliases": [],
            "aliases_ascii": [
                ":-O",
                ":O",
                ":-o",
                ":o",
                "O_O",
                ">:O"
            ],
            "keywords": [
                "impressed",
                "jaw",
                "gapping",
                "surprise",
                "wow",
                "person",
                "sympathy"
            ]
        },
        "scream": {
            "unicode": "1f631",
            "unicode_alternates": "",
            "name": "face screaming in fear",
            "shortname": ":scream:",
            "category": "people",
            "emoji_order": "51",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "munch",
                "scream",
                "painting",
                "artist",
                "alien",
                "fearful",
                "person",
                "scared"
            ]
        },
        "fearful": {
            "unicode": "1f628",
            "unicode_alternates": "",
            "name": "fearful face",
            "shortname": ":fearful:",
            "category": "people",
            "emoji_order": "52",
            "aliases": [],
            "aliases_ascii": [
                "D:"
            ],
            "keywords": [
                "nervous",
                "oops",
                "scared",
                "terrified",
                "fear",
                "frightened",
                "horrified",
                "person"
            ]
        },
        "cold_sweat": {
            "unicode": "1f630",
            "unicode_alternates": "",
            "name": "face with open mouth and cold sweat",
            "shortname": ":cold_sweat:",
            "category": "people",
            "emoji_order": "53",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nervous",
                "exasperated",
                "frustrated",
                "blue",
                "person",
                "rushed"
            ]
        },
        "hushed": {
            "unicode": "1f62f",
            "unicode_alternates": "",
            "name": "hushed face",
            "shortname": ":hushed:",
            "category": "people",
            "emoji_order": "54",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "woo",
                "quiet",
                "hush",
                "whisper",
                "silent",
                "person",
                "stunned",
                "surprised"
            ]
        },
        "frowning": {
            "unicode": "1f626",
            "unicode_alternates": "",
            "name": "frowning face with open mouth",
            "shortname": ":frowning:",
            "category": "people",
            "emoji_order": "55",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "aw",
                "frown",
                "sad",
                "pout",
                "sulk",
                "glower",
                "person"
            ]
        },
        "anguished": {
            "unicode": "1f627",
            "unicode_alternates": "",
            "name": "anguished face",
            "shortname": ":anguished:",
            "category": "people",
            "emoji_order": "56",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nervous",
                "stunned",
                "pain",
                "anguish",
                "ouch",
                "misery",
                "distress",
                "grief",
                "person"
            ]
        },
        "cry": {
            "unicode": "1f622",
            "unicode_alternates": "",
            "name": "crying face",
            "shortname": ":cry:",
            "category": "people",
            "emoji_order": "57",
            "aliases": [],
            "aliases_ascii": [
                ":'(",
                ":'-(",
                ";(",
                ";-("
            ],
            "keywords": [
                "sad",
                "cry",
                "tear",
                "weep",
                "person"
            ]
        },
        "disappointed_relieved": {
            "unicode": "1f625",
            "unicode_alternates": "",
            "name": "disappointed but relieved face",
            "shortname": ":disappointed_relieved:",
            "category": "people",
            "emoji_order": "58",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nervous",
                "phew",
                "sweat",
                "relief",
                "person",
                "whew"
            ]
        },
        "sleepy": {
            "unicode": "1f62a",
            "unicode_alternates": "",
            "name": "sleepy face",
            "shortname": ":sleepy:",
            "category": "people",
            "emoji_order": "59",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "rest",
                "tired",
                "exhausted",
                "person",
                "sleep"
            ]
        },
        "sweat": {
            "unicode": "1f613",
            "unicode_alternates": "",
            "name": "face with cold sweat",
            "shortname": ":sweat:",
            "category": "people",
            "emoji_order": "60",
            "aliases": [],
            "aliases_ascii": [
                "':(",
                "':-(",
                "'=("
            ],
            "keywords": [
                "sick",
                "anxious",
                "worried",
                "clammy",
                "diaphoresis",
                "hot",
                "person"
            ]
        },
        "sob": {
            "unicode": "1f62d",
            "unicode_alternates": "",
            "name": "loudly crying face",
            "shortname": ":sob:",
            "category": "people",
            "emoji_order": "61",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cry",
                "sad",
                "tears",
                "upset",
                "sob",
                "melancholy",
                "morn",
                "somber",
                "hurt",
                "person",
                "tear"
            ]
        },
        "dizzy_face": {
            "unicode": "1f635",
            "unicode_alternates": "",
            "name": "dizzy face",
            "shortname": ":dizzy_face:",
            "category": "people",
            "emoji_order": "62",
            "aliases": [],
            "aliases_ascii": [
                "#-)",
                "#)",
                "%-)",
                "%)",
                "X)",
                "X-)"
            ],
            "keywords": [
                "drunk",
                "inebriated",
                "spent",
                "unconscious",
                "xox",
                "buzzed",
                "person"
            ]
        },
        "astonished": {
            "unicode": "1f632",
            "unicode_alternates": "",
            "name": "astonished face",
            "shortname": ":astonished:",
            "category": "people",
            "emoji_order": "63",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "xox",
                "shocked",
                "surprise",
                "person",
                "totally"
            ]
        },
        "zipper_mouth": {
            "unicode": "1f910",
            "unicode_alternates": "",
            "name": "zipper-mouth face",
            "shortname": ":zipper_mouth:",
            "category": "people",
            "emoji_order": "64",
            "aliases": [
                ":zipper_mouth_face:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "mask": {
            "unicode": "1f637",
            "unicode_alternates": "",
            "name": "face with medical mask",
            "shortname": ":mask:",
            "category": "people",
            "emoji_order": "65",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ill",
                "sick",
                "virus",
                "flu",
                "cold",
                "doctor",
                "medicine",
                "person"
            ]
        },
        "thermometer_face": {
            "unicode": "1f912",
            "unicode_alternates": "",
            "name": "face with thermometer",
            "shortname": ":thermometer_face:",
            "category": "people",
            "emoji_order": "66",
            "aliases": [
                ":face_with_thermometer:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "head_bandage": {
            "unicode": "1f915",
            "unicode_alternates": "",
            "name": "face with head-bandage",
            "shortname": ":head_bandage:",
            "category": "people",
            "emoji_order": "67",
            "aliases": [
                ":face_with_head_bandage:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "sleeping": {
            "unicode": "1f634",
            "unicode_alternates": "",
            "name": "sleeping face",
            "shortname": ":sleeping:",
            "category": "people",
            "emoji_order": "68",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sleepy",
                "tired",
                "sleep",
                "sleepy",
                "snore",
                "person",
                "zzz"
            ]
        },
        "zzz": {
            "unicode": "1f4a4",
            "unicode_alternates": "",
            "name": "sleeping symbol",
            "shortname": ":zzz:",
            "category": "people",
            "emoji_order": "69",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sleepy",
                "tired",
                "snooze",
                "comic",
                "emotion",
                "person",
                "sleep",
                "word",
                "zzz"
            ]
        },
        "poop": {
            "unicode": "1f4a9",
            "unicode_alternates": "",
            "name": "pile of poo",
            "shortname": ":poop:",
            "category": "people",
            "emoji_order": "70",
            "aliases": [
                ":shit:",
                ":hankey:",
                ":poo:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "poop",
                "shit",
                "shitface",
                "turd",
                "comic",
                "dung",
                "face",
                "monster",
                "nature",
                "object"
            ]
        },
        "smiling_imp": {
            "unicode": "1f608",
            "unicode_alternates": "",
            "name": "smiling face with horns",
            "shortname": ":smiling_imp:",
            "category": "people",
            "emoji_order": "71",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "devil",
                "impish",
                "trouble",
                "imp",
                "fairy tale",
                "fantasy",
                "person",
                "smile"
            ]
        },
        "imp": {
            "unicode": "1f47f",
            "unicode_alternates": "",
            "name": "imp",
            "shortname": ":imp:",
            "category": "people",
            "emoji_order": "72",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "angry",
                "devil",
                "evil",
                "horns",
                "cute",
                "face",
                "fairy tale",
                "fantasy",
                "person"
            ]
        },
        "japanese_ogre": {
            "unicode": "1f479",
            "unicode_alternates": "",
            "name": "japanese ogre",
            "shortname": ":japanese_ogre:",
            "category": "people",
            "emoji_order": "73",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "monster",
                "oni",
                "demon",
                "troll",
                "folklore",
                "monster",
                "devil",
                "mask",
                "theater",
                "horns",
                "teeth",
                "creature",
                "face",
                "fairy tale",
                "fantasy",
                "person"
            ]
        },
        "japanese_goblin": {
            "unicode": "1f47a",
            "unicode_alternates": "",
            "name": "japanese goblin",
            "shortname": ":japanese_goblin:",
            "category": "people",
            "emoji_order": "74",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "evil",
                "mask",
                "red",
                "tengu",
                "supernatural",
                "avian",
                "demon",
                "mask",
                "theater",
                "nose",
                "frown",
                "mustache",
                "anger",
                "frustration",
                "creature",
                "face",
                "fairy tale",
                "fantasy",
                "monster",
                "person"
            ]
        },
        "skull": {
            "unicode": "1f480",
            "unicode_alternates": "",
            "name": "skull",
            "shortname": ":skull:",
            "category": "people",
            "emoji_order": "75",
            "aliases": [
                ":skeleton:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "dead",
                "skeleton",
                "dying",
                "death",
                "body",
                "face",
                "fairy tale",
                "monster",
                "person"
            ]
        },
        "ghost": {
            "unicode": "1f47b",
            "unicode_alternates": "",
            "name": "ghost",
            "shortname": ":ghost:",
            "category": "people",
            "emoji_order": "76",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "halloween",
                "creature",
                "face",
                "fairy tale",
                "fantasy",
                "monster",
                "person"
            ]
        },
        "alien": {
            "unicode": "1f47d",
            "unicode_alternates": "",
            "name": "extraterrestrial alien",
            "shortname": ":alien:",
            "category": "people",
            "emoji_order": "77",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "UFO",
                "paul",
                "ufo",
                "creature",
                "face",
                "fairy tale",
                "fantasy",
                "monster",
                "nature",
                "person",
                "space"
            ]
        },
        "robot": {
            "unicode": "1f916",
            "unicode_alternates": "",
            "name": "robot face",
            "shortname": ":robot:",
            "category": "people",
            "emoji_order": "78",
            "aliases": [
                ":robot_face:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "smiley_cat": {
            "unicode": "1f63a",
            "unicode_alternates": "",
            "name": "smiling cat face with open mouth",
            "shortname": ":smiley_cat:",
            "category": "people",
            "emoji_order": "79",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cats",
                "happy",
                "smile",
                "smiley",
                "nature"
            ]
        },
        "smile_cat": {
            "unicode": "1f638",
            "unicode_alternates": "",
            "name": "grinning cat face with smiling eyes",
            "shortname": ":smile_cat:",
            "category": "people",
            "emoji_order": "80",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cats",
                "smile",
                "grin",
                "eye",
                "nature"
            ]
        },
        "joy_cat": {
            "unicode": "1f639",
            "unicode_alternates": "",
            "name": "cat face with tears of joy",
            "shortname": ":joy_cat:",
            "category": "people",
            "emoji_order": "81",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cats",
                "haha",
                "happy",
                "tears",
                "happy",
                "tears",
                "cry",
                "joy",
                "nature",
                "tear"
            ]
        },
        "heart_eyes_cat": {
            "unicode": "1f63b",
            "unicode_alternates": "",
            "name": "smiling cat face with heart-shaped eyes",
            "shortname": ":heart_eyes_cat:",
            "category": "people",
            "emoji_order": "82",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "animal",
                "cats",
                "like",
                "love",
                "valentines",
                "lovestruck",
                "love",
                "heart",
                "eye",
                "nature",
                "smile"
            ]
        },
        "smirk_cat": {
            "unicode": "1f63c",
            "unicode_alternates": "",
            "name": "cat face with wry smile",
            "shortname": ":smirk_cat:",
            "category": "people",
            "emoji_order": "83",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cats",
                "smirk",
                "smirking",
                "confident",
                "confidence",
                "ironic",
                "nature"
            ]
        },
        "kissing_cat": {
            "unicode": "1f63d",
            "unicode_alternates": "",
            "name": "kissing cat face with closed eyes",
            "shortname": ":kissing_cat:",
            "category": "people",
            "emoji_order": "84",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cats",
                "passion",
                "kiss",
                "puckered",
                "heart",
                "love",
                "eye",
                "nature"
            ]
        },
        "scream_cat": {
            "unicode": "1f640",
            "unicode_alternates": "",
            "name": "weary cat face",
            "shortname": ":scream_cat:",
            "category": "people",
            "emoji_order": "85",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cats",
                "munch",
                "sleepy",
                "tired",
                "tiredness",
                "study",
                "finals",
                "school",
                "exhausted",
                "scream",
                "painting",
                "artist",
                "nature",
                "oh",
                "surprised"
            ]
        },
        "crying_cat_face": {
            "unicode": "1f63f",
            "unicode_alternates": "",
            "name": "crying cat face",
            "shortname": ":crying_cat_face:",
            "category": "people",
            "emoji_order": "86",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cats",
                "sad",
                "tears",
                "weep",
                "cry",
                "sob",
                "tears",
                "sad",
                "melancholy",
                "morn",
                "somber",
                "hurt",
                "nature",
                "tear"
            ]
        },
        "pouting_cat": {
            "unicode": "1f63e",
            "unicode_alternates": "",
            "name": "pouting cat face",
            "shortname": ":pouting_cat:",
            "category": "people",
            "emoji_order": "87",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cats",
                "pout",
                "annoyed",
                "miffed",
                "glower",
                "frown",
                "nature"
            ]
        },
        "raised_hands": {
            "unicode": "1f64c",
            "unicode_alternates": "",
            "name": "person raising both hands in celebration",
            "shortname": ":raised_hands:",
            "category": "people",
            "emoji_order": "88",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gesture",
                "hooray",
                "winning",
                "woot",
                "yay",
                "banzai",
                "raised",
                "body",
                "hand"
            ]
        },
        "clap": {
            "unicode": "1f44f",
            "unicode_alternates": "",
            "name": "clapping hands sign",
            "shortname": ":clap:",
            "category": "people",
            "emoji_order": "89",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "applause",
                "congrats",
                "praise",
                "clap",
                "appreciation",
                "approval",
                "sound",
                "encouragement",
                "enthusiasm",
                "body",
                "hand",
                "person"
            ]
        },
        "wave": {
            "unicode": "1f44b",
            "unicode_alternates": "",
            "name": "waving hand sign",
            "shortname": ":wave:",
            "category": "people",
            "emoji_order": "90",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "farewell",
                "gesture",
                "goodbye",
                "solong",
                "hi",
                "wave",
                "body",
                "person"
            ]
        },
        "thumbsup": {
            "unicode": "1f44d",
            "unicode_alternates": "",
            "name": "thumbs up sign",
            "shortname": ":thumbsup:",
            "category": "people",
            "emoji_order": "91",
            "aliases": [
                ":+1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cool",
                "hand",
                "like",
                "yes",
                "+1",
                "body",
                "person",
                "thumb",
                "thumbs up"
            ]
        },
        "thumbsdown": {
            "unicode": "1f44e",
            "unicode_alternates": "",
            "name": "thumbs down sign",
            "shortname": ":thumbsdown:",
            "category": "people",
            "emoji_order": "92",
            "aliases": [
                ":-1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hand",
                "no",
                "-1",
                "body",
                "person",
                "thumb",
                "thumbs down"
            ]
        },
        "punch": {
            "unicode": "1f44a",
            "unicode_alternates": "",
            "name": "fisted hand sign",
            "shortname": ":punch:",
            "category": "people",
            "emoji_order": "93",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fist",
                "punch",
                "body",
                "clenched",
                "person"
            ]
        },
        "fist": {
            "unicode": "270a",
            "unicode_alternates": "",
            "name": "raised fist",
            "shortname": ":fist:",
            "category": "people",
            "emoji_order": "94",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "grasp",
                "hand",
                "body",
                "clenched",
                "person",
                "punch"
            ]
        },
        "v": {
            "unicode": "270c",
            "unicode_alternates": "270c-fe0f",
            "name": "victory hand",
            "shortname": ":v:",
            "category": "people",
            "emoji_order": "95",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "ohyeah",
                "peace",
                "two",
                "v",
                "body",
                "person"
            ]
        },
        "ok_hand": {
            "unicode": "1f44c",
            "unicode_alternates": "",
            "name": "ok hand sign",
            "shortname": ":ok_hand:",
            "category": "people",
            "emoji_order": "96",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "limbs",
                "perfect",
                "okay",
                "smoke",
                "smoking",
                "marijuana",
                "joint",
                "pot",
                "420",
                "body",
                "person"
            ]
        },
        "raised_hand": {
            "unicode": "270b",
            "unicode_alternates": "",
            "name": "raised hand",
            "shortname": ":raised_hand:",
            "category": "people",
            "emoji_order": "97",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "body",
                "person"
            ]
        },
        "open_hands": {
            "unicode": "1f450",
            "unicode_alternates": "",
            "name": "open hands sign",
            "shortname": ":open_hands:",
            "category": "people",
            "emoji_order": "98",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "butterfly",
                "fingers",
                "body",
                "hand",
                "person"
            ]
        },
        "muscle": {
            "unicode": "1f4aa",
            "unicode_alternates": "",
            "name": "flexed biceps",
            "shortname": ":muscle:",
            "category": "people",
            "emoji_order": "99",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arm",
                "flex",
                "hand",
                "strong",
                "muscle",
                "bicep",
                "body",
                "comic",
                "person"
            ]
        },
        "pray": {
            "unicode": "1f64f",
            "unicode_alternates": "",
            "name": "person with folded hands",
            "shortname": ":pray:",
            "category": "people",
            "emoji_order": "100",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "highfive",
                "hope",
                "namaste",
                "please",
                "wish",
                "pray",
                "high five",
                "sorrow",
                "regret",
                "sorry",
                "ask",
                "body",
                "bow",
                "gesture",
                "hand",
                "thanks"
            ]
        },
        "point_up": {
            "unicode": "261d",
            "unicode_alternates": "261d-fe0f",
            "name": "white up pointing index",
            "shortname": ":point_up:",
            "category": "people",
            "emoji_order": "101",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one",
                "body",
                "person",
                "point"
            ]
        },
        "point_up_2": {
            "unicode": "1f446",
            "unicode_alternates": "",
            "name": "white up pointing backhand index",
            "shortname": ":point_up_2:",
            "category": "people",
            "emoji_order": "102",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one",
                "body",
                "person",
                "point"
            ]
        },
        "point_down": {
            "unicode": "1f447",
            "unicode_alternates": "",
            "name": "white down pointing backhand index",
            "shortname": ":point_down:",
            "category": "people",
            "emoji_order": "103",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "body",
                "person",
                "point"
            ]
        },
        "point_left": {
            "unicode": "1f448",
            "unicode_alternates": "",
            "name": "white left pointing backhand index",
            "shortname": ":point_left:",
            "category": "people",
            "emoji_order": "104",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "body",
                "person",
                "point"
            ]
        },
        "point_right": {
            "unicode": "1f449",
            "unicode_alternates": "",
            "name": "white right pointing backhand index",
            "shortname": ":point_right:",
            "category": "people",
            "emoji_order": "105",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "body",
                "person",
                "point"
            ]
        },
        "middle_finger": {
            "unicode": "1f595",
            "unicode_alternates": "",
            "name": "reversed hand with middle finger extended",
            "shortname": ":middle_finger:",
            "category": "people",
            "emoji_order": "106",
            "aliases": [
                ":reversed_hand_with_middle_finger_extended:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "fu",
                "body",
                "middle finger",
                "person"
            ]
        },
        "hand_splayed": {
            "unicode": "1f590",
            "unicode_alternates": "1f590-fe0f",
            "name": "raised hand with fingers splayed",
            "shortname": ":hand_splayed:",
            "category": "people",
            "emoji_order": "107",
            "aliases": [
                ":raised_hand_with_fingers_splayed:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hi",
                "five",
                "stop",
                "halt",
                "body",
                "finger",
                "person"
            ]
        },
        "metal": {
            "unicode": "1f918",
            "unicode_alternates": "",
            "name": "sign of the horns",
            "shortname": ":metal:",
            "category": "people",
            "emoji_order": "108",
            "aliases": [
                ":sign_of_the_horns:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "band",
                "concert",
                "fingers",
                "rocknroll"
            ]
        },
        "vulcan": {
            "unicode": "1f596",
            "unicode_alternates": "",
            "name": "raised hand with part between middle and ring fingers",
            "shortname": ":vulcan:",
            "category": "people",
            "emoji_order": "109",
            "aliases": [
                ":raised_hand_with_part_between_middle_and_ring_fingers:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "vulcan",
                "spock",
                "leonard",
                "nimoy",
                "star trek",
                "live long",
                "body",
                "finger",
                "person"
            ]
        },
        "writing_hand": {
            "unicode": "270d",
            "unicode_alternates": "270d-fe0f",
            "name": "writing hand",
            "shortname": ":writing_hand:",
            "category": "people",
            "emoji_order": "110",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "sign",
                "signature",
                "draw",
                "body",
                "education",
                "person"
            ]
        },
        "nail_care": {
            "unicode": "1f485",
            "unicode_alternates": "",
            "name": "nail polish",
            "shortname": ":nail_care:",
            "category": "people",
            "emoji_order": "111",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beauty",
                "manicure",
                "body",
                "care",
                "cosmetics",
                "person"
            ]
        },
        "lips": {
            "unicode": "1f444",
            "unicode_alternates": "",
            "name": "mouth",
            "shortname": ":lips:",
            "category": "people",
            "emoji_order": "112",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "kiss",
                "mouth",
                "lips",
                "body",
                "person"
            ]
        },
        "tongue": {
            "unicode": "1f445",
            "unicode_alternates": "",
            "name": "tongue",
            "shortname": ":tongue:",
            "category": "people",
            "emoji_order": "113",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mouth",
                "playful",
                "taste",
                "buds",
                "food",
                "silly",
                "playful",
                "tease",
                "kiss",
                "french kiss",
                "lick",
                "tasty",
                "playfulness",
                "silliness",
                "intimacy",
                "body",
                "person"
            ]
        },
        "ear": {
            "unicode": "1f442",
            "unicode_alternates": "",
            "name": "ear",
            "shortname": ":ear:",
            "category": "people",
            "emoji_order": "114",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hear",
                "listen",
                "sound",
                "body",
                "person"
            ]
        },
        "nose": {
            "unicode": "1f443",
            "unicode_alternates": "",
            "name": "nose",
            "shortname": ":nose:",
            "category": "people",
            "emoji_order": "115",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "smell",
                "sniff",
                "body",
                "person"
            ]
        },
        "eye": {
            "unicode": "1f441",
            "unicode_alternates": "1f441-fe0f",
            "name": "eye",
            "shortname": ":eye:",
            "category": "people",
            "emoji_order": "116",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "look",
                "peek",
                "watch",
                "body",
                "person"
            ]
        },
        "eyes": {
            "unicode": "1f440",
            "unicode_alternates": "",
            "name": "eyes",
            "shortname": ":eyes:",
            "category": "people",
            "emoji_order": "117",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "look",
                "peek",
                "stalk",
                "watch",
                "body",
                "eye",
                "face",
                "person"
            ]
        },
        "bust_in_silhouette": {
            "unicode": "1f464",
            "unicode_alternates": "",
            "name": "bust in silhouette",
            "shortname": ":bust_in_silhouette:",
            "category": "people",
            "emoji_order": "118",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "human",
                "man",
                "person",
                "user",
                "member",
                "account",
                "guest",
                "icon",
                "avatar",
                "profile",
                "me",
                "myself",
                "i"
            ]
        },
        "busts_in_silhouette": {
            "unicode": "1f465",
            "unicode_alternates": "",
            "name": "busts in silhouette",
            "shortname": ":busts_in_silhouette:",
            "category": "people",
            "emoji_order": "119",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "group",
                "human",
                "man",
                "person",
                "team",
                "user",
                "people",
                "members",
                "accounts",
                "relationship",
                "shadow",
                "bust"
            ]
        },
        "speaking_head": {
            "unicode": "1f5e3",
            "unicode_alternates": "1f5e3-fe0f",
            "name": "speaking head in silhouette",
            "shortname": ":speaking_head:",
            "category": "people",
            "emoji_order": "120",
            "aliases": [
                ":speaking_head_in_silhouette:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "talk",
                "face",
                "person",
                "speak"
            ]
        },
        "baby": {
            "unicode": "1f476",
            "unicode_alternates": "",
            "name": "baby",
            "shortname": ":baby:",
            "category": "people",
            "emoji_order": "121",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "infant",
                "toddler",
                "person"
            ]
        },
        "boy": {
            "unicode": "1f466",
            "unicode_alternates": "",
            "name": "boy",
            "shortname": ":boy:",
            "category": "people",
            "emoji_order": "122",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "kid",
                "child",
                "person"
            ]
        },
        "girl": {
            "unicode": "1f467",
            "unicode_alternates": "",
            "name": "girl",
            "shortname": ":girl:",
            "category": "people",
            "emoji_order": "123",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "kid",
                "child",
                "maiden",
                "person",
                "virgin",
                "virgo",
                "zodiac"
            ]
        },
        "man": {
            "unicode": "1f468",
            "unicode_alternates": "",
            "name": "man",
            "shortname": ":man:",
            "category": "people",
            "emoji_order": "124",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "classy",
                "dad",
                "father",
                "guy",
                "mustache",
                "person"
            ]
        },
        "woman": {
            "unicode": "1f469",
            "unicode_alternates": "",
            "name": "woman",
            "shortname": ":woman:",
            "category": "people",
            "emoji_order": "125",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "lady",
                "person"
            ]
        },
        "person_with_blond_hair": {
            "unicode": "1f471",
            "unicode_alternates": "",
            "name": "person with blond hair",
            "shortname": ":person_with_blond_hair:",
            "category": "people",
            "emoji_order": "126",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "man",
                "blonde",
                "young",
                "western",
                "westerner",
                "occidental"
            ]
        },
        "older_man": {
            "unicode": "1f474",
            "unicode_alternates": "",
            "name": "older man",
            "shortname": ":older_man:",
            "category": "people",
            "emoji_order": "127",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "men",
                "grandpa",
                "grandfather",
                "old",
                "person"
            ]
        },
        "older_woman": {
            "unicode": "1f475",
            "unicode_alternates": "",
            "name": "older woman",
            "shortname": ":older_woman:",
            "category": "people",
            "emoji_order": "128",
            "aliases": [
                ":grandma:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "women",
                "lady",
                "grandma",
                "grandmother",
                "old",
                "person"
            ]
        },
        "man_with_gua_pi_mao": {
            "unicode": "1f472",
            "unicode_alternates": "",
            "name": "man with gua pi mao",
            "shortname": ":man_with_gua_pi_mao:",
            "category": "people",
            "emoji_order": "129",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "skullcap",
                "chinese",
                "asian",
                "qing",
                "gua pi mao",
                "hat",
                "person"
            ]
        },
        "man_with_turban": {
            "unicode": "1f473",
            "unicode_alternates": "",
            "name": "man with turban",
            "shortname": ":man_with_turban:",
            "category": "people",
            "emoji_order": "130",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "headdress",
                "headwear",
                "pagri",
                "india",
                "indian",
                "mummy",
                "wisdom",
                "peace",
                "person"
            ]
        },
        "cop": {
            "unicode": "1f46e",
            "unicode_alternates": "",
            "name": "police officer",
            "shortname": ":cop:",
            "category": "people",
            "emoji_order": "131",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrest",
                "enforcement",
                "law",
                "man",
                "cop",
                "person"
            ]
        },
        "construction_worker": {
            "unicode": "1f477",
            "unicode_alternates": "",
            "name": "construction worker",
            "shortname": ":construction_worker:",
            "category": "people",
            "emoji_order": "132",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "human",
                "male",
                "man",
                "wip",
                "hat",
                "person"
            ]
        },
        "guardsman": {
            "unicode": "1f482",
            "unicode_alternates": "",
            "name": "guardsman",
            "shortname": ":guardsman:",
            "category": "people",
            "emoji_order": "133",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "british",
                "gb",
                "male",
                "man",
                "uk",
                "guard",
                "bearskin",
                "hat",
                "british",
                "queen",
                "ceremonial",
                "military",
                "person"
            ]
        },
        "spy": {
            "unicode": "1f575",
            "unicode_alternates": "1f575-fe0f",
            "name": "sleuth or spy",
            "shortname": ":spy:",
            "category": "people",
            "emoji_order": "134",
            "aliases": [
                ":sleuth_or_spy:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "pi",
                "undercover",
                "investigator",
                "person"
            ]
        },
        "santa": {
            "unicode": "1f385",
            "unicode_alternates": "",
            "name": "father christmas",
            "shortname": ":santa:",
            "category": "people",
            "emoji_order": "135",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "festival",
                "male",
                "man",
                "xmas",
                "santa",
                "saint nick",
                "jolly",
                "ho ho ho",
                "north pole",
                "presents",
                "gifts",
                "naughty",
                "nice",
                "sleigh",
                "holiday",
                "activity",
                "celebration",
                "fairy tale",
                "fantasy",
                "person"
            ]
        },
        "angel": {
            "unicode": "1f47c",
            "unicode_alternates": "",
            "name": "baby angel",
            "shortname": ":angel:",
            "category": "people",
            "emoji_order": "136",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "halo",
                "cupid",
                "heaven",
                "wings",
                "jesus",
                "face",
                "fairy tale",
                "fantasy",
                "person"
            ]
        },
        "princess": {
            "unicode": "1f478",
            "unicode_alternates": "",
            "name": "princess",
            "shortname": ":princess:",
            "category": "people",
            "emoji_order": "137",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blond",
                "crown",
                "female",
                "girl",
                "woman",
                "royal",
                "royalty",
                "king",
                "queen",
                "daughter",
                "disney",
                "high-maintenance",
                "fairy tale",
                "fantasy",
                "person"
            ]
        },
        "bride_with_veil": {
            "unicode": "1f470",
            "unicode_alternates": "",
            "name": "bride with veil",
            "shortname": ":bride_with_veil:",
            "category": "people",
            "emoji_order": "138",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "couple",
                "marriage",
                "wedding",
                "wedding",
                "planning",
                "gown",
                "dress",
                "engagement",
                "white",
                "person"
            ]
        },
        "walking": {
            "unicode": "1f6b6",
            "unicode_alternates": "",
            "name": "pedestrian",
            "shortname": ":walking:",
            "category": "people",
            "emoji_order": "139",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "man",
                "walk",
                "stroll",
                "stride",
                "hiking",
                "hike",
                "person",
                "walking"
            ]
        },
        "runner": {
            "unicode": "1f3c3",
            "unicode_alternates": "",
            "name": "runner",
            "shortname": ":runner:",
            "category": "people",
            "emoji_order": "140",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "exercise",
                "man",
                "run",
                "jog",
                "sprint",
                "race",
                "dash",
                "marathon",
                "person",
                "running"
            ]
        },
        "dancer": {
            "unicode": "1f483",
            "unicode_alternates": "",
            "name": "dancer",
            "shortname": ":dancer:",
            "category": "people",
            "emoji_order": "141",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "fun",
                "girl",
                "woman",
                "dress",
                "fancy",
                "boogy",
                "party",
                "celebrate",
                "ballet",
                "tango",
                "cha cha",
                "music",
                "person"
            ]
        },
        "dancers": {
            "unicode": "1f46f",
            "unicode_alternates": "",
            "name": "woman with bunny ears",
            "shortname": ":dancers:",
            "category": "people",
            "emoji_order": "142",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girls",
                "women",
                "dancing",
                "dancers",
                "showgirl",
                "playboy",
                "costume",
                "cancan",
                "dancer",
                "ear",
                "girl",
                "person"
            ]
        },
        "couple": {
            "unicode": "1f46b",
            "unicode_alternates": "",
            "name": "man and woman holding hands",
            "shortname": ":couple:",
            "category": "people",
            "emoji_order": "143",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "date",
                "dating",
                "human",
                "like",
                "love",
                "marriage",
                "people",
                "valentines",
                "couple",
                "hand",
                "hold",
                "person"
            ]
        },
        "two_men_holding_hands": {
            "unicode": "1f46c",
            "unicode_alternates": "",
            "name": "two men holding hands",
            "shortname": ":two_men_holding_hands:",
            "category": "people",
            "emoji_order": "144",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bromance",
                "couple",
                "friends",
                "like",
                "love",
                "gay",
                "homosexual",
                "friends",
                "team",
                "unity",
                "gemini",
                "hand",
                "hold",
                "man",
                "person",
                "twins",
                "zodiac"
            ]
        },
        "two_women_holding_hands": {
            "unicode": "1f46d",
            "unicode_alternates": "",
            "name": "two women holding hands",
            "shortname": ":two_women_holding_hands:",
            "category": "people",
            "emoji_order": "145",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "couple",
                "female",
                "friends",
                "like",
                "love",
                "girlfriends",
                "friends",
                "sisters",
                "mother",
                "daughter",
                "gay",
                "homosexual",
                "couple",
                "unity",
                "hand",
                "hold",
                "person",
                "woman"
            ]
        },
        "bow": {
            "unicode": "1f647",
            "unicode_alternates": "",
            "name": "person bowing deeply",
            "shortname": ":bow:",
            "category": "people",
            "emoji_order": "146",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "man",
                "sorry",
                "bow",
                "respect",
                "bend",
                "apology",
                "gesture"
            ]
        },
        "information_desk_person": {
            "unicode": "1f481",
            "unicode_alternates": "",
            "name": "information desk person",
            "shortname": ":information_desk_person:",
            "category": "people",
            "emoji_order": "147",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "woman",
                "help",
                "question",
                "answer",
                "sassy",
                "unimpressed",
                "attitude",
                "snarky",
                "hand"
            ]
        },
        "no_good": {
            "unicode": "1f645",
            "unicode_alternates": "",
            "name": "face with no good gesture",
            "shortname": ":no_good:",
            "category": "people",
            "emoji_order": "148",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "stop",
                "nope",
                "don't",
                "not",
                "forbidden",
                "hand",
                "person",
                "prohibited"
            ]
        },
        "ok_woman": {
            "unicode": "1f646",
            "unicode_alternates": "",
            "name": "face with ok gesture",
            "shortname": ":ok_woman:",
            "category": "people",
            "emoji_order": "149",
            "aliases": [],
            "aliases_ascii": [
                "*\\0\/*",
                "\\0\/",
                "*\\O\/*",
                "\\O\/"
            ],
            "keywords": [
                "female",
                "girl",
                "human",
                "pink",
                "women",
                "yes",
                "okay",
                "accept",
                "hand",
                "person"
            ]
        },
        "raising_hand": {
            "unicode": "1f64b",
            "unicode_alternates": "",
            "name": "happy person raising one hand",
            "shortname": ":raising_hand:",
            "category": "people",
            "emoji_order": "150",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "raise",
                "notice",
                "attention",
                "answer",
                "gesture",
                "raised"
            ]
        },
        "person_with_pouting_face": {
            "unicode": "1f64e",
            "unicode_alternates": "",
            "name": "person with pouting face",
            "shortname": ":person_with_pouting_face:",
            "category": "people",
            "emoji_order": "151",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "pout",
                "sexy",
                "cute",
                "annoyed",
                "gesture"
            ]
        },
        "person_frowning": {
            "unicode": "1f64d",
            "unicode_alternates": "",
            "name": "person frowning",
            "shortname": ":person_frowning:",
            "category": "people",
            "emoji_order": "152",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "dejected",
                "rejected",
                "sad",
                "frown",
                "gesture"
            ]
        },
        "haircut": {
            "unicode": "1f487",
            "unicode_alternates": "",
            "name": "haircut",
            "shortname": ":haircut:",
            "category": "people",
            "emoji_order": "153",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "barber",
                "beauty",
                "parlor",
                "person"
            ]
        },
        "massage": {
            "unicode": "1f486",
            "unicode_alternates": "",
            "name": "face massage",
            "shortname": ":massage:",
            "category": "people",
            "emoji_order": "154",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "person",
                "salon"
            ]
        },
        "couple_with_heart": {
            "unicode": "1f491",
            "unicode_alternates": "",
            "name": "couple with heart",
            "shortname": ":couple_with_heart:",
            "category": "people",
            "emoji_order": "155",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "dating",
                "human",
                "like",
                "love",
                "marriage",
                "valentines",
                "person",
                "romance"
            ]
        },
        "couple_ww": {
            "unicode": "1f469-2764-1f469",
            "unicode_alternates": "1f469-200d-2764-fe0f-200d-1f469",
            "name": "couple (woman,woman)",
            "shortname": ":couple_ww:",
            "category": "people",
            "emoji_order": "156",
            "aliases": [
                ":couple_with_heart_ww:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "dating",
                "human",
                "like",
                "love",
                "marriage",
                "valentines"
            ]
        },
        "couple_mm": {
            "unicode": "1f468-2764-1f468",
            "unicode_alternates": "1f468-200d-2764-fe0f-200d-1f468",
            "name": "couple (man,man)",
            "shortname": ":couple_mm:",
            "category": "people",
            "emoji_order": "157",
            "aliases": [
                ":couple_with_heart_mm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "dating",
                "human",
                "like",
                "love",
                "marriage",
                "valentines"
            ]
        },
        "couplekiss": {
            "unicode": "1f48f",
            "unicode_alternates": "",
            "name": "kiss",
            "shortname": ":couplekiss:",
            "category": "people",
            "emoji_order": "158",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dating",
                "like",
                "love",
                "marriage",
                "valentines",
                "couple",
                "person",
                "romance"
            ]
        },
        "kiss_ww": {
            "unicode": "1f469-2764-1f48b-1f469",
            "unicode_alternates": "1f469-200d-2764-fe0f-200d-1f48b-200d-1f469",
            "name": "kiss (woman,woman)",
            "shortname": ":kiss_ww:",
            "category": "people",
            "emoji_order": "159",
            "aliases": [
                ":couplekiss_ww:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "dating",
                "like",
                "love",
                "marriage",
                "valentines",
                "couple"
            ]
        },
        "kiss_mm": {
            "unicode": "1f468-2764-1f48b-1f468",
            "unicode_alternates": "1f468-200d-2764-fe0f-200d-1f48b-200d-1f468",
            "name": "kiss (man,man)",
            "shortname": ":kiss_mm:",
            "category": "people",
            "emoji_order": "160",
            "aliases": [
                ":couplekiss_mm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "dating",
                "like",
                "love",
                "marriage",
                "valentines",
                "couple"
            ]
        },
        "family": {
            "unicode": "1f46a",
            "unicode_alternates": "",
            "name": "family",
            "shortname": ":family:",
            "category": "people",
            "emoji_order": "161",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "dad",
                "father",
                "mom",
                "mother",
                "parents",
                "girl",
                "boy",
                "group",
                "unit",
                "man",
                "woman",
                "person"
            ]
        },
        "family_mwg": {
            "unicode": "1f468-1f469-1f467",
            "unicode_alternates": "1f468-200d-1f469-200d-1f467",
            "name": "family (man,woman,girl)",
            "shortname": ":family_mwg:",
            "category": "people",
            "emoji_order": "162",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "dad",
                "father",
                "mom",
                "mother",
                "parents",
                "girl",
                "boy",
                "group",
                "unit",
                "man",
                "woman"
            ]
        },
        "family_mwgb": {
            "unicode": "1f468-1f469-1f467-1f466",
            "unicode_alternates": "1f468-200d-1f469-200d-1f467-200d-1f466",
            "name": "family (man,woman,girl,boy)",
            "shortname": ":family_mwgb:",
            "category": "people",
            "emoji_order": "163",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dad",
                "father",
                "mom",
                "mother",
                "parents",
                "children",
                "girl",
                "boy",
                "group",
                "unit",
                "man",
                "woman"
            ]
        },
        "family_mwbb": {
            "unicode": "1f468-1f469-1f466-1f466",
            "unicode_alternates": "1f468-200d-1f469-200d-1f466-200d-1f466",
            "name": "family (man,woman,boy,boy)",
            "shortname": ":family_mwbb:",
            "category": "people",
            "emoji_order": "164",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dad",
                "father",
                "mom",
                "mother",
                "parents",
                "children",
                "boy",
                "group",
                "unit",
                "man",
                "woman"
            ]
        },
        "family_mwgg": {
            "unicode": "1f468-1f469-1f467-1f467",
            "unicode_alternates": "1f468-200d-1f469-200d-1f467-200d-1f467",
            "name": "family (man,woman,girl,girl)",
            "shortname": ":family_mwgg:",
            "category": "people",
            "emoji_order": "165",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dad",
                "father",
                "mom",
                "mother",
                "parents",
                "children",
                "girl",
                "group",
                "unit",
                "man",
                "woman"
            ]
        },
        "family_wwb": {
            "unicode": "1f469-1f469-1f466",
            "unicode_alternates": "1f469-200d-1f469-200d-1f466",
            "name": "family (woman,woman,boy)",
            "shortname": ":family_wwb:",
            "category": "people",
            "emoji_order": "166",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mom",
                "mother",
                "parents",
                "child",
                "boy",
                "group",
                "unit",
                "gay",
                "lesbian",
                "homosexual",
                "woman"
            ]
        },
        "family_wwg": {
            "unicode": "1f469-1f469-1f467",
            "unicode_alternates": "1f469-200d-1f469-200d-1f467",
            "name": "family (woman,woman,girl)",
            "shortname": ":family_wwg:",
            "category": "people",
            "emoji_order": "167",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mom",
                "mother",
                "parents",
                "child",
                "woman",
                "girl",
                "group",
                "unit",
                "gay",
                "lesbian",
                "homosexual"
            ]
        },
        "family_wwgb": {
            "unicode": "1f469-1f469-1f467-1f466",
            "unicode_alternates": "1f469-200d-1f469-200d-1f467-200d-1f466",
            "name": "family (woman,woman,girl,boy)",
            "shortname": ":family_wwgb:",
            "category": "people",
            "emoji_order": "168",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mom",
                "mother",
                "parents",
                "children",
                "group",
                "unit",
                "gay",
                "lesbian",
                "homosexual",
                "woman",
                "girl",
                "boy"
            ]
        },
        "family_wwbb": {
            "unicode": "1f469-1f469-1f466-1f466",
            "unicode_alternates": "1f469-200d-1f469-200d-1f466-200d-1f466",
            "name": "family (woman,woman,boy,boy)",
            "shortname": ":family_wwbb:",
            "category": "people",
            "emoji_order": "169",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mom",
                "mother",
                "parents",
                "children",
                "group",
                "unit",
                "gay",
                "lesbian",
                "homosexual",
                "woman",
                "boy"
            ]
        },
        "family_wwgg": {
            "unicode": "1f469-1f469-1f467-1f467",
            "unicode_alternates": "1f469-200d-1f469-200d-1f467-200d-1f467",
            "name": "family (woman,woman,girl,girl)",
            "shortname": ":family_wwgg:",
            "category": "people",
            "emoji_order": "170",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mom",
                "mother",
                "parents",
                "children",
                "group",
                "unit",
                "gay",
                "lesbian",
                "homosexual",
                "woman",
                "girl"
            ]
        },
        "family_mmb": {
            "unicode": "1f468-1f468-1f466",
            "unicode_alternates": "1f468-200d-1f468-200d-1f466",
            "name": "family (man,man,boy)",
            "shortname": ":family_mmb:",
            "category": "people",
            "emoji_order": "171",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "dad",
                "father",
                "parents",
                "group",
                "unit",
                "gay",
                "homosexual",
                "man",
                "boy"
            ]
        },
        "family_mmg": {
            "unicode": "1f468-1f468-1f467",
            "unicode_alternates": "1f468-200d-1f468-200d-1f467",
            "name": "family (man,man,girl)",
            "shortname": ":family_mmg:",
            "category": "people",
            "emoji_order": "172",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "dad",
                "father",
                "parents",
                "group",
                "unit",
                "gay",
                "homosexual",
                "man",
                "girl"
            ]
        },
        "family_mmgb": {
            "unicode": "1f468-1f468-1f467-1f466",
            "unicode_alternates": "1f468-200d-1f468-200d-1f467-200d-1f466",
            "name": "family (man,man,girl,boy)",
            "shortname": ":family_mmgb:",
            "category": "people",
            "emoji_order": "173",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "children",
                "dad",
                "father",
                "parents",
                "group",
                "unit",
                "gay",
                "homosexual",
                "man",
                "girl",
                "boy"
            ]
        },
        "family_mmbb": {
            "unicode": "1f468-1f468-1f466-1f466",
            "unicode_alternates": "1f468-200d-1f468-200d-1f466-200d-1f466",
            "name": "family (man,man,boy,boy)",
            "shortname": ":family_mmbb:",
            "category": "people",
            "emoji_order": "174",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "children",
                "dad",
                "father",
                "parents",
                "group",
                "unit",
                "gay",
                "homosexual",
                "man",
                "boy"
            ]
        },
        "family_mmgg": {
            "unicode": "1f468-1f468-1f467-1f467",
            "unicode_alternates": "1f468-200d-1f468-200d-1f467-200d-1f467",
            "name": "family (man,man,girl,girl)",
            "shortname": ":family_mmgg:",
            "category": "people",
            "emoji_order": "175",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "children",
                "dad",
                "father",
                "parents",
                "group",
                "unit",
                "gay",
                "homosexual",
                "man",
                "girl"
            ]
        },
        "womans_clothes": {
            "unicode": "1f45a",
            "unicode_alternates": "",
            "name": "womans clothes",
            "shortname": ":womans_clothes:",
            "category": "people",
            "emoji_order": "176",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fashion",
                "clothing",
                "blouse",
                "shirt",
                "wardrobe",
                "breasts",
                "cleavage",
                "shopping",
                "shop",
                "dressing",
                "dressed",
                "object",
                "person",
                "woman"
            ]
        },
        "shirt": {
            "unicode": "1f455",
            "unicode_alternates": "",
            "name": "t-shirt",
            "shortname": ":shirt:",
            "category": "people",
            "emoji_order": "177",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cloth",
                "fashion",
                "shirt",
                "tee",
                "clothing",
                "object",
                "person",
                "tshirt"
            ]
        },
        "jeans": {
            "unicode": "1f456",
            "unicode_alternates": "",
            "name": "jeans",
            "shortname": ":jeans:",
            "category": "people",
            "emoji_order": "178",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fashion",
                "shopping",
                "pants",
                "blue",
                "denim",
                "levi&#039;s",
                "levi",
                "designer",
                "work",
                "skinny",
                "clothing",
                "object",
                "person",
                "trousers"
            ]
        },
        "necktie": {
            "unicode": "1f454",
            "unicode_alternates": "",
            "name": "necktie",
            "shortname": ":necktie:",
            "category": "people",
            "emoji_order": "179",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "clothes",
                "fashion",
                "formal",
                "shirt",
                "tie",
                "clothing",
                "object",
                "person"
            ]
        },
        "dress": {
            "unicode": "1f457",
            "unicode_alternates": "",
            "name": "dress",
            "shortname": ":dress:",
            "category": "people",
            "emoji_order": "180",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "clothes",
                "fashion",
                "clothing",
                "object",
                "person"
            ]
        },
        "bikini": {
            "unicode": "1f459",
            "unicode_alternates": "",
            "name": "bikini",
            "shortname": ":bikini:",
            "category": "people",
            "emoji_order": "181",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beach",
                "fashion",
                "female",
                "girl",
                "swimming",
                "woman",
                "clothing",
                "object",
                "person",
                "swim"
            ]
        },
        "kimono": {
            "unicode": "1f458",
            "unicode_alternates": "",
            "name": "kimono",
            "shortname": ":kimono:",
            "category": "people",
            "emoji_order": "182",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dress",
                "fashion",
                "female",
                "japanese",
                "women",
                "clothing",
                "object",
                "person"
            ]
        },
        "lipstick": {
            "unicode": "1f484",
            "unicode_alternates": "",
            "name": "lipstick",
            "shortname": ":lipstick:",
            "category": "people",
            "emoji_order": "183",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fashion",
                "female",
                "girl",
                "cosmetics",
                "makeup",
                "object",
                "person"
            ]
        },
        "kiss": {
            "unicode": "1f48b",
            "unicode_alternates": "",
            "name": "kiss mark",
            "shortname": ":kiss:",
            "category": "people",
            "emoji_order": "184",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "face",
                "like",
                "lips",
                "love",
                "valentines",
                "emotion",
                "heart",
                "person",
                "romance"
            ]
        },
        "footprints": {
            "unicode": "1f463",
            "unicode_alternates": "",
            "name": "footprints",
            "shortname": ":footprints:",
            "category": "people",
            "emoji_order": "185",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "feet",
                "body",
                "clothing",
                "footprint",
                "person",
                "print"
            ]
        },
        "high_heel": {
            "unicode": "1f460",
            "unicode_alternates": "",
            "name": "high-heeled shoe",
            "shortname": ":high_heel:",
            "category": "people",
            "emoji_order": "186",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fashion",
                "female",
                "shoes",
                "clothing",
                "heel",
                "object",
                "person",
                "woman"
            ]
        },
        "sandal": {
            "unicode": "1f461",
            "unicode_alternates": "",
            "name": "womans sandal",
            "shortname": ":sandal:",
            "category": "people",
            "emoji_order": "187",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fashion",
                "shoes",
                "female",
                "clothing",
                "object",
                "person",
                "shoe",
                "woman"
            ]
        },
        "boot": {
            "unicode": "1f462",
            "unicode_alternates": "",
            "name": "womans boots",
            "shortname": ":boot:",
            "category": "people",
            "emoji_order": "188",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fashion",
                "shoes",
                "boot",
                "clothing",
                "object",
                "person",
                "shoe",
                "woman"
            ]
        },
        "mans_shoe": {
            "unicode": "1f45e",
            "unicode_alternates": "",
            "name": "mans shoe",
            "shortname": ":mans_shoe:",
            "category": "people",
            "emoji_order": "189",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fashion",
                "male",
                "clothing",
                "man",
                "object",
                "person"
            ]
        },
        "athletic_shoe": {
            "unicode": "1f45f",
            "unicode_alternates": "",
            "name": "athletic shoe",
            "shortname": ":athletic_shoe:",
            "category": "people",
            "emoji_order": "190",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sports",
                "sneaker",
                "clothing",
                "object",
                "person"
            ]
        },
        "womans_hat": {
            "unicode": "1f452",
            "unicode_alternates": "",
            "name": "womans hat",
            "shortname": ":womans_hat:",
            "category": "people",
            "emoji_order": "191",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "accessories",
                "fashion",
                "female",
                "clothing",
                "object",
                "person",
                "woman"
            ]
        },
        "tophat": {
            "unicode": "1f3a9",
            "unicode_alternates": "",
            "name": "top hat",
            "shortname": ":tophat:",
            "category": "people",
            "emoji_order": "192",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "classy",
                "gentleman",
                "magic",
                "cap",
                "beaver",
                "high",
                "tall",
                "stove",
                "pipe",
                "chimney",
                "topper",
                "london",
                "period piece",
                "magician",
                "activity",
                "clothing",
                "entertainment",
                "object",
                "person",
                "tophat"
            ]
        },
        "helmet_with_cross": {
            "unicode": "26d1",
            "unicode_alternates": "26d1-fe0f",
            "name": "helmet with white cross",
            "shortname": ":helmet_with_cross:",
            "category": "people",
            "emoji_order": "193",
            "aliases": [
                ":helmet_with_white_cross:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "aid",
                "face",
                "hat",
                "person"
            ]
        },
        "mortar_board": {
            "unicode": "1f393",
            "unicode_alternates": "",
            "name": "graduation cap",
            "shortname": ":mortar_board:",
            "category": "people",
            "emoji_order": "194",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cap",
                "college",
                "degree",
                "school",
                "university",
                "mortarboard",
                "academic",
                "education",
                "ceremony",
                "tassel",
                "activity",
                "celebration",
                "clothing",
                "hat",
                "object"
            ]
        },
        "crown": {
            "unicode": "1f451",
            "unicode_alternates": "",
            "name": "crown",
            "shortname": ":crown:",
            "category": "people",
            "emoji_order": "195",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "king",
                "kod",
                "leader",
                "royalty",
                "clothing",
                "object",
                "person",
                "queen"
            ]
        },
        "school_satchel": {
            "unicode": "1f392",
            "unicode_alternates": "",
            "name": "school satchel",
            "shortname": ":school_satchel:",
            "category": "people",
            "emoji_order": "196",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bag",
                "education",
                "student",
                "backpack",
                "packing",
                "pack",
                "hike",
                "education",
                "adventure",
                "travel",
                "sightsee",
                "activity",
                "object"
            ]
        },
        "pouch": {
            "unicode": "1f45d",
            "unicode_alternates": "",
            "name": "pouch",
            "shortname": ":pouch:",
            "category": "people",
            "emoji_order": "197",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "accessories",
                "bag",
                "cosmetic",
                "packing",
                "grandma",
                "makeup",
                "clothing",
                "object",
                "person"
            ]
        },
        "purse": {
            "unicode": "1f45b",
            "unicode_alternates": "",
            "name": "purse",
            "shortname": ":purse:",
            "category": "people",
            "emoji_order": "198",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "accessories",
                "fashion",
                "money",
                "clutch",
                "bag",
                "handbag",
                "coin bag",
                "accessory",
                "ladies",
                "shopping",
                "clothing",
                "coin",
                "object",
                "person"
            ]
        },
        "handbag": {
            "unicode": "1f45c",
            "unicode_alternates": "",
            "name": "handbag",
            "shortname": ":handbag:",
            "category": "people",
            "emoji_order": "199",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "accessories",
                "accessory",
                "bag",
                "fashion",
                "clothing",
                "object",
                "person"
            ]
        },
        "briefcase": {
            "unicode": "1f4bc",
            "unicode_alternates": "",
            "name": "briefcase",
            "shortname": ":briefcase:",
            "category": "people",
            "emoji_order": "200",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "business",
                "documents",
                "work",
                "object",
                "office",
                "person"
            ]
        },
        "eyeglasses": {
            "unicode": "1f453",
            "unicode_alternates": "",
            "name": "eyeglasses",
            "shortname": ":eyeglasses:",
            "category": "people",
            "emoji_order": "201",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "accessories",
                "eyesight",
                "fashion",
                "spectacles",
                "eye",
                "sight",
                "nearsightedness",
                "myopia",
                "farsightedness",
                "hyperopia",
                "frames",
                "vision",
                "see",
                "blurry",
                "contacts",
                "clothing",
                "eyewear",
                "glasses",
                "object",
                "person"
            ]
        },
        "dark_sunglasses": {
            "unicode": "1f576",
            "unicode_alternates": "1f576-fe0f",
            "name": "dark sunglasses",
            "shortname": ":dark_sunglasses:",
            "category": "people",
            "emoji_order": "202",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shades",
                "eyes",
                "eye",
                "eyewear",
                "glasses",
                "object"
            ]
        },
        "ring": {
            "unicode": "1f48d",
            "unicode_alternates": "",
            "name": "ring",
            "shortname": ":ring:",
            "category": "people",
            "emoji_order": "203",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "marriage",
                "propose",
                "valentines",
                "wedding",
                "gold",
                "diamond",
                "emotion",
                "object",
                "person",
                "romance"
            ]
        },
        "closed_umbrella": {
            "unicode": "1f302",
            "unicode_alternates": "",
            "name": "closed umbrella",
            "shortname": ":closed_umbrella:",
            "category": "people",
            "emoji_order": "204",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "drizzle",
                "rain",
                "weather",
                "moisture",
                "protection",
                "sun",
                "ultraviolet",
                "uv",
                "clothing",
                "nature",
                "person"
            ]
        },
        "dog": {
            "unicode": "1f436",
            "unicode_alternates": "",
            "name": "dog face",
            "shortname": ":dog:",
            "category": "nature",
            "emoji_order": "205",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "friend",
                "nature",
                "pet",
                "puppy",
                "woof",
                "bark",
                "fido"
            ]
        },
        "cat": {
            "unicode": "1f431",
            "unicode_alternates": "",
            "name": "cat face",
            "shortname": ":cat:",
            "category": "nature",
            "emoji_order": "206",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "meow",
                "pet",
                "kitten",
                "nature"
            ]
        },
        "mouse": {
            "unicode": "1f42d",
            "unicode_alternates": "",
            "name": "mouse face",
            "shortname": ":mouse:",
            "category": "nature",
            "emoji_order": "207",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "rodent"
            ]
        },
        "hamster": {
            "unicode": "1f439",
            "unicode_alternates": "",
            "name": "hamster face",
            "shortname": ":hamster:",
            "category": "nature",
            "emoji_order": "208",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "rodent",
                "pet"
            ]
        },
        "rabbit": {
            "unicode": "1f430",
            "unicode_alternates": "",
            "name": "rabbit face",
            "shortname": ":rabbit:",
            "category": "nature",
            "emoji_order": "209",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "bunny",
                "easter",
                "reproduction",
                "prolific",
                "pet"
            ]
        },
        "bear": {
            "unicode": "1f43b",
            "unicode_alternates": "",
            "name": "bear face",
            "shortname": ":bear:",
            "category": "nature",
            "emoji_order": "210",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "grizzly"
            ]
        },
        "panda_face": {
            "unicode": "1f43c",
            "unicode_alternates": "",
            "name": "panda face",
            "shortname": ":panda_face:",
            "category": "nature",
            "emoji_order": "211",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "bear",
                "cub",
                "cute",
                "endearment",
                "friendship",
                "love",
                "bamboo",
                "china",
                "black",
                "white"
            ]
        },
        "koala": {
            "unicode": "1f428",
            "unicode_alternates": "",
            "name": "koala",
            "shortname": ":koala:",
            "category": "nature",
            "emoji_order": "212",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "bear"
            ]
        },
        "tiger": {
            "unicode": "1f42f",
            "unicode_alternates": "",
            "name": "tiger face",
            "shortname": ":tiger:",
            "category": "nature",
            "emoji_order": "213",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "cat",
                "striped",
                "tony",
                "tigger",
                "hobs"
            ]
        },
        "lion_face": {
            "unicode": "1f981",
            "unicode_alternates": "",
            "name": "lion face",
            "shortname": ":lion_face:",
            "category": "nature",
            "emoji_order": "214",
            "aliases": [
                ":lion:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "cow": {
            "unicode": "1f42e",
            "unicode_alternates": "",
            "name": "cow face",
            "shortname": ":cow:",
            "category": "nature",
            "emoji_order": "215",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "beef",
                "ox",
                "milk",
                "dairy",
                "nature"
            ]
        },
        "pig": {
            "unicode": "1f437",
            "unicode_alternates": "",
            "name": "pig face",
            "shortname": ":pig:",
            "category": "nature",
            "emoji_order": "216",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "piggy",
                "pork",
                "ham",
                "hog",
                "bacon",
                "oink",
                "slop",
                "livestock",
                "greed",
                "greedy",
                "oink"
            ]
        },
        "pig_nose": {
            "unicode": "1f43d",
            "unicode_alternates": "",
            "name": "pig nose",
            "shortname": ":pig_nose:",
            "category": "nature",
            "emoji_order": "217",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "oink",
                "snout",
                "food",
                "eat",
                "cute",
                "pink",
                "smell",
                "truffle",
                "face",
                "nature"
            ]
        },
        "frog": {
            "unicode": "1f438",
            "unicode_alternates": "",
            "name": "frog face",
            "shortname": ":frog:",
            "category": "nature",
            "emoji_order": "218",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature"
            ]
        },
        "octopus": {
            "unicode": "1f419",
            "unicode_alternates": "",
            "name": "octopus",
            "shortname": ":octopus:",
            "category": "nature",
            "emoji_order": "219",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "creature",
                "ocean",
                "sea",
                "nature"
            ]
        },
        "monkey_face": {
            "unicode": "1f435",
            "unicode_alternates": "",
            "name": "monkey face",
            "shortname": ":monkey_face:",
            "category": "nature",
            "emoji_order": "220",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature"
            ]
        },
        "see_no_evil": {
            "unicode": "1f648",
            "unicode_alternates": "",
            "name": "see-no-evil monkey",
            "shortname": ":see_no_evil:",
            "category": "nature",
            "emoji_order": "221",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "monkey",
                "see",
                "eyes",
                "vision",
                "sight",
                "mizaru",
                "evil",
                "face",
                "forbidden",
                "gesture",
                "no",
                "not",
                "prohibited"
            ]
        },
        "hear_no_evil": {
            "unicode": "1f649",
            "unicode_alternates": "",
            "name": "hear-no-evil monkey",
            "shortname": ":hear_no_evil:",
            "category": "nature",
            "emoji_order": "222",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "ears",
                "hear",
                "sound",
                "kikazaru",
                "evil",
                "face",
                "forbidden",
                "gesture",
                "nature",
                "no",
                "not",
                "prohibited"
            ]
        },
        "speak_no_evil": {
            "unicode": "1f64a",
            "unicode_alternates": "",
            "name": "speak-no-evil monkey",
            "shortname": ":speak_no_evil:",
            "category": "nature",
            "emoji_order": "223",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "mouth",
                "talk",
                "say",
                "words",
                "verbal",
                "verbalize",
                "oral",
                "iwazaru",
                "evil",
                "face",
                "forbidden",
                "gesture",
                "nature",
                "no",
                "not",
                "prohibited",
                "speak"
            ]
        },
        "monkey": {
            "unicode": "1f412",
            "unicode_alternates": "",
            "name": "monkey",
            "shortname": ":monkey:",
            "category": "nature",
            "emoji_order": "224",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "primate",
                "banana",
                "silly"
            ]
        },
        "chicken": {
            "unicode": "1f414",
            "unicode_alternates": "",
            "name": "chicken",
            "shortname": ":chicken:",
            "category": "nature",
            "emoji_order": "225",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cluck",
                "hen",
                "poultry",
                "livestock",
                "nature"
            ]
        },
        "penguin": {
            "unicode": "1f427",
            "unicode_alternates": "",
            "name": "penguin",
            "shortname": ":penguin:",
            "category": "nature",
            "emoji_order": "226",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "bird"
            ]
        },
        "bird": {
            "unicode": "1f426",
            "unicode_alternates": "",
            "name": "bird",
            "shortname": ":bird:",
            "category": "nature",
            "emoji_order": "227",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "fly",
                "nature",
                "tweet"
            ]
        },
        "baby_chick": {
            "unicode": "1f424",
            "unicode_alternates": "",
            "name": "baby chick",
            "shortname": ":baby_chick:",
            "category": "nature",
            "emoji_order": "228",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "chicken",
                "bird",
                "young",
                "woman",
                "cute",
                "nature"
            ]
        },
        "hatching_chick": {
            "unicode": "1f423",
            "unicode_alternates": "",
            "name": "hatching chick",
            "shortname": ":hatching_chick:",
            "category": "nature",
            "emoji_order": "229",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "born",
                "chicken",
                "egg",
                "baby",
                "bird",
                "chicken",
                "young",
                "woman",
                "cute",
                "animal",
                "nature"
            ]
        },
        "hatched_chick": {
            "unicode": "1f425",
            "unicode_alternates": "",
            "name": "front-facing baby chick",
            "shortname": ":hatched_chick:",
            "category": "nature",
            "emoji_order": "230",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "baby",
                "chicken",
                "chick",
                "baby",
                "bird",
                "chicken",
                "young",
                "woman",
                "cute",
                "animal",
                "nature"
            ]
        },
        "wolf": {
            "unicode": "1f43a",
            "unicode_alternates": "",
            "name": "wolf face",
            "shortname": ":wolf:",
            "category": "nature",
            "emoji_order": "231",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature"
            ]
        },
        "boar": {
            "unicode": "1f417",
            "unicode_alternates": "",
            "name": "boar",
            "shortname": ":boar:",
            "category": "nature",
            "emoji_order": "232",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "pig"
            ]
        },
        "horse": {
            "unicode": "1f434",
            "unicode_alternates": "",
            "name": "horse face",
            "shortname": ":horse:",
            "category": "nature",
            "emoji_order": "233",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "powerful",
                "draft",
                "colt",
                "filly",
                "mare",
                "stallion",
                "gelding",
                "yearling",
                "thoroughbred",
                "pony",
                "nature"
            ]
        },
        "unicorn": {
            "unicode": "1f984",
            "unicode_alternates": "",
            "name": "unicorn face",
            "shortname": ":unicorn:",
            "category": "nature",
            "emoji_order": "234",
            "aliases": [
                ":unicorn_face:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "bee": {
            "unicode": "1f41d",
            "unicode_alternates": "",
            "name": "honeybee",
            "shortname": ":bee:",
            "category": "nature",
            "emoji_order": "235",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "insect",
                "bee",
                "queen",
                "buzz",
                "flower",
                "pollen",
                "sting",
                "honey",
                "hive",
                "bumble",
                "pollination",
                "animal",
                "nature"
            ]
        },
        "bug": {
            "unicode": "1f41b",
            "unicode_alternates": "",
            "name": "bug",
            "shortname": ":bug:",
            "category": "nature",
            "emoji_order": "236",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "insect",
                "nature",
                "insect",
                "virus",
                "error",
                "animal"
            ]
        },
        "snail": {
            "unicode": "1f40c",
            "unicode_alternates": "",
            "name": "snail",
            "shortname": ":snail:",
            "category": "nature",
            "emoji_order": "237",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "shell",
                "slow",
                "slow",
                "escargot",
                "french",
                "appetizer",
                "nature"
            ]
        },
        "beetle": {
            "unicode": "1f41e",
            "unicode_alternates": "",
            "name": "lady beetle",
            "shortname": ":beetle:",
            "category": "nature",
            "emoji_order": "238",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "insect",
                "nature",
                "bug",
                "ladybug",
                "ladybird",
                "cow",
                "lady cow",
                "endearment",
                "animal",
                "lady beetle"
            ]
        },
        "ant": {
            "unicode": "1f41c",
            "unicode_alternates": "",
            "name": "ant",
            "shortname": ":ant:",
            "category": "nature",
            "emoji_order": "239",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "insect",
                "queen",
                "insect",
                "team",
                "animal",
                "nature"
            ]
        },
        "spider": {
            "unicode": "1f577",
            "unicode_alternates": "1f577-fe0f",
            "name": "spider",
            "shortname": ":spider:",
            "category": "nature",
            "emoji_order": "240",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arachnid",
                "eight-legged",
                "animal",
                "insect",
                "object"
            ]
        },
        "scorpion": {
            "unicode": "1f982",
            "unicode_alternates": "",
            "name": "scorpion",
            "shortname": ":scorpion:",
            "category": "nature",
            "emoji_order": "241",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "crab": {
            "unicode": "1f980",
            "unicode_alternates": "",
            "name": "crab",
            "shortname": ":crab:",
            "category": "nature",
            "emoji_order": "242",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "snake": {
            "unicode": "1f40d",
            "unicode_alternates": "",
            "name": "snake",
            "shortname": ":snake:",
            "category": "nature",
            "emoji_order": "243",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "evil",
                "bearer",
                "nature",
                "ophiuchus",
                "serpent",
                "zodiac"
            ]
        },
        "turtle": {
            "unicode": "1f422",
            "unicode_alternates": "",
            "name": "turtle",
            "shortname": ":turtle:",
            "category": "nature",
            "emoji_order": "244",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "slow",
                "shell",
                "tortoise",
                "chelonian",
                "reptile",
                "slow",
                "snap",
                "steady",
                "nature"
            ]
        },
        "tropical_fish": {
            "unicode": "1f420",
            "unicode_alternates": "",
            "name": "tropical fish",
            "shortname": ":tropical_fish:",
            "category": "nature",
            "emoji_order": "245",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature"
            ]
        },
        "fish": {
            "unicode": "1f41f",
            "unicode_alternates": "",
            "name": "fish",
            "shortname": ":fish:",
            "category": "nature",
            "emoji_order": "246",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "food",
                "nature",
                "pisces",
                "zodiac"
            ]
        },
        "blowfish": {
            "unicode": "1f421",
            "unicode_alternates": "",
            "name": "blowfish",
            "shortname": ":blowfish:",
            "category": "nature",
            "emoji_order": "247",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "nature",
                "pufferfish",
                "puffer",
                "ballonfish",
                "toadfish",
                "fugu fish",
                "sushi",
                "animal",
                "fish"
            ]
        },
        "dolphin": {
            "unicode": "1f42c",
            "unicode_alternates": "",
            "name": "dolphin",
            "shortname": ":dolphin:",
            "category": "nature",
            "emoji_order": "248",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "fins",
                "fish",
                "flipper",
                "nature",
                "ocean",
                "sea"
            ]
        },
        "whale": {
            "unicode": "1f433",
            "unicode_alternates": "",
            "name": "spouting whale",
            "shortname": ":whale:",
            "category": "nature",
            "emoji_order": "249",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "ocean",
                "sea",
                "face"
            ]
        },
        "whale2": {
            "unicode": "1f40b",
            "unicode_alternates": "",
            "name": "whale",
            "shortname": ":whale2:",
            "category": "nature",
            "emoji_order": "250",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "ocean",
                "sea",
                "blubber",
                "bloated",
                "fat",
                "large",
                "massive"
            ]
        },
        "crocodile": {
            "unicode": "1f40a",
            "unicode_alternates": "",
            "name": "crocodile",
            "shortname": ":crocodile:",
            "category": "nature",
            "emoji_order": "251",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "croc",
                "alligator",
                "gator",
                "cranky"
            ]
        },
        "leopard": {
            "unicode": "1f406",
            "unicode_alternates": "",
            "name": "leopard",
            "shortname": ":leopard:",
            "category": "nature",
            "emoji_order": "252",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "cat",
                "spot",
                "spotted",
                "sexy"
            ]
        },
        "tiger2": {
            "unicode": "1f405",
            "unicode_alternates": "",
            "name": "tiger",
            "shortname": ":tiger2:",
            "category": "nature",
            "emoji_order": "253",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "cat",
                "striped",
                "tony",
                "tigger",
                "hobs"
            ]
        },
        "water_buffalo": {
            "unicode": "1f403",
            "unicode_alternates": "",
            "name": "water buffalo",
            "shortname": ":water_buffalo:",
            "category": "nature",
            "emoji_order": "254",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "cow",
                "nature",
                "ox",
                "asia",
                "bovine"
            ]
        },
        "ox": {
            "unicode": "1f402",
            "unicode_alternates": "",
            "name": "ox",
            "shortname": ":ox:",
            "category": "nature",
            "emoji_order": "255",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "beef",
                "cow",
                "bull",
                "nature",
                "taurus",
                "zodiac"
            ]
        },
        "cow2": {
            "unicode": "1f404",
            "unicode_alternates": "",
            "name": "cow",
            "shortname": ":cow2:",
            "category": "nature",
            "emoji_order": "256",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "beef",
                "nature",
                "ox",
                "milk",
                "dairy",
                "beef",
                "bessie",
                "moo"
            ]
        },
        "dromedary_camel": {
            "unicode": "1f42a",
            "unicode_alternates": "",
            "name": "dromedary camel",
            "shortname": ":dromedary_camel:",
            "category": "nature",
            "emoji_order": "257",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "desert",
                "hot",
                "hump",
                "middle east",
                "heat",
                "water",
                "hump day",
                "wednesday",
                "sex",
                "nature"
            ]
        },
        "camel": {
            "unicode": "1f42b",
            "unicode_alternates": "",
            "name": "bactrian camel",
            "shortname": ":camel:",
            "category": "nature",
            "emoji_order": "258",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "hot",
                "nature",
                "hump",
                "desert",
                "central asia",
                "heat",
                "water",
                "hump day",
                "wednesday",
                "sex"
            ]
        },
        "elephant": {
            "unicode": "1f418",
            "unicode_alternates": "",
            "name": "elephant",
            "shortname": ":elephant:",
            "category": "nature",
            "emoji_order": "259",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "nose",
                "thailand"
            ]
        },
        "goat": {
            "unicode": "1f410",
            "unicode_alternates": "",
            "name": "goat",
            "shortname": ":goat:",
            "category": "nature",
            "emoji_order": "260",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "kid",
                "billy",
                "livestock",
                "capricorn",
                "zodiac"
            ]
        },
        "ram": {
            "unicode": "1f40f",
            "unicode_alternates": "",
            "name": "ram",
            "shortname": ":ram:",
            "category": "nature",
            "emoji_order": "261",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "sheep",
                "male",
                "horns",
                "aries",
                "zodiac"
            ]
        },
        "sheep": {
            "unicode": "1f411",
            "unicode_alternates": "",
            "name": "sheep",
            "shortname": ":sheep:",
            "category": "nature",
            "emoji_order": "262",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "wool",
                "flock",
                "follower",
                "ewe",
                "female",
                "lamb"
            ]
        },
        "racehorse": {
            "unicode": "1f40e",
            "unicode_alternates": "",
            "name": "horse",
            "shortname": ":racehorse:",
            "category": "nature",
            "emoji_order": "263",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "gamble",
                "powerful",
                "draft",
                "calvary",
                "cowboy",
                "cowgirl",
                "mounted",
                "race",
                "ride",
                "gallop",
                "trot",
                "colt",
                "filly",
                "mare",
                "stallion",
                "gelding",
                "yearling",
                "thoroughbred",
                "pony",
                "nature",
                "place",
                "racehorse",
                "racing"
            ]
        },
        "pig2": {
            "unicode": "1f416",
            "unicode_alternates": "",
            "name": "pig",
            "shortname": ":pig2:",
            "category": "nature",
            "emoji_order": "264",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "piggy",
                "pork",
                "ham",
                "hog",
                "bacon",
                "oink",
                "slop",
                "livestock",
                "greed",
                "greedy",
                "oink",
                "sow"
            ]
        },
        "rat": {
            "unicode": "1f400",
            "unicode_alternates": "",
            "name": "rat",
            "shortname": ":rat:",
            "category": "nature",
            "emoji_order": "265",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "mouse",
                "rodent",
                "crooked",
                "snitch",
                "nature"
            ]
        },
        "mouse2": {
            "unicode": "1f401",
            "unicode_alternates": "",
            "name": "mouse",
            "shortname": ":mouse2:",
            "category": "nature",
            "emoji_order": "266",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "mice",
                "rodent"
            ]
        },
        "rooster": {
            "unicode": "1f413",
            "unicode_alternates": "",
            "name": "rooster",
            "shortname": ":rooster:",
            "category": "nature",
            "emoji_order": "267",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "chicken",
                "nature",
                "cockerel",
                "cock",
                "male",
                "cock-a-doodle-doo",
                "crowing"
            ]
        },
        "turkey": {
            "unicode": "1f983",
            "unicode_alternates": "",
            "name": "turkey",
            "shortname": ":turkey:",
            "category": "nature",
            "emoji_order": "268",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "dove": {
            "unicode": "1f54a",
            "unicode_alternates": "1f54a-fe0f",
            "name": "dove of peace",
            "shortname": ":dove:",
            "category": "nature",
            "emoji_order": "269",
            "aliases": [
                ":dove_of_peace:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "symbol",
                "bird",
                "animal",
                "fly",
                "nature"
            ]
        },
        "dog2": {
            "unicode": "1f415",
            "unicode_alternates": "",
            "name": "dog",
            "shortname": ":dog2:",
            "category": "nature",
            "emoji_order": "270",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "friend",
                "nature",
                "pet",
                "puppy",
                "woof",
                "bark",
                "fido"
            ]
        },
        "poodle": {
            "unicode": "1f429",
            "unicode_alternates": "",
            "name": "poodle",
            "shortname": ":poodle:",
            "category": "nature",
            "emoji_order": "271",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "101",
                "animal",
                "dog",
                "nature",
                "showy",
                "sophisticated",
                "vain"
            ]
        },
        "cat2": {
            "unicode": "1f408",
            "unicode_alternates": "",
            "name": "cat",
            "shortname": ":cat2:",
            "category": "nature",
            "emoji_order": "272",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "meow",
                "pet",
                "kitten",
                "nature"
            ]
        },
        "rabbit2": {
            "unicode": "1f407",
            "unicode_alternates": "",
            "name": "rabbit",
            "shortname": ":rabbit2:",
            "category": "nature",
            "emoji_order": "273",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature",
                "bunny",
                "easter",
                "reproduction",
                "prolific",
                "pet"
            ]
        },
        "chipmunk": {
            "unicode": "1f43f",
            "unicode_alternates": "1f43f-fe0f",
            "name": "chipmunk",
            "shortname": ":chipmunk:",
            "category": "nature",
            "emoji_order": "274",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "nature"
            ]
        },
        "feet": {
            "unicode": "1f43e",
            "unicode_alternates": "",
            "name": "paw prints",
            "shortname": ":feet:",
            "category": "nature",
            "emoji_order": "275",
            "aliases": [
                ":paw_prints:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "pet",
                "tracking",
                "mark",
                "imprints",
                "footsteps",
                "lion",
                "bear",
                "dog",
                "cat",
                "raccoon",
                "critter",
                "feet",
                "nature",
                "print"
            ]
        },
        "dragon": {
            "unicode": "1f409",
            "unicode_alternates": "",
            "name": "dragon",
            "shortname": ":dragon:",
            "category": "nature",
            "emoji_order": "276",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "green",
                "myth",
                "nature",
                "dragon",
                "fire",
                "legendary",
                "myth",
                "animal",
                "fairy tale"
            ]
        },
        "dragon_face": {
            "unicode": "1f432",
            "unicode_alternates": "",
            "name": "dragon face",
            "shortname": ":dragon_face:",
            "category": "nature",
            "emoji_order": "277",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "green",
                "myth",
                "nature",
                "dragon",
                "head",
                "fire",
                "legendary",
                "myth",
                "animal",
                "fairy tale"
            ]
        },
        "cactus": {
            "unicode": "1f335",
            "unicode_alternates": "",
            "name": "cactus",
            "shortname": ":cactus:",
            "category": "nature",
            "emoji_order": "278",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "vegetable",
                "desert",
                "drought",
                "spike",
                "poke"
            ]
        },
        "christmas_tree": {
            "unicode": "1f384",
            "unicode_alternates": "",
            "name": "christmas tree",
            "shortname": ":christmas_tree:",
            "category": "nature",
            "emoji_order": "279",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "celebration",
                "december",
                "festival",
                "vacation",
                "xmas",
                "santa",
                "holiday",
                "winter",
                "evergreen",
                "ornaments",
                "jesus",
                "gifts",
                "presents",
                "activity",
                "entertainment",
                "object"
            ]
        },
        "evergreen_tree": {
            "unicode": "1f332",
            "unicode_alternates": "",
            "name": "evergreen tree",
            "shortname": ":evergreen_tree:",
            "category": "nature",
            "emoji_order": "280",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "needles",
                "christmas"
            ]
        },
        "deciduous_tree": {
            "unicode": "1f333",
            "unicode_alternates": "",
            "name": "deciduous tree",
            "shortname": ":deciduous_tree:",
            "category": "nature",
            "emoji_order": "281",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "leaves",
                "fall",
                "color",
                "shedding"
            ]
        },
        "palm_tree": {
            "unicode": "1f334",
            "unicode_alternates": "",
            "name": "palm tree",
            "shortname": ":palm_tree:",
            "category": "nature",
            "emoji_order": "282",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "coconuts",
                "fronds",
                "warm",
                "tropical"
            ]
        },
        "seedling": {
            "unicode": "1f331",
            "unicode_alternates": "",
            "name": "seedling",
            "shortname": ":seedling:",
            "category": "nature",
            "emoji_order": "283",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "grass",
                "lawn",
                "nature",
                "plant",
                "new",
                "start",
                "grow",
                "young"
            ]
        },
        "herb": {
            "unicode": "1f33f",
            "unicode_alternates": "",
            "name": "herb",
            "shortname": ":herb:",
            "category": "nature",
            "emoji_order": "284",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "grass",
                "lawn",
                "medicine",
                "plant",
                "vegetable",
                "weed",
                "spice",
                "plant",
                "cook",
                "cooking",
                "leaf",
                "nature"
            ]
        },
        "shamrock": {
            "unicode": "2618",
            "unicode_alternates": "2618-fe0f",
            "name": "shamrock",
            "shortname": ":shamrock:",
            "category": "nature",
            "emoji_order": "285",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant"
            ]
        },
        "four_leaf_clover": {
            "unicode": "1f340",
            "unicode_alternates": "",
            "name": "four leaf clover",
            "shortname": ":four_leaf_clover:",
            "category": "nature",
            "emoji_order": "286",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "lucky",
                "nature",
                "plant",
                "luck",
                "irish",
                "saint",
                "patrick",
                "green",
                "4"
            ]
        },
        "bamboo": {
            "unicode": "1f38d",
            "unicode_alternates": "",
            "name": "pine decoration",
            "shortname": ":bamboo:",
            "category": "nature",
            "emoji_order": "287",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "vegetable",
                "bamboo",
                "new",
                "years",
                "spirits",
                "harvest",
                "prosperity",
                "longevity",
                "fortune",
                "luck",
                "welcome",
                "farming",
                "agriculture",
                "activity",
                "celebration",
                "japanese",
                "object"
            ]
        },
        "tanabata_tree": {
            "unicode": "1f38b",
            "unicode_alternates": "",
            "name": "tanabata tree",
            "shortname": ":tanabata_tree:",
            "category": "nature",
            "emoji_order": "288",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "festival",
                "star",
                "wish",
                "holiday",
                "activity",
                "banner",
                "celebration",
                "entertainment",
                "japanese",
                "object"
            ]
        },
        "leaves": {
            "unicode": "1f343",
            "unicode_alternates": "",
            "name": "leaf fluttering in wind",
            "shortname": ":leaves:",
            "category": "nature",
            "emoji_order": "289",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "tree",
                "vegetable",
                "leaves",
                "float",
                "deciduous",
                "blow",
                "flutter"
            ]
        },
        "fallen_leaf": {
            "unicode": "1f342",
            "unicode_alternates": "",
            "name": "fallen leaf",
            "shortname": ":fallen_leaf:",
            "category": "nature",
            "emoji_order": "290",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "leaves",
                "nature",
                "plant",
                "vegetable",
                "fall",
                "color",
                "deciduous",
                "autumn",
                "falling"
            ]
        },
        "maple_leaf": {
            "unicode": "1f341",
            "unicode_alternates": "",
            "name": "maple leaf",
            "shortname": ":maple_leaf:",
            "category": "nature",
            "emoji_order": "291",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "canada",
                "nature",
                "plant",
                "syrup",
                "tree",
                "falling"
            ]
        },
        "ear_of_rice": {
            "unicode": "1f33e",
            "unicode_alternates": "",
            "name": "ear of rice",
            "shortname": ":ear_of_rice:",
            "category": "nature",
            "emoji_order": "292",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "food",
                "seed"
            ]
        },
        "hibiscus": {
            "unicode": "1f33a",
            "unicode_alternates": "",
            "name": "hibiscus",
            "shortname": ":hibiscus:",
            "category": "nature",
            "emoji_order": "293",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "plant",
                "hibiscus",
                "flower",
                "warm",
                "nature"
            ]
        },
        "sunflower": {
            "unicode": "1f33b",
            "unicode_alternates": "",
            "name": "sunflower",
            "shortname": ":sunflower:",
            "category": "nature",
            "emoji_order": "294",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "sun",
                "flower",
                "seeds",
                "yellow"
            ]
        },
        "rose": {
            "unicode": "1f339",
            "unicode_alternates": "",
            "name": "rose",
            "shortname": ":rose:",
            "category": "nature",
            "emoji_order": "295",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "love",
                "valentines",
                "fragrant",
                "flower",
                "thorns",
                "petals",
                "romance",
                "nature",
                "plant"
            ]
        },
        "tulip": {
            "unicode": "1f337",
            "unicode_alternates": "",
            "name": "tulip",
            "shortname": ":tulip:",
            "category": "nature",
            "emoji_order": "296",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "plant",
                "flower",
                "bulb",
                "spring",
                "easter"
            ]
        },
        "blossom": {
            "unicode": "1f33c",
            "unicode_alternates": "",
            "name": "blossom",
            "shortname": ":blossom:",
            "category": "nature",
            "emoji_order": "297",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "yellow",
                "daisy",
                "flower",
                "plant"
            ]
        },
        "cherry_blossom": {
            "unicode": "1f338",
            "unicode_alternates": "",
            "name": "cherry blossom",
            "shortname": ":cherry_blossom:",
            "category": "nature",
            "emoji_order": "298",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "flower",
                "nature",
                "plant",
                "tree"
            ]
        },
        "bouquet": {
            "unicode": "1f490",
            "unicode_alternates": "",
            "name": "bouquet",
            "shortname": ":bouquet:",
            "category": "nature",
            "emoji_order": "299",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "flowers",
                "nature",
                "flower",
                "object",
                "place",
                "plant",
                "romance"
            ]
        },
        "mushroom": {
            "unicode": "1f344",
            "unicode_alternates": "",
            "name": "mushroom",
            "shortname": ":mushroom:",
            "category": "nature",
            "emoji_order": "300",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "plant",
                "vegetable",
                "fungi",
                "food",
                "fungus",
                "shroom",
                "nature"
            ]
        },
        "chestnut": {
            "unicode": "1f330",
            "unicode_alternates": "",
            "name": "chestnut",
            "shortname": ":chestnut:",
            "category": "nature",
            "emoji_order": "301",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "squirrel",
                "chestnut",
                "roasted",
                "tree",
                "nature",
                "plant"
            ]
        },
        "jack_o_lantern": {
            "unicode": "1f383",
            "unicode_alternates": "",
            "name": "jack-o-lantern",
            "shortname": ":jack_o_lantern:",
            "category": "nature",
            "emoji_order": "302",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "halloween",
                "pumpkin",
                "holiday",
                "carve",
                "autumn",
                "fall",
                "october",
                "saints",
                "costume",
                "spooky",
                "horror",
                "scary",
                "scared",
                "dead",
                "activity",
                "celebration",
                "entertainment",
                "jack",
                "lantern",
                "object"
            ]
        },
        "shell": {
            "unicode": "1f41a",
            "unicode_alternates": "",
            "name": "spiral shell",
            "shortname": ":shell:",
            "category": "nature",
            "emoji_order": "303",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beach",
                "nature",
                "sea",
                "beach",
                "sand",
                "crab",
                "nautilus",
                "animal"
            ]
        },
        "spider_web": {
            "unicode": "1f578",
            "unicode_alternates": "1f578-fe0f",
            "name": "spider web",
            "shortname": ":spider_web:",
            "category": "nature",
            "emoji_order": "304",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cobweb",
                "animal",
                "object"
            ]
        },
        "earth_americas": {
            "unicode": "1f30e",
            "unicode_alternates": "",
            "name": "earth globe americas",
            "shortname": ":earth_americas:",
            "category": "nature",
            "emoji_order": "305",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "USA",
                "globe",
                "international",
                "world",
                "space",
                "planet",
                "north",
                "south",
                "nature",
                "place"
            ]
        },
        "earth_africa": {
            "unicode": "1f30d",
            "unicode_alternates": "",
            "name": "earth globe europe-africa",
            "shortname": ":earth_africa:",
            "category": "nature",
            "emoji_order": "306",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "globe",
                "international",
                "world",
                "space",
                "planet",
                "africa",
                "europe",
                "nature",
                "place"
            ]
        },
        "earth_asia": {
            "unicode": "1f30f",
            "unicode_alternates": "",
            "name": "earth globe asia-australia",
            "shortname": ":earth_asia:",
            "category": "nature",
            "emoji_order": "307",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "east",
                "globe",
                "international",
                "world",
                "space",
                "planet",
                "australia",
                "asia",
                "nature",
                "place"
            ]
        },
        "full_moon": {
            "unicode": "1f315",
            "unicode_alternates": "",
            "name": "full moon symbol",
            "shortname": ":full_moon:",
            "category": "nature",
            "emoji_order": "308",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "yellow",
                "sky",
                "night",
                "cheese",
                "phase",
                "spooky",
                "werewolves",
                "twilight",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "waning_gibbous_moon": {
            "unicode": "1f316",
            "unicode_alternates": "",
            "name": "waning gibbous moon symbol",
            "shortname": ":waning_gibbous_moon:",
            "category": "nature",
            "emoji_order": "309",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "sky",
                "night",
                "cheese",
                "phase",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "last_quarter_moon": {
            "unicode": "1f317",
            "unicode_alternates": "",
            "name": "last quarter moon symbol",
            "shortname": ":last_quarter_moon:",
            "category": "nature",
            "emoji_order": "310",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "sky",
                "night",
                "cheese",
                "phase",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "waning_crescent_moon": {
            "unicode": "1f318",
            "unicode_alternates": "",
            "name": "waning crescent moon symbol",
            "shortname": ":waning_crescent_moon:",
            "category": "nature",
            "emoji_order": "311",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "sky",
                "night",
                "cheese",
                "phase",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "new_moon": {
            "unicode": "1f311",
            "unicode_alternates": "",
            "name": "new moon symbol",
            "shortname": ":new_moon:",
            "category": "nature",
            "emoji_order": "312",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "sky",
                "night",
                "cheese",
                "phase",
                "dark",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "waxing_crescent_moon": {
            "unicode": "1f312",
            "unicode_alternates": "",
            "name": "waxing crescent moon symbol",
            "shortname": ":waxing_crescent_moon:",
            "category": "nature",
            "emoji_order": "313",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "sky",
                "night",
                "cheese",
                "phase",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "first_quarter_moon": {
            "unicode": "1f313",
            "unicode_alternates": "",
            "name": "first quarter moon symbol",
            "shortname": ":first_quarter_moon:",
            "category": "nature",
            "emoji_order": "314",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "sky",
                "night",
                "cheese",
                "phase",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "waxing_gibbous_moon": {
            "unicode": "1f314",
            "unicode_alternates": "",
            "name": "waxing gibbous moon symbol",
            "shortname": ":waxing_gibbous_moon:",
            "category": "nature",
            "emoji_order": "315",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "sky",
                "night",
                "cheese",
                "phase",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "new_moon_with_face": {
            "unicode": "1f31a",
            "unicode_alternates": "",
            "name": "new moon with face",
            "shortname": ":new_moon_with_face:",
            "category": "nature",
            "emoji_order": "316",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "anthropomorphic",
                "sky",
                "night",
                "cheese",
                "phase",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "full_moon_with_face": {
            "unicode": "1f31d",
            "unicode_alternates": "",
            "name": "full moon with face",
            "shortname": ":full_moon_with_face:",
            "category": "nature",
            "emoji_order": "317",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "night",
                "anthropomorphic",
                "sky",
                "night",
                "cheese",
                "phase",
                "spooky",
                "werewolves",
                "bright",
                "nature",
                "place",
                "space",
                "weather"
            ]
        },
        "first_quarter_moon_with_face": {
            "unicode": "1f31b",
            "unicode_alternates": "",
            "name": "first quarter moon with face",
            "shortname": ":first_quarter_moon_with_face:",
            "category": "nature",
            "emoji_order": "318",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "anthropomorphic",
                "sky",
                "night",
                "cheese",
                "phase",
                "crescent",
                "place",
                "space",
                "weather"
            ]
        },
        "last_quarter_moon_with_face": {
            "unicode": "1f31c",
            "unicode_alternates": "",
            "name": "last quarter moon with face",
            "shortname": ":last_quarter_moon_with_face:",
            "category": "nature",
            "emoji_order": "319",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "anthropomorphic",
                "sky",
                "night",
                "cheese",
                "phase",
                "crescent",
                "place",
                "space",
                "weather"
            ]
        },
        "sun_with_face": {
            "unicode": "1f31e",
            "unicode_alternates": "",
            "name": "sun with face",
            "shortname": ":sun_with_face:",
            "category": "nature",
            "emoji_order": "320",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "morning",
                "anthropomorphic",
                "sky",
                "sunny",
                "bright",
                "nature",
                "place",
                "space",
                "weather"
            ]
        },
        "crescent_moon": {
            "unicode": "1f319",
            "unicode_alternates": "",
            "name": "crescent moon",
            "shortname": ":crescent_moon:",
            "category": "nature",
            "emoji_order": "321",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "night",
                "waxing",
                "sky",
                "night",
                "cheese",
                "phase",
                "nature",
                "place",
                "space",
                "time",
                "weather"
            ]
        },
        "star": {
            "unicode": "2b50",
            "unicode_alternates": "2b50-fe0f",
            "name": "white medium star",
            "shortname": ":star:",
            "category": "nature",
            "emoji_order": "322",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "night",
                "yellow",
                "nature",
                "place"
            ]
        },
        "star2": {
            "unicode": "1f31f",
            "unicode_alternates": "",
            "name": "glowing star",
            "shortname": ":star2:",
            "category": "nature",
            "emoji_order": "323",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "night",
                "sparkle",
                "glow",
                "five",
                "points",
                "classic",
                "glittery",
                "object",
                "place",
                "shining"
            ]
        },
        "dizzy": {
            "unicode": "1f4ab",
            "unicode_alternates": "",
            "name": "dizzy symbol",
            "shortname": ":dizzy:",
            "category": "nature",
            "emoji_order": "324",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shoot",
                "sparkle",
                "star",
                "drunk",
                "sick",
                "intoxicated",
                "squeans",
                "starburst",
                "star",
                "comic",
                "emotion",
                "person"
            ]
        },
        "sparkles": {
            "unicode": "2728",
            "unicode_alternates": "",
            "name": "sparkles",
            "shortname": ":sparkles:",
            "category": "nature",
            "emoji_order": "325",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cool",
                "shine",
                "shiny",
                "stars",
                "emotion",
                "entertainment",
                "object",
                "sign",
                "sparkle",
                "star"
            ]
        },
        "comet": {
            "unicode": "2604",
            "unicode_alternates": "2604-fe0f",
            "name": "comet",
            "shortname": ":comet:",
            "category": "nature",
            "emoji_order": "326",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "object",
                "space"
            ]
        },
        "sunny": {
            "unicode": "2600",
            "unicode_alternates": "2600-fe0f",
            "name": "black sun with rays",
            "shortname": ":sunny:",
            "category": "nature",
            "emoji_order": "327",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "brightness",
                "weather",
                "sunny",
                "bright",
                "nature",
                "space"
            ]
        },
        "white_sun_small_cloud": {
            "unicode": "1f324",
            "unicode_alternates": "1f324-fe0f",
            "name": "white sun with small cloud",
            "shortname": ":white_sun_small_cloud:",
            "category": "nature",
            "emoji_order": "328",
            "aliases": [
                ":white_sun_with_small_cloud:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "weather"
            ]
        },
        "partly_sunny": {
            "unicode": "26c5",
            "unicode_alternates": "26c5-fe0f",
            "name": "sun behind cloud",
            "shortname": ":partly_sunny:",
            "category": "nature",
            "emoji_order": "329",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "weather",
                "partly",
                "sunny"
            ]
        },
        "white_sun_cloud": {
            "unicode": "1f325",
            "unicode_alternates": "1f325-fe0f",
            "name": "white sun behind cloud",
            "shortname": ":white_sun_cloud:",
            "category": "nature",
            "emoji_order": "330",
            "aliases": [
                ":white_sun_behind_cloud:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "weather"
            ]
        },
        "white_sun_rain_cloud": {
            "unicode": "1f326",
            "unicode_alternates": "1f326-fe0f",
            "name": "white sun behind cloud with rain",
            "shortname": ":white_sun_rain_cloud:",
            "category": "nature",
            "emoji_order": "331",
            "aliases": [
                ":white_sun_behind_cloud_with_rain:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "weather"
            ]
        },
        "cloud": {
            "unicode": "2601",
            "unicode_alternates": "2601-fe0f",
            "name": "cloud",
            "shortname": ":cloud:",
            "category": "nature",
            "emoji_order": "332",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sky",
                "weather",
                "overcast",
                "nature"
            ]
        },
        "cloud_rain": {
            "unicode": "1f327",
            "unicode_alternates": "1f327-fe0f",
            "name": "cloud with rain",
            "shortname": ":cloud_rain:",
            "category": "nature",
            "emoji_order": "333",
            "aliases": [
                ":cloud_with_rain:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "weather",
                "wet",
                "nature"
            ]
        },
        "thunder_cloud_rain": {
            "unicode": "26c8",
            "unicode_alternates": "26c8-fe0f",
            "name": "thunder cloud and rain",
            "shortname": ":thunder_cloud_rain:",
            "category": "nature",
            "emoji_order": "334",
            "aliases": [
                ":thunder_cloud_and_rain:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "weather"
            ]
        },
        "cloud_lightning": {
            "unicode": "1f329",
            "unicode_alternates": "1f329-fe0f",
            "name": "cloud with lightning",
            "shortname": ":cloud_lightning:",
            "category": "nature",
            "emoji_order": "335",
            "aliases": [
                ":cloud_with_lightning:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "weather",
                "thunder",
                "nature"
            ]
        },
        "zap": {
            "unicode": "26a1",
            "unicode_alternates": "26a1-fe0f",
            "name": "high voltage sign",
            "shortname": ":zap:",
            "category": "nature",
            "emoji_order": "336",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "lightning bolt",
                "thunder",
                "weather",
                "zap",
                "danger",
                "electric",
                "electricity",
                "lightning",
                "nature",
                "symbol"
            ]
        },
        "fire": {
            "unicode": "1f525",
            "unicode_alternates": "",
            "name": "fire",
            "shortname": ":fire:",
            "category": "nature",
            "emoji_order": "337",
            "aliases": [
                ":flame:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cook",
                "hot",
                "flame",
                "object",
                "tool"
            ]
        },
        "boom": {
            "unicode": "1f4a5",
            "unicode_alternates": "",
            "name": "collision symbol",
            "shortname": ":boom:",
            "category": "nature",
            "emoji_order": "338",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bomb",
                "explode",
                "explosion",
                "boom",
                "bang",
                "fire",
                "emphasis",
                "wow",
                "bam",
                "comic",
                "emotion",
                "person"
            ]
        },
        "snowflake": {
            "unicode": "2744",
            "unicode_alternates": "2744-fe0f",
            "name": "snowflake",
            "shortname": ":snowflake:",
            "category": "nature",
            "emoji_order": "339",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "christmas",
                "season",
                "weather",
                "winter",
                "xmas",
                "snow",
                "frozen",
                "droplet",
                "ice",
                "crystal",
                "cold",
                "chilly",
                "unique",
                "special",
                "below zero",
                "elsa",
                "nature"
            ]
        },
        "cloud_snow": {
            "unicode": "1f328",
            "unicode_alternates": "1f328-fe0f",
            "name": "cloud with snow",
            "shortname": ":cloud_snow:",
            "category": "nature",
            "emoji_order": "340",
            "aliases": [
                ":cloud_with_snow:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "weather",
                "cold",
                "nature"
            ]
        },
        "snowman2": {
            "unicode": "2603",
            "unicode_alternates": "2603-fe0f",
            "name": "snowman",
            "shortname": ":snowman2:",
            "category": "nature",
            "emoji_order": "341",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cold",
                "nature",
                "snow",
                "weather"
            ]
        },
        "snowman": {
            "unicode": "26c4",
            "unicode_alternates": "26c4-fe0f",
            "name": "snowman without snow",
            "shortname": ":snowman:",
            "category": "nature",
            "emoji_order": "342",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "christmas",
                "cold",
                "season",
                "weather",
                "winter",
                "xmas",
                "nature"
            ]
        },
        "wind_blowing_face": {
            "unicode": "1f32c",
            "unicode_alternates": "1f32c-fe0f",
            "name": "wind blowing face",
            "shortname": ":wind_blowing_face:",
            "category": "nature",
            "emoji_order": "343",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mother",
                "nature",
                "blow",
                "cloud",
                "weather"
            ]
        },
        "dash": {
            "unicode": "1f4a8",
            "unicode_alternates": "",
            "name": "dash symbol",
            "shortname": ":dash:",
            "category": "nature",
            "emoji_order": "344",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "air",
                "fast",
                "shoo",
                "wind",
                "comic",
                "emotion",
                "object",
                "person",
                "running"
            ]
        },
        "cloud_tornado": {
            "unicode": "1f32a",
            "unicode_alternates": "1f32a-fe0f",
            "name": "cloud with tornado",
            "shortname": ":cloud_tornado:",
            "category": "nature",
            "emoji_order": "345",
            "aliases": [
                ":cloud_with_tornado:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "weather",
                "destruction",
                "funnel",
                "nature"
            ]
        },
        "fog": {
            "unicode": "1f32b",
            "unicode_alternates": "1f32b-fe0f",
            "name": "fog",
            "shortname": ":fog:",
            "category": "nature",
            "emoji_order": "346",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "weather",
                "damp",
                "cloud",
                "hazy",
                "nature"
            ]
        },
        "umbrella2": {
            "unicode": "2602",
            "unicode_alternates": "2602-fe0f",
            "name": "umbrella",
            "shortname": ":umbrella2:",
            "category": "nature",
            "emoji_order": "347",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "clothing",
                "nature",
                "rain",
                "weather"
            ]
        },
        "umbrella": {
            "unicode": "2614",
            "unicode_alternates": "2614-fe0f",
            "name": "umbrella with rain drops",
            "shortname": ":umbrella:",
            "category": "nature",
            "emoji_order": "348",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "rain",
                "weather",
                "clothing",
                "drop",
                "nature"
            ]
        },
        "droplet": {
            "unicode": "1f4a7",
            "unicode_alternates": "",
            "name": "droplet",
            "shortname": ":droplet:",
            "category": "nature",
            "emoji_order": "349",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "drip",
                "faucet",
                "water",
                "drop",
                "h20",
                "aqua",
                "tear",
                "sweat",
                "rain",
                "moisture",
                "wet",
                "moist",
                "spit",
                "cold",
                "comic",
                "emotion",
                "nature",
                "object",
                "person",
                "weather"
            ]
        },
        "sweat_drops": {
            "unicode": "1f4a6",
            "unicode_alternates": "",
            "name": "splashing sweat symbol",
            "shortname": ":sweat_drops:",
            "category": "nature",
            "emoji_order": "350",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "water",
                "drops",
                "comic",
                "emotion",
                "object",
                "person"
            ]
        },
        "ocean": {
            "unicode": "1f30a",
            "unicode_alternates": "",
            "name": "water wave",
            "shortname": ":ocean:",
            "category": "nature",
            "emoji_order": "351",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sea",
                "ocean",
                "surf",
                "beach",
                "tide",
                "nature",
                "place",
                "weather"
            ]
        },
        "green_apple": {
            "unicode": "1f34f",
            "unicode_alternates": "",
            "name": "green apple",
            "shortname": ":green_apple:",
            "category": "food",
            "emoji_order": "352",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fruit",
                "nature",
                "fruit",
                "pie",
                "granny",
                "smith",
                "core",
                "food",
                "object",
                "plant"
            ]
        },
        "apple": {
            "unicode": "1f34e",
            "unicode_alternates": "",
            "name": "red apple",
            "shortname": ":apple:",
            "category": "food",
            "emoji_order": "353",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fruit",
                "mac",
                "electronics",
                "doctor",
                "teacher",
                "school",
                "core",
                "pie",
                "food",
                "nature",
                "object",
                "plant"
            ]
        },
        "pear": {
            "unicode": "1f350",
            "unicode_alternates": "",
            "name": "pear",
            "shortname": ":pear:",
            "category": "food",
            "emoji_order": "354",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fruit",
                "nature",
                "shape",
                "food",
                "object",
                "plant"
            ]
        },
        "tangerine": {
            "unicode": "1f34a",
            "unicode_alternates": "",
            "name": "tangerine",
            "shortname": ":tangerine:",
            "category": "food",
            "emoji_order": "355",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "nature",
                "citrus",
                "orange",
                "object",
                "plant"
            ]
        },
        "lemon": {
            "unicode": "1f34b",
            "unicode_alternates": "",
            "name": "lemon",
            "shortname": ":lemon:",
            "category": "food",
            "emoji_order": "356",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fruit",
                "nature",
                "yellow",
                "citrus",
                "food",
                "object",
                "plant"
            ]
        },
        "banana": {
            "unicode": "1f34c",
            "unicode_alternates": "",
            "name": "banana",
            "shortname": ":banana:",
            "category": "food",
            "emoji_order": "357",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "peel",
                "bunch",
                "nature",
                "object",
                "plant"
            ]
        },
        "watermelon": {
            "unicode": "1f349",
            "unicode_alternates": "",
            "name": "watermelon",
            "shortname": ":watermelon:",
            "category": "food",
            "emoji_order": "358",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "melon",
                "summer",
                "large",
                "nature",
                "object",
                "plant"
            ]
        },
        "grapes": {
            "unicode": "1f347",
            "unicode_alternates": "",
            "name": "grapes",
            "shortname": ":grapes:",
            "category": "food",
            "emoji_order": "359",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "wine",
                "vinegar",
                "vine",
                "grape",
                "nature",
                "object",
                "plant"
            ]
        },
        "strawberry": {
            "unicode": "1f353",
            "unicode_alternates": "",
            "name": "strawberry",
            "shortname": ":strawberry:",
            "category": "food",
            "emoji_order": "360",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "nature",
                "shortcake",
                "berry",
                "object",
                "plant"
            ]
        },
        "melon": {
            "unicode": "1f348",
            "unicode_alternates": "",
            "name": "melon",
            "shortname": ":melon:",
            "category": "food",
            "emoji_order": "361",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "nature",
                "cantaloupe",
                "honeydew",
                "object",
                "plant"
            ]
        },
        "cherries": {
            "unicode": "1f352",
            "unicode_alternates": "",
            "name": "cherries",
            "shortname": ":cherries:",
            "category": "food",
            "emoji_order": "362",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "cherry",
                "tree",
                "pit",
                "nature",
                "object",
                "plant"
            ]
        },
        "peach": {
            "unicode": "1f351",
            "unicode_alternates": "",
            "name": "peach",
            "shortname": ":peach:",
            "category": "food",
            "emoji_order": "363",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "nature",
                "juicy",
                "pit",
                "object",
                "plant"
            ]
        },
        "pineapple": {
            "unicode": "1f34d",
            "unicode_alternates": "",
            "name": "pineapple",
            "shortname": ":pineapple:",
            "category": "food",
            "emoji_order": "364",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "nature",
                "pina",
                "tropical",
                "flower",
                "object",
                "plant"
            ]
        },
        "tomato": {
            "unicode": "1f345",
            "unicode_alternates": "",
            "name": "tomato",
            "shortname": ":tomato:",
            "category": "food",
            "emoji_order": "365",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "fruit",
                "nature",
                "vegetable",
                "sauce",
                "italian",
                "object",
                "plant"
            ]
        },
        "eggplant": {
            "unicode": "1f346",
            "unicode_alternates": "",
            "name": "aubergine",
            "shortname": ":eggplant:",
            "category": "food",
            "emoji_order": "366",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "nature",
                "vegetable",
                "eggplant",
                "purple",
                "penis",
                "object",
                "plant"
            ]
        },
        "hot_pepper": {
            "unicode": "1f336",
            "unicode_alternates": "1f336-fe0f",
            "name": "hot pepper",
            "shortname": ":hot_pepper:",
            "category": "food",
            "emoji_order": "367",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "nature",
                "spicy",
                "chili",
                "cayenne",
                "habanero",
                "jalapeno",
                "plant"
            ]
        },
        "corn": {
            "unicode": "1f33d",
            "unicode_alternates": "",
            "name": "ear of maize",
            "shortname": ":corn:",
            "category": "food",
            "emoji_order": "368",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "plant",
                "vegetable",
                "corn",
                "iowa",
                "kernel",
                "popcorn",
                "husk",
                "yellow",
                "stalk",
                "cob",
                "maze",
                "nature",
                "object"
            ]
        },
        "sweet_potato": {
            "unicode": "1f360",
            "unicode_alternates": "",
            "name": "roasted sweet potato",
            "shortname": ":sweet_potato:",
            "category": "food",
            "emoji_order": "369",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "nature",
                "potassium",
                "starch",
                "object",
                "restaurant"
            ]
        },
        "honey_pot": {
            "unicode": "1f36f",
            "unicode_alternates": "",
            "name": "honey pot",
            "shortname": ":honey_pot:",
            "category": "food",
            "emoji_order": "370",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bees",
                "sweet",
                "pooh",
                "bear",
                "food",
                "honeypot",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "bread": {
            "unicode": "1f35e",
            "unicode_alternates": "",
            "name": "bread",
            "shortname": ":bread:",
            "category": "food",
            "emoji_order": "371",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "toast",
                "wheat",
                "loaf",
                "yeast",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "cheese": {
            "unicode": "1f9c0",
            "unicode_alternates": "",
            "name": "cheese wedge",
            "shortname": ":cheese:",
            "category": "food",
            "emoji_order": "372",
            "aliases": [
                ":cheese_wedge:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "poultry_leg": {
            "unicode": "1f357",
            "unicode_alternates": "",
            "name": "poultry leg",
            "shortname": ":poultry_leg:",
            "category": "food",
            "emoji_order": "373",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "meat",
                "chicken",
                "fried",
                "bone",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "meat_on_bone": {
            "unicode": "1f356",
            "unicode_alternates": "",
            "name": "meat on bone",
            "shortname": ":meat_on_bone:",
            "category": "food",
            "emoji_order": "374",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "animal",
                "cooked",
                "mutton",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "fried_shrimp": {
            "unicode": "1f364",
            "unicode_alternates": "",
            "name": "fried shrimp",
            "shortname": ":fried_shrimp:",
            "category": "food",
            "emoji_order": "375",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "food",
                "seafood",
                "small",
                "fish",
                "nature",
                "object",
                "prawn",
                "restaurant",
                "tempura"
            ]
        },
        "egg": {
            "unicode": "1f373",
            "unicode_alternates": "",
            "name": "cooking",
            "shortname": ":egg:",
            "category": "food",
            "emoji_order": "376",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "breakfast",
                "food",
                "egg",
                "fry",
                "pan",
                "flat",
                "cook",
                "frying",
                "utensil",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "hamburger": {
            "unicode": "1f354",
            "unicode_alternates": "",
            "name": "hamburger",
            "shortname": ":hamburger:",
            "category": "food",
            "emoji_order": "377",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "meat",
                "burger",
                "cow",
                "beef",
                "angus",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "fries": {
            "unicode": "1f35f",
            "unicode_alternates": "",
            "name": "french fries",
            "shortname": ":fries:",
            "category": "food",
            "emoji_order": "378",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chips",
                "food",
                "potato",
                "fry",
                "russet",
                "idaho",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "hotdog": {
            "unicode": "1f32d",
            "unicode_alternates": "",
            "name": "hot dog",
            "shortname": ":hotdog:",
            "category": "food",
            "emoji_order": "379",
            "aliases": [
                ":hot_dog:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "pizza": {
            "unicode": "1f355",
            "unicode_alternates": "",
            "name": "slice of pizza",
            "shortname": ":pizza:",
            "category": "food",
            "emoji_order": "380",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "party",
                "pie",
                "new york",
                "italian",
                "italy",
                "pepperoni",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "spaghetti": {
            "unicode": "1f35d",
            "unicode_alternates": "",
            "name": "spaghetti",
            "shortname": ":spaghetti:",
            "category": "food",
            "emoji_order": "381",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "italian",
                "noodle",
                "noodles",
                "tomato",
                "sauce",
                "nature",
                "object",
                "pasta",
                "restaurant"
            ]
        },
        "taco": {
            "unicode": "1f32e",
            "unicode_alternates": "",
            "name": "taco",
            "shortname": ":taco:",
            "category": "food",
            "emoji_order": "382",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "burrito": {
            "unicode": "1f32f",
            "unicode_alternates": "",
            "name": "burrito",
            "shortname": ":burrito:",
            "category": "food",
            "emoji_order": "383",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "ramen": {
            "unicode": "1f35c",
            "unicode_alternates": "",
            "name": "steaming bowl",
            "shortname": ":ramen:",
            "category": "food",
            "emoji_order": "384",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chopsticks",
                "food",
                "japanese",
                "noodle",
                "ramen",
                "noodles",
                "soup",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "stew": {
            "unicode": "1f372",
            "unicode_alternates": "",
            "name": "pot of food",
            "shortname": ":stew:",
            "category": "food",
            "emoji_order": "385",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "meat",
                "stew",
                "hearty",
                "soup",
                "thick",
                "hot",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "fish_cake": {
            "unicode": "1f365",
            "unicode_alternates": "",
            "name": "fish cake with swirl design",
            "shortname": ":fish_cake:",
            "category": "food",
            "emoji_order": "386",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "kamboko",
                "ramen",
                "noodles",
                "naruto",
                "nature",
                "object",
                "pastry",
                "restaurant"
            ]
        },
        "sushi": {
            "unicode": "1f363",
            "unicode_alternates": "",
            "name": "sushi",
            "shortname": ":sushi:",
            "category": "food",
            "emoji_order": "387",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "japanese",
                "fish",
                "raw",
                "nigiri",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "bento": {
            "unicode": "1f371",
            "unicode_alternates": "",
            "name": "bento box",
            "shortname": ":bento:",
            "category": "food",
            "emoji_order": "388",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "japanese",
                "rice",
                "meal",
                "obento",
                "convenient",
                "lunchbox",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "curry": {
            "unicode": "1f35b",
            "unicode_alternates": "",
            "name": "curry and rice",
            "shortname": ":curry:",
            "category": "food",
            "emoji_order": "389",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "hot",
                "indian",
                "spicy",
                "spice",
                "flavor",
                "meal",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "rice_ball": {
            "unicode": "1f359",
            "unicode_alternates": "",
            "name": "rice ball",
            "shortname": ":rice_ball:",
            "category": "food",
            "emoji_order": "390",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "japanese",
                "white",
                "nori",
                "seaweed",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "rice": {
            "unicode": "1f35a",
            "unicode_alternates": "",
            "name": "cooked rice",
            "shortname": ":rice:",
            "category": "food",
            "emoji_order": "391",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "white",
                "grain",
                "bowl",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "rice_cracker": {
            "unicode": "1f358",
            "unicode_alternates": "",
            "name": "rice cracker",
            "shortname": ":rice_cracker:",
            "category": "food",
            "emoji_order": "392",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "japanese",
                "seaweed",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "oden": {
            "unicode": "1f362",
            "unicode_alternates": "",
            "name": "oden",
            "shortname": ":oden:",
            "category": "food",
            "emoji_order": "393",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "japanese",
                "seafood",
                "casserole",
                "stew",
                "kebab",
                "nature",
                "object",
                "restaurant",
                "skewer",
                "stick"
            ]
        },
        "dango": {
            "unicode": "1f361",
            "unicode_alternates": "",
            "name": "dango",
            "shortname": ":dango:",
            "category": "food",
            "emoji_order": "394",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "japanese",
                "dumpling",
                "mochi",
                "balls",
                "skewer",
                "dessert",
                "nature",
                "object",
                "restaurant",
                "stick",
                "sweet"
            ]
        },
        "shaved_ice": {
            "unicode": "1f367",
            "unicode_alternates": "",
            "name": "shaved ice",
            "shortname": ":shaved_ice:",
            "category": "food",
            "emoji_order": "395",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "desert",
                "dessert",
                "treat",
                "syrup",
                "flavoring",
                "food",
                "nature",
                "object",
                "restaurant",
                "sweet"
            ]
        },
        "ice_cream": {
            "unicode": "1f368",
            "unicode_alternates": "",
            "name": "ice cream",
            "shortname": ":ice_cream:",
            "category": "food",
            "emoji_order": "396",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "desert",
                "food",
                "icecream",
                "dairy",
                "dessert",
                "cold",
                "soft",
                "serve",
                "cone",
                "waffle",
                "nature",
                "object",
                "restaurant",
                "sweet"
            ]
        },
        "icecream": {
            "unicode": "1f366",
            "unicode_alternates": "",
            "name": "soft ice cream",
            "shortname": ":icecream:",
            "category": "food",
            "emoji_order": "397",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "desert",
                "food",
                "icecream",
                "dairy",
                "dessert",
                "cold",
                "serve",
                "cone",
                "yogurt",
                "nature",
                "object",
                "restaurant",
                "sweet"
            ]
        },
        "cake": {
            "unicode": "1f370",
            "unicode_alternates": "",
            "name": "shortcake",
            "shortname": ":cake:",
            "category": "food",
            "emoji_order": "398",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "desert",
                "food",
                "cake",
                "short",
                "dessert",
                "strawberry",
                "nature",
                "object",
                "pastry",
                "restaurant",
                "slice",
                "sweet"
            ]
        },
        "birthday": {
            "unicode": "1f382",
            "unicode_alternates": "",
            "name": "birthday cake",
            "shortname": ":birthday:",
            "category": "food",
            "emoji_order": "399",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "party",
                "birth",
                "dessert",
                "wish",
                "celebrate",
                "celebration",
                "food",
                "object",
                "pastry",
                "sweet"
            ]
        },
        "custard": {
            "unicode": "1f36e",
            "unicode_alternates": "",
            "name": "custard",
            "shortname": ":custard:",
            "category": "food",
            "emoji_order": "400",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "desert",
                "food",
                "cream",
                "rich",
                "butter",
                "dessert",
                "cr\u00e8me",
                "br\u00fbl\u00e9e",
                "french",
                "nature",
                "object",
                "pudding",
                "restaurant",
                "sweet"
            ]
        },
        "candy": {
            "unicode": "1f36c",
            "unicode_alternates": "",
            "name": "candy",
            "shortname": ":candy:",
            "category": "food",
            "emoji_order": "401",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dessert",
                "snack",
                "sugar",
                "sweet",
                "hard",
                "food",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "lollipop": {
            "unicode": "1f36d",
            "unicode_alternates": "",
            "name": "lollipop",
            "shortname": ":lollipop:",
            "category": "food",
            "emoji_order": "402",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "candy",
                "food",
                "snack",
                "sweet",
                "stick",
                "lick",
                "sugar",
                "dessert",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "chocolate_bar": {
            "unicode": "1f36b",
            "unicode_alternates": "",
            "name": "chocolate bar",
            "shortname": ":chocolate_bar:",
            "category": "food",
            "emoji_order": "403",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dessert",
                "food",
                "snack",
                "candy",
                "coca",
                "hershey&#039;s",
                "nature",
                "object",
                "restaurant",
                "sweet"
            ]
        },
        "popcorn": {
            "unicode": "1f37f",
            "unicode_alternates": "",
            "name": "popcorn",
            "shortname": ":popcorn:",
            "category": "food",
            "emoji_order": "404",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "doughnut": {
            "unicode": "1f369",
            "unicode_alternates": "",
            "name": "doughnut",
            "shortname": ":doughnut:",
            "category": "food",
            "emoji_order": "405",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "desert",
                "food",
                "snack",
                "sweet",
                "donut",
                "pastry",
                "fried",
                "dessert",
                "breakfast",
                "police",
                "homer",
                "sweet",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "cookie": {
            "unicode": "1f36a",
            "unicode_alternates": "",
            "name": "cookie",
            "shortname": ":cookie:",
            "category": "food",
            "emoji_order": "406",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chocolate",
                "food",
                "oreo",
                "snack",
                "dessert",
                "biscuit",
                "sweet",
                "chocolate",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "beer": {
            "unicode": "1f37a",
            "unicode_alternates": "",
            "name": "beer mug",
            "shortname": ":beer:",
            "category": "food",
            "emoji_order": "407",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beverage",
                "drink",
                "drunk",
                "party",
                "pub",
                "relax",
                "hops",
                "barley",
                "malt",
                "yeast",
                "portland",
                "oregon",
                "brewery",
                "micro",
                "pint",
                "boot",
                "bar",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "beers": {
            "unicode": "1f37b",
            "unicode_alternates": "",
            "name": "clinking beer mugs",
            "shortname": ":beers:",
            "category": "food",
            "emoji_order": "408",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beverage",
                "drink",
                "drunk",
                "party",
                "pub",
                "relax",
                "cheers",
                "toast",
                "celebrate",
                "bar",
                "jolly",
                "hops",
                "clink",
                "mug",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "wine_glass": {
            "unicode": "1f377",
            "unicode_alternates": "",
            "name": "wine glass",
            "shortname": ":wine_glass:",
            "category": "food",
            "emoji_order": "409",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alcohol",
                "beverage",
                "booze",
                "bottle",
                "drink",
                "drunk",
                "fermented",
                "grapes",
                "tasting",
                "winery",
                "bar",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "cocktail": {
            "unicode": "1f378",
            "unicode_alternates": "",
            "name": "cocktail glass",
            "shortname": ":cocktail:",
            "category": "food",
            "emoji_order": "410",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alcohol",
                "beverage",
                "drink",
                "drunk",
                "mixed",
                "martini",
                "bar",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "tropical_drink": {
            "unicode": "1f379",
            "unicode_alternates": "",
            "name": "tropical drink",
            "shortname": ":tropical_drink:",
            "category": "food",
            "emoji_order": "411",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beverage",
                "mixed",
                "pineapple",
                "coconut",
                "pina",
                "fruit",
                "umbrella",
                "bar",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "champagne": {
            "unicode": "1f37e",
            "unicode_alternates": "",
            "name": "bottle with popping cork",
            "shortname": ":champagne:",
            "category": "food",
            "emoji_order": "412",
            "aliases": [
                ":bottle_with_popping_cork:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "sake": {
            "unicode": "1f376",
            "unicode_alternates": "",
            "name": "sake bottle and cup",
            "shortname": ":sake:",
            "category": "food",
            "emoji_order": "413",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beverage",
                "drink",
                "drunk",
                "wine",
                "rice",
                "ferment",
                "alcohol",
                "japanese",
                "bar",
                "nature",
                "object",
                "restaurant"
            ]
        },
        "tea": {
            "unicode": "1f375",
            "unicode_alternates": "",
            "name": "teacup without handle",
            "shortname": ":tea:",
            "category": "food",
            "emoji_order": "414",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bowl",
                "breakfast",
                "british",
                "drink",
                "green",
                "tea",
                "leaf",
                "hot",
                "beverage",
                "cup",
                "nature",
                "object"
            ]
        },
        "coffee": {
            "unicode": "2615",
            "unicode_alternates": "2615-fe0f",
            "name": "hot beverage",
            "shortname": ":coffee:",
            "category": "food",
            "emoji_order": "415",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beverage",
                "cafe",
                "drink",
                "espresso",
                "coffee",
                "nature",
                "object",
                "steaming",
                "tea"
            ]
        },
        "baby_bottle": {
            "unicode": "1f37c",
            "unicode_alternates": "",
            "name": "baby bottle",
            "shortname": ":baby_bottle:",
            "category": "food",
            "emoji_order": "416",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "container",
                "food",
                "milk",
                "mother",
                "nipple",
                "newborn",
                "formula",
                "drink",
                "nature",
                "object"
            ]
        },
        "fork_and_knife": {
            "unicode": "1f374",
            "unicode_alternates": "",
            "name": "fork and knife",
            "shortname": ":fork_and_knife:",
            "category": "food",
            "emoji_order": "417",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cutlery",
                "kitchen",
                "restaurant",
                "meal",
                "food",
                "eat",
                "utensils",
                "cooking",
                "nature",
                "object"
            ]
        },
        "fork_knife_plate": {
            "unicode": "1f37d",
            "unicode_alternates": "1f37d-fe0f",
            "name": "fork and knife with plate",
            "shortname": ":fork_knife_plate:",
            "category": "food",
            "emoji_order": "418",
            "aliases": [
                ":fork_and_knife_with_plate:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "meal",
                "food",
                "breakfast",
                "lunch",
                "dinner",
                "utensils",
                "setting",
                "cooking",
                "object",
                "place",
                "restaurant"
            ]
        },
        "soccer": {
            "unicode": "26bd",
            "unicode_alternates": "26bd-fe0f",
            "name": "soccer ball",
            "shortname": ":soccer:",
            "category": "activity",
            "emoji_order": "419",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "fifa",
                "football",
                "european",
                "object",
                "place"
            ]
        },
        "basketball": {
            "unicode": "1f3c0",
            "unicode_alternates": "",
            "name": "basketball and hoop",
            "shortname": ":basketball:",
            "category": "activity",
            "emoji_order": "420",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "NBA",
                "ball",
                "sport",
                "bball",
                "dribble",
                "net",
                "swish",
                "rip city",
                "court",
                "object",
                "place"
            ]
        },
        "football": {
            "unicode": "1f3c8",
            "unicode_alternates": "",
            "name": "american football",
            "shortname": ":football:",
            "category": "activity",
            "emoji_order": "421",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "NFL",
                "sport",
                "ball",
                "america",
                "object",
                "place"
            ]
        },
        "baseball": {
            "unicode": "26be",
            "unicode_alternates": "26be-fe0f",
            "name": "baseball",
            "shortname": ":baseball:",
            "category": "activity",
            "emoji_order": "422",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "MLB",
                "ball",
                "sport",
                "pitch",
                "object",
                "place"
            ]
        },
        "tennis": {
            "unicode": "1f3be",
            "unicode_alternates": "",
            "name": "tennis racquet and ball",
            "shortname": ":tennis:",
            "category": "activity",
            "emoji_order": "423",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ball",
                "green",
                "sport",
                "racket",
                "game",
                "net",
                "court",
                "love",
                "object",
                "place"
            ]
        },
        "volleyball": {
            "unicode": "1f3d0",
            "unicode_alternates": "",
            "name": "volleyball",
            "shortname": ":volleyball:",
            "category": "activity",
            "emoji_order": "424",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "rugby_football": {
            "unicode": "1f3c9",
            "unicode_alternates": "",
            "name": "rugby football",
            "shortname": ":rugby_football:",
            "category": "activity",
            "emoji_order": "425",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sports",
                "rugby",
                "football",
                "ball",
                "sport",
                "team",
                "england",
                "object",
                "place"
            ]
        },
        "8ball": {
            "unicode": "1f3b1",
            "unicode_alternates": "",
            "name": "billiards",
            "shortname": ":8ball:",
            "category": "activity",
            "emoji_order": "426",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "pool",
                "eight ball",
                "pocket ball",
                "cue",
                "8",
                "8 ball",
                "ball",
                "billiard",
                "eight",
                "game",
                "object",
                "place",
                "sport"
            ]
        },
        "golf": {
            "unicode": "26f3",
            "unicode_alternates": "26f3-fe0f",
            "name": "flag in hole",
            "shortname": ":golf:",
            "category": "activity",
            "emoji_order": "427",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "business",
                "sport",
                "golf",
                "object",
                "place",
                "travel"
            ]
        },
        "golfer": {
            "unicode": "1f3cc",
            "unicode_alternates": "1f3cc-fe0f",
            "name": "golfer",
            "shortname": ":golfer:",
            "category": "activity",
            "emoji_order": "428",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "par",
                "birdie",
                "eagle",
                "mulligan",
                "ball",
                "golf",
                "person"
            ]
        },
        "ping_pong": {
            "unicode": "1f3d3",
            "unicode_alternates": "",
            "name": "table tennis paddle and ball",
            "shortname": ":ping_pong:",
            "category": "activity",
            "emoji_order": "429",
            "aliases": [
                ":table_tennis:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "badminton": {
            "unicode": "1f3f8",
            "unicode_alternates": "",
            "name": "badminton racquet",
            "shortname": ":badminton:",
            "category": "activity",
            "emoji_order": "430",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "hockey": {
            "unicode": "1f3d2",
            "unicode_alternates": "",
            "name": "ice hockey stick and puck",
            "shortname": ":hockey:",
            "category": "activity",
            "emoji_order": "431",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "field_hockey": {
            "unicode": "1f3d1",
            "unicode_alternates": "",
            "name": "field hockey stick and ball",
            "shortname": ":field_hockey:",
            "category": "activity",
            "emoji_order": "432",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "cricket": {
            "unicode": "1f3cf",
            "unicode_alternates": "",
            "name": "cricket bat and ball",
            "shortname": ":cricket:",
            "category": "activity",
            "emoji_order": "433",
            "aliases": [
                ":cricket_bat_ball:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "ski": {
            "unicode": "1f3bf",
            "unicode_alternates": "",
            "name": "ski and ski boot",
            "shortname": ":ski:",
            "category": "activity",
            "emoji_order": "434",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cold",
                "sport",
                "winter",
                "downhill",
                "cross-country",
                "poles",
                "snow",
                "mountain",
                "alpine",
                "powder",
                "slalom",
                "freestyle",
                "object"
            ]
        },
        "skier": {
            "unicode": "26f7",
            "unicode_alternates": "26f7-fe0f",
            "name": "skier",
            "shortname": ":skier:",
            "category": "activity",
            "emoji_order": "435",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "person",
                "ski",
                "snow",
                "sport",
                "travel"
            ]
        },
        "snowboarder": {
            "unicode": "1f3c2",
            "unicode_alternates": "",
            "name": "snowboarder",
            "shortname": ":snowboarder:",
            "category": "activity",
            "emoji_order": "436",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "winter",
                "snow",
                "boarding",
                "freestyle",
                "halfpipe",
                "board",
                "mountain",
                "alpine",
                "person",
                "ski",
                "snowboard"
            ]
        },
        "ice_skate": {
            "unicode": "26f8",
            "unicode_alternates": "26f8-fe0f",
            "name": "ice skate",
            "shortname": ":ice_skate:",
            "category": "activity",
            "emoji_order": "437",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "place",
                "sport",
                "travel"
            ]
        },
        "bow_and_arrow": {
            "unicode": "1f3f9",
            "unicode_alternates": "",
            "name": "bow and arrow",
            "shortname": ":bow_and_arrow:",
            "category": "activity",
            "emoji_order": "438",
            "aliases": [
                ":archery:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "fishing_pole_and_fish": {
            "unicode": "1f3a3",
            "unicode_alternates": "",
            "name": "fishing pole and fish",
            "shortname": ":fishing_pole_and_fish:",
            "category": "activity",
            "emoji_order": "439",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "food",
                "hobby",
                "rod",
                "reel",
                "entertainment",
                "object",
                "place",
                "sport"
            ]
        },
        "rowboat": {
            "unicode": "1f6a3",
            "unicode_alternates": "",
            "name": "rowboat",
            "shortname": ":rowboat:",
            "category": "activity",
            "emoji_order": "440",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hobby",
                "ship",
                "water",
                "boat",
                "row",
                "oar",
                "paddle",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "swimmer": {
            "unicode": "1f3ca",
            "unicode_alternates": "",
            "name": "swimmer",
            "shortname": ":swimmer:",
            "category": "activity",
            "emoji_order": "441",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "swim",
                "water",
                "pool",
                "laps",
                "freestyle",
                "butterfly",
                "breaststroke",
                "backstroke",
                "person",
                "travel"
            ]
        },
        "surfer": {
            "unicode": "1f3c4",
            "unicode_alternates": "",
            "name": "surfer",
            "shortname": ":surfer:",
            "category": "activity",
            "emoji_order": "442",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ocean",
                "sea",
                "sport",
                "surf",
                "wave",
                "ocean",
                "ride",
                "swell",
                "person",
                "surfing"
            ]
        },
        "bath": {
            "unicode": "1f6c0",
            "unicode_alternates": "",
            "name": "bath",
            "shortname": ":bath:",
            "category": "activity",
            "emoji_order": "443",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shower",
                "tub",
                "basin",
                "wash",
                "bubble",
                "soak",
                "bathroom",
                "soap",
                "water",
                "clean",
                "shampoo",
                "lather",
                "bathtub",
                "object",
                "place",
                "travel"
            ]
        },
        "basketball_player": {
            "unicode": "26f9",
            "unicode_alternates": "26f9-fe0f",
            "name": "person with ball",
            "shortname": ":basketball_player:",
            "category": "activity",
            "emoji_order": "444",
            "aliases": [
                ":person_with_ball:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "sport"
            ]
        },
        "lifter": {
            "unicode": "1f3cb",
            "unicode_alternates": "1f3cb-fe0f",
            "name": "weight lifter",
            "shortname": ":lifter:",
            "category": "activity",
            "emoji_order": "445",
            "aliases": [
                ":weight_lifter:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "bench",
                "press",
                "squats",
                "deadlift",
                "person",
                "sport"
            ]
        },
        "bicyclist": {
            "unicode": "1f6b4",
            "unicode_alternates": "",
            "name": "bicyclist",
            "shortname": ":bicyclist:",
            "category": "activity",
            "emoji_order": "446",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bike",
                "exercise",
                "hipster",
                "sport",
                "road",
                "pedal",
                "bicycle",
                "transportation",
                "cyclist",
                "person",
                "place",
                "travel"
            ]
        },
        "mountain_bicyclist": {
            "unicode": "1f6b5",
            "unicode_alternates": "",
            "name": "mountain bicyclist",
            "shortname": ":mountain_bicyclist:",
            "category": "activity",
            "emoji_order": "447",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "transportation",
                "bike",
                "pedal",
                "bicycle",
                "transportation",
                "cyclist",
                "person",
                "place",
                "travel"
            ]
        },
        "horse_racing": {
            "unicode": "1f3c7",
            "unicode_alternates": "",
            "name": "horse racing",
            "shortname": ":horse_racing:",
            "category": "activity",
            "emoji_order": "448",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "betting",
                "competition",
                "race",
                "jockey",
                "triple crown",
                "person",
                "racehorse",
                "sport",
                "travel"
            ]
        },
        "levitate": {
            "unicode": "1f574",
            "unicode_alternates": "1f574-fe0f",
            "name": "man in business suit levitating",
            "shortname": ":levitate:",
            "category": "activity",
            "emoji_order": "449",
            "aliases": [
                ":man_in_business_suit_levitating:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hover",
                "exclamation",
                "person"
            ]
        },
        "trophy": {
            "unicode": "1f3c6",
            "unicode_alternates": "",
            "name": "trophy",
            "shortname": ":trophy:",
            "category": "activity",
            "emoji_order": "450",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "award",
                "ceremony",
                "contest",
                "ftw",
                "place",
                "win",
                "first",
                "show",
                "reward",
                "achievement",
                "medal",
                "object",
                "prize",
                "sport"
            ]
        },
        "running_shirt_with_sash": {
            "unicode": "1f3bd",
            "unicode_alternates": "",
            "name": "running shirt with sash",
            "shortname": ":running_shirt_with_sash:",
            "category": "activity",
            "emoji_order": "451",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "pageant",
                "play",
                "run",
                "cloths",
                "compete",
                "sports",
                "person",
                "place",
                "sport"
            ]
        },
        "medal": {
            "unicode": "1f3c5",
            "unicode_alternates": "",
            "name": "sports medal",
            "shortname": ":medal:",
            "category": "activity",
            "emoji_order": "452",
            "aliases": [
                ":sports_medal:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "award",
                "ceremony",
                "contest",
                "ftw",
                "place",
                "win",
                "first",
                "show",
                "reward",
                "achievement",
                "object",
                "sport"
            ]
        },
        "military_medal": {
            "unicode": "1f396",
            "unicode_alternates": "1f396-fe0f",
            "name": "military medal",
            "shortname": ":military_medal:",
            "category": "activity",
            "emoji_order": "453",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "honor",
                "acknowledgment",
                "purple heart",
                "heroism",
                "veteran",
                "celebration",
                "object"
            ]
        },
        "reminder_ribbon": {
            "unicode": "1f397",
            "unicode_alternates": "1f397-fe0f",
            "name": "reminder ribbon",
            "shortname": ":reminder_ribbon:",
            "category": "activity",
            "emoji_order": "454",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "awareness",
                "celebration",
                "object"
            ]
        },
        "rosette": {
            "unicode": "1f3f5",
            "unicode_alternates": "1f3f5-fe0f",
            "name": "rosette",
            "shortname": ":rosette:",
            "category": "activity",
            "emoji_order": "455",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "flower",
                "nature",
                "plant"
            ]
        },
        "ticket": {
            "unicode": "1f3ab",
            "unicode_alternates": "",
            "name": "ticket",
            "shortname": ":ticket:",
            "category": "activity",
            "emoji_order": "456",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "concert",
                "event",
                "pass",
                "show",
                "entertainment",
                "stub",
                "admission",
                "proof",
                "purchase",
                "activity",
                "object",
                "place"
            ]
        },
        "tickets": {
            "unicode": "1f39f",
            "unicode_alternates": "1f39f-fe0f",
            "name": "admission tickets",
            "shortname": ":tickets:",
            "category": "activity",
            "emoji_order": "457",
            "aliases": [
                ":admission_tickets:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "concert",
                "event",
                "pass",
                "show",
                "entertainment",
                "stub",
                "proof",
                "purchase",
                "object",
                "ticket"
            ]
        },
        "performing_arts": {
            "unicode": "1f3ad",
            "unicode_alternates": "",
            "name": "performing arts",
            "shortname": ":performing_arts:",
            "category": "activity",
            "emoji_order": "458",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "acting",
                "drama",
                "theater",
                "performance",
                "entertainment",
                "story",
                "comedy",
                "tragedy",
                "masks",
                "activity",
                "art",
                "mask",
                "object",
                "place",
                "theatre"
            ]
        },
        "art": {
            "unicode": "1f3a8",
            "unicode_alternates": "",
            "name": "artist palette",
            "shortname": ":art:",
            "category": "activity",
            "emoji_order": "459",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "design",
                "draw",
                "paint",
                "art",
                "colors",
                "brush",
                "pastels",
                "oils",
                "acrylic",
                "activity",
                "entertainment",
                "museum",
                "object",
                "painting"
            ]
        },
        "circus_tent": {
            "unicode": "1f3aa",
            "unicode_alternates": "",
            "name": "circus tent",
            "shortname": ":circus_tent:",
            "category": "activity",
            "emoji_order": "460",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "carnival",
                "festival",
                "party",
                "event",
                "big",
                "top",
                "canvas",
                "activity",
                "entertainment",
                "place"
            ]
        },
        "microphone": {
            "unicode": "1f3a4",
            "unicode_alternates": "",
            "name": "microphone",
            "shortname": ":microphone:",
            "category": "activity",
            "emoji_order": "461",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "PA",
                "music",
                "sound",
                "mic",
                "audio",
                "voice",
                "karaoke",
                "activity",
                "entertainment",
                "object"
            ]
        },
        "headphones": {
            "unicode": "1f3a7",
            "unicode_alternates": "",
            "name": "headphone",
            "shortname": ":headphones:",
            "category": "activity",
            "emoji_order": "462",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gadgets",
                "music",
                "score",
                "sound",
                "ears",
                "beats",
                "buds",
                "audio",
                "listen",
                "activity",
                "earbud",
                "entertainment",
                "object"
            ]
        },
        "musical_score": {
            "unicode": "1f3bc",
            "unicode_alternates": "",
            "name": "musical score",
            "shortname": ":musical_score:",
            "category": "activity",
            "emoji_order": "463",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "clef",
                "treble",
                "music",
                "clef",
                "g-clef",
                "stave",
                "staff",
                "activity",
                "entertainment",
                "object",
                "sound"
            ]
        },
        "musical_keyboard": {
            "unicode": "1f3b9",
            "unicode_alternates": "",
            "name": "musical keyboard",
            "shortname": ":musical_keyboard:",
            "category": "activity",
            "emoji_order": "464",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "instrument",
                "piano",
                "music",
                "organ",
                "electric",
                "keys",
                "activity",
                "entertainment",
                "object",
                "sound"
            ]
        },
        "saxophone": {
            "unicode": "1f3b7",
            "unicode_alternates": "",
            "name": "saxophone",
            "shortname": ":saxophone:",
            "category": "activity",
            "emoji_order": "465",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "instrument",
                "music",
                "sax",
                "woodwind",
                "activity",
                "entertainment",
                "object",
                "sound"
            ]
        },
        "trumpet": {
            "unicode": "1f3ba",
            "unicode_alternates": "",
            "name": "trumpet",
            "shortname": ":trumpet:",
            "category": "activity",
            "emoji_order": "466",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "brass",
                "music",
                "instrument",
                "activity",
                "entertainment",
                "object",
                "sound"
            ]
        },
        "guitar": {
            "unicode": "1f3b8",
            "unicode_alternates": "",
            "name": "guitar",
            "shortname": ":guitar:",
            "category": "activity",
            "emoji_order": "467",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "instrument",
                "music",
                "string",
                "jam",
                "rock",
                "acoustic",
                "electric",
                "activity",
                "entertainment",
                "object",
                "sound"
            ]
        },
        "violin": {
            "unicode": "1f3bb",
            "unicode_alternates": "",
            "name": "violin",
            "shortname": ":violin:",
            "category": "activity",
            "emoji_order": "468",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "instrument",
                "music",
                "fiddle",
                "string",
                "activity",
                "entertainment",
                "object",
                "sound"
            ]
        },
        "clapper": {
            "unicode": "1f3ac",
            "unicode_alternates": "",
            "name": "clapper board",
            "shortname": ":clapper:",
            "category": "activity",
            "emoji_order": "469",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "film",
                "movie",
                "record",
                "clapboard",
                "take",
                "activity",
                "entertainment",
                "object"
            ]
        },
        "video_game": {
            "unicode": "1f3ae",
            "unicode_alternates": "",
            "name": "video game",
            "shortname": ":video_game:",
            "category": "activity",
            "emoji_order": "470",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "PS4",
                "console",
                "controller",
                "play",
                "nintendo",
                "xbox",
                "playstation",
                "entertainment",
                "object",
                "video game"
            ]
        },
        "space_invader": {
            "unicode": "1f47e",
            "unicode_alternates": "",
            "name": "alien monster",
            "shortname": ":space_invader:",
            "category": "activity",
            "emoji_order": "471",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arcade",
                "game",
                "space",
                "invader",
                "creature",
                "extraterrestrial",
                "face",
                "fairy tale",
                "fantasy",
                "nature",
                "person",
                "ufo"
            ]
        },
        "dart": {
            "unicode": "1f3af",
            "unicode_alternates": "",
            "name": "direct hit",
            "shortname": ":dart:",
            "category": "activity",
            "emoji_order": "472",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bar",
                "game",
                "bullseye",
                "dart",
                "archery",
                "fletching",
                "arrow",
                "sport",
                "activity",
                "bull",
                "entertainment",
                "eye",
                "object",
                "target"
            ]
        },
        "game_die": {
            "unicode": "1f3b2",
            "unicode_alternates": "",
            "name": "game die",
            "shortname": ":game_die:",
            "category": "activity",
            "emoji_order": "473",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dice",
                "craps",
                "gamble",
                "play",
                "entertainment",
                "object"
            ]
        },
        "slot_machine": {
            "unicode": "1f3b0",
            "unicode_alternates": "",
            "name": "slot machine",
            "shortname": ":slot_machine:",
            "category": "activity",
            "emoji_order": "474",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bet",
                "gamble",
                "vegas",
                "one-armed bandit",
                "slots",
                "luck",
                "activity",
                "game",
                "object",
                "place"
            ]
        },
        "bowling": {
            "unicode": "1f3b3",
            "unicode_alternates": "",
            "name": "bowling",
            "shortname": ":bowling:",
            "category": "activity",
            "emoji_order": "475",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fun",
                "play",
                "sports",
                "bowl",
                "ball",
                "pin",
                "strike",
                "spare",
                "game",
                "object",
                "place",
                "sport"
            ]
        },
        "red_car": {
            "unicode": "1f697",
            "unicode_alternates": "",
            "name": "automobile",
            "shortname": ":red_car:",
            "category": "travel",
            "emoji_order": "476",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "red",
                "car",
                "place",
                "travel"
            ]
        },
        "taxi": {
            "unicode": "1f695",
            "unicode_alternates": "",
            "name": "taxi",
            "shortname": ":taxi:",
            "category": "travel",
            "emoji_order": "477",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "uber",
                "vehicle",
                "car",
                "automobile",
                "city",
                "transport",
                "service",
                "cab",
                "place",
                "travel"
            ]
        },
        "blue_car": {
            "unicode": "1f699",
            "unicode_alternates": "",
            "name": "recreational vehicle",
            "shortname": ":blue_car:",
            "category": "travel",
            "emoji_order": "478",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "car",
                "suv",
                "wagon",
                "automobile",
                "blue",
                "place",
                "rv",
                "travel"
            ]
        },
        "bus": {
            "unicode": "1f68c",
            "unicode_alternates": "",
            "name": "bus",
            "shortname": ":bus:",
            "category": "travel",
            "emoji_order": "479",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "car",
                "transportation",
                "vehicle",
                "school",
                "city",
                "public",
                "place",
                "travel"
            ]
        },
        "trolleybus": {
            "unicode": "1f68e",
            "unicode_alternates": "",
            "name": "trolleybus",
            "shortname": ":trolleybus:",
            "category": "travel",
            "emoji_order": "480",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bart",
                "transportation",
                "vehicle",
                "bus",
                "city",
                "transport",
                "place",
                "tram",
                "travel",
                "trolley"
            ]
        },
        "race_car": {
            "unicode": "1f3ce",
            "unicode_alternates": "1f3ce-fe0f",
            "name": "racing car",
            "shortname": ":race_car:",
            "category": "travel",
            "emoji_order": "481",
            "aliases": [
                ":racing_car:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "formula 1",
                "race",
                "stock",
                "nascar",
                "speed",
                "drive",
                "place",
                "sport",
                "travel"
            ]
        },
        "police_car": {
            "unicode": "1f693",
            "unicode_alternates": "",
            "name": "police car",
            "shortname": ":police_car:",
            "category": "travel",
            "emoji_order": "482",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cars",
                "enforcement",
                "law",
                "transportation",
                "vehicle",
                "police",
                "car",
                "emergency",
                "ticket",
                "citation",
                "crime",
                "help",
                "officer",
                "patrol",
                "place",
                "travel"
            ]
        },
        "ambulance": {
            "unicode": "1f691",
            "unicode_alternates": "",
            "name": "ambulance",
            "shortname": ":ambulance:",
            "category": "travel",
            "emoji_order": "483",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "911",
                "health",
                "emergency",
                "medical",
                "help",
                "assistance",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "fire_engine": {
            "unicode": "1f692",
            "unicode_alternates": "",
            "name": "fire engine",
            "shortname": ":fire_engine:",
            "category": "travel",
            "emoji_order": "484",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "fighter",
                "truck",
                "emergency",
                "place",
                "travel"
            ]
        },
        "minibus": {
            "unicode": "1f690",
            "unicode_alternates": "",
            "name": "minibus",
            "shortname": ":minibus:",
            "category": "travel",
            "emoji_order": "485",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "bus",
                "city",
                "transport",
                "place",
                "travel"
            ]
        },
        "truck": {
            "unicode": "1f69a",
            "unicode_alternates": "",
            "name": "delivery truck",
            "shortname": ":truck:",
            "category": "travel",
            "emoji_order": "486",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "truck",
                "delivery",
                "package",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "articulated_lorry": {
            "unicode": "1f69b",
            "unicode_alternates": "",
            "name": "articulated lorry",
            "shortname": ":articulated_lorry:",
            "category": "travel",
            "emoji_order": "487",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "truck",
                "delivery",
                "semi",
                "place",
                "travel"
            ]
        },
        "tractor": {
            "unicode": "1f69c",
            "unicode_alternates": "",
            "name": "tractor",
            "shortname": ":tractor:",
            "category": "travel",
            "emoji_order": "488",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "agriculture",
                "farming",
                "vehicle",
                "farm",
                "construction",
                "equipment",
                "place",
                "travel"
            ]
        },
        "motorcycle": {
            "unicode": "1f3cd",
            "unicode_alternates": "1f3cd-fe0f",
            "name": "racing motorcycle",
            "shortname": ":motorcycle:",
            "category": "travel",
            "emoji_order": "489",
            "aliases": [
                ":racing_motorcycle:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "bike",
                "speed",
                "person",
                "sport",
                "travel"
            ]
        },
        "bike": {
            "unicode": "1f6b2",
            "unicode_alternates": "",
            "name": "bicycle",
            "shortname": ":bike:",
            "category": "travel",
            "emoji_order": "490",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "exercise",
                "hipster",
                "sports",
                "bike",
                "pedal",
                "transportation",
                "place",
                "sport",
                "travel",
                "vehicle"
            ]
        },
        "rotating_light": {
            "unicode": "1f6a8",
            "unicode_alternates": "",
            "name": "police cars revolving light",
            "shortname": ":rotating_light:",
            "category": "travel",
            "emoji_order": "491",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "911",
                "ambulance",
                "emergency",
                "police",
                "light",
                "emergency",
                "beacon",
                "car",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "oncoming_police_car": {
            "unicode": "1f694",
            "unicode_alternates": "",
            "name": "oncoming police car",
            "shortname": ":oncoming_police_car:",
            "category": "travel",
            "emoji_order": "492",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "enforcement",
                "law",
                "vehicle",
                "emergency",
                "ticket",
                "citation",
                "crime",
                "help",
                "officer",
                "place",
                "travel"
            ]
        },
        "oncoming_bus": {
            "unicode": "1f68d",
            "unicode_alternates": "",
            "name": "oncoming bus",
            "shortname": ":oncoming_bus:",
            "category": "travel",
            "emoji_order": "493",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "bus",
                "school",
                "city",
                "public",
                "place",
                "travel"
            ]
        },
        "oncoming_automobile": {
            "unicode": "1f698",
            "unicode_alternates": "",
            "name": "oncoming automobile",
            "shortname": ":oncoming_automobile:",
            "category": "travel",
            "emoji_order": "494",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "car",
                "transportation",
                "vehicle",
                "sedan",
                "car",
                "automobile",
                "place",
                "travel"
            ]
        },
        "oncoming_taxi": {
            "unicode": "1f696",
            "unicode_alternates": "",
            "name": "oncoming taxi",
            "shortname": ":oncoming_taxi:",
            "category": "travel",
            "emoji_order": "495",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "uber",
                "vehicle",
                "car",
                "automobile",
                "city",
                "transport",
                "service",
                "cab",
                "place",
                "travel"
            ]
        },
        "aerial_tramway": {
            "unicode": "1f6a1",
            "unicode_alternates": "",
            "name": "aerial tramway",
            "shortname": ":aerial_tramway:",
            "category": "travel",
            "emoji_order": "496",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "tram",
                "cable",
                "transport",
                "car",
                "gondola",
                "place",
                "ropeway",
                "travel"
            ]
        },
        "mountain_cableway": {
            "unicode": "1f6a0",
            "unicode_alternates": "",
            "name": "mountain cableway",
            "shortname": ":mountain_cableway:",
            "category": "travel",
            "emoji_order": "497",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "cable",
                "gondola",
                "place",
                "travel"
            ]
        },
        "suspension_railway": {
            "unicode": "1f69f",
            "unicode_alternates": "",
            "name": "suspension railway",
            "shortname": ":suspension_railway:",
            "category": "travel",
            "emoji_order": "498",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "rail",
                "place",
                "travel"
            ]
        },
        "railway_car": {
            "unicode": "1f683",
            "unicode_alternates": "",
            "name": "railway car",
            "shortname": ":railway_car:",
            "category": "travel",
            "emoji_order": "499",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "streetcar",
                "trolley",
                "coach",
                "train",
                "electric",
                "place",
                "tram",
                "travel",
                "trolleybus"
            ]
        },
        "train": {
            "unicode": "1f68b",
            "unicode_alternates": "",
            "name": "tram car",
            "shortname": ":train:",
            "category": "travel",
            "emoji_order": "500",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "rail",
                "train",
                "transit",
                "vehicle",
                "place",
                "travel",
                "trolleybus"
            ]
        },
        "monorail": {
            "unicode": "1f69d",
            "unicode_alternates": "",
            "name": "monorail",
            "shortname": ":monorail:",
            "category": "travel",
            "emoji_order": "501",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "train",
                "mono",
                "rail",
                "transit",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "bullettrain_side": {
            "unicode": "1f684",
            "unicode_alternates": "",
            "name": "high-speed train",
            "shortname": ":bullettrain_side:",
            "category": "travel",
            "emoji_order": "502",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "train",
                "bullet",
                "rail",
                "fast",
                "transit",
                "place",
                "railway",
                "shinkansen",
                "speed",
                "travel",
                "vehicle"
            ]
        },
        "bullettrain_front": {
            "unicode": "1f685",
            "unicode_alternates": "",
            "name": "high-speed train with bullet nose",
            "shortname": ":bullettrain_front:",
            "category": "travel",
            "emoji_order": "503",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "train",
                "bullet",
                "rail",
                "fast",
                "transit",
                "place",
                "railway",
                "shinkansen",
                "speed",
                "travel",
                "vehicle"
            ]
        },
        "light_rail": {
            "unicode": "1f688",
            "unicode_alternates": "",
            "name": "light rail",
            "shortname": ":light_rail:",
            "category": "travel",
            "emoji_order": "504",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "train",
                "transit",
                "place",
                "railway",
                "travel",
                "vehicle"
            ]
        },
        "mountain_railway": {
            "unicode": "1f69e",
            "unicode_alternates": "",
            "name": "mountain railway",
            "shortname": ":mountain_railway:",
            "category": "travel",
            "emoji_order": "505",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "rail",
                "train",
                "transport",
                "car",
                "place",
                "travel"
            ]
        },
        "steam_locomotive": {
            "unicode": "1f682",
            "unicode_alternates": "",
            "name": "steam locomotive",
            "shortname": ":steam_locomotive:",
            "category": "travel",
            "emoji_order": "506",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "train",
                "transportation",
                "engine",
                "choo-choo",
                "place",
                "railway",
                "travel",
                "vehicle"
            ]
        },
        "train2": {
            "unicode": "1f686",
            "unicode_alternates": "",
            "name": "train",
            "shortname": ":train2:",
            "category": "travel",
            "emoji_order": "507",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "locomotive",
                "rail",
                "transit",
                "vehicle",
                "place",
                "railway",
                "travel"
            ]
        },
        "metro": {
            "unicode": "1f687",
            "unicode_alternates": "",
            "name": "metro",
            "shortname": ":metro:",
            "category": "travel",
            "emoji_order": "508",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mrt",
                "transportation",
                "tube",
                "underground",
                "subway",
                "train",
                "railway",
                "transit",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "tram": {
            "unicode": "1f68a",
            "unicode_alternates": "",
            "name": "tram",
            "shortname": ":tram:",
            "category": "travel",
            "emoji_order": "509",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "streetcar",
                "trolley",
                "transit",
                "place",
                "travel",
                "trolleybus"
            ]
        },
        "station": {
            "unicode": "1f689",
            "unicode_alternates": "",
            "name": "station",
            "shortname": ":station:",
            "category": "travel",
            "emoji_order": "510",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "public",
                "transportation",
                "train",
                "subway",
                "transit",
                "place",
                "railway",
                "travel",
                "vehicle"
            ]
        },
        "helicopter": {
            "unicode": "1f681",
            "unicode_alternates": "",
            "name": "helicopter",
            "shortname": ":helicopter:",
            "category": "travel",
            "emoji_order": "511",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "heli",
                "gyro",
                "gyrocopter",
                "place",
                "travel"
            ]
        },
        "airplane_small": {
            "unicode": "1f6e9",
            "unicode_alternates": "1f6e9-fe0f",
            "name": "small airplane",
            "shortname": ":airplane_small:",
            "category": "travel",
            "emoji_order": "512",
            "aliases": [
                ":small_airplane:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "flight",
                "transportation",
                "vehicle",
                "plane",
                "airport",
                "travel",
                "airlines",
                "fly",
                "jet",
                "jumbo",
                "boeing",
                "airbus",
                "place"
            ]
        },
        "airplane": {
            "unicode": "2708",
            "unicode_alternates": "2708-fe0f",
            "name": "airplane",
            "shortname": ":airplane:",
            "category": "travel",
            "emoji_order": "513",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "flight",
                "transportation",
                "vehicle",
                "plane",
                "airport",
                "travel",
                "airlines",
                "fly",
                "jet",
                "jumbo",
                "boeing",
                "airbus",
                "place"
            ]
        },
        "airplane_departure": {
            "unicode": "1f6eb",
            "unicode_alternates": "",
            "name": "airplane departure",
            "shortname": ":airplane_departure:",
            "category": "travel",
            "emoji_order": "514",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "flight",
                "transportation",
                "vehicle",
                "plane",
                "airport",
                "travel",
                "airlines",
                "fly",
                "jet",
                "jumbo",
                "boeing",
                "airbus",
                "leaving",
                "check-in",
                "departures",
                "place"
            ]
        },
        "airplane_arriving": {
            "unicode": "1f6ec",
            "unicode_alternates": "",
            "name": "airplane arriving",
            "shortname": ":airplane_arriving:",
            "category": "travel",
            "emoji_order": "515",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "flight",
                "transportation",
                "vehicle",
                "plane",
                "airport",
                "travel",
                "airlines",
                "fly",
                "jet",
                "jumbo",
                "boeing",
                "airbus",
                "arrivals",
                "landing",
                "place"
            ]
        },
        "sailboat": {
            "unicode": "26f5",
            "unicode_alternates": "26f5-fe0f",
            "name": "sailboat",
            "shortname": ":sailboat:",
            "category": "travel",
            "emoji_order": "516",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "cutter",
                "catboat",
                "dinghy",
                "ketch",
                "schooner",
                "sloop",
                "yawl",
                "boat",
                "place",
                "resort",
                "sea",
                "travel",
                "vehicle",
                "yacht"
            ]
        },
        "motorboat": {
            "unicode": "1f6e5",
            "unicode_alternates": "1f6e5-fe0f",
            "name": "motorboat",
            "shortname": ":motorboat:",
            "category": "travel",
            "emoji_order": "517",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "boat",
                "speedboat",
                "powerboat",
                "place",
                "travel"
            ]
        },
        "speedboat": {
            "unicode": "1f6a4",
            "unicode_alternates": "",
            "name": "speedboat",
            "shortname": ":speedboat:",
            "category": "travel",
            "emoji_order": "518",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "vehicle",
                "motorboat",
                "powerboat",
                "boat",
                "place",
                "travel"
            ]
        },
        "ferry": {
            "unicode": "26f4",
            "unicode_alternates": "26f4-fe0f",
            "name": "ferry",
            "shortname": ":ferry:",
            "category": "travel",
            "emoji_order": "519",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boat",
                "place",
                "travel"
            ]
        },
        "cruise_ship": {
            "unicode": "1f6f3",
            "unicode_alternates": "1f6f3-fe0f",
            "name": "passenger ship",
            "shortname": ":cruise_ship:",
            "category": "travel",
            "emoji_order": "520",
            "aliases": [
                ":passenger_ship:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "titanic",
                "transportation",
                "boat",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "rocket": {
            "unicode": "1f680",
            "unicode_alternates": "",
            "name": "rocket",
            "shortname": ":rocket:",
            "category": "travel",
            "emoji_order": "521",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "launch",
                "ship",
                "staffmode",
                "space",
                "spacecraft",
                "astronaut",
                "cosmonaut",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "satellite_orbital": {
            "unicode": "1f6f0",
            "unicode_alternates": "1f6f0-fe0f",
            "name": "satellite",
            "shortname": ":satellite_orbital:",
            "category": "travel",
            "emoji_order": "522",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "orbital",
                "space",
                "place",
                "vehicle"
            ]
        },
        "seat": {
            "unicode": "1f4ba",
            "unicode_alternates": "",
            "name": "seat",
            "shortname": ":seat:",
            "category": "travel",
            "emoji_order": "523",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sit",
                "chair",
                "object",
                "office",
                "place",
                "travel"
            ]
        },
        "anchor": {
            "unicode": "2693",
            "unicode_alternates": "2693-fe0f",
            "name": "anchor",
            "shortname": ":anchor:",
            "category": "travel",
            "emoji_order": "524",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ferry",
                "ship",
                "boat",
                "ocean",
                "harbor",
                "marina",
                "shipyard",
                "sailor",
                "tattoo",
                "place",
                "tool",
                "travel"
            ]
        },
        "construction": {
            "unicode": "1f6a7",
            "unicode_alternates": "",
            "name": "construction sign",
            "shortname": ":construction:",
            "category": "travel",
            "emoji_order": "525",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "caution",
                "progress",
                "wip",
                "barrier",
                "place",
                "travel"
            ]
        },
        "fuelpump": {
            "unicode": "26fd",
            "unicode_alternates": "26fd-fe0f",
            "name": "fuel pump",
            "shortname": ":fuelpump:",
            "category": "travel",
            "emoji_order": "526",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gas",
                "station",
                "petroleum",
                "diesel",
                "fuelpump",
                "place",
                "travel"
            ]
        },
        "busstop": {
            "unicode": "1f68f",
            "unicode_alternates": "",
            "name": "bus stop",
            "shortname": ":busstop:",
            "category": "travel",
            "emoji_order": "527",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "city",
                "public",
                "busstop",
                "place",
                "travel"
            ]
        },
        "vertical_traffic_light": {
            "unicode": "1f6a6",
            "unicode_alternates": "",
            "name": "vertical traffic light",
            "shortname": ":vertical_traffic_light:",
            "category": "travel",
            "emoji_order": "528",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "stop",
                "go",
                "yield",
                "sign",
                "place",
                "signal",
                "travel"
            ]
        },
        "traffic_light": {
            "unicode": "1f6a5",
            "unicode_alternates": "",
            "name": "horizontal traffic light",
            "shortname": ":traffic_light:",
            "category": "travel",
            "emoji_order": "529",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "transportation",
                "stop",
                "go",
                "yield",
                "sign",
                "place",
                "signal",
                "travel"
            ]
        },
        "checkered_flag": {
            "unicode": "1f3c1",
            "unicode_alternates": "",
            "name": "chequered flag",
            "shortname": ":checkered_flag:",
            "category": "travel",
            "emoji_order": "530",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "contest",
                "finishline",
                "gokart",
                "checkered",
                "race",
                "flag",
                "finish",
                "complete",
                "end",
                "object",
                "place",
                "racing",
                "sport"
            ]
        },
        "ship": {
            "unicode": "1f6a2",
            "unicode_alternates": "",
            "name": "ship",
            "shortname": ":ship:",
            "category": "travel",
            "emoji_order": "531",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "titanic",
                "transportation",
                "ferry",
                "boat",
                "yacht",
                "place",
                "travel",
                "vehicle"
            ]
        },
        "ferris_wheel": {
            "unicode": "1f3a1",
            "unicode_alternates": "",
            "name": "ferris wheel",
            "shortname": ":ferris_wheel:",
            "category": "travel",
            "emoji_order": "532",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "carnival",
                "londoneye",
                "farris",
                "amusement",
                "park",
                "fair",
                "ride",
                "entertainment",
                "activity",
                "amusement park",
                "place"
            ]
        },
        "roller_coaster": {
            "unicode": "1f3a2",
            "unicode_alternates": "",
            "name": "roller coaster",
            "shortname": ":roller_coaster:",
            "category": "travel",
            "emoji_order": "533",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "carnival",
                "fun",
                "playground",
                "amusement",
                "park",
                "fair",
                "ride",
                "entertainment",
                "activity",
                "amusement park",
                "place"
            ]
        },
        "carousel_horse": {
            "unicode": "1f3a0",
            "unicode_alternates": "",
            "name": "carousel horse",
            "shortname": ":carousel_horse:",
            "category": "travel",
            "emoji_order": "534",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "carnival",
                "amusement",
                "park",
                "ride",
                "entertainment",
                "fair",
                "activity",
                "place"
            ]
        },
        "construction_site": {
            "unicode": "1f3d7",
            "unicode_alternates": "1f3d7-fe0f",
            "name": "building construction",
            "shortname": ":construction_site:",
            "category": "travel",
            "emoji_order": "535",
            "aliases": [
                ":building_construction:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "site",
                "work",
                "place"
            ]
        },
        "foggy": {
            "unicode": "1f301",
            "unicode_alternates": "",
            "name": "foggy",
            "shortname": ":foggy:",
            "category": "travel",
            "emoji_order": "536",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mountain",
                "bridge",
                "weather",
                "fog",
                "nature",
                "place"
            ]
        },
        "tokyo_tower": {
            "unicode": "1f5fc",
            "unicode_alternates": "",
            "name": "tokyo tower",
            "shortname": ":tokyo_tower:",
            "category": "travel",
            "emoji_order": "537",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "japan",
                "place"
            ]
        },
        "factory": {
            "unicode": "1f3ed",
            "unicode_alternates": "",
            "name": "factory",
            "shortname": ":factory:",
            "category": "travel",
            "emoji_order": "538",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "production",
                "manufacturing",
                "place"
            ]
        },
        "fountain": {
            "unicode": "26f2",
            "unicode_alternates": "26f2-fe0f",
            "name": "fountain",
            "shortname": ":fountain:",
            "category": "travel",
            "emoji_order": "539",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "water",
                "display",
                "art",
                "feature",
                "decor",
                "architecture",
                "object",
                "place"
            ]
        },
        "rice_scene": {
            "unicode": "1f391",
            "unicode_alternates": "",
            "name": "moon viewing ceremony",
            "shortname": ":rice_scene:",
            "category": "travel",
            "emoji_order": "540",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "observing",
                "otsukimi",
                "tsukimi",
                "rice",
                "scene",
                "festival",
                "autumn",
                "activity",
                "celebration",
                "entertainment",
                "nature",
                "object"
            ]
        },
        "mountain": {
            "unicode": "26f0",
            "unicode_alternates": "26f0-fe0f",
            "name": "mountain",
            "shortname": ":mountain:",
            "category": "travel",
            "emoji_order": "541",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "place"
            ]
        },
        "mountain_snow": {
            "unicode": "1f3d4",
            "unicode_alternates": "1f3d4-fe0f",
            "name": "snow capped mountain",
            "shortname": ":mountain_snow:",
            "category": "travel",
            "emoji_order": "542",
            "aliases": [
                ":snow_capped_mountain:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cold",
                "elevation",
                "hiking",
                "peak",
                "nature",
                "place"
            ]
        },
        "mount_fuji": {
            "unicode": "1f5fb",
            "unicode_alternates": "",
            "name": "mount fuji",
            "shortname": ":mount_fuji:",
            "category": "travel",
            "emoji_order": "543",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "japan",
                "mountain",
                "nature",
                "peak",
                "place"
            ]
        },
        "volcano": {
            "unicode": "1f30b",
            "unicode_alternates": "",
            "name": "volcano",
            "shortname": ":volcano:",
            "category": "travel",
            "emoji_order": "544",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "volcano",
                "lava",
                "magma",
                "hot",
                "explode",
                "eruption",
                "mountain",
                "place",
                "weather"
            ]
        },
        "japan": {
            "unicode": "1f5fe",
            "unicode_alternates": "",
            "name": "silhouette of japan",
            "shortname": ":japan:",
            "category": "travel",
            "emoji_order": "545",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nation",
                "island",
                "map",
                "place"
            ]
        },
        "camping": {
            "unicode": "1f3d5",
            "unicode_alternates": "1f3d5-fe0f",
            "name": "camping",
            "shortname": ":camping:",
            "category": "travel",
            "emoji_order": "546",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "outdoors",
                "nature",
                "wilderness",
                "roughing",
                "activity",
                "place"
            ]
        },
        "tent": {
            "unicode": "26fa",
            "unicode_alternates": "26fa-fe0f",
            "name": "tent",
            "shortname": ":tent:",
            "category": "travel",
            "emoji_order": "547",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "camp",
                "outdoors",
                "pup",
                "camping",
                "object",
                "place"
            ]
        },
        "park": {
            "unicode": "1f3de",
            "unicode_alternates": "1f3de-fe0f",
            "name": "national park",
            "shortname": ":park:",
            "category": "travel",
            "emoji_order": "548",
            "aliases": [
                ":national_park:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "woods",
                "nature",
                "wildlife",
                "forest",
                "wilderness",
                "national",
                "national park",
                "place"
            ]
        },
        "motorway": {
            "unicode": "1f6e3",
            "unicode_alternates": "1f6e3-fe0f",
            "name": "motorway",
            "shortname": ":motorway:",
            "category": "travel",
            "emoji_order": "549",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "road",
                "highway",
                "freeway",
                "traffic",
                "travel",
                "place"
            ]
        },
        "railway_track": {
            "unicode": "1f6e4",
            "unicode_alternates": "1f6e4-fe0f",
            "name": "railway track",
            "shortname": ":railway_track:",
            "category": "travel",
            "emoji_order": "550",
            "aliases": [
                ":railroad_track:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "train",
                "trolley",
                "subway",
                "locomotive",
                "transit",
                "place",
                "travel"
            ]
        },
        "sunrise": {
            "unicode": "1f305",
            "unicode_alternates": "",
            "name": "sunrise",
            "shortname": ":sunrise:",
            "category": "travel",
            "emoji_order": "551",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "morning",
                "vacation",
                "view",
                "sun",
                "morning",
                "color",
                "sky",
                "nature",
                "place",
                "time",
                "weather"
            ]
        },
        "sunrise_over_mountains": {
            "unicode": "1f304",
            "unicode_alternates": "",
            "name": "sunrise over mountains",
            "shortname": ":sunrise_over_mountains:",
            "category": "travel",
            "emoji_order": "552",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "vacation",
                "view",
                "sun",
                "morning",
                "rural",
                "color",
                "sky",
                "mountain",
                "nature",
                "place",
                "time",
                "weather"
            ]
        },
        "desert": {
            "unicode": "1f3dc",
            "unicode_alternates": "1f3dc-fe0f",
            "name": "desert",
            "shortname": ":desert:",
            "category": "travel",
            "emoji_order": "553",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hot",
                "dry",
                "sandy",
                "cactus",
                "sunny",
                "barren",
                "nature",
                "place"
            ]
        },
        "beach": {
            "unicode": "1f3d6",
            "unicode_alternates": "1f3d6-fe0f",
            "name": "beach with umbrella",
            "shortname": ":beach:",
            "category": "travel",
            "emoji_order": "554",
            "aliases": [
                ":beach_with_umbrella:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "sand",
                "sun",
                "surf",
                "vacation",
                "relaxation",
                "tanning",
                "tan",
                "swimming",
                "nature",
                "place"
            ]
        },
        "island": {
            "unicode": "1f3dd",
            "unicode_alternates": "1f3dd-fe0f",
            "name": "desert island",
            "shortname": ":island:",
            "category": "travel",
            "emoji_order": "555",
            "aliases": [
                ":desert_island:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "land",
                "solitude",
                "alone",
                "nature",
                "place"
            ]
        },
        "city_sunset": {
            "unicode": "1f307",
            "unicode_alternates": "",
            "name": "sunset over buildings",
            "shortname": ":city_sunset:",
            "category": "travel",
            "emoji_order": "556",
            "aliases": [
                ":city_sunrise:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "city",
                "scape",
                "light",
                "metropolitan",
                "rise",
                "sun",
                "dusk",
                "evening",
                "building",
                "nature",
                "place",
                "time",
                "weather"
            ]
        },
        "city_dusk": {
            "unicode": "1f306",
            "unicode_alternates": "",
            "name": "cityscape at dusk",
            "shortname": ":city_dusk:",
            "category": "travel",
            "emoji_order": "557",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "city",
                "scape",
                "sunset",
                "lights",
                "evening",
                "metropolitan",
                "night",
                "dark",
                "building",
                "landscape",
                "nature",
                "place",
                "sun",
                "time",
                "weather"
            ]
        },
        "cityscape": {
            "unicode": "1f3d9",
            "unicode_alternates": "1f3d9-fe0f",
            "name": "cityscape",
            "shortname": ":cityscape:",
            "category": "travel",
            "emoji_order": "558",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "skyscraper",
                "city",
                "view",
                "lights",
                "buildings",
                "metropolis",
                "building",
                "place"
            ]
        },
        "night_with_stars": {
            "unicode": "1f303",
            "unicode_alternates": "",
            "name": "night with stars",
            "shortname": ":night_with_stars:",
            "category": "travel",
            "emoji_order": "559",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cloudless",
                "evening",
                "planets",
                "space",
                "sky",
                "nature",
                "place",
                "star",
                "weather"
            ]
        },
        "bridge_at_night": {
            "unicode": "1f309",
            "unicode_alternates": "",
            "name": "bridge at night",
            "shortname": ":bridge_at_night:",
            "category": "travel",
            "emoji_order": "560",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "san francisco",
                "water",
                "road",
                "evening",
                "suspension",
                "golden",
                "nature",
                "place",
                "weather"
            ]
        },
        "milky_way": {
            "unicode": "1f30c",
            "unicode_alternates": "",
            "name": "milky way",
            "shortname": ":milky_way:",
            "category": "travel",
            "emoji_order": "561",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "outer",
                "space",
                "galaxy",
                "stars",
                "planets",
                "sky",
                "milky way",
                "nature",
                "place",
                "weather"
            ]
        },
        "stars": {
            "unicode": "1f320",
            "unicode_alternates": "",
            "name": "shooting star",
            "shortname": ":stars:",
            "category": "travel",
            "emoji_order": "562",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "night",
                "shoot",
                "sky",
                "comet",
                "meteoroid",
                "activity",
                "falling",
                "nature",
                "place",
                "space"
            ]
        },
        "sparkler": {
            "unicode": "1f387",
            "unicode_alternates": "",
            "name": "firework sparkler",
            "shortname": ":sparkler:",
            "category": "travel",
            "emoji_order": "563",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "night",
                "shine",
                "stars",
                "activity",
                "celebration",
                "entertainment",
                "fireworks",
                "object",
                "sparkle"
            ]
        },
        "fireworks": {
            "unicode": "1f386",
            "unicode_alternates": "",
            "name": "fireworks",
            "shortname": ":fireworks:",
            "category": "travel",
            "emoji_order": "564",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "carnival",
                "congratulations",
                "festival",
                "independence",
                "celebration",
                "explosion",
                "july",
                "4th",
                "rocket",
                "sky",
                "idea",
                "excitement",
                "activity",
                "entertainment",
                "object"
            ]
        },
        "rainbow": {
            "unicode": "1f308",
            "unicode_alternates": "",
            "name": "rainbow",
            "shortname": ":rainbow:",
            "category": "travel",
            "emoji_order": "565",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "happy",
                "nature",
                "sky",
                "unicorn",
                "color",
                "pride",
                "diversity",
                "spectrum",
                "refract",
                "leprechaun",
                "gold",
                "rain",
                "weather"
            ]
        },
        "homes": {
            "unicode": "1f3d8",
            "unicode_alternates": "1f3d8-fe0f",
            "name": "house buildings",
            "shortname": ":homes:",
            "category": "travel",
            "emoji_order": "566",
            "aliases": [
                ":house_buildings:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "home",
                "residence",
                "dwelling",
                "mansion",
                "bungalow",
                "ranch",
                "craftsman",
                "building",
                "place"
            ]
        },
        "european_castle": {
            "unicode": "1f3f0",
            "unicode_alternates": "",
            "name": "european castle",
            "shortname": ":european_castle:",
            "category": "travel",
            "emoji_order": "567",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "history",
                "residence",
                "royalty",
                "disneyland",
                "disney",
                "fort",
                "fortified",
                "moat",
                "tower",
                "princess",
                "prince",
                "lord",
                "king",
                "queen",
                "fortress",
                "nobel",
                "stronghold",
                "place"
            ]
        },
        "japanese_castle": {
            "unicode": "1f3ef",
            "unicode_alternates": "",
            "name": "japanese castle",
            "shortname": ":japanese_castle:",
            "category": "travel",
            "emoji_order": "568",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "residence",
                "royalty",
                "fort",
                "fortified",
                "fortress",
                "history",
                "place"
            ]
        },
        "stadium": {
            "unicode": "1f3df",
            "unicode_alternates": "1f3df-fe0f",
            "name": "stadium",
            "shortname": ":stadium:",
            "category": "travel",
            "emoji_order": "569",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "event",
                "concert",
                "convention",
                "game",
                "place"
            ]
        },
        "statue_of_liberty": {
            "unicode": "1f5fd",
            "unicode_alternates": "",
            "name": "statue of liberty",
            "shortname": ":statue_of_liberty:",
            "category": "travel",
            "emoji_order": "570",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "american",
                "new york",
                "staten island",
                "place"
            ]
        },
        "house": {
            "unicode": "1f3e0",
            "unicode_alternates": "",
            "name": "house building",
            "shortname": ":house:",
            "category": "travel",
            "emoji_order": "571",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "home",
                "residence",
                "dwelling",
                "mansion",
                "bungalow",
                "ranch",
                "craftsman",
                "place"
            ]
        },
        "house_with_garden": {
            "unicode": "1f3e1",
            "unicode_alternates": "",
            "name": "house with garden",
            "shortname": ":house_with_garden:",
            "category": "travel",
            "emoji_order": "572",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "home",
                "nature",
                "plant",
                "yard",
                "residence",
                "dwelling",
                "mansion",
                "bungalow",
                "ranch",
                "craftsman",
                "building",
                "place"
            ]
        },
        "house_abandoned": {
            "unicode": "1f3da",
            "unicode_alternates": "1f3da-fe0f",
            "name": "derelict house building",
            "shortname": ":house_abandoned:",
            "category": "travel",
            "emoji_order": "573",
            "aliases": [
                ":derelict_house_building:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "home",
                "residence",
                "dwelling",
                "mansion",
                "bungalow",
                "ranch",
                "craftsman",
                "boarded",
                "abandoned",
                "vacant",
                "run down",
                "shoddy",
                "place"
            ]
        },
        "office": {
            "unicode": "1f3e2",
            "unicode_alternates": "",
            "name": "office building",
            "shortname": ":office:",
            "category": "travel",
            "emoji_order": "574",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "bureau",
                "work",
                "place"
            ]
        },
        "department_store": {
            "unicode": "1f3ec",
            "unicode_alternates": "",
            "name": "department store",
            "shortname": ":department_store:",
            "category": "travel",
            "emoji_order": "575",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "mall",
                "shopping",
                "retail",
                "sale",
                "merchandise",
                "place"
            ]
        },
        "post_office": {
            "unicode": "1f3e3",
            "unicode_alternates": "",
            "name": "japanese post office",
            "shortname": ":post_office:",
            "category": "travel",
            "emoji_order": "576",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "letter",
                "shipping",
                "package",
                "mail",
                "place"
            ]
        },
        "european_post_office": {
            "unicode": "1f3e4",
            "unicode_alternates": "",
            "name": "european post office",
            "shortname": ":european_post_office:",
            "category": "travel",
            "emoji_order": "577",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "letter",
                "shipping",
                "package",
                "mail",
                "place"
            ]
        },
        "hospital": {
            "unicode": "1f3e5",
            "unicode_alternates": "",
            "name": "hospital",
            "shortname": ":hospital:",
            "category": "travel",
            "emoji_order": "578",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "doctor",
                "health",
                "surgery",
                "medicine",
                "place"
            ]
        },
        "bank": {
            "unicode": "1f3e6",
            "unicode_alternates": "",
            "name": "bank",
            "shortname": ":bank:",
            "category": "travel",
            "emoji_order": "579",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "money",
                "savings",
                "loan",
                "place"
            ]
        },
        "hotel": {
            "unicode": "1f3e8",
            "unicode_alternates": "",
            "name": "hotel",
            "shortname": ":hotel:",
            "category": "travel",
            "emoji_order": "580",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "accomodation",
                "building",
                "checkin",
                "motel",
                "holiday inn",
                "place"
            ]
        },
        "convenience_store": {
            "unicode": "1f3ea",
            "unicode_alternates": "",
            "name": "convenience store",
            "shortname": ":convenience_store:",
            "category": "travel",
            "emoji_order": "581",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "bodega",
                "7-eleven",
                "corner",
                "place"
            ]
        },
        "school": {
            "unicode": "1f3eb",
            "unicode_alternates": "",
            "name": "school",
            "shortname": ":school:",
            "category": "travel",
            "emoji_order": "582",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "university",
                "elementary",
                "middle",
                "high",
                "college",
                "teach",
                "education",
                "place"
            ]
        },
        "love_hotel": {
            "unicode": "1f3e9",
            "unicode_alternates": "",
            "name": "love hotel",
            "shortname": ":love_hotel:",
            "category": "travel",
            "emoji_order": "583",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "dating",
                "like",
                "sex",
                "romance",
                "leisure",
                "adultery",
                "prostitution",
                "happy",
                "no-tell",
                "building",
                "place"
            ]
        },
        "wedding": {
            "unicode": "1f492",
            "unicode_alternates": "",
            "name": "wedding",
            "shortname": ":wedding:",
            "category": "travel",
            "emoji_order": "584",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "bride",
                "couple",
                "groom",
                "like",
                "love",
                "marriage",
                "union",
                "activity",
                "chapel",
                "place",
                "romance"
            ]
        },
        "classical_building": {
            "unicode": "1f3db",
            "unicode_alternates": "1f3db-fe0f",
            "name": "classical building",
            "shortname": ":classical_building:",
            "category": "travel",
            "emoji_order": "585",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "government",
                "architecture",
                "history",
                "iconic",
                "genre",
                "place"
            ]
        },
        "church": {
            "unicode": "26ea",
            "unicode_alternates": "26ea-fe0f",
            "name": "church",
            "shortname": ":church:",
            "category": "travel",
            "emoji_order": "586",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "building",
                "christ",
                "religion",
                "christian",
                "cross",
                "place"
            ]
        },
        "mosque": {
            "unicode": "1f54c",
            "unicode_alternates": "",
            "name": "mosque",
            "shortname": ":mosque:",
            "category": "travel",
            "emoji_order": "587",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "synagogue": {
            "unicode": "1f54d",
            "unicode_alternates": "",
            "name": "synagogue",
            "shortname": ":synagogue:",
            "category": "travel",
            "emoji_order": "588",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "kaaba": {
            "unicode": "1f54b",
            "unicode_alternates": "",
            "name": "kaaba",
            "shortname": ":kaaba:",
            "category": "travel",
            "emoji_order": "589",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "shinto_shrine": {
            "unicode": "26e9",
            "unicode_alternates": "26e9-fe0f",
            "name": "shinto shrine",
            "shortname": ":shinto_shrine:",
            "category": "travel",
            "emoji_order": "590",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "religion",
                "symbol"
            ]
        },
        "watch": {
            "unicode": "231a",
            "unicode_alternates": "231a-fe0f",
            "name": "watch",
            "shortname": ":watch:",
            "category": "objects",
            "emoji_order": "591",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "accessories",
                "time",
                "gadget",
                "clock",
                "object"
            ]
        },
        "iphone": {
            "unicode": "1f4f1",
            "unicode_alternates": "",
            "name": "mobile phone",
            "shortname": ":iphone:",
            "category": "objects",
            "emoji_order": "592",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "apple",
                "dial",
                "gadget",
                "technology",
                "iphone",
                "call",
                "cell",
                "communication",
                "object",
                "telephone"
            ]
        },
        "calling": {
            "unicode": "1f4f2",
            "unicode_alternates": "",
            "name": "mobile phone with rightwards arrow at left",
            "shortname": ":calling:",
            "category": "objects",
            "emoji_order": "593",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "incoming",
                "iphone",
                "call",
                "cell",
                "communication",
                "object",
                "receive",
                "telephone"
            ]
        },
        "computer": {
            "unicode": "1f4bb",
            "unicode_alternates": "",
            "name": "personal computer",
            "shortname": ":computer:",
            "category": "objects",
            "emoji_order": "594",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "laptop",
                "tech",
                "object",
                "office",
                "pc"
            ]
        },
        "keyboard": {
            "unicode": "2328",
            "unicode_alternates": "2328-fe0f",
            "name": "keyboard",
            "shortname": ":keyboard:",
            "category": "objects",
            "emoji_order": "595",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "typing",
                "keys",
                "input",
                "device",
                "computer",
                "object",
                "sign"
            ]
        },
        "desktop": {
            "unicode": "1f5a5",
            "unicode_alternates": "1f5a5-fe0f",
            "name": "desktop computer",
            "shortname": ":desktop:",
            "category": "objects",
            "emoji_order": "596",
            "aliases": [
                ":desktop_computer:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cpu",
                "object",
                "office"
            ]
        },
        "printer": {
            "unicode": "1f5a8",
            "unicode_alternates": "1f5a8-fe0f",
            "name": "printer",
            "shortname": ":printer:",
            "category": "objects",
            "emoji_order": "597",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hardcopy",
                "paper",
                "inkjet",
                "laser",
                "computer",
                "object",
                "office"
            ]
        },
        "mouse_three_button": {
            "unicode": "1f5b1",
            "unicode_alternates": "1f5b1-fe0f",
            "name": "three button mouse",
            "shortname": ":mouse_three_button:",
            "category": "objects",
            "emoji_order": "598",
            "aliases": [
                ":three_button_mouse:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "3",
                "computer",
                "object",
                "office"
            ]
        },
        "trackball": {
            "unicode": "1f5b2",
            "unicode_alternates": "1f5b2-fe0f",
            "name": "trackball",
            "shortname": ":trackball:",
            "category": "objects",
            "emoji_order": "599",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "input",
                "device",
                "gadget",
                "computer",
                "object",
                "office"
            ]
        },
        "joystick": {
            "unicode": "1f579",
            "unicode_alternates": "1f579-fe0f",
            "name": "joystick",
            "shortname": ":joystick:",
            "category": "objects",
            "emoji_order": "600",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "games",
                "atari",
                "controller",
                "entertainment",
                "game",
                "object",
                "video game"
            ]
        },
        "compression": {
            "unicode": "1f5dc",
            "unicode_alternates": "1f5dc-fe0f",
            "name": "compression",
            "shortname": ":compression:",
            "category": "objects",
            "emoji_order": "601",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "reduce",
                "object",
                "tool",
                "vice"
            ]
        },
        "minidisc": {
            "unicode": "1f4bd",
            "unicode_alternates": "",
            "name": "minidisc",
            "shortname": ":minidisc:",
            "category": "objects",
            "emoji_order": "602",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "data",
                "disc",
                "disk",
                "record",
                "technology",
                "computer",
                "entertainment",
                "minidisk",
                "object",
                "office",
                "optical"
            ]
        },
        "floppy_disk": {
            "unicode": "1f4be",
            "unicode_alternates": "",
            "name": "floppy disk",
            "shortname": ":floppy_disk:",
            "category": "objects",
            "emoji_order": "603",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "oldschool",
                "save",
                "technology",
                "storage",
                "information",
                "computer",
                "drive",
                "kilobyte",
                "object",
                "office"
            ]
        },
        "cd": {
            "unicode": "1f4bf",
            "unicode_alternates": "",
            "name": "optical disc",
            "shortname": ":cd:",
            "category": "objects",
            "emoji_order": "604",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "disc",
                "disk",
                "dvd",
                "technology",
                "blu-ray",
                "cd",
                "computer",
                "object",
                "office"
            ]
        },
        "dvd": {
            "unicode": "1f4c0",
            "unicode_alternates": "",
            "name": "dvd",
            "shortname": ":dvd:",
            "category": "objects",
            "emoji_order": "605",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cd",
                "disc",
                "disk",
                "technology",
                "blu-ray",
                "computer",
                "entertainment",
                "object",
                "office",
                "optical"
            ]
        },
        "vhs": {
            "unicode": "1f4fc",
            "unicode_alternates": "",
            "name": "videocassette",
            "shortname": ":vhs:",
            "category": "objects",
            "emoji_order": "606",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "oldschool",
                "record",
                "video",
                "entertainment",
                "object",
                "tape",
                "vhs"
            ]
        },
        "camera": {
            "unicode": "1f4f7",
            "unicode_alternates": "",
            "name": "camera",
            "shortname": ":camera:",
            "category": "objects",
            "emoji_order": "607",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gadget",
                "photo",
                "picture",
                "entertainment",
                "object",
                "video"
            ]
        },
        "camera_with_flash": {
            "unicode": "1f4f8",
            "unicode_alternates": "",
            "name": "camera with flash",
            "shortname": ":camera_with_flash:",
            "category": "objects",
            "emoji_order": "608",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "photo",
                "picture",
                "object",
                "video"
            ]
        },
        "video_camera": {
            "unicode": "1f4f9",
            "unicode_alternates": "",
            "name": "video camera",
            "shortname": ":video_camera:",
            "category": "objects",
            "emoji_order": "609",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "film",
                "record",
                "camcorder",
                "entertainment",
                "object"
            ]
        },
        "movie_camera": {
            "unicode": "1f3a5",
            "unicode_alternates": "",
            "name": "movie camera",
            "shortname": ":movie_camera:",
            "category": "objects",
            "emoji_order": "610",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "film",
                "record",
                "video",
                "motion",
                "picture",
                "activity",
                "cinema",
                "entertainment",
                "object"
            ]
        },
        "projector": {
            "unicode": "1f4fd",
            "unicode_alternates": "1f4fd-fe0f",
            "name": "film projector",
            "shortname": ":projector:",
            "category": "objects",
            "emoji_order": "611",
            "aliases": [
                ":film_projector:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "movie",
                "video",
                "motion",
                "picture",
                "8mm",
                "16mm",
                "cinema",
                "entertainment",
                "object"
            ]
        },
        "film_frames": {
            "unicode": "1f39e",
            "unicode_alternates": "1f39e-fe0f",
            "name": "film frames",
            "shortname": ":film_frames:",
            "category": "objects",
            "emoji_order": "612",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "movie",
                "record",
                "8mm",
                "16mm",
                "reel",
                "celluloid",
                "cinema",
                "entertainment",
                "object"
            ]
        },
        "telephone_receiver": {
            "unicode": "1f4de",
            "unicode_alternates": "",
            "name": "telephone receiver",
            "shortname": ":telephone_receiver:",
            "category": "objects",
            "emoji_order": "613",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "dial",
                "technology",
                "phone",
                "object",
                "sound"
            ]
        },
        "telephone": {
            "unicode": "260e",
            "unicode_alternates": "260e-fe0f",
            "name": "black telephone",
            "shortname": ":telephone:",
            "category": "objects",
            "emoji_order": "614",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "dial",
                "technology",
                "phone",
                "object",
                "office",
                "sound"
            ]
        },
        "pager": {
            "unicode": "1f4df",
            "unicode_alternates": "",
            "name": "pager",
            "shortname": ":pager:",
            "category": "objects",
            "emoji_order": "615",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bbcall",
                "oldschool",
                "communication",
                "object",
                "office"
            ]
        },
        "fax": {
            "unicode": "1f4e0",
            "unicode_alternates": "",
            "name": "fax machine",
            "shortname": ":fax:",
            "category": "objects",
            "emoji_order": "616",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "technology",
                "object",
                "office"
            ]
        },
        "tv": {
            "unicode": "1f4fa",
            "unicode_alternates": "",
            "name": "television",
            "shortname": ":tv:",
            "category": "objects",
            "emoji_order": "617",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "oldschool",
                "program",
                "show",
                "technology",
                "tv",
                "entertainment",
                "object",
                "video"
            ]
        },
        "radio": {
            "unicode": "1f4fb",
            "unicode_alternates": "",
            "name": "radio",
            "shortname": ":radio:",
            "category": "objects",
            "emoji_order": "618",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "music",
                "podcast",
                "program",
                "entertainment",
                "object",
                "video"
            ]
        },
        "microphone2": {
            "unicode": "1f399",
            "unicode_alternates": "1f399-fe0f",
            "name": "studio microphone",
            "shortname": ":microphone2:",
            "category": "objects",
            "emoji_order": "619",
            "aliases": [
                ":studio_microphone:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "mic",
                "audio",
                "recording",
                "music",
                "object",
                "sound"
            ]
        },
        "level_slider": {
            "unicode": "1f39a",
            "unicode_alternates": "1f39a-fe0f",
            "name": "level slider",
            "shortname": ":level_slider:",
            "category": "objects",
            "emoji_order": "620",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "controls",
                "music",
                "object",
                "sound"
            ]
        },
        "control_knobs": {
            "unicode": "1f39b",
            "unicode_alternates": "1f39b-fe0f",
            "name": "control knobs",
            "shortname": ":control_knobs:",
            "category": "objects",
            "emoji_order": "621",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dial",
                "music",
                "object",
                "sound"
            ]
        },
        "stopwatch": {
            "unicode": "23f1",
            "unicode_alternates": "23f1-fe0f",
            "name": "stopwatch",
            "shortname": ":stopwatch:",
            "category": "objects",
            "emoji_order": "622",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "clock",
                "object",
                "time"
            ]
        },
        "timer": {
            "unicode": "23f2",
            "unicode_alternates": "23f2-fe0f",
            "name": "timer clock",
            "shortname": ":timer:",
            "category": "objects",
            "emoji_order": "623",
            "aliases": [
                ":timer_clock:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "object",
                "time"
            ]
        },
        "alarm_clock": {
            "unicode": "23f0",
            "unicode_alternates": "",
            "name": "alarm clock",
            "shortname": ":alarm_clock:",
            "category": "objects",
            "emoji_order": "624",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "wake",
                "object"
            ]
        },
        "clock": {
            "unicode": "1f570",
            "unicode_alternates": "1f570-fe0f",
            "name": "mantlepiece clock",
            "shortname": ":clock:",
            "category": "objects",
            "emoji_order": "625",
            "aliases": [
                ":mantlepiece_clock:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "object"
            ]
        },
        "hourglass_flowing_sand": {
            "unicode": "23f3",
            "unicode_alternates": "",
            "name": "hourglass with flowing sand",
            "shortname": ":hourglass_flowing_sand:",
            "category": "objects",
            "emoji_order": "626",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "countdown",
                "oldschool",
                "time",
                "object",
                "timer"
            ]
        },
        "hourglass": {
            "unicode": "231b",
            "unicode_alternates": "231b-fe0f",
            "name": "hourglass",
            "shortname": ":hourglass:",
            "category": "objects",
            "emoji_order": "627",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "clock",
                "oldschool",
                "time",
                "object",
                "sand",
                "timer"
            ]
        },
        "satellite": {
            "unicode": "1f4e1",
            "unicode_alternates": "",
            "name": "satellite antenna",
            "shortname": ":satellite:",
            "category": "objects",
            "emoji_order": "628",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "dish",
                "object",
                "office"
            ]
        },
        "battery": {
            "unicode": "1f50b",
            "unicode_alternates": "",
            "name": "battery",
            "shortname": ":battery:",
            "category": "objects",
            "emoji_order": "629",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "energy",
                "power",
                "sustain",
                "object"
            ]
        },
        "electric_plug": {
            "unicode": "1f50c",
            "unicode_alternates": "",
            "name": "electric plug",
            "shortname": ":electric_plug:",
            "category": "objects",
            "emoji_order": "630",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "charger",
                "power",
                "electricity",
                "object"
            ]
        },
        "bulb": {
            "unicode": "1f4a1",
            "unicode_alternates": "",
            "name": "electric light bulb",
            "shortname": ":bulb:",
            "category": "objects",
            "emoji_order": "631",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "electricity",
                "idea",
                "comic",
                "object"
            ]
        },
        "flashlight": {
            "unicode": "1f526",
            "unicode_alternates": "",
            "name": "electric torch",
            "shortname": ":flashlight:",
            "category": "objects",
            "emoji_order": "632",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dark",
                "flashlight",
                "light",
                "object",
                "tool"
            ]
        },
        "candle": {
            "unicode": "1f56f",
            "unicode_alternates": "1f56f-fe0f",
            "name": "candle",
            "shortname": ":candle:",
            "category": "objects",
            "emoji_order": "633",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "light",
                "wax",
                "object"
            ]
        },
        "wastebasket": {
            "unicode": "1f5d1",
            "unicode_alternates": "1f5d1-fe0f",
            "name": "wastebasket",
            "shortname": ":wastebasket:",
            "category": "objects",
            "emoji_order": "634",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "trash",
                "garbage",
                "dispose",
                "object",
                "office"
            ]
        },
        "oil": {
            "unicode": "1f6e2",
            "unicode_alternates": "1f6e2-fe0f",
            "name": "oil drum",
            "shortname": ":oil:",
            "category": "objects",
            "emoji_order": "635",
            "aliases": [
                ":oil_drum:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "petroleum",
                "object"
            ]
        },
        "money_with_wings": {
            "unicode": "1f4b8",
            "unicode_alternates": "",
            "name": "money with wings",
            "shortname": ":money_with_wings:",
            "category": "objects",
            "emoji_order": "636",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bills",
                "dollar",
                "payment",
                "spend",
                "work",
                "lost",
                "blown",
                "burned",
                "gift",
                "cash",
                "dollar",
                "bank",
                "banknote",
                "bill",
                "fly",
                "note",
                "object",
                "office"
            ]
        },
        "dollar": {
            "unicode": "1f4b5",
            "unicode_alternates": "",
            "name": "banknote with dollar sign",
            "shortname": ":dollar:",
            "category": "objects",
            "emoji_order": "637",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bill",
                "currency",
                "money",
                "united states",
                "canada",
                "australia",
                "paper",
                "cash",
                "bank",
                "note",
                "object",
                "office"
            ]
        },
        "yen": {
            "unicode": "1f4b4",
            "unicode_alternates": "",
            "name": "banknote with yen sign",
            "shortname": ":yen:",
            "category": "objects",
            "emoji_order": "638",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "currency",
                "dollar",
                "japanese",
                "money",
                "japan",
                "paper",
                "cash",
                "bill",
                "bank",
                "note",
                "object",
                "office"
            ]
        },
        "euro": {
            "unicode": "1f4b6",
            "unicode_alternates": "",
            "name": "banknote with euro sign",
            "shortname": ":euro:",
            "category": "objects",
            "emoji_order": "639",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "currency",
                "dollar",
                "money",
                "europe",
                "paper",
                "cash",
                "bill",
                "bank",
                "note",
                "object",
                "office"
            ]
        },
        "pound": {
            "unicode": "1f4b7",
            "unicode_alternates": "",
            "name": "banknote with pound sign",
            "shortname": ":pound:",
            "category": "objects",
            "emoji_order": "640",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bill",
                "british",
                "currency",
                "england",
                "money",
                "sterling",
                "uk",
                "britain",
                "paper",
                "cash",
                "bank",
                "note",
                "object",
                "office"
            ]
        },
        "moneybag": {
            "unicode": "1f4b0",
            "unicode_alternates": "",
            "name": "money bag",
            "shortname": ":moneybag:",
            "category": "objects",
            "emoji_order": "641",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "coins",
                "dollar",
                "payment",
                "cash",
                "loot",
                "moneybag",
                "object",
                "office"
            ]
        },
        "credit_card": {
            "unicode": "1f4b3",
            "unicode_alternates": "",
            "name": "credit card",
            "shortname": ":credit_card:",
            "category": "objects",
            "emoji_order": "642",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bill",
                "dollar",
                "money",
                "pay",
                "payment",
                "loan",
                "purchase",
                "shopping",
                "mastercard",
                "visa",
                "american express",
                "wallet",
                "signature",
                "bank",
                "object",
                "office"
            ]
        },
        "gem": {
            "unicode": "1f48e",
            "unicode_alternates": "",
            "name": "gem stone",
            "shortname": ":gem:",
            "category": "objects",
            "emoji_order": "643",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue",
                "ruby",
                "precious",
                "diamond",
                "emotion",
                "jewel",
                "object",
                "person",
                "romance"
            ]
        },
        "scales": {
            "unicode": "2696",
            "unicode_alternates": "2696-fe0f",
            "name": "scales",
            "shortname": ":scales:",
            "category": "objects",
            "emoji_order": "644",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "balance",
                "justice",
                "libra",
                "object",
                "tool",
                "weight",
                "zodiac"
            ]
        },
        "wrench": {
            "unicode": "1f527",
            "unicode_alternates": "",
            "name": "wrench",
            "shortname": ":wrench:",
            "category": "objects",
            "emoji_order": "645",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "diy",
                "ikea",
                "tools",
                "object",
                "tool"
            ]
        },
        "hammer": {
            "unicode": "1f528",
            "unicode_alternates": "",
            "name": "hammer",
            "shortname": ":hammer:",
            "category": "objects",
            "emoji_order": "646",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "done",
                "judge",
                "law",
                "ruling",
                "tools",
                "verdict",
                "object",
                "tool"
            ]
        },
        "hammer_pick": {
            "unicode": "2692",
            "unicode_alternates": "2692-fe0f",
            "name": "hammer and pick",
            "shortname": ":hammer_pick:",
            "category": "objects",
            "emoji_order": "647",
            "aliases": [
                ":hammer_and_pick:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "object",
                "tool"
            ]
        },
        "tools": {
            "unicode": "1f6e0",
            "unicode_alternates": "1f6e0-fe0f",
            "name": "hammer and wrench",
            "shortname": ":tools:",
            "category": "objects",
            "emoji_order": "648",
            "aliases": [
                ":hammer_and_wrench:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "tools",
                "object",
                "tool"
            ]
        },
        "pick": {
            "unicode": "26cf",
            "unicode_alternates": "26cf-fe0f",
            "name": "pick",
            "shortname": ":pick:",
            "category": "objects",
            "emoji_order": "649",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mining",
                "object",
                "tool"
            ]
        },
        "nut_and_bolt": {
            "unicode": "1f529",
            "unicode_alternates": "",
            "name": "nut and bolt",
            "shortname": ":nut_and_bolt:",
            "category": "objects",
            "emoji_order": "650",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "tools",
                "object",
                "tool"
            ]
        },
        "gear": {
            "unicode": "2699",
            "unicode_alternates": "2699-fe0f",
            "name": "gear",
            "shortname": ":gear:",
            "category": "objects",
            "emoji_order": "651",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "object",
                "tool"
            ]
        },
        "chains": {
            "unicode": "26d3",
            "unicode_alternates": "26d3-fe0f",
            "name": "chains",
            "shortname": ":chains:",
            "category": "objects",
            "emoji_order": "652",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chain",
                "object"
            ]
        },
        "gun": {
            "unicode": "1f52b",
            "unicode_alternates": "",
            "name": "pistol",
            "shortname": ":gun:",
            "category": "objects",
            "emoji_order": "653",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "violence",
                "weapon",
                "gun",
                "object",
                "revolver",
                "tool"
            ]
        },
        "bomb": {
            "unicode": "1f4a3",
            "unicode_alternates": "",
            "name": "bomb",
            "shortname": ":bomb:",
            "category": "objects",
            "emoji_order": "654",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boom",
                "explode",
                "comic",
                "object"
            ]
        },
        "knife": {
            "unicode": "1f52a",
            "unicode_alternates": "",
            "name": "hocho",
            "shortname": ":knife:",
            "category": "objects",
            "emoji_order": "655",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blade",
                "cooking",
                "knife",
                "object",
                "tool",
                "weapon"
            ]
        },
        "dagger": {
            "unicode": "1f5e1",
            "unicode_alternates": "1f5e1-fe0f",
            "name": "dagger knife",
            "shortname": ":dagger:",
            "category": "objects",
            "emoji_order": "656",
            "aliases": [
                ":dagger_knife:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "blade",
                "knife",
                "object",
                "weapon"
            ]
        },
        "crossed_swords": {
            "unicode": "2694",
            "unicode_alternates": "2694-fe0f",
            "name": "crossed swords",
            "shortname": ":crossed_swords:",
            "category": "objects",
            "emoji_order": "657",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "object",
                "weapon"
            ]
        },
        "shield": {
            "unicode": "1f6e1",
            "unicode_alternates": "1f6e1-fe0f",
            "name": "shield",
            "shortname": ":shield:",
            "category": "objects",
            "emoji_order": "658",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "interstate",
                "route",
                "sign",
                "highway",
                "interstate",
                "object",
                "weapon"
            ]
        },
        "smoking": {
            "unicode": "1f6ac",
            "unicode_alternates": "",
            "name": "smoking symbol",
            "shortname": ":smoking:",
            "category": "objects",
            "emoji_order": "659",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cigarette",
                "kills",
                "tobacco",
                "smoke",
                "cancer",
                "lungs",
                "inhale",
                "tar",
                "nicotine",
                "activity",
                "object"
            ]
        },
        "skull_crossbones": {
            "unicode": "2620",
            "unicode_alternates": "2620-fe0f",
            "name": "skull and crossbones",
            "shortname": ":skull_crossbones:",
            "category": "objects",
            "emoji_order": "660",
            "aliases": [
                ":skull_and_crossbones:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "body",
                "death",
                "face",
                "monster",
                "person"
            ]
        },
        "coffin": {
            "unicode": "26b0",
            "unicode_alternates": "26b0-fe0f",
            "name": "coffin",
            "shortname": ":coffin:",
            "category": "objects",
            "emoji_order": "661",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "death",
                "object"
            ]
        },
        "urn": {
            "unicode": "26b1",
            "unicode_alternates": "26b1-fe0f",
            "name": "funeral urn",
            "shortname": ":urn:",
            "category": "objects",
            "emoji_order": "662",
            "aliases": [
                ":funeral_urn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "death",
                "object"
            ]
        },
        "amphora": {
            "unicode": "1f3fa",
            "unicode_alternates": "",
            "name": "amphora",
            "shortname": ":amphora:",
            "category": "objects",
            "emoji_order": "663",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "crystal_ball": {
            "unicode": "1f52e",
            "unicode_alternates": "",
            "name": "crystal ball",
            "shortname": ":crystal_ball:",
            "category": "objects",
            "emoji_order": "664",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fortune",
                "future",
                "reading",
                "fairy tale",
                "fantasy",
                "object",
                "tool"
            ]
        },
        "prayer_beads": {
            "unicode": "1f4ff",
            "unicode_alternates": "",
            "name": "prayer beads",
            "shortname": ":prayer_beads:",
            "category": "objects",
            "emoji_order": "665",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "barber": {
            "unicode": "1f488",
            "unicode_alternates": "",
            "name": "barber pole",
            "shortname": ":barber:",
            "category": "objects",
            "emoji_order": "666",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "salon",
                "style",
                "haircut",
                "trim",
                "place"
            ]
        },
        "alembic": {
            "unicode": "2697",
            "unicode_alternates": "2697-fe0f",
            "name": "alembic",
            "shortname": ":alembic:",
            "category": "objects",
            "emoji_order": "667",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chemistry",
                "object",
                "tool"
            ]
        },
        "telescope": {
            "unicode": "1f52d",
            "unicode_alternates": "",
            "name": "telescope",
            "shortname": ":telescope:",
            "category": "objects",
            "emoji_order": "668",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "space",
                "stars",
                "object",
                "tool"
            ]
        },
        "microscope": {
            "unicode": "1f52c",
            "unicode_alternates": "",
            "name": "microscope",
            "shortname": ":microscope:",
            "category": "objects",
            "emoji_order": "669",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "experiment",
                "laboratory",
                "zoomin",
                "object",
                "tool"
            ]
        },
        "hole": {
            "unicode": "1f573",
            "unicode_alternates": "1f573-fe0f",
            "name": "hole",
            "shortname": ":hole:",
            "category": "objects",
            "emoji_order": "670",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "pit",
                "well",
                "symbol"
            ]
        },
        "pill": {
            "unicode": "1f48a",
            "unicode_alternates": "",
            "name": "pill",
            "shortname": ":pill:",
            "category": "objects",
            "emoji_order": "671",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "health",
                "medicine",
                "drug",
                "prescription",
                "doctor",
                "object",
                "sick"
            ]
        },
        "syringe": {
            "unicode": "1f489",
            "unicode_alternates": "",
            "name": "syringe",
            "shortname": ":syringe:",
            "category": "objects",
            "emoji_order": "672",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blood",
                "drugs",
                "health",
                "hospital",
                "medicine",
                "needle",
                "doctor",
                "object",
                "shot",
                "sick",
                "tool"
            ]
        },
        "thermometer": {
            "unicode": "1f321",
            "unicode_alternates": "1f321-fe0f",
            "name": "thermometer",
            "shortname": ":thermometer:",
            "category": "objects",
            "emoji_order": "673",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "temperature",
                "nature",
                "weather"
            ]
        },
        "label": {
            "unicode": "1f3f7",
            "unicode_alternates": "1f3f7-fe0f",
            "name": "label",
            "shortname": ":label:",
            "category": "objects",
            "emoji_order": "674",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "tag",
                "object"
            ]
        },
        "bookmark": {
            "unicode": "1f516",
            "unicode_alternates": "",
            "name": "bookmark",
            "shortname": ":bookmark:",
            "category": "objects",
            "emoji_order": "675",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "favorite",
                "mark",
                "object"
            ]
        },
        "toilet": {
            "unicode": "1f6bd",
            "unicode_alternates": "",
            "name": "toilet",
            "shortname": ":toilet:",
            "category": "objects",
            "emoji_order": "676",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "restroom",
                "wc",
                "bathroom",
                "throne",
                "porcelain",
                "waste",
                "flush",
                "plumbing",
                "object",
                "place",
                "travel"
            ]
        },
        "shower": {
            "unicode": "1f6bf",
            "unicode_alternates": "",
            "name": "shower",
            "shortname": ":shower:",
            "category": "objects",
            "emoji_order": "677",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bath",
                "clean",
                "wash",
                "bathroom",
                "soap",
                "water",
                "shampoo",
                "lather",
                "object",
                "place",
                "travel"
            ]
        },
        "bathtub": {
            "unicode": "1f6c1",
            "unicode_alternates": "",
            "name": "bathtub",
            "shortname": ":bathtub:",
            "category": "objects",
            "emoji_order": "678",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "clean",
                "shower",
                "bath",
                "tub",
                "basin",
                "wash",
                "bubble",
                "soak",
                "bathroom",
                "soap",
                "water",
                "shampoo",
                "lather",
                "object",
                "place",
                "travel"
            ]
        },
        "key": {
            "unicode": "1f511",
            "unicode_alternates": "",
            "name": "key",
            "shortname": ":key:",
            "category": "objects",
            "emoji_order": "679",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "door",
                "lock",
                "password",
                "object"
            ]
        },
        "key2": {
            "unicode": "1f5dd",
            "unicode_alternates": "1f5dd-fe0f",
            "name": "old key",
            "shortname": ":key2:",
            "category": "objects",
            "emoji_order": "680",
            "aliases": [
                ":old_key:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "door",
                "lock",
                "password",
                "skeleton",
                "clue",
                "object"
            ]
        },
        "couch": {
            "unicode": "1f6cb",
            "unicode_alternates": "1f6cb-fe0f",
            "name": "couch and lamp",
            "shortname": ":couch:",
            "category": "objects",
            "emoji_order": "681",
            "aliases": [
                ":couch_and_lamp:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "lounge",
                "sectional",
                "sofa",
                "loveseat",
                "leather",
                "microfiber",
                "sit",
                "relax",
                "hotel",
                "object"
            ]
        },
        "sleeping_accommodation": {
            "unicode": "1f6cc",
            "unicode_alternates": "",
            "name": "sleeping accommodation",
            "shortname": ":sleeping_accommodation:",
            "category": "objects",
            "emoji_order": "682",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hotel",
                "motel",
                "rest",
                "object",
                "sleep"
            ]
        },
        "bed": {
            "unicode": "1f6cf",
            "unicode_alternates": "1f6cf-fe0f",
            "name": "bed",
            "shortname": ":bed:",
            "category": "objects",
            "emoji_order": "683",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sleep",
                "sex",
                "queen",
                "full",
                "twin",
                "king",
                "mattress",
                "hotel",
                "object"
            ]
        },
        "door": {
            "unicode": "1f6aa",
            "unicode_alternates": "",
            "name": "door",
            "shortname": ":door:",
            "category": "objects",
            "emoji_order": "684",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "entry",
                "exit",
                "house",
                "doorway",
                "entrance",
                "enter",
                "exit",
                "entry",
                "object",
                "travel"
            ]
        },
        "bellhop": {
            "unicode": "1f6ce",
            "unicode_alternates": "1f6ce-fe0f",
            "name": "bellhop bell",
            "shortname": ":bellhop:",
            "category": "objects",
            "emoji_order": "685",
            "aliases": [
                ":bellhop_bell:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hotel",
                "porter",
                "ding",
                "object"
            ]
        },
        "frame_photo": {
            "unicode": "1f5bc",
            "unicode_alternates": "1f5bc-fe0f",
            "name": "frame with picture",
            "shortname": ":frame_photo:",
            "category": "objects",
            "emoji_order": "686",
            "aliases": [
                ":frame_with_picture:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "photo",
                "art",
                "museum",
                "object",
                "office",
                "painting"
            ]
        },
        "map": {
            "unicode": "1f5fa",
            "unicode_alternates": "1f5fa-fe0f",
            "name": "world map",
            "shortname": ":map:",
            "category": "objects",
            "emoji_order": "687",
            "aliases": [
                ":world_map:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "atlas",
                "earth",
                "cartography",
                "place"
            ]
        },
        "beach_umbrella": {
            "unicode": "26f1",
            "unicode_alternates": "26f1-fe0f",
            "name": "umbrella on ground",
            "shortname": ":beach_umbrella:",
            "category": "objects",
            "emoji_order": "688",
            "aliases": [
                ":umbrella_on_ground:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nature",
                "rain",
                "sun",
                "travel",
                "weather"
            ]
        },
        "moyai": {
            "unicode": "1f5ff",
            "unicode_alternates": "",
            "name": "moyai",
            "shortname": ":moyai:",
            "category": "objects",
            "emoji_order": "689",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "island",
                "stone",
                "face",
                "place",
                "statue",
                "travel"
            ]
        },
        "shopping_bags": {
            "unicode": "1f6cd",
            "unicode_alternates": "1f6cd-fe0f",
            "name": "shopping bags",
            "shortname": ":shopping_bags:",
            "category": "objects",
            "emoji_order": "690",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "purchase",
                "mall",
                "buy",
                "store",
                "shop",
                "bag",
                "hotel",
                "object"
            ]
        },
        "balloon": {
            "unicode": "1f388",
            "unicode_alternates": "",
            "name": "balloon",
            "shortname": ":balloon:",
            "category": "objects",
            "emoji_order": "691",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "celebration",
                "party",
                "birthday",
                "helium",
                "gas",
                "children",
                "float",
                "activity",
                "entertainment",
                "object"
            ]
        },
        "flags": {
            "unicode": "1f38f",
            "unicode_alternates": "",
            "name": "carp streamer",
            "shortname": ":flags:",
            "category": "objects",
            "emoji_order": "692",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "banner",
                "fish",
                "japanese",
                "koinobori",
                "children",
                "kids",
                "boys",
                "celebration",
                "happiness",
                "holiday",
                "flags",
                "activity",
                "entertainment",
                "flag",
                "object"
            ]
        },
        "ribbon": {
            "unicode": "1f380",
            "unicode_alternates": "",
            "name": "ribbon",
            "shortname": ":ribbon:",
            "category": "objects",
            "emoji_order": "693",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bowtie",
                "decoration",
                "pink",
                "lace",
                "wrap",
                "decorate",
                "celebration",
                "emotion",
                "object",
                "person"
            ]
        },
        "gift": {
            "unicode": "1f381",
            "unicode_alternates": "",
            "name": "wrapped present",
            "shortname": ":gift:",
            "category": "objects",
            "emoji_order": "694",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "birthday",
                "christmas",
                "xmas",
                "gift",
                "package",
                "wedding",
                "box",
                "celebration",
                "entertainment",
                "object"
            ]
        },
        "confetti_ball": {
            "unicode": "1f38a",
            "unicode_alternates": "",
            "name": "confetti ball",
            "shortname": ":confetti_ball:",
            "category": "objects",
            "emoji_order": "695",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "festival",
                "party",
                "congratulations",
                "celebrate",
                "win",
                "birthday",
                "new years",
                "wedding",
                "activity",
                "celebration",
                "entertainment",
                "object"
            ]
        },
        "tada": {
            "unicode": "1f389",
            "unicode_alternates": "",
            "name": "party popper",
            "shortname": ":tada:",
            "category": "objects",
            "emoji_order": "696",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "tada",
                "celebration",
                "victory",
                "announcement",
                "climax",
                "congratulations",
                "activity",
                "entertainment",
                "object"
            ]
        },
        "dolls": {
            "unicode": "1f38e",
            "unicode_alternates": "",
            "name": "japanese dolls",
            "shortname": ":dolls:",
            "category": "objects",
            "emoji_order": "697",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "kimono",
                "toy",
                "japan",
                "day",
                "girls",
                "emperor",
                "empress",
                "pray",
                "blessing",
                "imperial",
                "family",
                "royal",
                "activity",
                "celebration",
                "doll",
                "entertainment",
                "festival",
                "object"
            ]
        },
        "wind_chime": {
            "unicode": "1f390",
            "unicode_alternates": "",
            "name": "wind chime",
            "shortname": ":wind_chime:",
            "category": "objects",
            "emoji_order": "698",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ding",
                "nature",
                "bell",
                "f\u016brin",
                "instrument",
                "music",
                "spirits",
                "soothing",
                "protective",
                "spiritual",
                "sound",
                "activity",
                "celebration",
                "entertainment",
                "object"
            ]
        },
        "crossed_flags": {
            "unicode": "1f38c",
            "unicode_alternates": "",
            "name": "crossed flags",
            "shortname": ":crossed_flags:",
            "category": "objects",
            "emoji_order": "699",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "japan",
                "activity",
                "celebration",
                "cross",
                "flag",
                "japanese",
                "object"
            ]
        },
        "izakaya_lantern": {
            "unicode": "1f3ee",
            "unicode_alternates": "",
            "name": "izakaya lantern",
            "shortname": ":izakaya_lantern:",
            "category": "objects",
            "emoji_order": "700",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "light",
                "stay",
                "drink",
                "alcohol",
                "bar",
                "sake",
                "restaurant",
                "japanese",
                "place",
                "red"
            ]
        },
        "envelope": {
            "unicode": "2709",
            "unicode_alternates": "2709-fe0f",
            "name": "envelope",
            "shortname": ":envelope:",
            "category": "objects",
            "emoji_order": "701",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "letter",
                "mail",
                "postal",
                "e-mail",
                "email",
                "object",
                "office"
            ]
        },
        "envelope_with_arrow": {
            "unicode": "1f4e9",
            "unicode_alternates": "",
            "name": "envelope with downwards arrow above",
            "shortname": ":envelope_with_arrow:",
            "category": "objects",
            "emoji_order": "702",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "email",
                "communication",
                "down",
                "e-mail",
                "letter",
                "mail",
                "object",
                "office",
                "outgoing",
                "sent"
            ]
        },
        "incoming_envelope": {
            "unicode": "1f4e8",
            "unicode_alternates": "",
            "name": "incoming envelope",
            "shortname": ":incoming_envelope:",
            "category": "objects",
            "emoji_order": "703",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "email",
                "inbox",
                "communication",
                "e-mail",
                "letter",
                "mail",
                "object",
                "office",
                "receive"
            ]
        },
        "e-mail": {
            "unicode": "1f4e7",
            "unicode_alternates": "",
            "name": "e-mail symbol",
            "shortname": ":e-mail:",
            "category": "objects",
            "emoji_order": "704",
            "aliases": [
                ":email:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "inbox",
                "email",
                "letter",
                "mail",
                "object",
                "office"
            ]
        },
        "love_letter": {
            "unicode": "1f48c",
            "unicode_alternates": "",
            "name": "love letter",
            "shortname": ":love_letter:",
            "category": "objects",
            "emoji_order": "705",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "email",
                "envelope",
                "like",
                "valentines",
                "kiss",
                "heart",
                "emotion",
                "mail",
                "person",
                "romance"
            ]
        },
        "postbox": {
            "unicode": "1f4ee",
            "unicode_alternates": "",
            "name": "postbox",
            "shortname": ":postbox:",
            "category": "objects",
            "emoji_order": "706",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "email",
                "envelope",
                "letter",
                "communication",
                "mail",
                "mailbox",
                "object",
                "office"
            ]
        },
        "mailbox_closed": {
            "unicode": "1f4ea",
            "unicode_alternates": "",
            "name": "closed mailbox with lowered flag",
            "shortname": ":mailbox_closed:",
            "category": "objects",
            "emoji_order": "707",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "email",
                "inbox",
                "mail",
                "object",
                "office",
                "postbox"
            ]
        },
        "mailbox": {
            "unicode": "1f4eb",
            "unicode_alternates": "",
            "name": "closed mailbox with raised flag",
            "shortname": ":mailbox:",
            "category": "objects",
            "emoji_order": "708",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "email",
                "inbox",
                "mail",
                "object",
                "office",
                "postbox"
            ]
        },
        "mailbox_with_mail": {
            "unicode": "1f4ec",
            "unicode_alternates": "",
            "name": "open mailbox with raised flag",
            "shortname": ":mailbox_with_mail:",
            "category": "objects",
            "emoji_order": "709",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "communication",
                "email",
                "inbox",
                "mail",
                "object",
                "office",
                "postbox"
            ]
        },
        "mailbox_with_no_mail": {
            "unicode": "1f4ed",
            "unicode_alternates": "",
            "name": "open mailbox with lowered flag",
            "shortname": ":mailbox_with_no_mail:",
            "category": "objects",
            "emoji_order": "710",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "email",
                "inbox",
                "communication",
                "mail",
                "object",
                "office",
                "postbox"
            ]
        },
        "package": {
            "unicode": "1f4e6",
            "unicode_alternates": "",
            "name": "package",
            "shortname": ":package:",
            "category": "objects",
            "emoji_order": "711",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gift",
                "mail",
                "box",
                "communication",
                "object",
                "office",
                "parcel"
            ]
        },
        "postal_horn": {
            "unicode": "1f4ef",
            "unicode_alternates": "",
            "name": "postal horn",
            "shortname": ":postal_horn:",
            "category": "objects",
            "emoji_order": "712",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "instrument",
                "music",
                "communication",
                "entertainment",
                "object",
                "post",
                "sound"
            ]
        },
        "inbox_tray": {
            "unicode": "1f4e5",
            "unicode_alternates": "",
            "name": "inbox tray",
            "shortname": ":inbox_tray:",
            "category": "objects",
            "emoji_order": "713",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "email",
                "box",
                "communication",
                "letter",
                "mail",
                "object",
                "office",
                "receive"
            ]
        },
        "outbox_tray": {
            "unicode": "1f4e4",
            "unicode_alternates": "",
            "name": "outbox tray",
            "shortname": ":outbox_tray:",
            "category": "objects",
            "emoji_order": "714",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "email",
                "box",
                "communication",
                "letter",
                "mail",
                "object",
                "office",
                "sent"
            ]
        },
        "scroll": {
            "unicode": "1f4dc",
            "unicode_alternates": "",
            "name": "scroll",
            "shortname": ":scroll:",
            "category": "objects",
            "emoji_order": "715",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "roll",
                "parchment",
                "history",
                "papyrus",
                "ancient",
                "object",
                "office",
                "paper"
            ]
        },
        "page_with_curl": {
            "unicode": "1f4c3",
            "unicode_alternates": "",
            "name": "page with curl",
            "shortname": ":page_with_curl:",
            "category": "objects",
            "emoji_order": "716",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "document",
                "object",
                "office"
            ]
        },
        "bookmark_tabs": {
            "unicode": "1f4d1",
            "unicode_alternates": "",
            "name": "bookmark tabs",
            "shortname": ":bookmark_tabs:",
            "category": "objects",
            "emoji_order": "717",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "favorite",
                "mark",
                "marker",
                "object",
                "office"
            ]
        },
        "bar_chart": {
            "unicode": "1f4ca",
            "unicode_alternates": "",
            "name": "bar chart",
            "shortname": ":bar_chart:",
            "category": "objects",
            "emoji_order": "718",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "graph",
                "presentation",
                "stats",
                "object",
                "office"
            ]
        },
        "chart_with_upwards_trend": {
            "unicode": "1f4c8",
            "unicode_alternates": "",
            "name": "chart with upwards trend",
            "shortname": ":chart_with_upwards_trend:",
            "category": "objects",
            "emoji_order": "719",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "graph",
                "business",
                "growth",
                "object",
                "office",
                "upward"
            ]
        },
        "chart_with_downwards_trend": {
            "unicode": "1f4c9",
            "unicode_alternates": "",
            "name": "chart with downwards trend",
            "shortname": ":chart_with_downwards_trend:",
            "category": "objects",
            "emoji_order": "720",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "graph",
                "business",
                "down",
                "object",
                "office"
            ]
        },
        "page_facing_up": {
            "unicode": "1f4c4",
            "unicode_alternates": "",
            "name": "page facing up",
            "shortname": ":page_facing_up:",
            "category": "objects",
            "emoji_order": "721",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "document",
                "object",
                "office"
            ]
        },
        "date": {
            "unicode": "1f4c5",
            "unicode_alternates": "",
            "name": "calendar",
            "shortname": ":date:",
            "category": "objects",
            "emoji_order": "722",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "schedule",
                "date",
                "day",
                "object",
                "office"
            ]
        },
        "calendar": {
            "unicode": "1f4c6",
            "unicode_alternates": "",
            "name": "tear-off calendar",
            "shortname": ":calendar:",
            "category": "objects",
            "emoji_order": "723",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "schedule",
                "date",
                "day",
                "object",
                "office"
            ]
        },
        "calendar_spiral": {
            "unicode": "1f5d3",
            "unicode_alternates": "1f5d3-fe0f",
            "name": "spiral calendar pad",
            "shortname": ":calendar_spiral:",
            "category": "objects",
            "emoji_order": "724",
            "aliases": [
                ":spiral_calendar_pad:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "schedule",
                "date",
                "day",
                "object",
                "office"
            ]
        },
        "card_index": {
            "unicode": "1f4c7",
            "unicode_alternates": "",
            "name": "card index",
            "shortname": ":card_index:",
            "category": "objects",
            "emoji_order": "725",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "business",
                "stationery",
                "rolodex",
                "object",
                "office"
            ]
        },
        "card_box": {
            "unicode": "1f5c3",
            "unicode_alternates": "1f5c3-fe0f",
            "name": "card file box",
            "shortname": ":card_box:",
            "category": "objects",
            "emoji_order": "726",
            "aliases": [
                ":card_file_box:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "index",
                "organization",
                "object",
                "office"
            ]
        },
        "ballot_box": {
            "unicode": "1f5f3",
            "unicode_alternates": "1f5f3-fe0f",
            "name": "ballot box with ballot",
            "shortname": ":ballot_box:",
            "category": "objects",
            "emoji_order": "727",
            "aliases": [
                ":ballot_box_with_ballot:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "vote",
                "object"
            ]
        },
        "file_cabinet": {
            "unicode": "1f5c4",
            "unicode_alternates": "1f5c4-fe0f",
            "name": "file cabinet",
            "shortname": ":file_cabinet:",
            "category": "objects",
            "emoji_order": "728",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "folders",
                "office",
                "documents",
                "storage",
                "object"
            ]
        },
        "clipboard": {
            "unicode": "1f4cb",
            "unicode_alternates": "",
            "name": "clipboard",
            "shortname": ":clipboard:",
            "category": "objects",
            "emoji_order": "729",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "stationery",
                "object",
                "office"
            ]
        },
        "notepad_spiral": {
            "unicode": "1f5d2",
            "unicode_alternates": "1f5d2-fe0f",
            "name": "spiral note pad",
            "shortname": ":notepad_spiral:",
            "category": "objects",
            "emoji_order": "730",
            "aliases": [
                ":spiral_note_pad:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "stationery",
                "object",
                "office"
            ]
        },
        "file_folder": {
            "unicode": "1f4c1",
            "unicode_alternates": "",
            "name": "file folder",
            "shortname": ":file_folder:",
            "category": "objects",
            "emoji_order": "731",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "object",
                "office"
            ]
        },
        "open_file_folder": {
            "unicode": "1f4c2",
            "unicode_alternates": "",
            "name": "open file folder",
            "shortname": ":open_file_folder:",
            "category": "objects",
            "emoji_order": "732",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "load",
                "object",
                "office"
            ]
        },
        "dividers": {
            "unicode": "1f5c2",
            "unicode_alternates": "1f5c2-fe0f",
            "name": "card index dividers",
            "shortname": ":dividers:",
            "category": "objects",
            "emoji_order": "733",
            "aliases": [
                ":card_index_dividers:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "stationery",
                "rolodex",
                "object",
                "office"
            ]
        },
        "newspaper2": {
            "unicode": "1f5de",
            "unicode_alternates": "1f5de-fe0f",
            "name": "rolled-up newspaper",
            "shortname": ":newspaper2:",
            "category": "objects",
            "emoji_order": "734",
            "aliases": [
                ":rolled_up_newspaper:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "headline",
                "press",
                "news",
                "object",
                "paper",
                "rolled"
            ]
        },
        "newspaper": {
            "unicode": "1f4f0",
            "unicode_alternates": "",
            "name": "newspaper",
            "shortname": ":newspaper:",
            "category": "objects",
            "emoji_order": "735",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "headline",
                "press",
                "communication",
                "news",
                "object",
                "paper"
            ]
        },
        "notebook": {
            "unicode": "1f4d3",
            "unicode_alternates": "",
            "name": "notebook",
            "shortname": ":notebook:",
            "category": "objects",
            "emoji_order": "736",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "notes",
                "paper",
                "record",
                "stationery",
                "school",
                "object",
                "office"
            ]
        },
        "closed_book": {
            "unicode": "1f4d5",
            "unicode_alternates": "",
            "name": "closed book",
            "shortname": ":closed_book:",
            "category": "objects",
            "emoji_order": "737",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "library",
                "read",
                "novel",
                "story",
                "education",
                "object",
                "office"
            ]
        },
        "green_book": {
            "unicode": "1f4d7",
            "unicode_alternates": "",
            "name": "green book",
            "shortname": ":green_book:",
            "category": "objects",
            "emoji_order": "738",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "library",
                "read",
                "novel",
                "story",
                "education",
                "object",
                "office"
            ]
        },
        "blue_book": {
            "unicode": "1f4d8",
            "unicode_alternates": "",
            "name": "blue book",
            "shortname": ":blue_book:",
            "category": "objects",
            "emoji_order": "739",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "library",
                "read",
                "novel",
                "story",
                "education",
                "object",
                "office"
            ]
        },
        "orange_book": {
            "unicode": "1f4d9",
            "unicode_alternates": "",
            "name": "orange book",
            "shortname": ":orange_book:",
            "category": "objects",
            "emoji_order": "740",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "library",
                "read",
                "novel",
                "story",
                "education",
                "object",
                "office"
            ]
        },
        "notebook_with_decorative_cover": {
            "unicode": "1f4d4",
            "unicode_alternates": "",
            "name": "notebook with decorative cover",
            "shortname": ":notebook_with_decorative_cover:",
            "category": "objects",
            "emoji_order": "741",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "classroom",
                "notes",
                "paper",
                "school",
                "stationery",
                "book",
                "decorated",
                "education",
                "object",
                "office"
            ]
        },
        "ledger": {
            "unicode": "1f4d2",
            "unicode_alternates": "",
            "name": "ledger",
            "shortname": ":ledger:",
            "category": "objects",
            "emoji_order": "742",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "notes",
                "business",
                "bookkeeping",
                "accounting",
                "finances",
                "notebook",
                "object",
                "office"
            ]
        },
        "books": {
            "unicode": "1f4da",
            "unicode_alternates": "",
            "name": "books",
            "shortname": ":books:",
            "category": "objects",
            "emoji_order": "743",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "library",
                "literature",
                "novel",
                "story",
                "collection",
                "series",
                "book",
                "education",
                "object",
                "office"
            ]
        },
        "book": {
            "unicode": "1f4d6",
            "unicode_alternates": "",
            "name": "open book",
            "shortname": ":book:",
            "category": "objects",
            "emoji_order": "744",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "library",
                "literature",
                "novel",
                "reading",
                "story",
                "education",
                "object",
                "office"
            ]
        },
        "link": {
            "unicode": "1f517",
            "unicode_alternates": "",
            "name": "link symbol",
            "shortname": ":link:",
            "category": "objects",
            "emoji_order": "745",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "rings",
                "url",
                "object"
            ]
        },
        "paperclip": {
            "unicode": "1f4ce",
            "unicode_alternates": "",
            "name": "paperclip",
            "shortname": ":paperclip:",
            "category": "objects",
            "emoji_order": "746",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "stationery",
                "object",
                "office"
            ]
        },
        "paperclips": {
            "unicode": "1f587",
            "unicode_alternates": "1f587-fe0f",
            "name": "linked paperclips",
            "shortname": ":paperclips:",
            "category": "objects",
            "emoji_order": "747",
            "aliases": [
                ":linked_paperclips:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "stationery",
                "communication",
                "link",
                "object",
                "office",
                "paperclip"
            ]
        },
        "scissors": {
            "unicode": "2702",
            "unicode_alternates": "2702-fe0f",
            "name": "black scissors",
            "shortname": ":scissors:",
            "category": "objects",
            "emoji_order": "748",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cut",
                "stationery",
                "object",
                "office",
                "tool"
            ]
        },
        "triangular_ruler": {
            "unicode": "1f4d0",
            "unicode_alternates": "",
            "name": "triangular ruler",
            "shortname": ":triangular_ruler:",
            "category": "objects",
            "emoji_order": "749",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "architect",
                "math",
                "sketch",
                "stationery",
                "object",
                "office",
                "set",
                "triangle"
            ]
        },
        "straight_ruler": {
            "unicode": "1f4cf",
            "unicode_alternates": "",
            "name": "straight ruler",
            "shortname": ":straight_ruler:",
            "category": "objects",
            "emoji_order": "750",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "stationery",
                "object",
                "office",
                "straight edge"
            ]
        },
        "pushpin": {
            "unicode": "1f4cc",
            "unicode_alternates": "",
            "name": "pushpin",
            "shortname": ":pushpin:",
            "category": "objects",
            "emoji_order": "751",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "stationery",
                "object",
                "office",
                "pin"
            ]
        },
        "round_pushpin": {
            "unicode": "1f4cd",
            "unicode_alternates": "",
            "name": "round pushpin",
            "shortname": ":round_pushpin:",
            "category": "objects",
            "emoji_order": "752",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "stationery",
                "object",
                "office",
                "pin",
                "place"
            ]
        },
        "triangular_flag_on_post": {
            "unicode": "1f6a9",
            "unicode_alternates": "",
            "name": "triangular flag on post",
            "shortname": ":triangular_flag_on_post:",
            "category": "objects",
            "emoji_order": "753",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "triangle",
                "golf",
                "flagpole",
                "object",
                "place",
                "travel"
            ]
        },
        "flag_white": {
            "unicode": "1f3f3",
            "unicode_alternates": "1f3f3-fe0f",
            "name": "waving white flag",
            "shortname": ":flag_white:",
            "category": "objects",
            "emoji_order": "754",
            "aliases": [
                ":waving_white_flag:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "symbol",
                "signal",
                "object"
            ]
        },
        "flag_black": {
            "unicode": "1f3f4",
            "unicode_alternates": "",
            "name": "waving black flag",
            "shortname": ":flag_black:",
            "category": "objects",
            "emoji_order": "755",
            "aliases": [
                ":waving_black_flag:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "symbol",
                "signal",
                "object"
            ]
        },
        "closed_lock_with_key": {
            "unicode": "1f510",
            "unicode_alternates": "",
            "name": "closed lock with key",
            "shortname": ":closed_lock_with_key:",
            "category": "objects",
            "emoji_order": "756",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "privacy",
                "security",
                "object",
                "secure"
            ]
        },
        "lock": {
            "unicode": "1f512",
            "unicode_alternates": "",
            "name": "lock",
            "shortname": ":lock:",
            "category": "objects",
            "emoji_order": "757",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "password",
                "security",
                "closed",
                "object"
            ]
        },
        "unlock": {
            "unicode": "1f513",
            "unicode_alternates": "",
            "name": "open lock",
            "shortname": ":unlock:",
            "category": "objects",
            "emoji_order": "758",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "privacy",
                "security",
                "unlock",
                "object"
            ]
        },
        "lock_with_ink_pen": {
            "unicode": "1f50f",
            "unicode_alternates": "",
            "name": "lock with ink pen",
            "shortname": ":lock_with_ink_pen:",
            "category": "objects",
            "emoji_order": "759",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "secret",
                "security",
                "nib",
                "object",
                "privacy"
            ]
        },
        "pen_ballpoint": {
            "unicode": "1f58a",
            "unicode_alternates": "1f58a-fe0f",
            "name": "lower left ballpoint pen",
            "shortname": ":pen_ballpoint:",
            "category": "objects",
            "emoji_order": "760",
            "aliases": [
                ":lower_left_ballpoint_pen:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "bic",
                "ink",
                "communication",
                "object",
                "office"
            ]
        },
        "pen_fountain": {
            "unicode": "1f58b",
            "unicode_alternates": "1f58b-fe0f",
            "name": "lower left fountain pen",
            "shortname": ":pen_fountain:",
            "category": "objects",
            "emoji_order": "761",
            "aliases": [
                ":lower_left_fountain_pen:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "calligraphy",
                "ink",
                "communication",
                "object",
                "office"
            ]
        },
        "black_nib": {
            "unicode": "2712",
            "unicode_alternates": "2712-fe0f",
            "name": "black nib",
            "shortname": ":black_nib:",
            "category": "objects",
            "emoji_order": "762",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "pen",
                "stationery",
                "object",
                "office"
            ]
        },
        "pencil": {
            "unicode": "1f4dd",
            "unicode_alternates": "",
            "name": "memo",
            "shortname": ":pencil:",
            "category": "objects",
            "emoji_order": "763",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "documents",
                "paper",
                "station",
                "write",
                "pencil",
                "communication",
                "object",
                "office"
            ]
        },
        "pencil2": {
            "unicode": "270f",
            "unicode_alternates": "270f-fe0f",
            "name": "pencil",
            "shortname": ":pencil2:",
            "category": "objects",
            "emoji_order": "764",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "paper",
                "stationery",
                "write",
                "object",
                "office"
            ]
        },
        "crayon": {
            "unicode": "1f58d",
            "unicode_alternates": "1f58d-fe0f",
            "name": "lower left crayon",
            "shortname": ":crayon:",
            "category": "objects",
            "emoji_order": "765",
            "aliases": [
                ":lower_left_crayon:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "draw",
                "color",
                "wax",
                "communication",
                "object",
                "office"
            ]
        },
        "paintbrush": {
            "unicode": "1f58c",
            "unicode_alternates": "1f58c-fe0f",
            "name": "lower left paintbrush",
            "shortname": ":paintbrush:",
            "category": "objects",
            "emoji_order": "766",
            "aliases": [
                ":lower_left_paintbrush:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "brush",
                "art",
                "painting",
                "communication",
                "object",
                "office"
            ]
        },
        "mag": {
            "unicode": "1f50d",
            "unicode_alternates": "",
            "name": "left-pointing magnifying glass",
            "shortname": ":mag:",
            "category": "objects",
            "emoji_order": "767",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "search",
                "zoom",
                "detective",
                "investigator",
                "details",
                "object",
                "tool"
            ]
        },
        "mag_right": {
            "unicode": "1f50e",
            "unicode_alternates": "",
            "name": "right-pointing magnifying glass",
            "shortname": ":mag_right:",
            "category": "objects",
            "emoji_order": "768",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "search",
                "zoom",
                "detective",
                "investigator",
                "details",
                "object",
                "tool"
            ]
        },
        "heart": {
            "unicode": "2764",
            "unicode_alternates": "2764-fe0f",
            "name": "heavy black heart",
            "shortname": ":heart:",
            "category": "symbols",
            "emoji_order": "769",
            "aliases": [],
            "aliases_ascii": [
                "<3"
            ],
            "keywords": [
                "like",
                "love",
                "red",
                "pink",
                "passion",
                "romance",
                "intense",
                "desire",
                "death",
                "evil",
                "cold",
                "valentines",
                "emotion",
                "person"
            ]
        },
        "yellow_heart": {
            "unicode": "1f49b",
            "unicode_alternates": "",
            "name": "yellow heart",
            "shortname": ":yellow_heart:",
            "category": "symbols",
            "emoji_order": "770",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "gold",
                "friendship",
                "happy",
                "happiness",
                "trust",
                "compassionate",
                "respectful",
                "honest",
                "caring",
                "selfless",
                "emotion",
                "person"
            ]
        },
        "green_heart": {
            "unicode": "1f49a",
            "unicode_alternates": "",
            "name": "green heart",
            "shortname": ":green_heart:",
            "category": "symbols",
            "emoji_order": "771",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "nature",
                "rebirth",
                "reborn",
                "jealous",
                "clingy",
                "envious",
                "possessive",
                "emotion",
                "person"
            ]
        },
        "blue_heart": {
            "unicode": "1f499",
            "unicode_alternates": "",
            "name": "blue heart",
            "shortname": ":blue_heart:",
            "category": "symbols",
            "emoji_order": "772",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "stability",
                "truth",
                "loyalty",
                "trust",
                "emotion",
                "person"
            ]
        },
        "purple_heart": {
            "unicode": "1f49c",
            "unicode_alternates": "",
            "name": "purple heart",
            "shortname": ":purple_heart:",
            "category": "symbols",
            "emoji_order": "773",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "violet",
                "love",
                "sensitive",
                "understanding",
                "compassionate",
                "compassion",
                "duty",
                "honor",
                "royalty",
                "veteran",
                "sacrifice",
                "emotion",
                "person"
            ]
        },
        "broken_heart": {
            "unicode": "1f494",
            "unicode_alternates": "",
            "name": "broken heart",
            "shortname": ":broken_heart:",
            "category": "symbols",
            "emoji_order": "774",
            "aliases": [],
            "aliases_ascii": [
                "<\/3"
            ],
            "keywords": [
                "sad",
                "sorry",
                "breakup",
                "split",
                "break",
                "emotion",
                "person"
            ]
        },
        "heart_exclamation": {
            "unicode": "2763",
            "unicode_alternates": "2763-fe0f",
            "name": "heavy heart exclamation mark ornament",
            "shortname": ":heart_exclamation:",
            "category": "symbols",
            "emoji_order": "775",
            "aliases": [
                ":heavy_heart_exclamation_mark_ornament:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "emotion",
                "punctuation",
                "symbol"
            ]
        },
        "two_hearts": {
            "unicode": "1f495",
            "unicode_alternates": "",
            "name": "two hearts",
            "shortname": ":two_hearts:",
            "category": "symbols",
            "emoji_order": "776",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "emotion",
                "heart",
                "person"
            ]
        },
        "revolving_hearts": {
            "unicode": "1f49e",
            "unicode_alternates": "",
            "name": "revolving hearts",
            "shortname": ":revolving_hearts:",
            "category": "symbols",
            "emoji_order": "777",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "lovers",
                "emotion",
                "heart",
                "person"
            ]
        },
        "heartbeat": {
            "unicode": "1f493",
            "unicode_alternates": "",
            "name": "beating heart",
            "shortname": ":heartbeat:",
            "category": "symbols",
            "emoji_order": "778",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "emotion",
                "heartbeat",
                "person",
                "pulsating"
            ]
        },
        "heartpulse": {
            "unicode": "1f497",
            "unicode_alternates": "",
            "name": "growing heart",
            "shortname": ":heartpulse:",
            "category": "symbols",
            "emoji_order": "779",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "emotion",
                "excited",
                "heartpulse",
                "nervous",
                "person"
            ]
        },
        "sparkling_heart": {
            "unicode": "1f496",
            "unicode_alternates": "",
            "name": "sparkling heart",
            "shortname": ":sparkling_heart:",
            "category": "symbols",
            "emoji_order": "780",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "emotion",
                "excited",
                "person",
                "sparkle"
            ]
        },
        "cupid": {
            "unicode": "1f498",
            "unicode_alternates": "",
            "name": "heart with arrow",
            "shortname": ":cupid:",
            "category": "symbols",
            "emoji_order": "781",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "affection",
                "like",
                "love",
                "valentines",
                "cupid",
                "emotion",
                "person",
                "romance"
            ]
        },
        "gift_heart": {
            "unicode": "1f49d",
            "unicode_alternates": "",
            "name": "heart with ribbon",
            "shortname": ":gift_heart:",
            "category": "symbols",
            "emoji_order": "782",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "like",
                "love",
                "valentines",
                "emotion",
                "object",
                "person",
                "valentine"
            ]
        },
        "heart_decoration": {
            "unicode": "1f49f",
            "unicode_alternates": "",
            "name": "heart decoration",
            "shortname": ":heart_decoration:",
            "category": "symbols",
            "emoji_order": "783",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "like",
                "love",
                "purple-square",
                "emotion",
                "person",
                "symbol"
            ]
        },
        "peace": {
            "unicode": "262e",
            "unicode_alternates": "262e-fe0f",
            "name": "peace symbol",
            "shortname": ":peace:",
            "category": "symbols",
            "emoji_order": "784",
            "aliases": [
                ":peace_symbol:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "sign"
            ]
        },
        "cross": {
            "unicode": "271d",
            "unicode_alternates": "271d-fe0f",
            "name": "latin cross",
            "shortname": ":cross:",
            "category": "symbols",
            "emoji_order": "785",
            "aliases": [
                ":latin_cross:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "religion",
                "symbol",
                "christian"
            ]
        },
        "star_and_crescent": {
            "unicode": "262a",
            "unicode_alternates": "262a-fe0f",
            "name": "star and crescent",
            "shortname": ":star_and_crescent:",
            "category": "symbols",
            "emoji_order": "786",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "islam",
                "muslim",
                "religion",
                "symbol"
            ]
        },
        "om_symbol": {
            "unicode": "1f549",
            "unicode_alternates": "1f549-fe0f",
            "name": "om symbol",
            "shortname": ":om_symbol:",
            "category": "symbols",
            "emoji_order": "787",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hinduism",
                "sound",
                "spiritual",
                "icon",
                "dharmic",
                "buddhism",
                "jainism",
                "meditate",
                "hindu",
                "religion"
            ]
        },
        "wheel_of_dharma": {
            "unicode": "2638",
            "unicode_alternates": "2638-fe0f",
            "name": "wheel of dharma",
            "shortname": ":wheel_of_dharma:",
            "category": "symbols",
            "emoji_order": "788",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "buddhist",
                "religion",
                "symbol"
            ]
        },
        "star_of_david": {
            "unicode": "2721",
            "unicode_alternates": "2721-fe0f",
            "name": "star of david",
            "shortname": ":star_of_david:",
            "category": "symbols",
            "emoji_order": "789",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "jew",
                "jewish",
                "religion",
                "symbol"
            ]
        },
        "six_pointed_star": {
            "unicode": "1f52f",
            "unicode_alternates": "",
            "name": "six pointed star with middle dot",
            "shortname": ":six_pointed_star:",
            "category": "symbols",
            "emoji_order": "790",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "purple-square",
                "fortune",
                "object",
                "symbol"
            ]
        },
        "menorah": {
            "unicode": "1f54e",
            "unicode_alternates": "",
            "name": "menorah with nine branches",
            "shortname": ":menorah:",
            "category": "symbols",
            "emoji_order": "791",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "yin_yang": {
            "unicode": "262f",
            "unicode_alternates": "262f-fe0f",
            "name": "yin yang",
            "shortname": ":yin_yang:",
            "category": "symbols",
            "emoji_order": "792",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "religion",
                "sign",
                "symbol",
                "tao",
                "taoist"
            ]
        },
        "orthodox_cross": {
            "unicode": "2626",
            "unicode_alternates": "2626-fe0f",
            "name": "orthodox cross",
            "shortname": ":orthodox_cross:",
            "category": "symbols",
            "emoji_order": "793",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "christian",
                "religion",
                "symbol"
            ]
        },
        "place_of_worship": {
            "unicode": "1f6d0",
            "unicode_alternates": "",
            "name": "place of worship",
            "shortname": ":place_of_worship:",
            "category": "symbols",
            "emoji_order": "794",
            "aliases": [
                ":worship_symbol:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "ophiuchus": {
            "unicode": "26ce",
            "unicode_alternates": "",
            "name": "ophiuchus",
            "shortname": ":ophiuchus:",
            "category": "symbols",
            "emoji_order": "795",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "serpent",
                "snake",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "zodiac",
                "purple-square",
                "sign",
                "horoscope",
                "bearer",
                "symbol"
            ]
        },
        "aries": {
            "unicode": "2648",
            "unicode_alternates": "2648-fe0f",
            "name": "aries",
            "shortname": ":aries:",
            "category": "symbols",
            "emoji_order": "796",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ram",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "purple-square",
                "sign",
                "zodiac",
                "horoscope",
                "symbol",
                "time"
            ]
        },
        "taurus": {
            "unicode": "2649",
            "unicode_alternates": "2649-fe0f",
            "name": "taurus",
            "shortname": ":taurus:",
            "category": "symbols",
            "emoji_order": "797",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "purple-square",
                "sign",
                "bull",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "zodiac",
                "horoscope",
                "ox",
                "symbol",
                "time"
            ]
        },
        "gemini": {
            "unicode": "264a",
            "unicode_alternates": "264a-fe0f",
            "name": "gemini",
            "shortname": ":gemini:",
            "category": "symbols",
            "emoji_order": "798",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "twins",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "sign",
                "zodiac",
                "horoscope",
                "symbol",
                "time"
            ]
        },
        "cancer": {
            "unicode": "264b",
            "unicode_alternates": "264b-fe0f",
            "name": "cancer",
            "shortname": ":cancer:",
            "category": "symbols",
            "emoji_order": "799",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "crab",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "sign",
                "zodiac",
                "horoscope",
                "symbol",
                "time"
            ]
        },
        "leo": {
            "unicode": "264c",
            "unicode_alternates": "264c-fe0f",
            "name": "leo",
            "shortname": ":leo:",
            "category": "symbols",
            "emoji_order": "800",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "lion",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "purple-square",
                "sign",
                "zodiac",
                "horoscope",
                "symbol",
                "time"
            ]
        },
        "virgo": {
            "unicode": "264d",
            "unicode_alternates": "264d-fe0f",
            "name": "virgo",
            "shortname": ":virgo:",
            "category": "symbols",
            "emoji_order": "801",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "maiden",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "sign",
                "zodiac",
                "horoscope",
                "symbol",
                "time",
                "virgin"
            ]
        },
        "libra": {
            "unicode": "264e",
            "unicode_alternates": "264e-fe0f",
            "name": "libra",
            "shortname": ":libra:",
            "category": "symbols",
            "emoji_order": "802",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "scales",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "purple-square",
                "sign",
                "zodiac",
                "horoscope",
                "balance",
                "justice",
                "symbol",
                "time"
            ]
        },
        "scorpius": {
            "unicode": "264f",
            "unicode_alternates": "264f-fe0f",
            "name": "scorpius",
            "shortname": ":scorpius:",
            "category": "symbols",
            "emoji_order": "803",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "scorpion",
                "scorpio",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "sign",
                "zodiac",
                "horoscope",
                "symbol",
                "time"
            ]
        },
        "sagittarius": {
            "unicode": "2650",
            "unicode_alternates": "2650-fe0f",
            "name": "sagittarius",
            "shortname": ":sagittarius:",
            "category": "symbols",
            "emoji_order": "804",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "centaur",
                "archer",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "zodiac",
                "sign",
                "horoscope",
                "symbol",
                "time"
            ]
        },
        "capricorn": {
            "unicode": "2651",
            "unicode_alternates": "2651-fe0f",
            "name": "capricorn",
            "shortname": ":capricorn:",
            "category": "symbols",
            "emoji_order": "805",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sea-goat",
                "goat-horned",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "zodiac",
                "sign",
                "horoscope",
                "goat",
                "symbol",
                "time"
            ]
        },
        "aquarius": {
            "unicode": "2652",
            "unicode_alternates": "2652-fe0f",
            "name": "aquarius",
            "shortname": ":aquarius:",
            "category": "symbols",
            "emoji_order": "806",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "water",
                "bearer",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "sign",
                "purple-square",
                "zodiac",
                "horoscope",
                "symbol",
                "time"
            ]
        },
        "pisces": {
            "unicode": "2653",
            "unicode_alternates": "2653-fe0f",
            "name": "pisces",
            "shortname": ":pisces:",
            "category": "symbols",
            "emoji_order": "807",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fish",
                "astrology",
                "greek",
                "constellation",
                "stars",
                "sign",
                "purple-square",
                "zodiac",
                "horoscope",
                "symbol",
                "time"
            ]
        },
        "id": {
            "unicode": "1f194",
            "unicode_alternates": "",
            "name": "squared id",
            "shortname": ":id:",
            "category": "symbols",
            "emoji_order": "808",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "purple-square",
                "identification",
                "identity",
                "symbol",
                "word"
            ]
        },
        "atom": {
            "unicode": "269b",
            "unicode_alternates": "269b-fe0f",
            "name": "atom symbol",
            "shortname": ":atom:",
            "category": "symbols",
            "emoji_order": "809",
            "aliases": [
                ":atom_symbol:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "atheist"
            ]
        },
        "u7a7a": {
            "unicode": "1f233",
            "unicode_alternates": "",
            "name": "squared cjk unified ideograph-7a7a",
            "shortname": ":u7a7a:",
            "category": "symbols",
            "emoji_order": "810",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "empty",
                "japanese",
                "kanji",
                "symbol",
                "word"
            ]
        },
        "u5272": {
            "unicode": "1f239",
            "unicode_alternates": "",
            "name": "squared cjk unified ideograph-5272",
            "shortname": ":u5272:",
            "category": "symbols",
            "emoji_order": "811",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "cut",
                "divide",
                "kanji",
                "pink",
                "bargain",
                "sale",
                "japanese",
                "symbol",
                "word"
            ]
        },
        "radioactive": {
            "unicode": "2622",
            "unicode_alternates": "2622-fe0f",
            "name": "radioactive sign",
            "shortname": ":radioactive:",
            "category": "symbols",
            "emoji_order": "812",
            "aliases": [
                ":radioactive_sign:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "symbol"
            ]
        },
        "biohazard": {
            "unicode": "2623",
            "unicode_alternates": "2623-fe0f",
            "name": "biohazard sign",
            "shortname": ":biohazard:",
            "category": "symbols",
            "emoji_order": "813",
            "aliases": [
                ":biohazard_sign:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "symbol"
            ]
        },
        "mobile_phone_off": {
            "unicode": "1f4f4",
            "unicode_alternates": "",
            "name": "mobile phone off",
            "shortname": ":mobile_phone_off:",
            "category": "symbols",
            "emoji_order": "814",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mute",
                "cell",
                "communication",
                "object",
                "symbol",
                "telephone"
            ]
        },
        "vibration_mode": {
            "unicode": "1f4f3",
            "unicode_alternates": "",
            "name": "vibration mode",
            "shortname": ":vibration_mode:",
            "category": "symbols",
            "emoji_order": "815",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "orange-square",
                "phone",
                "mobile",
                "cell",
                "communication",
                "object",
                "symbol",
                "telephone"
            ]
        },
        "u6709": {
            "unicode": "1f236",
            "unicode_alternates": "",
            "name": "squared cjk unified ideograph-6709",
            "shortname": ":u6709:",
            "category": "symbols",
            "emoji_order": "816",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "own",
                "possess",
                "kanji",
                "orange-square",
                "japanese",
                "symbol",
                "word"
            ]
        },
        "u7121": {
            "unicode": "1f21a",
            "unicode_alternates": "1f21a-fe0f",
            "name": "squared cjk unified ideograph-7121",
            "shortname": ":u7121:",
            "category": "symbols",
            "emoji_order": "817",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "japanese",
                "kanji",
                "none",
                "orange-square",
                "lack",
                "symbol",
                "word"
            ]
        },
        "u7533": {
            "unicode": "1f238",
            "unicode_alternates": "",
            "name": "squared cjk unified ideograph-7533",
            "shortname": ":u7533:",
            "category": "symbols",
            "emoji_order": "818",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "japanese",
                "kanji",
                "request",
                "monkey",
                "symbol",
                "word"
            ]
        },
        "u55b6": {
            "unicode": "1f23a",
            "unicode_alternates": "",
            "name": "squared cjk unified ideograph-55b6",
            "shortname": ":u55b6:",
            "category": "symbols",
            "emoji_order": "819",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "japanese",
                "open",
                "work",
                "chinese",
                "symbol",
                "word"
            ]
        },
        "u6708": {
            "unicode": "1f237",
            "unicode_alternates": "1f237-fe0f",
            "name": "squared cjk unified ideograph-6708",
            "shortname": ":u6708:",
            "category": "symbols",
            "emoji_order": "820",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "japanese",
                "kanji",
                "moon",
                "orange-square",
                "month",
                "symbol",
                "word"
            ]
        },
        "eight_pointed_black_star": {
            "unicode": "2734",
            "unicode_alternates": "2734-fe0f",
            "name": "eight pointed black star",
            "shortname": ":eight_pointed_black_star:",
            "category": "symbols",
            "emoji_order": "821",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "orange-square",
                "symbol",
                "sign"
            ]
        },
        "vs": {
            "unicode": "1f19a",
            "unicode_alternates": "",
            "name": "squared vs",
            "shortname": ":vs:",
            "category": "symbols",
            "emoji_order": "822",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "orange-square",
                "words",
                "versus",
                "symbol",
                "word"
            ]
        },
        "accept": {
            "unicode": "1f251",
            "unicode_alternates": "",
            "name": "circled ideograph accept",
            "shortname": ":accept:",
            "category": "symbols",
            "emoji_order": "823",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "agree",
                "chinese",
                "good",
                "kanji",
                "ok",
                "yes",
                "symbol",
                "word"
            ]
        },
        "white_flower": {
            "unicode": "1f4ae",
            "unicode_alternates": "",
            "name": "white flower",
            "shortname": ":white_flower:",
            "category": "symbols",
            "emoji_order": "824",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "japanese",
                "teacher",
                "school",
                "grade",
                "score",
                "brilliance",
                "intelligence",
                "homework",
                "student",
                "assignment",
                "praise",
                "object",
                "symbol"
            ]
        },
        "ideograph_advantage": {
            "unicode": "1f250",
            "unicode_alternates": "",
            "name": "circled ideograph advantage",
            "shortname": ":ideograph_advantage:",
            "category": "symbols",
            "emoji_order": "825",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "get",
                "kanji",
                "bargain",
                "japanese",
                "symbol",
                "word"
            ]
        },
        "secret": {
            "unicode": "3299",
            "unicode_alternates": "3299-fe0f",
            "name": "circled ideograph secret",
            "shortname": ":secret:",
            "category": "symbols",
            "emoji_order": "826",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "privacy",
                "chinese",
                "symbol",
                "word"
            ]
        },
        "congratulations": {
            "unicode": "3297",
            "unicode_alternates": "3297-fe0f",
            "name": "circled ideograph congratulation",
            "shortname": ":congratulations:",
            "category": "symbols",
            "emoji_order": "827",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "japanese",
                "kanji",
                "congratulations",
                "symbol",
                "word"
            ]
        },
        "u5408": {
            "unicode": "1f234",
            "unicode_alternates": "",
            "name": "squared cjk unified ideograph-5408",
            "shortname": ":u5408:",
            "category": "symbols",
            "emoji_order": "828",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "japanese",
                "join",
                "unite",
                "agreement",
                "kanji",
                "symbol",
                "word"
            ]
        },
        "u6e80": {
            "unicode": "1f235",
            "unicode_alternates": "",
            "name": "squared cjk unified ideograph-6e80",
            "shortname": ":u6e80:",
            "category": "symbols",
            "emoji_order": "829",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "full",
                "japanese",
                "kanji",
                "red-square",
                "symbol",
                "word"
            ]
        },
        "u7981": {
            "unicode": "1f232",
            "unicode_alternates": "",
            "name": "squared cjk unified ideograph-7981",
            "shortname": ":u7981:",
            "category": "symbols",
            "emoji_order": "830",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "japanese",
                "kanji",
                "limit",
                "restricted",
                "prohibit",
                "restrict",
                "forbid",
                "symbol",
                "word"
            ]
        },
        "a": {
            "unicode": "1f170",
            "unicode_alternates": "",
            "name": "negative squared latin capital letter a",
            "shortname": ":a:",
            "category": "symbols",
            "emoji_order": "831",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "letter",
                "red-square",
                "blood",
                "type",
                "symbol",
                "word"
            ]
        },
        "b": {
            "unicode": "1f171",
            "unicode_alternates": "",
            "name": "negative squared latin capital letter b",
            "shortname": ":b:",
            "category": "symbols",
            "emoji_order": "832",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "letter",
                "red-square",
                "blood",
                "type",
                "symbol",
                "word"
            ]
        },
        "ab": {
            "unicode": "1f18e",
            "unicode_alternates": "",
            "name": "negative squared ab",
            "shortname": ":ab:",
            "category": "symbols",
            "emoji_order": "833",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "red-square",
                "blood",
                "type",
                "symbol",
                "word"
            ]
        },
        "cl": {
            "unicode": "1f191",
            "unicode_alternates": "",
            "name": "squared cl",
            "shortname": ":cl:",
            "category": "symbols",
            "emoji_order": "834",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "red-square",
                "words",
                "cl",
                "clear",
                "symbol",
                "word"
            ]
        },
        "o2": {
            "unicode": "1f17e",
            "unicode_alternates": "",
            "name": "negative squared latin capital letter o",
            "shortname": ":o2:",
            "category": "symbols",
            "emoji_order": "835",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "red-square",
                "o2",
                "blood",
                "type",
                "symbol",
                "word"
            ]
        },
        "sos": {
            "unicode": "1f198",
            "unicode_alternates": "",
            "name": "squared sos",
            "shortname": ":sos:",
            "category": "symbols",
            "emoji_order": "836",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "emergency",
                "help",
                "red-square",
                "distress",
                "symbol",
                "word"
            ]
        },
        "no_entry": {
            "unicode": "26d4",
            "unicode_alternates": "26d4-fe0f",
            "name": "no entry",
            "shortname": ":no_entry:",
            "category": "symbols",
            "emoji_order": "837",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bad",
                "denied",
                "limit",
                "privacy",
                "security",
                "stop",
                "forbidden",
                "not",
                "prohibited",
                "symbol",
                "traffic",
                "travel"
            ]
        },
        "name_badge": {
            "unicode": "1f4db",
            "unicode_alternates": "",
            "name": "name badge",
            "shortname": ":name_badge:",
            "category": "symbols",
            "emoji_order": "838",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "object",
                "office"
            ]
        },
        "no_entry_sign": {
            "unicode": "1f6ab",
            "unicode_alternates": "",
            "name": "no entry sign",
            "shortname": ":no_entry_sign:",
            "category": "symbols",
            "emoji_order": "839",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "denied",
                "disallow",
                "forbid",
                "limit",
                "stop",
                "prohibited",
                "forbidden",
                "not",
                "symbol",
                "travel"
            ]
        },
        "x": {
            "unicode": "274c",
            "unicode_alternates": "",
            "name": "cross mark",
            "shortname": ":x:",
            "category": "symbols",
            "emoji_order": "840",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "delete",
                "no",
                "remove",
                "cancel",
                "x",
                "multiplication",
                "multiply",
                "sign",
                "symbol"
            ]
        },
        "o": {
            "unicode": "2b55",
            "unicode_alternates": "2b55-fe0f",
            "name": "heavy large circle",
            "shortname": ":o:",
            "category": "symbols",
            "emoji_order": "841",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "round",
                "o",
                "symbol",
                "travel"
            ]
        },
        "anger": {
            "unicode": "1f4a2",
            "unicode_alternates": "",
            "name": "anger symbol",
            "shortname": ":anger:",
            "category": "symbols",
            "emoji_order": "842",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "angry",
                "mad",
                "comic",
                "emotion",
                "person"
            ]
        },
        "hotsprings": {
            "unicode": "2668",
            "unicode_alternates": "2668-fe0f",
            "name": "hot springs",
            "shortname": ":hotsprings:",
            "category": "symbols",
            "emoji_order": "843",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bath",
                "relax",
                "warm",
                "hotsprings",
                "place",
                "steaming"
            ]
        },
        "no_pedestrians": {
            "unicode": "1f6b7",
            "unicode_alternates": "",
            "name": "no pedestrians",
            "shortname": ":no_pedestrians:",
            "category": "symbols",
            "emoji_order": "844",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "crossing",
                "rules",
                "walking",
                "walk",
                "stroll",
                "stride",
                "forbidden",
                "not",
                "pedestrian",
                "place",
                "prohibited",
                "sign",
                "symbol",
                "travel"
            ]
        },
        "do_not_litter": {
            "unicode": "1f6af",
            "unicode_alternates": "",
            "name": "do not litter symbol",
            "shortname": ":do_not_litter:",
            "category": "symbols",
            "emoji_order": "845",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bin",
                "garbage",
                "trash",
                "waste",
                "no",
                "forbidden",
                "prohibited",
                "sign",
                "travel"
            ]
        },
        "no_bicycles": {
            "unicode": "1f6b3",
            "unicode_alternates": "",
            "name": "no bicycles",
            "shortname": ":no_bicycles:",
            "category": "symbols",
            "emoji_order": "846",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cyclist",
                "prohibited",
                "bike",
                "pedal",
                "bicycle",
                "forbidden",
                "not",
                "place",
                "sign",
                "sport",
                "symbol",
                "travel",
                "vehicle"
            ]
        },
        "non-potable_water": {
            "unicode": "1f6b1",
            "unicode_alternates": "",
            "name": "non-potable water symbol",
            "shortname": ":non-potable_water:",
            "category": "symbols",
            "emoji_order": "847",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "drink",
                "faucet",
                "tap",
                "undrinkable",
                "dirty",
                "gross",
                "aqua",
                "h20",
                "forbidden",
                "no",
                "not",
                "potable",
                "prohibited",
                "sign",
                "travel"
            ]
        },
        "underage": {
            "unicode": "1f51e",
            "unicode_alternates": "",
            "name": "no one under eighteen symbol",
            "shortname": ":underage:",
            "category": "symbols",
            "emoji_order": "848",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "18",
                "drink",
                "night",
                "pub",
                "age restriction",
                "forbidden",
                "not",
                "prohibited",
                "underage",
                "word"
            ]
        },
        "no_mobile_phones": {
            "unicode": "1f4f5",
            "unicode_alternates": "",
            "name": "no mobile phones",
            "shortname": ":no_mobile_phones:",
            "category": "symbols",
            "emoji_order": "849",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "iphone",
                "mute",
                "cell",
                "communication",
                "forbidden",
                "not",
                "object",
                "phone",
                "prohibited",
                "symbol",
                "telephone"
            ]
        },
        "exclamation": {
            "unicode": "2757",
            "unicode_alternates": "2757-fe0f",
            "name": "heavy exclamation mark symbol",
            "shortname": ":exclamation:",
            "category": "symbols",
            "emoji_order": "850",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "surprise",
                "punctuation",
                "word"
            ]
        },
        "grey_exclamation": {
            "unicode": "2755",
            "unicode_alternates": "",
            "name": "white exclamation mark ornament",
            "shortname": ":grey_exclamation:",
            "category": "symbols",
            "emoji_order": "851",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "surprise",
                "outlined",
                "punctuation",
                "symbol",
                "word"
            ]
        },
        "question": {
            "unicode": "2753",
            "unicode_alternates": "",
            "name": "black question mark ornament",
            "shortname": ":question:",
            "category": "symbols",
            "emoji_order": "852",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "confused",
                "doubt",
                "punctuation",
                "symbol",
                "word"
            ]
        },
        "grey_question": {
            "unicode": "2754",
            "unicode_alternates": "",
            "name": "white question mark ornament",
            "shortname": ":grey_question:",
            "category": "symbols",
            "emoji_order": "853",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "confused",
                "doubt",
                "outlined",
                "punctuation",
                "symbol",
                "word"
            ]
        },
        "bangbang": {
            "unicode": "203c",
            "unicode_alternates": "203c-fe0f",
            "name": "double exclamation mark",
            "shortname": ":bangbang:",
            "category": "symbols",
            "emoji_order": "854",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "surprise",
                "bangbang",
                "punctuation",
                "symbol",
                "word"
            ]
        },
        "interrobang": {
            "unicode": "2049",
            "unicode_alternates": "2049-fe0f",
            "name": "exclamation question mark",
            "shortname": ":interrobang:",
            "category": "symbols",
            "emoji_order": "855",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "punctuation",
                "surprise",
                "wat",
                "interrobang",
                "symbol",
                "word"
            ]
        },
        "100": {
            "unicode": "1f4af",
            "unicode_alternates": "",
            "name": "hundred points symbol",
            "shortname": ":100:",
            "category": "symbols",
            "emoji_order": "856",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "numbers",
                "score",
                "percent",
                "a",
                "plus",
                "perfect",
                "school",
                "quiz",
                "score",
                "test",
                "exam",
                "100",
                "full",
                "office"
            ]
        },
        "low_brightness": {
            "unicode": "1f505",
            "unicode_alternates": "",
            "name": "low brightness symbol",
            "shortname": ":low_brightness:",
            "category": "symbols",
            "emoji_order": "857",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "summer",
                "sun",
                "dim",
                "sign"
            ]
        },
        "high_brightness": {
            "unicode": "1f506",
            "unicode_alternates": "",
            "name": "high brightness symbol",
            "shortname": ":high_brightness:",
            "category": "symbols",
            "emoji_order": "858",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "light",
                "summer",
                "sun",
                "bright",
                "sign"
            ]
        },
        "trident": {
            "unicode": "1f531",
            "unicode_alternates": "",
            "name": "trident emblem",
            "shortname": ":trident:",
            "category": "symbols",
            "emoji_order": "859",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "spear",
                "weapon",
                "poseidon",
                "neptune",
                "anchor",
                "object",
                "ship",
                "symbol",
                "tool"
            ]
        },
        "fleur-de-lis": {
            "unicode": "269c",
            "unicode_alternates": "269c-fe0f",
            "name": "fleur-de-lis",
            "shortname": ":fleur-de-lis:",
            "category": "symbols",
            "emoji_order": "860",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "symbol"
            ]
        },
        "part_alternation_mark": {
            "unicode": "303d",
            "unicode_alternates": "303d-fe0f",
            "name": "part alternation mark",
            "shortname": ":part_alternation_mark:",
            "category": "symbols",
            "emoji_order": "861",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "graph",
                "sing",
                "song",
                "vocal",
                "music",
                "karaoke",
                "cue",
                "letter",
                "m",
                "japanese",
                "sign",
                "symbol"
            ]
        },
        "warning": {
            "unicode": "26a0",
            "unicode_alternates": "26a0-fe0f",
            "name": "warning sign",
            "shortname": ":warning:",
            "category": "symbols",
            "emoji_order": "862",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "exclamation",
                "wip",
                "place",
                "symbol",
                "travel"
            ]
        },
        "children_crossing": {
            "unicode": "1f6b8",
            "unicode_alternates": "",
            "name": "children crossing",
            "shortname": ":children_crossing:",
            "category": "symbols",
            "emoji_order": "863",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "school",
                "kids",
                "caution",
                "street",
                "crosswalk",
                "slow",
                "sign",
                "child",
                "pedestrian",
                "place",
                "symbol",
                "traffic",
                "travel"
            ]
        },
        "beginner": {
            "unicode": "1f530",
            "unicode_alternates": "",
            "name": "japanese symbol for beginner",
            "shortname": ":beginner:",
            "category": "symbols",
            "emoji_order": "864",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "badge",
                "shield",
                "chevron",
                "green",
                "leaf",
                "object",
                "tool",
                "yellow"
            ]
        },
        "recycle": {
            "unicode": "267b",
            "unicode_alternates": "267b-fe0f",
            "name": "black universal recycling symbol",
            "shortname": ":recycle:",
            "category": "symbols",
            "emoji_order": "865",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "environment",
                "garbage",
                "trash",
                "recycle",
                "sign"
            ]
        },
        "u6307": {
            "unicode": "1f22f",
            "unicode_alternates": "1f22f-fe0f",
            "name": "squared cjk unified ideograph-6307",
            "shortname": ":u6307:",
            "category": "symbols",
            "emoji_order": "866",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "green-square",
                "kanji",
                "point",
                "japanese",
                "symbol",
                "word"
            ]
        },
        "chart": {
            "unicode": "1f4b9",
            "unicode_alternates": "",
            "name": "chart with upwards trend and yen sign",
            "shortname": ":chart:",
            "category": "symbols",
            "emoji_order": "867",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "graph",
                "green-square",
                "bank",
                "currency",
                "growth",
                "market",
                "money",
                "object",
                "office",
                "rise",
                "symbol",
                "upward"
            ]
        },
        "sparkle": {
            "unicode": "2747",
            "unicode_alternates": "2747-fe0f",
            "name": "sparkle",
            "shortname": ":sparkle:",
            "category": "symbols",
            "emoji_order": "868",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "green-square",
                "stars",
                "sign",
                "symbol"
            ]
        },
        "eight_spoked_asterisk": {
            "unicode": "2733",
            "unicode_alternates": "2733-fe0f",
            "name": "eight spoked asterisk",
            "shortname": ":eight_spoked_asterisk:",
            "category": "symbols",
            "emoji_order": "869",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "green-square",
                "sparkle",
                "star",
                "sign",
                "symbol"
            ]
        },
        "negative_squared_cross_mark": {
            "unicode": "274e",
            "unicode_alternates": "",
            "name": "negative squared cross mark",
            "shortname": ":negative_squared_cross_mark:",
            "category": "symbols",
            "emoji_order": "870",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "deny",
                "green-square",
                "no",
                "x",
                "sign",
                "square",
                "symbol"
            ]
        },
        "white_check_mark": {
            "unicode": "2705",
            "unicode_alternates": "",
            "name": "white heavy check mark",
            "shortname": ":white_check_mark:",
            "category": "symbols",
            "emoji_order": "871",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "agree",
                "green-square",
                "ok",
                "sign",
                "symbol"
            ]
        },
        "diamond_shape_with_a_dot_inside": {
            "unicode": "1f4a0",
            "unicode_alternates": "",
            "name": "diamond shape with a dot inside",
            "shortname": ":diamond_shape_with_a_dot_inside:",
            "category": "symbols",
            "emoji_order": "872",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cute",
                "cuteness",
                "kawaii",
                "japanese",
                "glyph",
                "adorable",
                "comic",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "cyclone": {
            "unicode": "1f300",
            "unicode_alternates": "",
            "name": "cyclone",
            "shortname": ":cyclone:",
            "category": "symbols",
            "emoji_order": "873",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue",
                "cloud",
                "swirl",
                "weather",
                "hurricane",
                "typhoon",
                "storm",
                "ocean",
                "dizzy",
                "nature",
                "twister"
            ]
        },
        "loop": {
            "unicode": "27bf",
            "unicode_alternates": "",
            "name": "double curly loop",
            "shortname": ":loop:",
            "category": "symbols",
            "emoji_order": "874",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "curl",
                "sign",
                "symbol"
            ]
        },
        "globe_with_meridians": {
            "unicode": "1f310",
            "unicode_alternates": "",
            "name": "globe with meridians",
            "shortname": ":globe_with_meridians:",
            "category": "symbols",
            "emoji_order": "875",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "earth",
                "international",
                "world",
                "space",
                "planet",
                "nature",
                "place"
            ]
        },
        "m": {
            "unicode": "24c2",
            "unicode_alternates": "24c2-fe0f",
            "name": "circled latin capital letter m",
            "shortname": ":m:",
            "category": "symbols",
            "emoji_order": "876",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "blue-circle",
                "circle",
                "place",
                "symbol",
                "word"
            ]
        },
        "atm": {
            "unicode": "1f3e7",
            "unicode_alternates": "",
            "name": "automated teller machine",
            "shortname": ":atm:",
            "category": "symbols",
            "emoji_order": "877",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "atm",
                "cash",
                "withdrawal",
                "money",
                "deposit",
                "financial",
                "bank",
                "adam",
                "payday",
                "blue-square",
                "payment",
                "place",
                "sign",
                "symbol"
            ]
        },
        "sa": {
            "unicode": "1f202",
            "unicode_alternates": "1f202-fe0f",
            "name": "squared katakana sa",
            "shortname": ":sa:",
            "category": "symbols",
            "emoji_order": "878",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "japanese",
                "symbol",
                "word"
            ]
        },
        "passport_control": {
            "unicode": "1f6c2",
            "unicode_alternates": "",
            "name": "passport control",
            "shortname": ":passport_control:",
            "category": "symbols",
            "emoji_order": "879",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "customs",
                "official",
                "travel",
                "foreign",
                "identification",
                "check",
                "authority",
                "government",
                "border",
                "place",
                "sign",
                "symbol"
            ]
        },
        "customs": {
            "unicode": "1f6c3",
            "unicode_alternates": "",
            "name": "customs",
            "shortname": ":customs:",
            "category": "symbols",
            "emoji_order": "880",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "official",
                "border",
                "passport",
                "travel",
                "foreign",
                "goods",
                "check",
                "authority",
                "government",
                "place",
                "sign",
                "symbol"
            ]
        },
        "baggage_claim": {
            "unicode": "1f6c4",
            "unicode_alternates": "",
            "name": "baggage claim",
            "shortname": ":baggage_claim:",
            "category": "symbols",
            "emoji_order": "881",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "airport",
                "blue-square",
                "transport",
                "bag",
                "luggage",
                "travel",
                "suitcase",
                "place",
                "sign",
                "symbol"
            ]
        },
        "left_luggage": {
            "unicode": "1f6c5",
            "unicode_alternates": "",
            "name": "left luggage",
            "shortname": ":left_luggage:",
            "category": "symbols",
            "emoji_order": "882",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "travel",
                "bag",
                "baggage",
                "suitcase",
                "left luggage",
                "locker",
                "place",
                "sign",
                "symbol"
            ]
        },
        "wheelchair": {
            "unicode": "267f",
            "unicode_alternates": "267f-fe0f",
            "name": "wheelchair symbol",
            "shortname": ":wheelchair:",
            "category": "symbols",
            "emoji_order": "883",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "disabled",
                "handicapped",
                "access",
                "sign",
                "travel"
            ]
        },
        "no_smoking": {
            "unicode": "1f6ad",
            "unicode_alternates": "",
            "name": "no smoking symbol",
            "shortname": ":no_smoking:",
            "category": "symbols",
            "emoji_order": "884",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cigarette",
                "smoke",
                "cancer",
                "lungs",
                "inhale",
                "tar",
                "nicotine",
                "forbidden",
                "not",
                "prohibited",
                "sign",
                "travel"
            ]
        },
        "wc": {
            "unicode": "1f6be",
            "unicode_alternates": "",
            "name": "water closet",
            "shortname": ":wc:",
            "category": "symbols",
            "emoji_order": "885",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "restroom",
                "toilet",
                "bathroom",
                "throne",
                "porcelain",
                "waste",
                "flush",
                "plumbing",
                "wc",
                "lavatory",
                "place",
                "sign",
                "symbol",
                "travel"
            ]
        },
        "parking": {
            "unicode": "1f17f",
            "unicode_alternates": "1f17f-fe0f",
            "name": "negative squared latin capital letter p",
            "shortname": ":parking:",
            "category": "symbols",
            "emoji_order": "886",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "blue-square",
                "cars",
                "letter",
                "parking",
                "place",
                "sign",
                "symbol",
                "word"
            ]
        },
        "potable_water": {
            "unicode": "1f6b0",
            "unicode_alternates": "",
            "name": "potable water symbol",
            "shortname": ":potable_water:",
            "category": "symbols",
            "emoji_order": "887",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "faucet",
                "liquid",
                "drinkable",
                "pure",
                "clear",
                "clean",
                "aqua",
                "h20",
                "drink",
                "sign",
                "travel"
            ]
        },
        "mens": {
            "unicode": "1f6b9",
            "unicode_alternates": "",
            "name": "mens symbol",
            "shortname": ":mens:",
            "category": "symbols",
            "emoji_order": "888",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "restroom",
                "toilet",
                "wc",
                "men",
                "bathroom",
                "sign",
                "boy",
                "male",
                "avatar",
                "lavatory",
                "man",
                "travel"
            ]
        },
        "womens": {
            "unicode": "1f6ba",
            "unicode_alternates": "",
            "name": "womens symbol",
            "shortname": ":womens:",
            "category": "symbols",
            "emoji_order": "889",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "purple-square",
                "woman",
                "bathroom",
                "restroom",
                "sign",
                "girl",
                "female",
                "avatar",
                "lavatory",
                "travel",
                "wc"
            ]
        },
        "baby_symbol": {
            "unicode": "1f6bc",
            "unicode_alternates": "",
            "name": "baby symbol",
            "shortname": ":baby_symbol:",
            "category": "symbols",
            "emoji_order": "890",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "orange-square",
                "crawl",
                "newborn",
                "human",
                "diaper",
                "small",
                "babe",
                "changing",
                "sign",
                "travel"
            ]
        },
        "restroom": {
            "unicode": "1f6bb",
            "unicode_alternates": "",
            "name": "restroom",
            "shortname": ":restroom:",
            "category": "symbols",
            "emoji_order": "891",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "woman",
                "man",
                "unisex",
                "bathroom",
                "sign",
                "toilet",
                "lavatory",
                "symbol",
                "travel",
                "wc"
            ]
        },
        "put_litter_in_its_place": {
            "unicode": "1f6ae",
            "unicode_alternates": "",
            "name": "put litter in its place symbol",
            "shortname": ":put_litter_in_its_place:",
            "category": "symbols",
            "emoji_order": "892",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "waste",
                "trash",
                "garbage",
                "receptacle",
                "can",
                "litterbox",
                "travel"
            ]
        },
        "cinema": {
            "unicode": "1f3a6",
            "unicode_alternates": "",
            "name": "cinema",
            "shortname": ":cinema:",
            "category": "symbols",
            "emoji_order": "893",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "film",
                "movie",
                "record",
                "theater",
                "motion",
                "picture",
                "activity",
                "camera",
                "entertainment",
                "object",
                "symbol"
            ]
        },
        "signal_strength": {
            "unicode": "1f4f6",
            "unicode_alternates": "",
            "name": "antenna with bars",
            "shortname": ":signal_strength:",
            "category": "symbols",
            "emoji_order": "894",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "cell",
                "bar",
                "communication",
                "mobile",
                "object",
                "phone",
                "signal",
                "symbol",
                "telephone"
            ]
        },
        "koko": {
            "unicode": "1f201",
            "unicode_alternates": "",
            "name": "squared katakana koko",
            "shortname": ":koko:",
            "category": "symbols",
            "emoji_order": "895",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "destination",
                "here",
                "japanese",
                "symbol",
                "word"
            ]
        },
        "ng": {
            "unicode": "1f196",
            "unicode_alternates": "",
            "name": "squared ng",
            "shortname": ":ng:",
            "category": "symbols",
            "emoji_order": "896",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "no good",
                "symbol",
                "word"
            ]
        },
        "ok": {
            "unicode": "1f197",
            "unicode_alternates": "",
            "name": "squared ok",
            "shortname": ":ok:",
            "category": "symbols",
            "emoji_order": "897",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "agree",
                "blue-square",
                "good",
                "yes",
                "symbol",
                "word"
            ]
        },
        "up": {
            "unicode": "1f199",
            "unicode_alternates": "",
            "name": "squared up with exclamation mark",
            "shortname": ":up:",
            "category": "symbols",
            "emoji_order": "898",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "symbol",
                "word"
            ]
        },
        "cool": {
            "unicode": "1f192",
            "unicode_alternates": "",
            "name": "squared cool",
            "shortname": ":cool:",
            "category": "symbols",
            "emoji_order": "899",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "words",
                "symbol",
                "word"
            ]
        },
        "new": {
            "unicode": "1f195",
            "unicode_alternates": "",
            "name": "squared new",
            "shortname": ":new:",
            "category": "symbols",
            "emoji_order": "900",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "symbol",
                "word"
            ]
        },
        "free": {
            "unicode": "1f193",
            "unicode_alternates": "",
            "name": "squared free",
            "shortname": ":free:",
            "category": "symbols",
            "emoji_order": "901",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "words",
                "symbol",
                "word"
            ]
        },
        "zero": {
            "unicode": "0030-20e3",
            "unicode_alternates": "0030-fe0f-20e3",
            "name": "keycap digit zero",
            "shortname": ":zero:",
            "category": "symbols",
            "emoji_order": "902",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "numbers",
                "0",
                "symbol",
                "word"
            ]
        },
        "one": {
            "unicode": "0031-20e3",
            "unicode_alternates": "0031-fe0f-20e3",
            "name": "keycap digit one",
            "shortname": ":one:",
            "category": "symbols",
            "emoji_order": "903",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "1",
                "blue-square",
                "numbers",
                "symbol",
                "word"
            ]
        },
        "two": {
            "unicode": "0032-20e3",
            "unicode_alternates": "0032-fe0f-20e3",
            "name": "keycap digit two",
            "shortname": ":two:",
            "category": "symbols",
            "emoji_order": "904",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "2",
                "blue-square",
                "numbers",
                "prime",
                "symbol",
                "word"
            ]
        },
        "three": {
            "unicode": "0033-20e3",
            "unicode_alternates": "0033-fe0f-20e3",
            "name": "keycap digit three",
            "shortname": ":three:",
            "category": "symbols",
            "emoji_order": "905",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "3",
                "blue-square",
                "numbers",
                "prime",
                "symbol",
                "word"
            ]
        },
        "four": {
            "unicode": "0034-20e3",
            "unicode_alternates": "0034-fe0f-20e3",
            "name": "keycap digit four",
            "shortname": ":four:",
            "category": "symbols",
            "emoji_order": "906",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "4",
                "blue-square",
                "numbers",
                "symbol",
                "word"
            ]
        },
        "five": {
            "unicode": "0035-20e3",
            "unicode_alternates": "0035-fe0f-20e3",
            "name": "keycap digit five",
            "shortname": ":five:",
            "category": "symbols",
            "emoji_order": "907",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "numbers",
                "prime",
                "5",
                "symbol",
                "word"
            ]
        },
        "six": {
            "unicode": "0036-20e3",
            "unicode_alternates": "0036-fe0f-20e3",
            "name": "keycap digit six",
            "shortname": ":six:",
            "category": "symbols",
            "emoji_order": "908",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "6",
                "blue-square",
                "numbers",
                "symbol",
                "word"
            ]
        },
        "seven": {
            "unicode": "0037-20e3",
            "unicode_alternates": "0037-fe0f-20e3",
            "name": "keycap digit seven",
            "shortname": ":seven:",
            "category": "symbols",
            "emoji_order": "909",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "7",
                "blue-square",
                "numbers",
                "prime",
                "symbol",
                "word"
            ]
        },
        "eight": {
            "unicode": "0038-20e3",
            "unicode_alternates": "0038-fe0f-20e3",
            "name": "keycap digit eight",
            "shortname": ":eight:",
            "category": "symbols",
            "emoji_order": "910",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "8",
                "blue-square",
                "numbers",
                "symbol",
                "word"
            ]
        },
        "nine": {
            "unicode": "0039-20e3",
            "unicode_alternates": "0039-fe0f-20e3",
            "name": "keycap digit nine",
            "shortname": ":nine:",
            "category": "symbols",
            "emoji_order": "911",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "9",
                "blue-square",
                "numbers",
                "symbol",
                "word"
            ]
        },
        "ten": {
            "unicode": "1f51f",
            "unicode_alternates": "",
            "name": "keycap ten",
            "shortname": ":ten:",
            "category": "symbols",
            "emoji_order": "912",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "10",
                "blue-square",
                "numbers",
                "symbol",
                "word"
            ]
        },
        "1234": {
            "unicode": "1f522",
            "unicode_alternates": "",
            "name": "input symbol for numbers",
            "shortname": ":1234:",
            "category": "symbols",
            "emoji_order": "913",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "1234",
                "word"
            ]
        },
        "arrow_forward": {
            "unicode": "25b6",
            "unicode_alternates": "25b6-fe0f",
            "name": "black right-pointing triangle",
            "shortname": ":arrow_forward:",
            "category": "symbols",
            "emoji_order": "914",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "forward",
                "play",
                "right",
                "sound",
                "symbol"
            ]
        },
        "pause_button": {
            "unicode": "23f8",
            "unicode_alternates": "23f8-fe0f",
            "name": "double vertical bar",
            "shortname": ":pause_button:",
            "category": "symbols",
            "emoji_order": "915",
            "aliases": [
                ":double_vertical_bar:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "pause",
                "sound",
                "symbol"
            ]
        },
        "play_pause": {
            "unicode": "23ef",
            "unicode_alternates": "23ef-fe0f",
            "name": "black right-pointing double triangle with double vertical bar",
            "shortname": ":play_pause:",
            "category": "symbols",
            "emoji_order": "916",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "pause",
                "play",
                "right",
                "sound",
                "symbol"
            ]
        },
        "stop_button": {
            "unicode": "23f9",
            "unicode_alternates": "23f9-fe0f",
            "name": "black square for stop",
            "shortname": ":stop_button:",
            "category": "symbols",
            "emoji_order": "917",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sound",
                "symbol"
            ]
        },
        "record_button": {
            "unicode": "23fa",
            "unicode_alternates": "23fa-fe0f",
            "name": "black circle for record",
            "shortname": ":record_button:",
            "category": "symbols",
            "emoji_order": "918",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sound",
                "symbol"
            ]
        },
        "track_next": {
            "unicode": "23ed",
            "unicode_alternates": "23ed-fe0f",
            "name": "black right-pointing double triangle with vertical bar",
            "shortname": ":track_next:",
            "category": "symbols",
            "emoji_order": "919",
            "aliases": [
                ":next_track:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "next scene",
                "next track",
                "sound",
                "symbol"
            ]
        },
        "track_previous": {
            "unicode": "23ee",
            "unicode_alternates": "23ee-fe0f",
            "name": "black left-pointing double triangle with vertical bar",
            "shortname": ":track_previous:",
            "category": "symbols",
            "emoji_order": "920",
            "aliases": [
                ":previous_track:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "previous scene",
                "previous track",
                "sound",
                "symbol"
            ]
        },
        "fast_forward": {
            "unicode": "23e9",
            "unicode_alternates": "",
            "name": "black right-pointing double triangle",
            "shortname": ":fast_forward:",
            "category": "symbols",
            "emoji_order": "921",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "fast",
                "forward",
                "arrow",
                "sound",
                "symbol"
            ]
        },
        "rewind": {
            "unicode": "23ea",
            "unicode_alternates": "",
            "name": "black left-pointing double triangle",
            "shortname": ":rewind:",
            "category": "symbols",
            "emoji_order": "922",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "play",
                "rewind",
                "arrow",
                "sound",
                "symbol"
            ]
        },
        "twisted_rightwards_arrows": {
            "unicode": "1f500",
            "unicode_alternates": "",
            "name": "twisted rightwards arrows",
            "shortname": ":twisted_rightwards_arrows:",
            "category": "symbols",
            "emoji_order": "923",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "arrow",
                "crossed",
                "symbol"
            ]
        },
        "repeat": {
            "unicode": "1f501",
            "unicode_alternates": "",
            "name": "clockwise rightwards and leftwards open circle arrows",
            "shortname": ":repeat:",
            "category": "symbols",
            "emoji_order": "924",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "loop",
                "record",
                "repeat",
                "arrow",
                "symbol"
            ]
        },
        "repeat_one": {
            "unicode": "1f502",
            "unicode_alternates": "",
            "name": "clockwise rightwards and leftwards open circle arrows with circled one overlay",
            "shortname": ":repeat_one:",
            "category": "symbols",
            "emoji_order": "925",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "loop",
                "repeat",
                "once",
                "arrow",
                "symbol"
            ]
        },
        "arrow_backward": {
            "unicode": "25c0",
            "unicode_alternates": "25c0-fe0f",
            "name": "black left-pointing triangle",
            "shortname": ":arrow_backward:",
            "category": "symbols",
            "emoji_order": "926",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "backward",
                "left",
                "reverse",
                "sound",
                "symbol"
            ]
        },
        "arrow_up_small": {
            "unicode": "1f53c",
            "unicode_alternates": "",
            "name": "up-pointing small red triangle",
            "shortname": ":arrow_up_small:",
            "category": "symbols",
            "emoji_order": "927",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "arrow",
                "button",
                "symbol"
            ]
        },
        "arrow_down_small": {
            "unicode": "1f53d",
            "unicode_alternates": "",
            "name": "down-pointing small red triangle",
            "shortname": ":arrow_down_small:",
            "category": "symbols",
            "emoji_order": "928",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "button",
                "down",
                "symbol"
            ]
        },
        "arrow_double_up": {
            "unicode": "23eb",
            "unicode_alternates": "",
            "name": "black up-pointing double triangle",
            "shortname": ":arrow_double_up:",
            "category": "symbols",
            "emoji_order": "929",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "sound",
                "symbol"
            ]
        },
        "arrow_double_down": {
            "unicode": "23ec",
            "unicode_alternates": "",
            "name": "black down-pointing double triangle",
            "shortname": ":arrow_double_down:",
            "category": "symbols",
            "emoji_order": "930",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "down",
                "sound",
                "symbol"
            ]
        },
        "arrow_right": {
            "unicode": "27a1",
            "unicode_alternates": "27a1-fe0f",
            "name": "black rightwards arrow",
            "shortname": ":arrow_right:",
            "category": "symbols",
            "emoji_order": "931",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "next",
                "forward",
                "right",
                "cardinal",
                "direction",
                "east",
                "symbol"
            ]
        },
        "arrow_left": {
            "unicode": "2b05",
            "unicode_alternates": "2b05-fe0f",
            "name": "leftwards black arrow",
            "shortname": ":arrow_left:",
            "category": "symbols",
            "emoji_order": "932",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "previous",
                "back",
                "left",
                "cardinal",
                "direction",
                "symbol",
                "west"
            ]
        },
        "arrow_up": {
            "unicode": "2b06",
            "unicode_alternates": "2b06-fe0f",
            "name": "upwards black arrow",
            "shortname": ":arrow_up:",
            "category": "symbols",
            "emoji_order": "933",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "up",
                "cardinal",
                "direction",
                "north",
                "symbol"
            ]
        },
        "arrow_down": {
            "unicode": "2b07",
            "unicode_alternates": "2b07-fe0f",
            "name": "downwards black arrow",
            "shortname": ":arrow_down:",
            "category": "symbols",
            "emoji_order": "934",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "down",
                "cardinal",
                "direction",
                "south",
                "symbol"
            ]
        },
        "arrow_upper_right": {
            "unicode": "2197",
            "unicode_alternates": "2197-fe0f",
            "name": "north east arrow",
            "shortname": ":arrow_upper_right:",
            "category": "symbols",
            "emoji_order": "935",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "upper",
                "right",
                "direction",
                "intercardinal",
                "northeast",
                "symbol"
            ]
        },
        "arrow_lower_right": {
            "unicode": "2198",
            "unicode_alternates": "2198-fe0f",
            "name": "south east arrow",
            "shortname": ":arrow_lower_right:",
            "category": "symbols",
            "emoji_order": "936",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "lower",
                "right",
                "direction",
                "intercardinal",
                "southeast",
                "symbol"
            ]
        },
        "arrow_lower_left": {
            "unicode": "2199",
            "unicode_alternates": "2199-fe0f",
            "name": "south west arrow",
            "shortname": ":arrow_lower_left:",
            "category": "symbols",
            "emoji_order": "937",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "lower",
                "left",
                "direction",
                "intercardinal",
                "southwest",
                "symbol"
            ]
        },
        "arrow_upper_left": {
            "unicode": "2196",
            "unicode_alternates": "2196-fe0f",
            "name": "north west arrow",
            "shortname": ":arrow_upper_left:",
            "category": "symbols",
            "emoji_order": "938",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "upper",
                "left",
                "direction",
                "intercardinal",
                "northwest",
                "symbol"
            ]
        },
        "arrow_up_down": {
            "unicode": "2195",
            "unicode_alternates": "2195-fe0f",
            "name": "up down arrow",
            "shortname": ":arrow_up_down:",
            "category": "symbols",
            "emoji_order": "939",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "symbol"
            ]
        },
        "left_right_arrow": {
            "unicode": "2194",
            "unicode_alternates": "2194-fe0f",
            "name": "left right arrow",
            "shortname": ":left_right_arrow:",
            "category": "symbols",
            "emoji_order": "940",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "symbol"
            ]
        },
        "arrows_counterclockwise": {
            "unicode": "1f504",
            "unicode_alternates": "",
            "name": "anticlockwise downwards and upwards open circle arrows",
            "shortname": ":arrows_counterclockwise:",
            "category": "symbols",
            "emoji_order": "941",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "sync",
                "counterclockwise",
                "arrow",
                "symbol",
                "withershins"
            ]
        },
        "arrow_right_hook": {
            "unicode": "21aa",
            "unicode_alternates": "21aa-fe0f",
            "name": "rightwards arrow with hook",
            "shortname": ":arrow_right_hook:",
            "category": "symbols",
            "emoji_order": "942",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "turn",
                "symbol"
            ]
        },
        "leftwards_arrow_with_hook": {
            "unicode": "21a9",
            "unicode_alternates": "21a9-fe0f",
            "name": "leftwards arrow with hook",
            "shortname": ":leftwards_arrow_with_hook:",
            "category": "symbols",
            "emoji_order": "943",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "turn",
                "symbol"
            ]
        },
        "arrow_heading_up": {
            "unicode": "2934",
            "unicode_alternates": "2934-fe0f",
            "name": "arrow pointing rightwards then curving upwards",
            "shortname": ":arrow_heading_up:",
            "category": "symbols",
            "emoji_order": "944",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "up",
                "symbol"
            ]
        },
        "arrow_heading_down": {
            "unicode": "2935",
            "unicode_alternates": "2935-fe0f",
            "name": "arrow pointing rightwards then curving downwards",
            "shortname": ":arrow_heading_down:",
            "category": "symbols",
            "emoji_order": "945",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrow",
                "blue-square",
                "down",
                "symbol"
            ]
        },
        "hash": {
            "unicode": "0023-20e3",
            "unicode_alternates": "0023-fe0f-20e3",
            "name": "keycap number sign",
            "shortname": ":hash:",
            "category": "symbols",
            "emoji_order": "946",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "symbol",
                "hash",
                "pound",
                "word"
            ]
        },
        "asterisk": {
            "unicode": "002a-20e3",
            "unicode_alternates": "002a-fe0f-20e3",
            "name": "keycap asterisk",
            "shortname": ":asterisk:",
            "category": "symbols",
            "emoji_order": "947",
            "aliases": [
                ":keycap_asterisk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "*",
                "star",
                "symbol"
            ]
        },
        "information_source": {
            "unicode": "2139",
            "unicode_alternates": "2139-fe0f",
            "name": "information source",
            "shortname": ":information_source:",
            "category": "symbols",
            "emoji_order": "948",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "blue-square",
                "letter",
                "i",
                "symbol",
                "word"
            ]
        },
        "abc": {
            "unicode": "1f524",
            "unicode_alternates": "",
            "name": "input symbol for latin letters",
            "shortname": ":abc:",
            "category": "symbols",
            "emoji_order": "949",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "blue-square",
                "abc",
                "word"
            ]
        },
        "abcd": {
            "unicode": "1f521",
            "unicode_alternates": "",
            "name": "input symbol for latin small letters",
            "shortname": ":abcd:",
            "category": "symbols",
            "emoji_order": "950",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "blue-square",
                "abcd",
                "lowercase",
                "word"
            ]
        },
        "capital_abcd": {
            "unicode": "1f520",
            "unicode_alternates": "",
            "name": "input symbol for latin capital letters",
            "shortname": ":capital_abcd:",
            "category": "symbols",
            "emoji_order": "951",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "blue-square",
                "uppercase",
                "word"
            ]
        },
        "symbols": {
            "unicode": "1f523",
            "unicode_alternates": "",
            "name": "input symbol for symbols",
            "shortname": ":symbols:",
            "category": "symbols",
            "emoji_order": "952",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blue-square",
                "word"
            ]
        },
        "musical_note": {
            "unicode": "1f3b5",
            "unicode_alternates": "",
            "name": "musical note",
            "shortname": ":musical_note:",
            "category": "symbols",
            "emoji_order": "953",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "score",
                "music",
                "sound",
                "tone",
                "activity",
                "entertainment",
                "object"
            ]
        },
        "notes": {
            "unicode": "1f3b6",
            "unicode_alternates": "",
            "name": "multiple musical notes",
            "shortname": ":notes:",
            "category": "symbols",
            "emoji_order": "954",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "music",
                "score",
                "sound",
                "melody",
                "tone",
                "activity",
                "entertainment",
                "note",
                "object"
            ]
        },
        "wavy_dash": {
            "unicode": "3030",
            "unicode_alternates": "3030-fe0f",
            "name": "wavy dash",
            "shortname": ":wavy_dash:",
            "category": "symbols",
            "emoji_order": "955",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "draw",
                "line",
                "punctuation",
                "sound",
                "symbol"
            ]
        },
        "curly_loop": {
            "unicode": "27b0",
            "unicode_alternates": "",
            "name": "curly loop",
            "shortname": ":curly_loop:",
            "category": "symbols",
            "emoji_order": "956",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "scribble",
                "curl",
                "sign",
                "symbol"
            ]
        },
        "heavy_check_mark": {
            "unicode": "2714",
            "unicode_alternates": "2714-fe0f",
            "name": "heavy check mark",
            "shortname": ":heavy_check_mark:",
            "category": "symbols",
            "emoji_order": "957",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "nike",
                "ok",
                "go",
                "sign",
                "symbol"
            ]
        },
        "arrows_clockwise": {
            "unicode": "1f503",
            "unicode_alternates": "",
            "name": "clockwise downwards and upwards open circle arrows",
            "shortname": ":arrows_clockwise:",
            "category": "symbols",
            "emoji_order": "958",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sync",
                "arrow",
                "reload",
                "symbol"
            ]
        },
        "heavy_plus_sign": {
            "unicode": "2795",
            "unicode_alternates": "",
            "name": "heavy plus sign",
            "shortname": ":heavy_plus_sign:",
            "category": "symbols",
            "emoji_order": "959",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "calculation",
                "math",
                "add",
                "addition",
                "symbol"
            ]
        },
        "heavy_minus_sign": {
            "unicode": "2796",
            "unicode_alternates": "",
            "name": "heavy minus sign",
            "shortname": ":heavy_minus_sign:",
            "category": "symbols",
            "emoji_order": "960",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "calculation",
                "math",
                "sub",
                "subtract",
                "symbol"
            ]
        },
        "heavy_division_sign": {
            "unicode": "2797",
            "unicode_alternates": "",
            "name": "heavy division sign",
            "shortname": ":heavy_division_sign:",
            "category": "symbols",
            "emoji_order": "961",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "calculation",
                "divide",
                "math",
                "symbol"
            ]
        },
        "heavy_multiplication_x": {
            "unicode": "2716",
            "unicode_alternates": "2716-fe0f",
            "name": "heavy multiplication x",
            "shortname": ":heavy_multiplication_x:",
            "category": "symbols",
            "emoji_order": "962",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "calculation",
                "math",
                "multiply",
                "times",
                "cancel",
                "sign",
                "symbol"
            ]
        },
        "heavy_dollar_sign": {
            "unicode": "1f4b2",
            "unicode_alternates": "",
            "name": "heavy dollar sign",
            "shortname": ":heavy_dollar_sign:",
            "category": "symbols",
            "emoji_order": "963",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "currency",
                "money",
                "payment",
                "cash",
                "sale",
                "purchase",
                "value",
                "object",
                "office",
                "symbol"
            ]
        },
        "currency_exchange": {
            "unicode": "1f4b1",
            "unicode_alternates": "",
            "name": "currency exchange",
            "shortname": ":currency_exchange:",
            "category": "symbols",
            "emoji_order": "964",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "dollar",
                "money",
                "travel",
                "bank",
                "object",
                "office",
                "symbol"
            ]
        },
        "copyright": {
            "unicode": "00a9",
            "unicode_alternates": "00a9-fe0f",
            "name": "copyright sign",
            "shortname": ":copyright:",
            "category": "symbols",
            "emoji_order": "965",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ip",
                "license",
                "symbol",
                "word"
            ]
        },
        "registered": {
            "unicode": "00ae",
            "unicode_alternates": "00ae-fe0f",
            "name": "registered sign",
            "shortname": ":registered:",
            "category": "symbols",
            "emoji_order": "966",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "alphabet",
                "circle",
                "symbol",
                "word"
            ]
        },
        "tm": {
            "unicode": "2122",
            "unicode_alternates": "2122-fe0f",
            "name": "trade mark sign",
            "shortname": ":tm:",
            "category": "symbols",
            "emoji_order": "967",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "brand",
                "trademark",
                "symbol",
                "tm",
                "word"
            ]
        },
        "end": {
            "unicode": "1f51a",
            "unicode_alternates": "",
            "name": "end with leftwards arrow above",
            "shortname": ":end:",
            "category": "symbols",
            "emoji_order": "968",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "words",
                "symbol"
            ]
        },
        "back": {
            "unicode": "1f519",
            "unicode_alternates": "",
            "name": "back with leftwards arrow above",
            "shortname": ":back:",
            "category": "symbols",
            "emoji_order": "969",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "words",
                "symbol"
            ]
        },
        "on": {
            "unicode": "1f51b",
            "unicode_alternates": "",
            "name": "on with exclamation mark with left right arrow abo",
            "shortname": ":on:",
            "category": "symbols",
            "emoji_order": "970",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "words",
                "symbol"
            ]
        },
        "top": {
            "unicode": "1f51d",
            "unicode_alternates": "",
            "name": "top with upwards arrow above",
            "shortname": ":top:",
            "category": "symbols",
            "emoji_order": "971",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "words",
                "symbol",
                "up"
            ]
        },
        "soon": {
            "unicode": "1f51c",
            "unicode_alternates": "",
            "name": "soon with rightwards arrow above",
            "shortname": ":soon:",
            "category": "symbols",
            "emoji_order": "972",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "words",
                "symbol"
            ]
        },
        "ballot_box_with_check": {
            "unicode": "2611",
            "unicode_alternates": "2611-fe0f",
            "name": "ballot box with check",
            "shortname": ":ballot_box_with_check:",
            "category": "symbols",
            "emoji_order": "973",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "agree",
                "ok",
                "sign",
                "symbol"
            ]
        },
        "radio_button": {
            "unicode": "1f518",
            "unicode_alternates": "",
            "name": "radio button",
            "shortname": ":radio_button:",
            "category": "symbols",
            "emoji_order": "974",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "input",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "white_circle": {
            "unicode": "26aa",
            "unicode_alternates": "26aa-fe0f",
            "name": "medium white circle",
            "shortname": ":white_circle:",
            "category": "symbols",
            "emoji_order": "975",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "black_circle": {
            "unicode": "26ab",
            "unicode_alternates": "26ab-fe0f",
            "name": "medium black circle",
            "shortname": ":black_circle:",
            "category": "symbols",
            "emoji_order": "976",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "red_circle": {
            "unicode": "1f534",
            "unicode_alternates": "",
            "name": "large red circle",
            "shortname": ":red_circle:",
            "category": "symbols",
            "emoji_order": "977",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "large_blue_circle": {
            "unicode": "1f535",
            "unicode_alternates": "",
            "name": "large blue circle",
            "shortname": ":large_blue_circle:",
            "category": "symbols",
            "emoji_order": "978",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "small_orange_diamond": {
            "unicode": "1f538",
            "unicode_alternates": "",
            "name": "small orange diamond",
            "shortname": ":small_orange_diamond:",
            "category": "symbols",
            "emoji_order": "979",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "small_blue_diamond": {
            "unicode": "1f539",
            "unicode_alternates": "",
            "name": "small blue diamond",
            "shortname": ":small_blue_diamond:",
            "category": "symbols",
            "emoji_order": "980",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "large_orange_diamond": {
            "unicode": "1f536",
            "unicode_alternates": "",
            "name": "large orange diamond",
            "shortname": ":large_orange_diamond:",
            "category": "symbols",
            "emoji_order": "981",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "large_blue_diamond": {
            "unicode": "1f537",
            "unicode_alternates": "",
            "name": "large blue diamond",
            "shortname": ":large_blue_diamond:",
            "category": "symbols",
            "emoji_order": "982",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "small_red_triangle": {
            "unicode": "1f53a",
            "unicode_alternates": "",
            "name": "up-pointing red triangle",
            "shortname": ":small_red_triangle:",
            "category": "symbols",
            "emoji_order": "983",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "black_small_square": {
            "unicode": "25aa",
            "unicode_alternates": "25aa-fe0f",
            "name": "black small square",
            "shortname": ":black_small_square:",
            "category": "symbols",
            "emoji_order": "984",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "white_small_square": {
            "unicode": "25ab",
            "unicode_alternates": "25ab-fe0f",
            "name": "white small square",
            "shortname": ":white_small_square:",
            "category": "symbols",
            "emoji_order": "985",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "black_large_square": {
            "unicode": "2b1b",
            "unicode_alternates": "2b1b-fe0f",
            "name": "black large square",
            "shortname": ":black_large_square:",
            "category": "symbols",
            "emoji_order": "986",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "white_large_square": {
            "unicode": "2b1c",
            "unicode_alternates": "2b1c-fe0f",
            "name": "white large square",
            "shortname": ":white_large_square:",
            "category": "symbols",
            "emoji_order": "987",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "small_red_triangle_down": {
            "unicode": "1f53b",
            "unicode_alternates": "",
            "name": "down-pointing red triangle",
            "shortname": ":small_red_triangle_down:",
            "category": "symbols",
            "emoji_order": "988",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "down",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "black_medium_square": {
            "unicode": "25fc",
            "unicode_alternates": "25fc-fe0f",
            "name": "black medium square",
            "shortname": ":black_medium_square:",
            "category": "symbols",
            "emoji_order": "989",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "white_medium_square": {
            "unicode": "25fb",
            "unicode_alternates": "25fb-fe0f",
            "name": "white medium square",
            "shortname": ":white_medium_square:",
            "category": "symbols",
            "emoji_order": "990",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "black_medium_small_square": {
            "unicode": "25fe",
            "unicode_alternates": "25fe-fe0f",
            "name": "black medium small square",
            "shortname": ":black_medium_small_square:",
            "category": "symbols",
            "emoji_order": "991",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "white_medium_small_square": {
            "unicode": "25fd",
            "unicode_alternates": "25fd-fe0f",
            "name": "white medium small square",
            "shortname": ":white_medium_small_square:",
            "category": "symbols",
            "emoji_order": "992",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "black_square_button": {
            "unicode": "1f532",
            "unicode_alternates": "",
            "name": "black square button",
            "shortname": ":black_square_button:",
            "category": "symbols",
            "emoji_order": "993",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "frame",
                "geometric",
                "sign",
                "symbol"
            ]
        },
        "white_square_button": {
            "unicode": "1f533",
            "unicode_alternates": "",
            "name": "white square button",
            "shortname": ":white_square_button:",
            "category": "symbols",
            "emoji_order": "994",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shape",
                "geometric",
                "outlined",
                "sign",
                "symbol"
            ]
        },
        "speaker": {
            "unicode": "1f508",
            "unicode_alternates": "",
            "name": "speaker",
            "shortname": ":speaker:",
            "category": "symbols",
            "emoji_order": "995",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sound",
                "listen",
                "hear",
                "noise",
                "volume",
                "object"
            ]
        },
        "sound": {
            "unicode": "1f509",
            "unicode_alternates": "",
            "name": "speaker with one sound wave",
            "shortname": ":sound:",
            "category": "symbols",
            "emoji_order": "996",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "low",
                "volume",
                "object"
            ]
        },
        "loud_sound": {
            "unicode": "1f50a",
            "unicode_alternates": "",
            "name": "speaker with three sound waves",
            "shortname": ":loud_sound:",
            "category": "symbols",
            "emoji_order": "997",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "loud",
                "high",
                "volume",
                "3",
                "entertainment",
                "object"
            ]
        },
        "mute": {
            "unicode": "1f507",
            "unicode_alternates": "",
            "name": "speaker with cancellation stroke",
            "shortname": ":mute:",
            "category": "symbols",
            "emoji_order": "998",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sound",
                "volume",
                "mute",
                "object",
                "quiet",
                "silent"
            ]
        },
        "mega": {
            "unicode": "1f4e3",
            "unicode_alternates": "",
            "name": "cheering megaphone",
            "shortname": ":mega:",
            "category": "symbols",
            "emoji_order": "999",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sound",
                "speaker",
                "volume",
                "communication",
                "object"
            ]
        },
        "loudspeaker": {
            "unicode": "1f4e2",
            "unicode_alternates": "",
            "name": "public address loudspeaker",
            "shortname": ":loudspeaker:",
            "category": "symbols",
            "emoji_order": "1000",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sound",
                "volume",
                "communication",
                "loud",
                "object",
                "public address"
            ]
        },
        "bell": {
            "unicode": "1f514",
            "unicode_alternates": "",
            "name": "bell",
            "shortname": ":bell:",
            "category": "symbols",
            "emoji_order": "1001",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chime",
                "christmas",
                "notification",
                "sound",
                "xmas",
                "ring",
                "object"
            ]
        },
        "no_bell": {
            "unicode": "1f515",
            "unicode_alternates": "",
            "name": "bell with cancellation stroke",
            "shortname": ":no_bell:",
            "category": "symbols",
            "emoji_order": "1002",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "mute",
                "sound",
                "volume",
                "no",
                "forbidden",
                "not",
                "object",
                "prohibited",
                "quiet",
                "silent"
            ]
        },
        "black_joker": {
            "unicode": "1f0cf",
            "unicode_alternates": "",
            "name": "playing card black joker",
            "shortname": ":black_joker:",
            "category": "symbols",
            "emoji_order": "1003",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cards",
                "game",
                "poker",
                "entertainment",
                "object"
            ]
        },
        "mahjong": {
            "unicode": "1f004",
            "unicode_alternates": "1f004-fe0f",
            "name": "mahjong tile red dragon",
            "shortname": ":mahjong:",
            "category": "symbols",
            "emoji_order": "1004",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "game",
                "kanji",
                "object"
            ]
        },
        "spades": {
            "unicode": "2660",
            "unicode_alternates": "2660-fe0f",
            "name": "black spade suit",
            "shortname": ":spades:",
            "category": "symbols",
            "emoji_order": "1005",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cards",
                "poker",
                "card",
                "game",
                "symbol"
            ]
        },
        "clubs": {
            "unicode": "2663",
            "unicode_alternates": "2663-fe0f",
            "name": "black club suit",
            "shortname": ":clubs:",
            "category": "symbols",
            "emoji_order": "1006",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cards",
                "poker",
                "card",
                "clubs",
                "game",
                "symbol"
            ]
        },
        "hearts": {
            "unicode": "2665",
            "unicode_alternates": "2665-fe0f",
            "name": "black heart suit",
            "shortname": ":hearts:",
            "category": "symbols",
            "emoji_order": "1007",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cards",
                "poker",
                "card",
                "emotion",
                "game",
                "hearts",
                "symbol"
            ]
        },
        "diamonds": {
            "unicode": "2666",
            "unicode_alternates": "2666-fe0f",
            "name": "black diamond suit",
            "shortname": ":diamonds:",
            "category": "symbols",
            "emoji_order": "1008",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "cards",
                "poker",
                "card",
                "diamonds",
                "game",
                "symbol"
            ]
        },
        "flower_playing_cards": {
            "unicode": "1f3b4",
            "unicode_alternates": "",
            "name": "flower playing cards",
            "shortname": ":flower_playing_cards:",
            "category": "symbols",
            "emoji_order": "1009",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "game",
                "august",
                "moon",
                "special",
                "activity",
                "card",
                "entertainment",
                "japanese",
                "object"
            ]
        },
        "thought_balloon": {
            "unicode": "1f4ad",
            "unicode_alternates": "",
            "name": "thought balloon",
            "shortname": ":thought_balloon:",
            "category": "symbols",
            "emoji_order": "1010",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bubble",
                "cloud",
                "comic",
                "think",
                "day dream",
                "wonder",
                "emotion",
                "object",
                "person"
            ]
        },
        "anger_right": {
            "unicode": "1f5ef",
            "unicode_alternates": "1f5ef-fe0f",
            "name": "right anger bubble",
            "shortname": ":anger_right:",
            "category": "symbols",
            "emoji_order": "1011",
            "aliases": [
                ":right_anger_bubble:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "speech",
                "balloon",
                "talk",
                "mood",
                "conversation",
                "communication",
                "comic",
                "angry",
                "emotion",
                "mad",
                "symbol"
            ]
        },
        "speech_balloon": {
            "unicode": "1f4ac",
            "unicode_alternates": "",
            "name": "speech balloon",
            "shortname": ":speech_balloon:",
            "category": "symbols",
            "emoji_order": "1012",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bubble",
                "words",
                "talk",
                "conversation",
                "communication",
                "comic",
                "dialogue",
                "dialog",
                "emotion",
                "object",
                "person"
            ]
        },
        "clock1": {
            "unicode": "1f550",
            "unicode_alternates": "",
            "name": "clock face one oclock",
            "shortname": ":clock1:",
            "category": "symbols",
            "emoji_order": "1013",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "1",
                "1:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock2": {
            "unicode": "1f551",
            "unicode_alternates": "",
            "name": "clock face two oclock",
            "shortname": ":clock2:",
            "category": "symbols",
            "emoji_order": "1014",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "2",
                "2:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock3": {
            "unicode": "1f552",
            "unicode_alternates": "",
            "name": "clock face three oclock",
            "shortname": ":clock3:",
            "category": "symbols",
            "emoji_order": "1015",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "3",
                "3:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock4": {
            "unicode": "1f553",
            "unicode_alternates": "",
            "name": "clock face four oclock",
            "shortname": ":clock4:",
            "category": "symbols",
            "emoji_order": "1016",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "4",
                "4:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock5": {
            "unicode": "1f554",
            "unicode_alternates": "",
            "name": "clock face five oclock",
            "shortname": ":clock5:",
            "category": "symbols",
            "emoji_order": "1017",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "5",
                "5:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock6": {
            "unicode": "1f555",
            "unicode_alternates": "",
            "name": "clock face six oclock",
            "shortname": ":clock6:",
            "category": "symbols",
            "emoji_order": "1018",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "6",
                "6:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock7": {
            "unicode": "1f556",
            "unicode_alternates": "",
            "name": "clock face seven oclock",
            "shortname": ":clock7:",
            "category": "symbols",
            "emoji_order": "1019",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "7",
                "7:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock8": {
            "unicode": "1f557",
            "unicode_alternates": "",
            "name": "clock face eight oclock",
            "shortname": ":clock8:",
            "category": "symbols",
            "emoji_order": "1020",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "8",
                "8:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock9": {
            "unicode": "1f558",
            "unicode_alternates": "",
            "name": "clock face nine oclock",
            "shortname": ":clock9:",
            "category": "symbols",
            "emoji_order": "1021",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "9",
                "9:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock10": {
            "unicode": "1f559",
            "unicode_alternates": "",
            "name": "clock face ten oclock",
            "shortname": ":clock10:",
            "category": "symbols",
            "emoji_order": "1022",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "10",
                "10:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock11": {
            "unicode": "1f55a",
            "unicode_alternates": "",
            "name": "clock face eleven oclock",
            "shortname": ":clock11:",
            "category": "symbols",
            "emoji_order": "1023",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "11",
                "11:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock12": {
            "unicode": "1f55b",
            "unicode_alternates": "",
            "name": "clock face twelve oclock",
            "shortname": ":clock12:",
            "category": "symbols",
            "emoji_order": "1024",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "00",
                "12",
                "12:00",
                "o'clock",
                "symbol"
            ]
        },
        "clock130": {
            "unicode": "1f55c",
            "unicode_alternates": "",
            "name": "clock face one-thirty",
            "shortname": ":clock130:",
            "category": "symbols",
            "emoji_order": "1025",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "1",
                "1:30",
                "30",
                "one",
                "symbol",
                "thirty"
            ]
        },
        "clock230": {
            "unicode": "1f55d",
            "unicode_alternates": "",
            "name": "clock face two-thirty",
            "shortname": ":clock230:",
            "category": "symbols",
            "emoji_order": "1026",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "2",
                "2:30",
                "30",
                "symbol",
                "thirty",
                "two"
            ]
        },
        "clock330": {
            "unicode": "1f55e",
            "unicode_alternates": "",
            "name": "clock face three-thirty",
            "shortname": ":clock330:",
            "category": "symbols",
            "emoji_order": "1027",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "3",
                "3:30",
                "30",
                "symbol",
                "thirty",
                "three"
            ]
        },
        "clock430": {
            "unicode": "1f55f",
            "unicode_alternates": "",
            "name": "clock face four-thirty",
            "shortname": ":clock430:",
            "category": "symbols",
            "emoji_order": "1028",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "30",
                "4",
                "4:30",
                "four",
                "symbol",
                "thirty"
            ]
        },
        "clock530": {
            "unicode": "1f560",
            "unicode_alternates": "",
            "name": "clock face five-thirty",
            "shortname": ":clock530:",
            "category": "symbols",
            "emoji_order": "1029",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "30",
                "5",
                "5:30",
                "five",
                "symbol",
                "thirty"
            ]
        },
        "clock630": {
            "unicode": "1f561",
            "unicode_alternates": "",
            "name": "clock face six-thirty",
            "shortname": ":clock630:",
            "category": "symbols",
            "emoji_order": "1030",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "30",
                "6",
                "6:30",
                "six",
                "symbol",
                "thirty"
            ]
        },
        "clock730": {
            "unicode": "1f562",
            "unicode_alternates": "",
            "name": "clock face seven-thirty",
            "shortname": ":clock730:",
            "category": "symbols",
            "emoji_order": "1031",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "30",
                "7",
                "7:30",
                "seven",
                "symbol",
                "thirty"
            ]
        },
        "clock830": {
            "unicode": "1f563",
            "unicode_alternates": "",
            "name": "clock face eight-thirty",
            "shortname": ":clock830:",
            "category": "symbols",
            "emoji_order": "1032",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "30",
                "8",
                "8:30",
                "eight",
                "symbol",
                "thirty"
            ]
        },
        "clock930": {
            "unicode": "1f564",
            "unicode_alternates": "",
            "name": "clock face nine-thirty",
            "shortname": ":clock930:",
            "category": "symbols",
            "emoji_order": "1033",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "30",
                "9",
                "9:30",
                "nine",
                "symbol",
                "thirty"
            ]
        },
        "clock1030": {
            "unicode": "1f565",
            "unicode_alternates": "",
            "name": "clock face ten-thirty",
            "shortname": ":clock1030:",
            "category": "symbols",
            "emoji_order": "1034",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "10",
                "10:30",
                "30",
                "symbol",
                "ten",
                "thirty"
            ]
        },
        "clock1130": {
            "unicode": "1f566",
            "unicode_alternates": "",
            "name": "clock face eleven-thirty",
            "shortname": ":clock1130:",
            "category": "symbols",
            "emoji_order": "1035",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "11",
                "11:30",
                "30",
                "eleven",
                "symbol",
                "thirty"
            ]
        },
        "clock1230": {
            "unicode": "1f567",
            "unicode_alternates": "",
            "name": "clock face twelve-thirty",
            "shortname": ":clock1230:",
            "category": "symbols",
            "emoji_order": "1036",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "time",
                "12",
                "12:30",
                "30",
                "symbol",
                "thirty",
                "twelve"
            ]
        },
        "eye_in_speech_bubble": {
            "unicode": "1f441-1f5e8",
            "unicode_alternates": "1f441-200d-1f5e8",
            "name": "eye in speech bubble",
            "shortname": ":eye_in_speech_bubble:",
            "category": "symbols",
            "emoji_order": "1037",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_ac": {
            "unicode": "1f1e6-1f1e8",
            "unicode_alternates": "",
            "name": "ascension",
            "shortname": ":flag_ac:",
            "category": "flags",
            "emoji_order": "1038",
            "aliases": [
                ":ac:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ac",
                "flag",
                "island",
                "other"
            ]
        },
        "flag_af": {
            "unicode": "1f1e6-1f1eb",
            "unicode_alternates": "",
            "name": "afghanistan",
            "shortname": ":flag_af:",
            "category": "flags",
            "emoji_order": "1039",
            "aliases": [
                ":af:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "afghanestan",
                "af",
                "flag",
                "other"
            ]
        },
        "flag_al": {
            "unicode": "1f1e6-1f1f1",
            "unicode_alternates": "",
            "name": "albania",
            "shortname": ":flag_al:",
            "category": "flags",
            "emoji_order": "1040",
            "aliases": [
                ":al:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "shqiperia",
                "al",
                "flag",
                "other"
            ]
        },
        "flag_dz": {
            "unicode": "1f1e9-1f1ff",
            "unicode_alternates": "",
            "name": "algeria",
            "shortname": ":flag_dz:",
            "category": "flags",
            "emoji_order": "1041",
            "aliases": [
                ":dz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "al jaza'ir",
                "al jazair",
                "dz",
                "flag",
                "other"
            ]
        },
        "flag_ad": {
            "unicode": "1f1e6-1f1e9",
            "unicode_alternates": "",
            "name": "andorra",
            "shortname": ":flag_ad:",
            "category": "flags",
            "emoji_order": "1042",
            "aliases": [
                ":ad:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ad",
                "flag",
                "other"
            ]
        },
        "flag_ao": {
            "unicode": "1f1e6-1f1f4",
            "unicode_alternates": "",
            "name": "angola",
            "shortname": ":flag_ao:",
            "category": "flags",
            "emoji_order": "1043",
            "aliases": [
                ":ao:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ao",
                "flag",
                "other"
            ]
        },
        "flag_ai": {
            "unicode": "1f1e6-1f1ee",
            "unicode_alternates": "",
            "name": "anguilla",
            "shortname": ":flag_ai:",
            "category": "flags",
            "emoji_order": "1044",
            "aliases": [
                ":ai:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ai",
                "flag",
                "other"
            ]
        },
        "flag_ag": {
            "unicode": "1f1e6-1f1ec",
            "unicode_alternates": "",
            "name": "antigua and barbuda",
            "shortname": ":flag_ag:",
            "category": "flags",
            "emoji_order": "1045",
            "aliases": [
                ":ag:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ag",
                "flag",
                "other"
            ]
        },
        "flag_ar": {
            "unicode": "1f1e6-1f1f7",
            "unicode_alternates": "",
            "name": "argentina",
            "shortname": ":flag_ar:",
            "category": "flags",
            "emoji_order": "1046",
            "aliases": [
                ":ar:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ar",
                "flag",
                "other"
            ]
        },
        "flag_am": {
            "unicode": "1f1e6-1f1f2",
            "unicode_alternates": "",
            "name": "armenia",
            "shortname": ":flag_am:",
            "category": "flags",
            "emoji_order": "1047",
            "aliases": [
                ":am:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "hayastan",
                "am",
                "flag",
                "other"
            ]
        },
        "flag_aw": {
            "unicode": "1f1e6-1f1fc",
            "unicode_alternates": "",
            "name": "aruba",
            "shortname": ":flag_aw:",
            "category": "flags",
            "emoji_order": "1048",
            "aliases": [
                ":aw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "aw",
                "flag",
                "other"
            ]
        },
        "flag_au": {
            "unicode": "1f1e6-1f1fa",
            "unicode_alternates": "",
            "name": "australia",
            "shortname": ":flag_au:",
            "category": "flags",
            "emoji_order": "1049",
            "aliases": [
                ":au:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "au",
                "flag",
                "other"
            ]
        },
        "flag_at": {
            "unicode": "1f1e6-1f1f9",
            "unicode_alternates": "",
            "name": "austria",
            "shortname": ":flag_at:",
            "category": "flags",
            "emoji_order": "1050",
            "aliases": [
                ":at:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "&ouml;sterreich",
                "osterreich",
                "at",
                "flag",
                "other"
            ]
        },
        "flag_az": {
            "unicode": "1f1e6-1f1ff",
            "unicode_alternates": "",
            "name": "azerbaijan",
            "shortname": ":flag_az:",
            "category": "flags",
            "emoji_order": "1051",
            "aliases": [
                ":az:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "azarbaycan",
                "az",
                "flag",
                "other"
            ]
        },
        "flag_bs": {
            "unicode": "1f1e7-1f1f8",
            "unicode_alternates": "",
            "name": "the bahamas",
            "shortname": ":flag_bs:",
            "category": "flags",
            "emoji_order": "1052",
            "aliases": [
                ":bs:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bs",
                "flag",
                "other"
            ]
        },
        "flag_bh": {
            "unicode": "1f1e7-1f1ed",
            "unicode_alternates": "",
            "name": "bahrain",
            "shortname": ":flag_bh:",
            "category": "flags",
            "emoji_order": "1053",
            "aliases": [
                ":bh:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "al bahrayn",
                "bh",
                "flag",
                "other"
            ]
        },
        "flag_bd": {
            "unicode": "1f1e7-1f1e9",
            "unicode_alternates": "",
            "name": "bangladesh",
            "shortname": ":flag_bd:",
            "category": "flags",
            "emoji_order": "1054",
            "aliases": [
                ":bd:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bd",
                "flag",
                "other"
            ]
        },
        "flag_bb": {
            "unicode": "1f1e7-1f1e7",
            "unicode_alternates": "",
            "name": "barbados",
            "shortname": ":flag_bb:",
            "category": "flags",
            "emoji_order": "1055",
            "aliases": [
                ":bb:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bb",
                "flag",
                "other"
            ]
        },
        "flag_by": {
            "unicode": "1f1e7-1f1fe",
            "unicode_alternates": "",
            "name": "belarus",
            "shortname": ":flag_by:",
            "category": "flags",
            "emoji_order": "1056",
            "aliases": [
                ":by:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "byelarus",
                "by",
                "flag",
                "other"
            ]
        },
        "flag_be": {
            "unicode": "1f1e7-1f1ea",
            "unicode_alternates": "",
            "name": "belgium",
            "shortname": ":flag_be:",
            "category": "flags",
            "emoji_order": "1057",
            "aliases": [
                ":be:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "belgique",
                "belgie",
                "be",
                "flag",
                "other"
            ]
        },
        "flag_bz": {
            "unicode": "1f1e7-1f1ff",
            "unicode_alternates": "",
            "name": "belize",
            "shortname": ":flag_bz:",
            "category": "flags",
            "emoji_order": "1058",
            "aliases": [
                ":bz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bz",
                "flag",
                "other"
            ]
        },
        "flag_bj": {
            "unicode": "1f1e7-1f1ef",
            "unicode_alternates": "",
            "name": "benin",
            "shortname": ":flag_bj:",
            "category": "flags",
            "emoji_order": "1059",
            "aliases": [
                ":bj:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bj",
                "flag",
                "other"
            ]
        },
        "flag_bm": {
            "unicode": "1f1e7-1f1f2",
            "unicode_alternates": "",
            "name": "bermuda",
            "shortname": ":flag_bm:",
            "category": "flags",
            "emoji_order": "1060",
            "aliases": [
                ":bm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bm",
                "flag",
                "other"
            ]
        },
        "flag_bt": {
            "unicode": "1f1e7-1f1f9",
            "unicode_alternates": "",
            "name": "bhutan",
            "shortname": ":flag_bt:",
            "category": "flags",
            "emoji_order": "1061",
            "aliases": [
                ":bt:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bt",
                "flag",
                "other"
            ]
        },
        "flag_bo": {
            "unicode": "1f1e7-1f1f4",
            "unicode_alternates": "",
            "name": "bolivia",
            "shortname": ":flag_bo:",
            "category": "flags",
            "emoji_order": "1062",
            "aliases": [
                ":bo:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bo",
                "flag",
                "other"
            ]
        },
        "flag_ba": {
            "unicode": "1f1e7-1f1e6",
            "unicode_alternates": "",
            "name": "bosnia and herzegovina",
            "shortname": ":flag_ba:",
            "category": "flags",
            "emoji_order": "1063",
            "aliases": [
                ":ba:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bosna i hercegovina",
                "ba",
                "flag",
                "other"
            ]
        },
        "flag_bw": {
            "unicode": "1f1e7-1f1fc",
            "unicode_alternates": "",
            "name": "botswana",
            "shortname": ":flag_bw:",
            "category": "flags",
            "emoji_order": "1064",
            "aliases": [
                ":bw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bw",
                "flag",
                "other"
            ]
        },
        "flag_br": {
            "unicode": "1f1e7-1f1f7",
            "unicode_alternates": "",
            "name": "brazil",
            "shortname": ":flag_br:",
            "category": "flags",
            "emoji_order": "1065",
            "aliases": [
                ":br:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "brasil",
                "br",
                "flag",
                "other"
            ]
        },
        "flag_bn": {
            "unicode": "1f1e7-1f1f3",
            "unicode_alternates": "",
            "name": "brunei",
            "shortname": ":flag_bn:",
            "category": "flags",
            "emoji_order": "1066",
            "aliases": [
                ":bn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bn",
                "darussalam",
                "flag",
                "other"
            ]
        },
        "flag_bg": {
            "unicode": "1f1e7-1f1ec",
            "unicode_alternates": "",
            "name": "bulgaria",
            "shortname": ":flag_bg:",
            "category": "flags",
            "emoji_order": "1067",
            "aliases": [
                ":bg:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bg",
                "flag",
                "other"
            ]
        },
        "flag_bf": {
            "unicode": "1f1e7-1f1eb",
            "unicode_alternates": "",
            "name": "burkina faso",
            "shortname": ":flag_bf:",
            "category": "flags",
            "emoji_order": "1068",
            "aliases": [
                ":bf:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bf",
                "burkina faso",
                "flag",
                "other"
            ]
        },
        "flag_bi": {
            "unicode": "1f1e7-1f1ee",
            "unicode_alternates": "",
            "name": "burundi",
            "shortname": ":flag_bi:",
            "category": "flags",
            "emoji_order": "1069",
            "aliases": [
                ":bi:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bi",
                "flag",
                "other"
            ]
        },
        "flag_cv": {
            "unicode": "1f1e8-1f1fb",
            "unicode_alternates": "",
            "name": "cape verde",
            "shortname": ":flag_cv:",
            "category": "flags",
            "emoji_order": "1070",
            "aliases": [
                ":cv:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "cabo verde",
                "cv",
                "cabo",
                "flag",
                "other"
            ]
        },
        "flag_kh": {
            "unicode": "1f1f0-1f1ed",
            "unicode_alternates": "",
            "name": "cambodia",
            "shortname": ":flag_kh:",
            "category": "flags",
            "emoji_order": "1071",
            "aliases": [
                ":kh:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "kampuchea",
                "kh",
                "flag",
                "other"
            ]
        },
        "flag_cm": {
            "unicode": "1f1e8-1f1f2",
            "unicode_alternates": "",
            "name": "cameroon",
            "shortname": ":flag_cm:",
            "category": "flags",
            "emoji_order": "1072",
            "aliases": [
                ":cm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "cm",
                "flag",
                "other"
            ]
        },
        "flag_ca": {
            "unicode": "1f1e8-1f1e6",
            "unicode_alternates": "",
            "name": "canada",
            "shortname": ":flag_ca:",
            "category": "flags",
            "emoji_order": "1073",
            "aliases": [
                ":ca:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ca",
                "flag",
                "other"
            ]
        },
        "flag_ky": {
            "unicode": "1f1f0-1f1fe",
            "unicode_alternates": "",
            "name": "cayman islands",
            "shortname": ":flag_ky:",
            "category": "flags",
            "emoji_order": "1074",
            "aliases": [
                ":ky:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ky",
                "flag",
                "island",
                "other"
            ]
        },
        "flag_cf": {
            "unicode": "1f1e8-1f1eb",
            "unicode_alternates": "",
            "name": "central african republic",
            "shortname": ":flag_cf:",
            "category": "flags",
            "emoji_order": "1075",
            "aliases": [
                ":cf:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "cf",
                "central african republic",
                "flag",
                "other"
            ]
        },
        "flag_td": {
            "unicode": "1f1f9-1f1e9",
            "unicode_alternates": "",
            "name": "chad",
            "shortname": ":flag_td:",
            "category": "flags",
            "emoji_order": "1076",
            "aliases": [
                ":td:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "tchad",
                "td",
                "flag",
                "other"
            ]
        },
        "flag_cl": {
            "unicode": "1f1e8-1f1f1",
            "unicode_alternates": "",
            "name": "chile",
            "shortname": ":flag_cl:",
            "category": "flags",
            "emoji_order": "1077",
            "aliases": [
                ":chile:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "cl",
                "flag",
                "other"
            ]
        },
        "flag_cn": {
            "unicode": "1f1e8-1f1f3",
            "unicode_alternates": "",
            "name": "china",
            "shortname": ":flag_cn:",
            "category": "flags",
            "emoji_order": "1078",
            "aliases": [
                ":cn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "chinese",
                "prc",
                "zhong guo",
                "country",
                "nation",
                "cn",
                "flag",
                "other"
            ]
        },
        "flag_co": {
            "unicode": "1f1e8-1f1f4",
            "unicode_alternates": "",
            "name": "colombia",
            "shortname": ":flag_co:",
            "category": "flags",
            "emoji_order": "1079",
            "aliases": [
                ":co:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "co",
                "flag",
                "other"
            ]
        },
        "flag_km": {
            "unicode": "1f1f0-1f1f2",
            "unicode_alternates": "",
            "name": "the comoros",
            "shortname": ":flag_km:",
            "category": "flags",
            "emoji_order": "1080",
            "aliases": [
                ":km:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "km",
                "flag",
                "other"
            ]
        },
        "flag_cg": {
            "unicode": "1f1e8-1f1ec",
            "unicode_alternates": "",
            "name": "the republic of the congo",
            "shortname": ":flag_cg:",
            "category": "flags",
            "emoji_order": "1081",
            "aliases": [
                ":cg:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "cg",
                "brazzaville",
                "congo republic",
                "congo-brazzaville",
                "flag",
                "other",
                "republic of the congo"
            ]
        },
        "flag_cd": {
            "unicode": "1f1e8-1f1e9",
            "unicode_alternates": "",
            "name": "the democratic republic of the congo",
            "shortname": ":flag_cd:",
            "category": "flags",
            "emoji_order": "1082",
            "aliases": [
                ":congo:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "r&eacute;publique d&eacute;mocratique du congo",
                "republique democratique du congo",
                "cd",
                "congo-kinshasa",
                "democratic republic of congo",
                "drc",
                "flag",
                "kinshasa",
                "other"
            ]
        },
        "flag_cr": {
            "unicode": "1f1e8-1f1f7",
            "unicode_alternates": "",
            "name": "costa rica",
            "shortname": ":flag_cr:",
            "category": "flags",
            "emoji_order": "1083",
            "aliases": [
                ":cr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "cr",
                "costa rica",
                "flag",
                "other"
            ]
        },
        "flag_hr": {
            "unicode": "1f1ed-1f1f7",
            "unicode_alternates": "",
            "name": "croatia",
            "shortname": ":flag_hr:",
            "category": "flags",
            "emoji_order": "1084",
            "aliases": [
                ":hr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "hrvatska",
                "hr",
                "flag",
                "other"
            ]
        },
        "flag_cu": {
            "unicode": "1f1e8-1f1fa",
            "unicode_alternates": "",
            "name": "cuba",
            "shortname": ":flag_cu:",
            "category": "flags",
            "emoji_order": "1085",
            "aliases": [
                ":cu:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "cu",
                "flag",
                "other"
            ]
        },
        "flag_cy": {
            "unicode": "1f1e8-1f1fe",
            "unicode_alternates": "",
            "name": "cyprus",
            "shortname": ":flag_cy:",
            "category": "flags",
            "emoji_order": "1086",
            "aliases": [
                ":cy:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "kibris",
                "kypros",
                "cy",
                "flag",
                "other"
            ]
        },
        "flag_cz": {
            "unicode": "1f1e8-1f1ff",
            "unicode_alternates": "",
            "name": "the czech republic",
            "shortname": ":flag_cz:",
            "category": "flags",
            "emoji_order": "1087",
            "aliases": [
                ":cz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ceska republika",
                "cz",
                "czech republic",
                "flag",
                "other"
            ]
        },
        "flag_dk": {
            "unicode": "1f1e9-1f1f0",
            "unicode_alternates": "",
            "name": "denmark",
            "shortname": ":flag_dk:",
            "category": "flags",
            "emoji_order": "1088",
            "aliases": [
                ":dk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "danmark",
                "dk",
                "flag",
                "other"
            ]
        },
        "flag_dj": {
            "unicode": "1f1e9-1f1ef",
            "unicode_alternates": "",
            "name": "djibouti",
            "shortname": ":flag_dj:",
            "category": "flags",
            "emoji_order": "1089",
            "aliases": [
                ":dj:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "dj",
                "flag",
                "other"
            ]
        },
        "flag_dm": {
            "unicode": "1f1e9-1f1f2",
            "unicode_alternates": "",
            "name": "dominica",
            "shortname": ":flag_dm:",
            "category": "flags",
            "emoji_order": "1090",
            "aliases": [
                ":dm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "dm",
                "flag",
                "other"
            ]
        },
        "flag_do": {
            "unicode": "1f1e9-1f1f4",
            "unicode_alternates": "",
            "name": "the dominican republic",
            "shortname": ":flag_do:",
            "category": "flags",
            "emoji_order": "1091",
            "aliases": [
                ":do:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "do",
                "dominican republic",
                "flag",
                "other"
            ]
        },
        "flag_ec": {
            "unicode": "1f1ea-1f1e8",
            "unicode_alternates": "",
            "name": "ecuador",
            "shortname": ":flag_ec:",
            "category": "flags",
            "emoji_order": "1092",
            "aliases": [
                ":ec:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ec",
                "flag",
                "other"
            ]
        },
        "flag_eg": {
            "unicode": "1f1ea-1f1ec",
            "unicode_alternates": "",
            "name": "egypt",
            "shortname": ":flag_eg:",
            "category": "flags",
            "emoji_order": "1093",
            "aliases": [
                ":eg:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "misr",
                "eg",
                "flag",
                "other"
            ]
        },
        "flag_sv": {
            "unicode": "1f1f8-1f1fb",
            "unicode_alternates": "",
            "name": "el salvador",
            "shortname": ":flag_sv:",
            "category": "flags",
            "emoji_order": "1094",
            "aliases": [
                ":sv:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sv",
                "el salvador",
                "flag",
                "other"
            ]
        },
        "flag_gq": {
            "unicode": "1f1ec-1f1f6",
            "unicode_alternates": "",
            "name": "equatorial guinea",
            "shortname": ":flag_gq:",
            "category": "flags",
            "emoji_order": "1095",
            "aliases": [
                ":gq:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "guinea ecuatorial",
                "gq",
                "equatorial guinea",
                "flag",
                "other"
            ]
        },
        "flag_er": {
            "unicode": "1f1ea-1f1f7",
            "unicode_alternates": "",
            "name": "eritrea",
            "shortname": ":flag_er:",
            "category": "flags",
            "emoji_order": "1096",
            "aliases": [
                ":er:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "hagere ertra",
                "er",
                "flag",
                "other"
            ]
        },
        "flag_ee": {
            "unicode": "1f1ea-1f1ea",
            "unicode_alternates": "",
            "name": "estonia",
            "shortname": ":flag_ee:",
            "category": "flags",
            "emoji_order": "1097",
            "aliases": [
                ":ee:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "eesti vabariik",
                "ee",
                "flag",
                "other"
            ]
        },
        "flag_et": {
            "unicode": "1f1ea-1f1f9",
            "unicode_alternates": "",
            "name": "ethiopia",
            "shortname": ":flag_et:",
            "category": "flags",
            "emoji_order": "1098",
            "aliases": [
                ":et:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ityop'iya",
                "ityopiya",
                "et",
                "flag",
                "other"
            ]
        },
        "flag_fk": {
            "unicode": "1f1eb-1f1f0",
            "unicode_alternates": "",
            "name": "falkland islands",
            "shortname": ":flag_fk:",
            "category": "flags",
            "emoji_order": "1099",
            "aliases": [
                ":fk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "islas malvinas",
                "fk",
                "falklands",
                "flag",
                "island",
                "islas",
                "malvinas",
                "other"
            ]
        },
        "flag_fo": {
            "unicode": "1f1eb-1f1f4",
            "unicode_alternates": "",
            "name": "faroe islands",
            "shortname": ":flag_fo:",
            "category": "flags",
            "emoji_order": "1100",
            "aliases": [
                ":fo:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "foroyar",
                "fo",
                "flag",
                "island",
                "other"
            ]
        },
        "flag_fj": {
            "unicode": "1f1eb-1f1ef",
            "unicode_alternates": "",
            "name": "fiji",
            "shortname": ":flag_fj:",
            "category": "flags",
            "emoji_order": "1101",
            "aliases": [
                ":fj:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "fj",
                "flag",
                "other"
            ]
        },
        "flag_fi": {
            "unicode": "1f1eb-1f1ee",
            "unicode_alternates": "",
            "name": "finland",
            "shortname": ":flag_fi:",
            "category": "flags",
            "emoji_order": "1102",
            "aliases": [
                ":fi:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "suomen tasavalta",
                "fi",
                "flag",
                "other"
            ]
        },
        "flag_fr": {
            "unicode": "1f1eb-1f1f7",
            "unicode_alternates": "",
            "name": "france",
            "shortname": ":flag_fr:",
            "category": "flags",
            "emoji_order": "1103",
            "aliases": [
                ":fr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "french",
                "nation",
                "country",
                "fr",
                "flag",
                "other"
            ]
        },
        "flag_pf": {
            "unicode": "1f1f5-1f1eb",
            "unicode_alternates": "",
            "name": "french polynesia",
            "shortname": ":flag_pf:",
            "category": "flags",
            "emoji_order": "1104",
            "aliases": [
                ":pf:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "polyn&eacute;sie fran&ccedil;aise",
                "polynesie francaise",
                "pf",
                "flag",
                "other"
            ]
        },
        "flag_ga": {
            "unicode": "1f1ec-1f1e6",
            "unicode_alternates": "",
            "name": "gabon",
            "shortname": ":flag_ga:",
            "category": "flags",
            "emoji_order": "1105",
            "aliases": [
                ":ga:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ga",
                "flag",
                "other"
            ]
        },
        "flag_gm": {
            "unicode": "1f1ec-1f1f2",
            "unicode_alternates": "",
            "name": "the gambia",
            "shortname": ":flag_gm:",
            "category": "flags",
            "emoji_order": "1106",
            "aliases": [
                ":gm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "gm",
                "flag",
                "other"
            ]
        },
        "flag_ge": {
            "unicode": "1f1ec-1f1ea",
            "unicode_alternates": "",
            "name": "georgia",
            "shortname": ":flag_ge:",
            "category": "flags",
            "emoji_order": "1107",
            "aliases": [
                ":ge:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sak'art'velo",
                "sakartvelo",
                "ge",
                "flag",
                "other"
            ]
        },
        "flag_de": {
            "unicode": "1f1e9-1f1ea",
            "unicode_alternates": "",
            "name": "germany",
            "shortname": ":flag_de:",
            "category": "flags",
            "emoji_order": "1108",
            "aliases": [
                ":de:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "german",
                "nation",
                "deutschland",
                "country",
                "de",
                "flag",
                "other"
            ]
        },
        "flag_gh": {
            "unicode": "1f1ec-1f1ed",
            "unicode_alternates": "",
            "name": "ghana",
            "shortname": ":flag_gh:",
            "category": "flags",
            "emoji_order": "1109",
            "aliases": [
                ":gh:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "gh",
                "flag",
                "other"
            ]
        },
        "flag_gi": {
            "unicode": "1f1ec-1f1ee",
            "unicode_alternates": "",
            "name": "gibraltar",
            "shortname": ":flag_gi:",
            "category": "flags",
            "emoji_order": "1110",
            "aliases": [
                ":gi:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "gi",
                "flag",
                "other"
            ]
        },
        "flag_gr": {
            "unicode": "1f1ec-1f1f7",
            "unicode_alternates": "",
            "name": "greece",
            "shortname": ":flag_gr:",
            "category": "flags",
            "emoji_order": "1111",
            "aliases": [
                ":gr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ellas",
                "ellada",
                "gr",
                "flag",
                "other"
            ]
        },
        "flag_gl": {
            "unicode": "1f1ec-1f1f1",
            "unicode_alternates": "",
            "name": "greenland",
            "shortname": ":flag_gl:",
            "category": "flags",
            "emoji_order": "1112",
            "aliases": [
                ":gl:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "kalaallit nunaat",
                "gl",
                "flag",
                "other"
            ]
        },
        "flag_gd": {
            "unicode": "1f1ec-1f1e9",
            "unicode_alternates": "",
            "name": "grenada",
            "shortname": ":flag_gd:",
            "category": "flags",
            "emoji_order": "1113",
            "aliases": [
                ":gd:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "gd",
                "flag",
                "other"
            ]
        },
        "flag_gu": {
            "unicode": "1f1ec-1f1fa",
            "unicode_alternates": "",
            "name": "guam",
            "shortname": ":flag_gu:",
            "category": "flags",
            "emoji_order": "1114",
            "aliases": [
                ":gu:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "gu",
                "flag",
                "other"
            ]
        },
        "flag_gt": {
            "unicode": "1f1ec-1f1f9",
            "unicode_alternates": "",
            "name": "guatemala",
            "shortname": ":flag_gt:",
            "category": "flags",
            "emoji_order": "1115",
            "aliases": [
                ":gt:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "gt",
                "flag",
                "other"
            ]
        },
        "flag_gn": {
            "unicode": "1f1ec-1f1f3",
            "unicode_alternates": "",
            "name": "guinea",
            "shortname": ":flag_gn:",
            "category": "flags",
            "emoji_order": "1116",
            "aliases": [
                ":gn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "guinee",
                "gn",
                "flag",
                "other"
            ]
        },
        "flag_gw": {
            "unicode": "1f1ec-1f1fc",
            "unicode_alternates": "",
            "name": "guinea-bissau",
            "shortname": ":flag_gw:",
            "category": "flags",
            "emoji_order": "1117",
            "aliases": [
                ":gw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "guine-bissau",
                "guine bissau",
                "gw",
                "bissau",
                "flag",
                "guinea",
                "other"
            ]
        },
        "flag_gy": {
            "unicode": "1f1ec-1f1fe",
            "unicode_alternates": "",
            "name": "guyana",
            "shortname": ":flag_gy:",
            "category": "flags",
            "emoji_order": "1118",
            "aliases": [
                ":gy:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "gy",
                "flag",
                "other"
            ]
        },
        "flag_ht": {
            "unicode": "1f1ed-1f1f9",
            "unicode_alternates": "",
            "name": "haiti",
            "shortname": ":flag_ht:",
            "category": "flags",
            "emoji_order": "1119",
            "aliases": [
                ":ht:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ht",
                "flag",
                "other"
            ]
        },
        "flag_hn": {
            "unicode": "1f1ed-1f1f3",
            "unicode_alternates": "",
            "name": "honduras",
            "shortname": ":flag_hn:",
            "category": "flags",
            "emoji_order": "1120",
            "aliases": [
                ":hn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "hn",
                "flag",
                "other"
            ]
        },
        "flag_hk": {
            "unicode": "1f1ed-1f1f0",
            "unicode_alternates": "",
            "name": "hong kong",
            "shortname": ":flag_hk:",
            "category": "flags",
            "emoji_order": "1121",
            "aliases": [
                ":hk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "xianggang",
                "hk",
                "china",
                "flag",
                "hong kong",
                "other"
            ]
        },
        "flag_hu": {
            "unicode": "1f1ed-1f1fa",
            "unicode_alternates": "",
            "name": "hungary",
            "shortname": ":flag_hu:",
            "category": "flags",
            "emoji_order": "1122",
            "aliases": [
                ":hu:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "magyarorszag",
                "hu",
                "flag",
                "other"
            ]
        },
        "flag_is": {
            "unicode": "1f1ee-1f1f8",
            "unicode_alternates": "",
            "name": "iceland",
            "shortname": ":flag_is:",
            "category": "flags",
            "emoji_order": "1123",
            "aliases": [
                ":is:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "lyoveldio island",
                "is",
                "flag",
                "other"
            ]
        },
        "flag_in": {
            "unicode": "1f1ee-1f1f3",
            "unicode_alternates": "",
            "name": "india",
            "shortname": ":flag_in:",
            "category": "flags",
            "emoji_order": "1124",
            "aliases": [
                ":in:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "bharat",
                "in",
                "flag",
                "other"
            ]
        },
        "flag_id": {
            "unicode": "1f1ee-1f1e9",
            "unicode_alternates": "",
            "name": "indonesia",
            "shortname": ":flag_id:",
            "category": "flags",
            "emoji_order": "1125",
            "aliases": [
                ":indonesia:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "id",
                "flag",
                "other"
            ]
        },
        "flag_ir": {
            "unicode": "1f1ee-1f1f7",
            "unicode_alternates": "",
            "name": "iran",
            "shortname": ":flag_ir:",
            "category": "flags",
            "emoji_order": "1126",
            "aliases": [
                ":ir:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ir",
                "flag",
                "other"
            ]
        },
        "flag_iq": {
            "unicode": "1f1ee-1f1f6",
            "unicode_alternates": "",
            "name": "iraq",
            "shortname": ":flag_iq:",
            "category": "flags",
            "emoji_order": "1127",
            "aliases": [
                ":iq:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "iq",
                "flag",
                "other"
            ]
        },
        "flag_ie": {
            "unicode": "1f1ee-1f1ea",
            "unicode_alternates": "",
            "name": "ireland",
            "shortname": ":flag_ie:",
            "category": "flags",
            "emoji_order": "1128",
            "aliases": [
                ":ie:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "&eacute;ire",
                "eire",
                "ie",
                "flag",
                "other"
            ]
        },
        "flag_il": {
            "unicode": "1f1ee-1f1f1",
            "unicode_alternates": "",
            "name": "israel",
            "shortname": ":flag_il:",
            "category": "flags",
            "emoji_order": "1129",
            "aliases": [
                ":il:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "yisra'el",
                "yisrael",
                "il",
                "flag",
                "other"
            ]
        },
        "flag_it": {
            "unicode": "1f1ee-1f1f9",
            "unicode_alternates": "",
            "name": "italy",
            "shortname": ":flag_it:",
            "category": "flags",
            "emoji_order": "1130",
            "aliases": [
                ":it:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "italia",
                "country",
                "nation",
                "it",
                "flag",
                "other"
            ]
        },
        "flag_ci": {
            "unicode": "1f1e8-1f1ee",
            "unicode_alternates": "",
            "name": "c\u00f4te d\u2019ivoire",
            "shortname": ":flag_ci:",
            "category": "flags",
            "emoji_order": "1131",
            "aliases": [
                ":ci:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ci",
                "cote ivoire",
                "c\u00f4te ivoire",
                "flag",
                "ivory coast",
                "other"
            ]
        },
        "flag_jm": {
            "unicode": "1f1ef-1f1f2",
            "unicode_alternates": "",
            "name": "jamaica",
            "shortname": ":flag_jm:",
            "category": "flags",
            "emoji_order": "1132",
            "aliases": [
                ":jm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "jm",
                "flag",
                "other"
            ]
        },
        "flag_jp": {
            "unicode": "1f1ef-1f1f5",
            "unicode_alternates": "",
            "name": "japan",
            "shortname": ":flag_jp:",
            "category": "flags",
            "emoji_order": "1133",
            "aliases": [
                ":jp:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nation",
                "nippon",
                "country",
                "jp",
                "flag",
                "other"
            ]
        },
        "flag_je": {
            "unicode": "1f1ef-1f1ea",
            "unicode_alternates": "",
            "name": "jersey",
            "shortname": ":flag_je:",
            "category": "flags",
            "emoji_order": "1134",
            "aliases": [
                ":je:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "je",
                "flag",
                "other"
            ]
        },
        "flag_jo": {
            "unicode": "1f1ef-1f1f4",
            "unicode_alternates": "",
            "name": "jordan",
            "shortname": ":flag_jo:",
            "category": "flags",
            "emoji_order": "1135",
            "aliases": [
                ":jo:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "al urdun",
                "jo",
                "flag",
                "other"
            ]
        },
        "flag_kz": {
            "unicode": "1f1f0-1f1ff",
            "unicode_alternates": "",
            "name": "kazakhstan",
            "shortname": ":flag_kz:",
            "category": "flags",
            "emoji_order": "1136",
            "aliases": [
                ":kz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "qazaqstan",
                "kz",
                "flag",
                "other"
            ]
        },
        "flag_ke": {
            "unicode": "1f1f0-1f1ea",
            "unicode_alternates": "",
            "name": "kenya",
            "shortname": ":flag_ke:",
            "category": "flags",
            "emoji_order": "1137",
            "aliases": [
                ":ke:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ke",
                "flag",
                "other"
            ]
        },
        "flag_ki": {
            "unicode": "1f1f0-1f1ee",
            "unicode_alternates": "",
            "name": "kiribati",
            "shortname": ":flag_ki:",
            "category": "flags",
            "emoji_order": "1138",
            "aliases": [
                ":ki:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "kiribati",
                "kiribas",
                "ki",
                "flag",
                "other"
            ]
        },
        "flag_xk": {
            "unicode": "1f1fd-1f1f0",
            "unicode_alternates": "",
            "name": "kosovo",
            "shortname": ":flag_xk:",
            "category": "flags",
            "emoji_order": "1139",
            "aliases": [
                ":xk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "xk",
                "flag",
                "other"
            ]
        },
        "flag_kw": {
            "unicode": "1f1f0-1f1fc",
            "unicode_alternates": "",
            "name": "kuwait",
            "shortname": ":flag_kw:",
            "category": "flags",
            "emoji_order": "1140",
            "aliases": [
                ":kw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "al kuwayt",
                "kw",
                "flag",
                "other"
            ]
        },
        "flag_kg": {
            "unicode": "1f1f0-1f1ec",
            "unicode_alternates": "",
            "name": "kyrgyzstan",
            "shortname": ":flag_kg:",
            "category": "flags",
            "emoji_order": "1141",
            "aliases": [
                ":kg:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "kyrgyz respublikasy",
                "kg",
                "flag",
                "other"
            ]
        },
        "flag_la": {
            "unicode": "1f1f1-1f1e6",
            "unicode_alternates": "",
            "name": "laos",
            "shortname": ":flag_la:",
            "category": "flags",
            "emoji_order": "1142",
            "aliases": [
                ":la:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "la",
                "flag",
                "other"
            ]
        },
        "flag_lv": {
            "unicode": "1f1f1-1f1fb",
            "unicode_alternates": "",
            "name": "latvia",
            "shortname": ":flag_lv:",
            "category": "flags",
            "emoji_order": "1143",
            "aliases": [
                ":lv:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "latvija",
                "lv",
                "flag",
                "other"
            ]
        },
        "flag_lb": {
            "unicode": "1f1f1-1f1e7",
            "unicode_alternates": "",
            "name": "lebanon",
            "shortname": ":flag_lb:",
            "category": "flags",
            "emoji_order": "1144",
            "aliases": [
                ":lb:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "lubnan",
                "lb",
                "flag",
                "other"
            ]
        },
        "flag_ls": {
            "unicode": "1f1f1-1f1f8",
            "unicode_alternates": "",
            "name": "lesotho",
            "shortname": ":flag_ls:",
            "category": "flags",
            "emoji_order": "1145",
            "aliases": [
                ":ls:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ls",
                "flag",
                "other"
            ]
        },
        "flag_lr": {
            "unicode": "1f1f1-1f1f7",
            "unicode_alternates": "",
            "name": "liberia",
            "shortname": ":flag_lr:",
            "category": "flags",
            "emoji_order": "1146",
            "aliases": [
                ":lr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "lr",
                "flag",
                "other"
            ]
        },
        "flag_ly": {
            "unicode": "1f1f1-1f1fe",
            "unicode_alternates": "",
            "name": "libya",
            "shortname": ":flag_ly:",
            "category": "flags",
            "emoji_order": "1147",
            "aliases": [
                ":ly:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "libiyah",
                "ly",
                "flag",
                "other"
            ]
        },
        "flag_li": {
            "unicode": "1f1f1-1f1ee",
            "unicode_alternates": "",
            "name": "liechtenstein",
            "shortname": ":flag_li:",
            "category": "flags",
            "emoji_order": "1148",
            "aliases": [
                ":li:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "li",
                "flag",
                "other"
            ]
        },
        "flag_lt": {
            "unicode": "1f1f1-1f1f9",
            "unicode_alternates": "",
            "name": "lithuania",
            "shortname": ":flag_lt:",
            "category": "flags",
            "emoji_order": "1149",
            "aliases": [
                ":lt:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "lietuva",
                "lt",
                "flag",
                "other"
            ]
        },
        "flag_lu": {
            "unicode": "1f1f1-1f1fa",
            "unicode_alternates": "",
            "name": "luxembourg",
            "shortname": ":flag_lu:",
            "category": "flags",
            "emoji_order": "1150",
            "aliases": [
                ":lu:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "luxembourg",
                "letzebuerg",
                "lu",
                "flag",
                "other"
            ]
        },
        "flag_mo": {
            "unicode": "1f1f2-1f1f4",
            "unicode_alternates": "",
            "name": "macau",
            "shortname": ":flag_mo:",
            "category": "flags",
            "emoji_order": "1151",
            "aliases": [
                ":mo:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "aomen",
                "mo",
                "china",
                "flag",
                "macao",
                "other"
            ]
        },
        "flag_mk": {
            "unicode": "1f1f2-1f1f0",
            "unicode_alternates": "",
            "name": "macedonia",
            "shortname": ":flag_mk:",
            "category": "flags",
            "emoji_order": "1152",
            "aliases": [
                ":mk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mk",
                "flag",
                "other"
            ]
        },
        "flag_mg": {
            "unicode": "1f1f2-1f1ec",
            "unicode_alternates": "",
            "name": "madagascar",
            "shortname": ":flag_mg:",
            "category": "flags",
            "emoji_order": "1153",
            "aliases": [
                ":mg:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mg",
                "flag",
                "other"
            ]
        },
        "flag_mw": {
            "unicode": "1f1f2-1f1fc",
            "unicode_alternates": "",
            "name": "malawi",
            "shortname": ":flag_mw:",
            "category": "flags",
            "emoji_order": "1154",
            "aliases": [
                ":mw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mw",
                "flag",
                "other"
            ]
        },
        "flag_my": {
            "unicode": "1f1f2-1f1fe",
            "unicode_alternates": "",
            "name": "malaysia",
            "shortname": ":flag_my:",
            "category": "flags",
            "emoji_order": "1155",
            "aliases": [
                ":my:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "my",
                "flag",
                "other"
            ]
        },
        "flag_mv": {
            "unicode": "1f1f2-1f1fb",
            "unicode_alternates": "",
            "name": "maldives",
            "shortname": ":flag_mv:",
            "category": "flags",
            "emoji_order": "1156",
            "aliases": [
                ":mv:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "dhivehi raajje",
                "mv",
                "flag",
                "other"
            ]
        },
        "flag_ml": {
            "unicode": "1f1f2-1f1f1",
            "unicode_alternates": "",
            "name": "mali",
            "shortname": ":flag_ml:",
            "category": "flags",
            "emoji_order": "1157",
            "aliases": [
                ":ml:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ml",
                "flag",
                "other"
            ]
        },
        "flag_mt": {
            "unicode": "1f1f2-1f1f9",
            "unicode_alternates": "",
            "name": "malta",
            "shortname": ":flag_mt:",
            "category": "flags",
            "emoji_order": "1158",
            "aliases": [
                ":mt:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mt",
                "flag",
                "other"
            ]
        },
        "flag_mh": {
            "unicode": "1f1f2-1f1ed",
            "unicode_alternates": "",
            "name": "the marshall islands",
            "shortname": ":flag_mh:",
            "category": "flags",
            "emoji_order": "1159",
            "aliases": [
                ":mh:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mh",
                "flag",
                "island",
                "other"
            ]
        },
        "flag_mr": {
            "unicode": "1f1f2-1f1f7",
            "unicode_alternates": "",
            "name": "mauritania",
            "shortname": ":flag_mr:",
            "category": "flags",
            "emoji_order": "1160",
            "aliases": [
                ":mr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "muritaniyah",
                "mr",
                "flag",
                "other"
            ]
        },
        "flag_mu": {
            "unicode": "1f1f2-1f1fa",
            "unicode_alternates": "",
            "name": "mauritius",
            "shortname": ":flag_mu:",
            "category": "flags",
            "emoji_order": "1161",
            "aliases": [
                ":mu:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mu",
                "flag",
                "other"
            ]
        },
        "flag_mx": {
            "unicode": "1f1f2-1f1fd",
            "unicode_alternates": "",
            "name": "mexico",
            "shortname": ":flag_mx:",
            "category": "flags",
            "emoji_order": "1162",
            "aliases": [
                ":mx:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mx",
                "flag",
                "other"
            ]
        },
        "flag_fm": {
            "unicode": "1f1eb-1f1f2",
            "unicode_alternates": "",
            "name": "micronesia",
            "shortname": ":flag_fm:",
            "category": "flags",
            "emoji_order": "1163",
            "aliases": [
                ":fm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "fm",
                "flag",
                "other"
            ]
        },
        "flag_md": {
            "unicode": "1f1f2-1f1e9",
            "unicode_alternates": "",
            "name": "moldova",
            "shortname": ":flag_md:",
            "category": "flags",
            "emoji_order": "1164",
            "aliases": [
                ":md:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "md",
                "flag",
                "other"
            ]
        },
        "flag_mc": {
            "unicode": "1f1f2-1f1e8",
            "unicode_alternates": "",
            "name": "monaco",
            "shortname": ":flag_mc:",
            "category": "flags",
            "emoji_order": "1165",
            "aliases": [
                ":mc:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mc",
                "flag",
                "other"
            ]
        },
        "flag_mn": {
            "unicode": "1f1f2-1f1f3",
            "unicode_alternates": "",
            "name": "mongolia",
            "shortname": ":flag_mn:",
            "category": "flags",
            "emoji_order": "1166",
            "aliases": [
                ":mn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mongol uls",
                "mn",
                "flag",
                "other"
            ]
        },
        "flag_me": {
            "unicode": "1f1f2-1f1ea",
            "unicode_alternates": "",
            "name": "montenegro",
            "shortname": ":flag_me:",
            "category": "flags",
            "emoji_order": "1167",
            "aliases": [
                ":me:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "crna gora",
                "me",
                "flag",
                "other"
            ]
        },
        "flag_ms": {
            "unicode": "1f1f2-1f1f8",
            "unicode_alternates": "",
            "name": "montserrat",
            "shortname": ":flag_ms:",
            "category": "flags",
            "emoji_order": "1168",
            "aliases": [
                ":ms:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ms",
                "flag",
                "other"
            ]
        },
        "flag_ma": {
            "unicode": "1f1f2-1f1e6",
            "unicode_alternates": "",
            "name": "morocco",
            "shortname": ":flag_ma:",
            "category": "flags",
            "emoji_order": "1169",
            "aliases": [
                ":ma:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "al maghrib",
                "ma",
                "flag",
                "other"
            ]
        },
        "flag_mz": {
            "unicode": "1f1f2-1f1ff",
            "unicode_alternates": "",
            "name": "mozambique",
            "shortname": ":flag_mz:",
            "category": "flags",
            "emoji_order": "1170",
            "aliases": [
                ":mz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "mocambique",
                "mz",
                "flag",
                "other"
            ]
        },
        "flag_mm": {
            "unicode": "1f1f2-1f1f2",
            "unicode_alternates": "",
            "name": "myanmar",
            "shortname": ":flag_mm:",
            "category": "flags",
            "emoji_order": "1171",
            "aliases": [
                ":mm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "myanma naingngandaw",
                "mm",
                "burma",
                "flag",
                "other"
            ]
        },
        "flag_na": {
            "unicode": "1f1f3-1f1e6",
            "unicode_alternates": "",
            "name": "namibia",
            "shortname": ":flag_na:",
            "category": "flags",
            "emoji_order": "1172",
            "aliases": [
                ":na:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "na",
                "flag",
                "other"
            ]
        },
        "flag_nr": {
            "unicode": "1f1f3-1f1f7",
            "unicode_alternates": "",
            "name": "nauru",
            "shortname": ":flag_nr:",
            "category": "flags",
            "emoji_order": "1173",
            "aliases": [
                ":nr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "nr",
                "flag",
                "other"
            ]
        },
        "flag_np": {
            "unicode": "1f1f3-1f1f5",
            "unicode_alternates": "",
            "name": "nepal",
            "shortname": ":flag_np:",
            "category": "flags",
            "emoji_order": "1174",
            "aliases": [
                ":np:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "np",
                "flag",
                "other"
            ]
        },
        "flag_nl": {
            "unicode": "1f1f3-1f1f1",
            "unicode_alternates": "",
            "name": "the netherlands",
            "shortname": ":flag_nl:",
            "category": "flags",
            "emoji_order": "1175",
            "aliases": [
                ":nl:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "nederland",
                "holland",
                "nl",
                "flag",
                "other"
            ]
        },
        "flag_nc": {
            "unicode": "1f1f3-1f1e8",
            "unicode_alternates": "",
            "name": "new caledonia",
            "shortname": ":flag_nc:",
            "category": "flags",
            "emoji_order": "1176",
            "aliases": [
                ":nc:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "nouvelle",
                "cal&eacute;donie",
                "caledonie",
                "nc",
                "flag",
                "new caledonia",
                "other"
            ]
        },
        "flag_nz": {
            "unicode": "1f1f3-1f1ff",
            "unicode_alternates": "",
            "name": "new zealand",
            "shortname": ":flag_nz:",
            "category": "flags",
            "emoji_order": "1177",
            "aliases": [
                ":nz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "aotearoa",
                "nz",
                "flag",
                "new zealand",
                "other"
            ]
        },
        "flag_ni": {
            "unicode": "1f1f3-1f1ee",
            "unicode_alternates": "",
            "name": "nicaragua",
            "shortname": ":flag_ni:",
            "category": "flags",
            "emoji_order": "1178",
            "aliases": [
                ":ni:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ni",
                "flag",
                "other"
            ]
        },
        "flag_ne": {
            "unicode": "1f1f3-1f1ea",
            "unicode_alternates": "",
            "name": "niger",
            "shortname": ":flag_ne:",
            "category": "flags",
            "emoji_order": "1179",
            "aliases": [
                ":ne:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ne",
                "flag",
                "other"
            ]
        },
        "flag_ng": {
            "unicode": "1f1f3-1f1ec",
            "unicode_alternates": "",
            "name": "nigeria",
            "shortname": ":flag_ng:",
            "category": "flags",
            "emoji_order": "1180",
            "aliases": [
                ":nigeria:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ng",
                "flag",
                "other"
            ]
        },
        "flag_nu": {
            "unicode": "1f1f3-1f1fa",
            "unicode_alternates": "",
            "name": "niue",
            "shortname": ":flag_nu:",
            "category": "flags",
            "emoji_order": "1181",
            "aliases": [
                ":nu:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "nu",
                "flag",
                "other"
            ]
        },
        "flag_kp": {
            "unicode": "1f1f0-1f1f5",
            "unicode_alternates": "",
            "name": "north korea",
            "shortname": ":flag_kp:",
            "category": "flags",
            "emoji_order": "1182",
            "aliases": [
                ":kp:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "kp",
                "flag",
                "north korea",
                "other"
            ]
        },
        "flag_no": {
            "unicode": "1f1f3-1f1f4",
            "unicode_alternates": "",
            "name": "norway",
            "shortname": ":flag_no:",
            "category": "flags",
            "emoji_order": "1183",
            "aliases": [
                ":no:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "norge",
                "no",
                "flag",
                "other"
            ]
        },
        "flag_om": {
            "unicode": "1f1f4-1f1f2",
            "unicode_alternates": "",
            "name": "oman",
            "shortname": ":flag_om:",
            "category": "flags",
            "emoji_order": "1184",
            "aliases": [
                ":om:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "saltanat uman",
                "om",
                "flag",
                "other"
            ]
        },
        "flag_pk": {
            "unicode": "1f1f5-1f1f0",
            "unicode_alternates": "",
            "name": "pakistan",
            "shortname": ":flag_pk:",
            "category": "flags",
            "emoji_order": "1185",
            "aliases": [
                ":pk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "pk",
                "flag",
                "other"
            ]
        },
        "flag_pw": {
            "unicode": "1f1f5-1f1fc",
            "unicode_alternates": "",
            "name": "palau",
            "shortname": ":flag_pw:",
            "category": "flags",
            "emoji_order": "1186",
            "aliases": [
                ":pw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "belau",
                "pw",
                "flag",
                "other"
            ]
        },
        "flag_ps": {
            "unicode": "1f1f5-1f1f8",
            "unicode_alternates": "",
            "name": "palestinian authority",
            "shortname": ":flag_ps:",
            "category": "flags",
            "emoji_order": "1187",
            "aliases": [
                ":ps:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ps",
                "flag",
                "other",
                "palestine"
            ]
        },
        "flag_pa": {
            "unicode": "1f1f5-1f1e6",
            "unicode_alternates": "",
            "name": "panama",
            "shortname": ":flag_pa:",
            "category": "flags",
            "emoji_order": "1188",
            "aliases": [
                ":pa:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "pa",
                "flag",
                "other"
            ]
        },
        "flag_pg": {
            "unicode": "1f1f5-1f1ec",
            "unicode_alternates": "",
            "name": "papua new guinea",
            "shortname": ":flag_pg:",
            "category": "flags",
            "emoji_order": "1189",
            "aliases": [
                ":pg:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "papua niu gini",
                "pg",
                "flag",
                "other",
                "papua new guinea"
            ]
        },
        "flag_py": {
            "unicode": "1f1f5-1f1fe",
            "unicode_alternates": "",
            "name": "paraguay",
            "shortname": ":flag_py:",
            "category": "flags",
            "emoji_order": "1190",
            "aliases": [
                ":py:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "py",
                "flag",
                "other"
            ]
        },
        "flag_pe": {
            "unicode": "1f1f5-1f1ea",
            "unicode_alternates": "",
            "name": "peru",
            "shortname": ":flag_pe:",
            "category": "flags",
            "emoji_order": "1191",
            "aliases": [
                ":pe:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "pe",
                "flag",
                "other"
            ]
        },
        "flag_ph": {
            "unicode": "1f1f5-1f1ed",
            "unicode_alternates": "",
            "name": "the philippines",
            "shortname": ":flag_ph:",
            "category": "flags",
            "emoji_order": "1192",
            "aliases": [
                ":ph:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "pilipinas",
                "ph",
                "flag",
                "other"
            ]
        },
        "flag_pl": {
            "unicode": "1f1f5-1f1f1",
            "unicode_alternates": "",
            "name": "poland",
            "shortname": ":flag_pl:",
            "category": "flags",
            "emoji_order": "1193",
            "aliases": [
                ":pl:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "polska",
                "pl",
                "flag",
                "other"
            ]
        },
        "flag_pt": {
            "unicode": "1f1f5-1f1f9",
            "unicode_alternates": "",
            "name": "portugal",
            "shortname": ":flag_pt:",
            "category": "flags",
            "emoji_order": "1194",
            "aliases": [
                ":pt:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "pt",
                "flag",
                "other"
            ]
        },
        "flag_pr": {
            "unicode": "1f1f5-1f1f7",
            "unicode_alternates": "",
            "name": "puerto rico",
            "shortname": ":flag_pr:",
            "category": "flags",
            "emoji_order": "1195",
            "aliases": [
                ":pr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "pr",
                "flag",
                "other",
                "puerto rico"
            ]
        },
        "flag_qa": {
            "unicode": "1f1f6-1f1e6",
            "unicode_alternates": "",
            "name": "qatar",
            "shortname": ":flag_qa:",
            "category": "flags",
            "emoji_order": "1196",
            "aliases": [
                ":qa:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "dawlat qatar",
                "qa",
                "flag",
                "other"
            ]
        },
        "flag_ro": {
            "unicode": "1f1f7-1f1f4",
            "unicode_alternates": "",
            "name": "romania",
            "shortname": ":flag_ro:",
            "category": "flags",
            "emoji_order": "1197",
            "aliases": [
                ":ro:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ro",
                "flag",
                "other"
            ]
        },
        "flag_ru": {
            "unicode": "1f1f7-1f1fa",
            "unicode_alternates": "",
            "name": "russia",
            "shortname": ":flag_ru:",
            "category": "flags",
            "emoji_order": "1198",
            "aliases": [
                ":ru:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nation",
                "russian",
                "country",
                "ru",
                "flag",
                "other"
            ]
        },
        "flag_rw": {
            "unicode": "1f1f7-1f1fc",
            "unicode_alternates": "",
            "name": "rwanda",
            "shortname": ":flag_rw:",
            "category": "flags",
            "emoji_order": "1199",
            "aliases": [
                ":rw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "rw",
                "flag",
                "other"
            ]
        },
        "flag_sh": {
            "unicode": "1f1f8-1f1ed",
            "unicode_alternates": "",
            "name": "saint helena",
            "shortname": ":flag_sh:",
            "category": "flags",
            "emoji_order": "1200",
            "aliases": [
                ":sh:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sh",
                "flag",
                "other"
            ]
        },
        "flag_kn": {
            "unicode": "1f1f0-1f1f3",
            "unicode_alternates": "",
            "name": "saint kitts and nevis",
            "shortname": ":flag_kn:",
            "category": "flags",
            "emoji_order": "1201",
            "aliases": [
                ":kn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "kn",
                "flag",
                "other"
            ]
        },
        "flag_lc": {
            "unicode": "1f1f1-1f1e8",
            "unicode_alternates": "",
            "name": "saint lucia",
            "shortname": ":flag_lc:",
            "category": "flags",
            "emoji_order": "1202",
            "aliases": [
                ":lc:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "lc",
                "flag",
                "other"
            ]
        },
        "flag_vc": {
            "unicode": "1f1fb-1f1e8",
            "unicode_alternates": "",
            "name": "saint vincent and the grenadines",
            "shortname": ":flag_vc:",
            "category": "flags",
            "emoji_order": "1203",
            "aliases": [
                ":vc:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "vc",
                "flag",
                "other"
            ]
        },
        "flag_ws": {
            "unicode": "1f1fc-1f1f8",
            "unicode_alternates": "",
            "name": "samoa",
            "shortname": ":flag_ws:",
            "category": "flags",
            "emoji_order": "1204",
            "aliases": [
                ":ws:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "american samoa",
                "ws",
                "flag",
                "other"
            ]
        },
        "flag_sm": {
            "unicode": "1f1f8-1f1f2",
            "unicode_alternates": "",
            "name": "san marino",
            "shortname": ":flag_sm:",
            "category": "flags",
            "emoji_order": "1205",
            "aliases": [
                ":sm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sm",
                "flag",
                "other",
                "san marino"
            ]
        },
        "flag_st": {
            "unicode": "1f1f8-1f1f9",
            "unicode_alternates": "",
            "name": "s\u00e3o tom\u00e9 and pr\u00edncipe",
            "shortname": ":flag_st:",
            "category": "flags",
            "emoji_order": "1206",
            "aliases": [
                ":st:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "st",
                "flag",
                "other",
                "pr\u00edncipe",
                "sao tome"
            ]
        },
        "flag_sa": {
            "unicode": "1f1f8-1f1e6",
            "unicode_alternates": "",
            "name": "saudi arabia",
            "shortname": ":flag_sa:",
            "category": "flags",
            "emoji_order": "1207",
            "aliases": [
                ":saudiarabia:",
                ":saudi:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "al arabiyah as suudiyah",
                "sa",
                "flag",
                "other",
                "saudi arabia"
            ]
        },
        "flag_sn": {
            "unicode": "1f1f8-1f1f3",
            "unicode_alternates": "",
            "name": "senegal",
            "shortname": ":flag_sn:",
            "category": "flags",
            "emoji_order": "1208",
            "aliases": [
                ":sn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sn",
                "flag",
                "other"
            ]
        },
        "flag_rs": {
            "unicode": "1f1f7-1f1f8",
            "unicode_alternates": "",
            "name": "serbia",
            "shortname": ":flag_rs:",
            "category": "flags",
            "emoji_order": "1209",
            "aliases": [
                ":rs:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "srbija",
                "rs",
                "flag",
                "other"
            ]
        },
        "flag_sc": {
            "unicode": "1f1f8-1f1e8",
            "unicode_alternates": "",
            "name": "the seychelles",
            "shortname": ":flag_sc:",
            "category": "flags",
            "emoji_order": "1210",
            "aliases": [
                ":sc:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "seychelles",
                "sc",
                "flag",
                "other"
            ]
        },
        "flag_sl": {
            "unicode": "1f1f8-1f1f1",
            "unicode_alternates": "",
            "name": "sierra leone",
            "shortname": ":flag_sl:",
            "category": "flags",
            "emoji_order": "1211",
            "aliases": [
                ":sl:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sl",
                "flag",
                "other",
                "sierra leone"
            ]
        },
        "flag_sg": {
            "unicode": "1f1f8-1f1ec",
            "unicode_alternates": "",
            "name": "singapore",
            "shortname": ":flag_sg:",
            "category": "flags",
            "emoji_order": "1212",
            "aliases": [
                ":sg:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sg",
                "flag",
                "other"
            ]
        },
        "flag_sk": {
            "unicode": "1f1f8-1f1f0",
            "unicode_alternates": "",
            "name": "slovakia",
            "shortname": ":flag_sk:",
            "category": "flags",
            "emoji_order": "1213",
            "aliases": [
                ":sk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sk",
                "flag",
                "other"
            ]
        },
        "flag_si": {
            "unicode": "1f1f8-1f1ee",
            "unicode_alternates": "",
            "name": "slovenia",
            "shortname": ":flag_si:",
            "category": "flags",
            "emoji_order": "1214",
            "aliases": [
                ":si:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "slovenija",
                "si",
                "flag",
                "other"
            ]
        },
        "flag_sb": {
            "unicode": "1f1f8-1f1e7",
            "unicode_alternates": "",
            "name": "the solomon islands",
            "shortname": ":flag_sb:",
            "category": "flags",
            "emoji_order": "1215",
            "aliases": [
                ":sb:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sb",
                "flag",
                "island",
                "other"
            ]
        },
        "flag_so": {
            "unicode": "1f1f8-1f1f4",
            "unicode_alternates": "",
            "name": "somalia",
            "shortname": ":flag_so:",
            "category": "flags",
            "emoji_order": "1216",
            "aliases": [
                ":so:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "so",
                "flag",
                "other"
            ]
        },
        "flag_za": {
            "unicode": "1f1ff-1f1e6",
            "unicode_alternates": "",
            "name": "south africa",
            "shortname": ":flag_za:",
            "category": "flags",
            "emoji_order": "1217",
            "aliases": [
                ":za:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "flag",
                "other",
                "south africa"
            ]
        },
        "flag_kr": {
            "unicode": "1f1f0-1f1f7",
            "unicode_alternates": "",
            "name": "korea",
            "shortname": ":flag_kr:",
            "category": "flags",
            "emoji_order": "1218",
            "aliases": [
                ":kr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nation",
                "country",
                "south korea",
                "kr",
                "flag",
                "other",
                "south"
            ]
        },
        "flag_es": {
            "unicode": "1f1ea-1f1f8",
            "unicode_alternates": "",
            "name": "spain",
            "shortname": ":flag_es:",
            "category": "flags",
            "emoji_order": "1219",
            "aliases": [
                ":es:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "nation",
                "espa&ntilde;a",
                "country",
                "espana",
                "es",
                "flag",
                "other"
            ]
        },
        "flag_lk": {
            "unicode": "1f1f1-1f1f0",
            "unicode_alternates": "",
            "name": "sri lanka",
            "shortname": ":flag_lk:",
            "category": "flags",
            "emoji_order": "1220",
            "aliases": [
                ":lk:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "lk",
                "flag",
                "other",
                "sri lanka"
            ]
        },
        "flag_sd": {
            "unicode": "1f1f8-1f1e9",
            "unicode_alternates": "",
            "name": "sudan",
            "shortname": ":flag_sd:",
            "category": "flags",
            "emoji_order": "1221",
            "aliases": [
                ":sd:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "as-sudan",
                "sd",
                "flag",
                "other"
            ]
        },
        "flag_sr": {
            "unicode": "1f1f8-1f1f7",
            "unicode_alternates": "",
            "name": "suriname",
            "shortname": ":flag_sr:",
            "category": "flags",
            "emoji_order": "1222",
            "aliases": [
                ":sr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sr",
                "flag",
                "other"
            ]
        },
        "flag_sz": {
            "unicode": "1f1f8-1f1ff",
            "unicode_alternates": "",
            "name": "swaziland",
            "shortname": ":flag_sz:",
            "category": "flags",
            "emoji_order": "1223",
            "aliases": [
                ":sz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sz",
                "flag",
                "other"
            ]
        },
        "flag_se": {
            "unicode": "1f1f8-1f1ea",
            "unicode_alternates": "",
            "name": "sweden",
            "shortname": ":flag_se:",
            "category": "flags",
            "emoji_order": "1224",
            "aliases": [
                ":se:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sverige",
                "se",
                "flag",
                "other"
            ]
        },
        "flag_ch": {
            "unicode": "1f1e8-1f1ed",
            "unicode_alternates": "",
            "name": "switzerland",
            "shortname": ":flag_ch:",
            "category": "flags",
            "emoji_order": "1225",
            "aliases": [
                ":ch:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "swiss",
                "flag",
                "other"
            ]
        },
        "flag_sy": {
            "unicode": "1f1f8-1f1fe",
            "unicode_alternates": "",
            "name": "syria",
            "shortname": ":flag_sy:",
            "category": "flags",
            "emoji_order": "1226",
            "aliases": [
                ":sy:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sy",
                "flag",
                "other"
            ]
        },
        "flag_tw": {
            "unicode": "1f1f9-1f1fc",
            "unicode_alternates": "",
            "name": "the republic of china",
            "shortname": ":flag_tw:",
            "category": "flags",
            "emoji_order": "1227",
            "aliases": [
                ":tw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "taiwan",
                "tw",
                "flag",
                "other"
            ]
        },
        "flag_tj": {
            "unicode": "1f1f9-1f1ef",
            "unicode_alternates": "",
            "name": "tajikistan",
            "shortname": ":flag_tj:",
            "category": "flags",
            "emoji_order": "1228",
            "aliases": [
                ":tj:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "jumhurii tojikiston",
                "tj",
                "flag",
                "other"
            ]
        },
        "flag_tz": {
            "unicode": "1f1f9-1f1ff",
            "unicode_alternates": "",
            "name": "tanzania",
            "shortname": ":flag_tz:",
            "category": "flags",
            "emoji_order": "1229",
            "aliases": [
                ":tz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "tz",
                "flag",
                "other"
            ]
        },
        "flag_th": {
            "unicode": "1f1f9-1f1ed",
            "unicode_alternates": "",
            "name": "thailand",
            "shortname": ":flag_th:",
            "category": "flags",
            "emoji_order": "1230",
            "aliases": [
                ":th:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "prathet thai",
                "th",
                "flag",
                "other"
            ]
        },
        "flag_tl": {
            "unicode": "1f1f9-1f1f1",
            "unicode_alternates": "",
            "name": "timor-leste",
            "shortname": ":flag_tl:",
            "category": "flags",
            "emoji_order": "1231",
            "aliases": [
                ":tl:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "tl",
                "east timor",
                "flag",
                "other",
                "timor-leste"
            ]
        },
        "flag_tg": {
            "unicode": "1f1f9-1f1ec",
            "unicode_alternates": "",
            "name": "togo",
            "shortname": ":flag_tg:",
            "category": "flags",
            "emoji_order": "1232",
            "aliases": [
                ":tg:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "republique togolaise",
                "tg",
                "flag",
                "other"
            ]
        },
        "flag_to": {
            "unicode": "1f1f9-1f1f4",
            "unicode_alternates": "",
            "name": "tonga",
            "shortname": ":flag_to:",
            "category": "flags",
            "emoji_order": "1233",
            "aliases": [
                ":to:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "to",
                "flag",
                "other"
            ]
        },
        "flag_tt": {
            "unicode": "1f1f9-1f1f9",
            "unicode_alternates": "",
            "name": "trinidad and tobago",
            "shortname": ":flag_tt:",
            "category": "flags",
            "emoji_order": "1234",
            "aliases": [
                ":tt:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "tt",
                "flag",
                "other"
            ]
        },
        "flag_tn": {
            "unicode": "1f1f9-1f1f3",
            "unicode_alternates": "",
            "name": "tunisia",
            "shortname": ":flag_tn:",
            "category": "flags",
            "emoji_order": "1235",
            "aliases": [
                ":tn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "tunis",
                "tn",
                "flag",
                "other"
            ]
        },
        "flag_tr": {
            "unicode": "1f1f9-1f1f7",
            "unicode_alternates": "",
            "name": "turkey",
            "shortname": ":flag_tr:",
            "category": "flags",
            "emoji_order": "1236",
            "aliases": [
                ":tr:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "turkiye",
                "flag",
                "other"
            ]
        },
        "flag_tm": {
            "unicode": "1f1f9-1f1f2",
            "unicode_alternates": "",
            "name": "turkmenistan",
            "shortname": ":flag_tm:",
            "category": "flags",
            "emoji_order": "1237",
            "aliases": [
                ":turkmenistan:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "tm",
                "flag",
                "other"
            ]
        },
        "flag_tv": {
            "unicode": "1f1f9-1f1fb",
            "unicode_alternates": "",
            "name": "tuvalu",
            "shortname": ":flag_tv:",
            "category": "flags",
            "emoji_order": "1238",
            "aliases": [
                ":tuvalu:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "tv",
                "flag",
                "other"
            ]
        },
        "flag_ug": {
            "unicode": "1f1fa-1f1ec",
            "unicode_alternates": "",
            "name": "uganda",
            "shortname": ":flag_ug:",
            "category": "flags",
            "emoji_order": "1239",
            "aliases": [
                ":ug:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ug",
                "flag",
                "other"
            ]
        },
        "flag_ua": {
            "unicode": "1f1fa-1f1e6",
            "unicode_alternates": "",
            "name": "ukraine",
            "shortname": ":flag_ua:",
            "category": "flags",
            "emoji_order": "1240",
            "aliases": [
                ":ua:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ukrayina",
                "ua",
                "flag",
                "other"
            ]
        },
        "flag_ae": {
            "unicode": "1f1e6-1f1ea",
            "unicode_alternates": "",
            "name": "the united arab emirates",
            "shortname": ":flag_ae:",
            "category": "flags",
            "emoji_order": "1241",
            "aliases": [
                ":ae:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ae",
                "flag",
                "other",
                "uae"
            ]
        },
        "flag_gb": {
            "unicode": "1f1ec-1f1e7",
            "unicode_alternates": "",
            "name": "great britain",
            "shortname": ":flag_gb:",
            "category": "flags",
            "emoji_order": "1242",
            "aliases": [
                ":gb:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "UK",
                "gb",
                "britsh",
                "nation",
                "united kingdom",
                "england",
                "country",
                "british",
                "cornwall",
                "flag",
                "great britain",
                "ireland",
                "northern ireland",
                "other",
                "scotland",
                "uk",
                "union jack",
                "united",
                "wales"
            ]
        },
        "flag_us": {
            "unicode": "1f1fa-1f1f8",
            "unicode_alternates": "",
            "name": "united states",
            "shortname": ":flag_us:",
            "category": "flags",
            "emoji_order": "1243",
            "aliases": [
                ":us:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "american",
                "country",
                "nation",
                "usa",
                "united states of america",
                "america",
                "old glory",
                "us",
                "flag",
                "other",
                "stars and stripes",
                "united states"
            ]
        },
        "flag_vi": {
            "unicode": "1f1fb-1f1ee",
            "unicode_alternates": "",
            "name": "u.s. virgin islands",
            "shortname": ":flag_vi:",
            "category": "flags",
            "emoji_order": "1244",
            "aliases": [
                ":vi:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "vi",
                "america",
                "american",
                "flag",
                "island",
                "other",
                "united",
                "united states",
                "us",
                "usa"
            ]
        },
        "flag_uy": {
            "unicode": "1f1fa-1f1fe",
            "unicode_alternates": "",
            "name": "uruguay",
            "shortname": ":flag_uy:",
            "category": "flags",
            "emoji_order": "1245",
            "aliases": [
                ":uy:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "uy",
                "flag",
                "other"
            ]
        },
        "flag_uz": {
            "unicode": "1f1fa-1f1ff",
            "unicode_alternates": "",
            "name": "uzbekistan",
            "shortname": ":flag_uz:",
            "category": "flags",
            "emoji_order": "1246",
            "aliases": [
                ":uz:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "uzbekiston respublikasi",
                "uz",
                "flag",
                "other"
            ]
        },
        "flag_vu": {
            "unicode": "1f1fb-1f1fa",
            "unicode_alternates": "",
            "name": "vanuatu",
            "shortname": ":flag_vu:",
            "category": "flags",
            "emoji_order": "1247",
            "aliases": [
                ":vu:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "vu",
                "flag",
                "other"
            ]
        },
        "flag_va": {
            "unicode": "1f1fb-1f1e6",
            "unicode_alternates": "",
            "name": "the vatican city",
            "shortname": ":flag_va:",
            "category": "flags",
            "emoji_order": "1248",
            "aliases": [
                ":va:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "va",
                "flag",
                "other"
            ]
        },
        "flag_ve": {
            "unicode": "1f1fb-1f1ea",
            "unicode_alternates": "",
            "name": "venezuela",
            "shortname": ":flag_ve:",
            "category": "flags",
            "emoji_order": "1249",
            "aliases": [
                ":ve:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "ve",
                "flag",
                "other"
            ]
        },
        "flag_vn": {
            "unicode": "1f1fb-1f1f3",
            "unicode_alternates": "",
            "name": "vietnam",
            "shortname": ":flag_vn:",
            "category": "flags",
            "emoji_order": "1250",
            "aliases": [
                ":vn:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "viet nam",
                "vn",
                "flag",
                "other"
            ]
        },
        "flag_wf": {
            "unicode": "1f1fc-1f1eb",
            "unicode_alternates": "",
            "name": "wallis and futuna",
            "shortname": ":flag_wf:",
            "category": "flags",
            "emoji_order": "1251",
            "aliases": [
                ":wf:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "wf",
                "flag",
                "other"
            ]
        },
        "flag_eh": {
            "unicode": "1f1ea-1f1ed",
            "unicode_alternates": "",
            "name": "western sahara",
            "shortname": ":flag_eh:",
            "category": "flags",
            "emoji_order": "1252",
            "aliases": [
                ":eh:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "sahra",
                "gharbiyah",
                "eh",
                "flag",
                "other",
                "west",
                "western sahara"
            ]
        },
        "flag_ye": {
            "unicode": "1f1fe-1f1ea",
            "unicode_alternates": "",
            "name": "yemen",
            "shortname": ":flag_ye:",
            "category": "flags",
            "emoji_order": "1253",
            "aliases": [
                ":ye:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "al yaman",
                "ye",
                "flag",
                "other"
            ]
        },
        "flag_zm": {
            "unicode": "1f1ff-1f1f2",
            "unicode_alternates": "",
            "name": "zambia",
            "shortname": ":flag_zm:",
            "category": "flags",
            "emoji_order": "1254",
            "aliases": [
                ":zm:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "zm",
                "flag",
                "other"
            ]
        },
        "flag_zw": {
            "unicode": "1f1ff-1f1fc",
            "unicode_alternates": "",
            "name": "zimbabwe",
            "shortname": ":flag_zw:",
            "category": "flags",
            "emoji_order": "1255",
            "aliases": [
                ":zw:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "country",
                "nation",
                "zw",
                "flag",
                "other"
            ]
        },
        "flag_re": {
            "unicode": "1f1f7-1f1ea",
            "unicode_alternates": "",
            "name": "r\u00e9union",
            "shortname": ":flag_re:",
            "category": "flags",
            "emoji_order": "1256",
            "aliases": [
                ":re:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_ax": {
            "unicode": "1f1e6-1f1fd",
            "unicode_alternates": "",
            "name": "\u00e5land islands",
            "shortname": ":flag_ax:",
            "category": "flags",
            "emoji_order": "1257",
            "aliases": [
                ":ax:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_ta": {
            "unicode": "1f1f9-1f1e6",
            "unicode_alternates": "",
            "name": "tristan da cunha",
            "shortname": ":flag_ta:",
            "category": "flags",
            "emoji_order": "1258",
            "aliases": [
                ":ta:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_io": {
            "unicode": "1f1ee-1f1f4",
            "unicode_alternates": "",
            "name": "british indian ocean territory",
            "shortname": ":flag_io:",
            "category": "flags",
            "emoji_order": "1259",
            "aliases": [
                ":io:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_bq": {
            "unicode": "1f1e7-1f1f6",
            "unicode_alternates": "",
            "name": "caribbean netherlands",
            "shortname": ":flag_bq:",
            "category": "flags",
            "emoji_order": "1260",
            "aliases": [
                ":bq:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_cx": {
            "unicode": "1f1e8-1f1fd",
            "unicode_alternates": "",
            "name": "christmas island",
            "shortname": ":flag_cx:",
            "category": "flags",
            "emoji_order": "1261",
            "aliases": [
                ":cx:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_cc": {
            "unicode": "1f1e8-1f1e8",
            "unicode_alternates": "",
            "name": "cocos (keeling) islands",
            "shortname": ":flag_cc:",
            "category": "flags",
            "emoji_order": "1262",
            "aliases": [
                ":cc:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_gg": {
            "unicode": "1f1ec-1f1ec",
            "unicode_alternates": "",
            "name": "guernsey",
            "shortname": ":flag_gg:",
            "category": "flags",
            "emoji_order": "1263",
            "aliases": [
                ":gg:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_im": {
            "unicode": "1f1ee-1f1f2",
            "unicode_alternates": "",
            "name": "isle of man",
            "shortname": ":flag_im:",
            "category": "flags",
            "emoji_order": "1264",
            "aliases": [
                ":im:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_yt": {
            "unicode": "1f1fe-1f1f9",
            "unicode_alternates": "",
            "name": "mayotte",
            "shortname": ":flag_yt:",
            "category": "flags",
            "emoji_order": "1265",
            "aliases": [
                ":yt:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_nf": {
            "unicode": "1f1f3-1f1eb",
            "unicode_alternates": "",
            "name": "norfolk island",
            "shortname": ":flag_nf:",
            "category": "flags",
            "emoji_order": "1266",
            "aliases": [
                ":nf:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_pn": {
            "unicode": "1f1f5-1f1f3",
            "unicode_alternates": "",
            "name": "pitcairn",
            "shortname": ":flag_pn:",
            "category": "flags",
            "emoji_order": "1267",
            "aliases": [
                ":pn:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_bl": {
            "unicode": "1f1e7-1f1f1",
            "unicode_alternates": "",
            "name": "saint barth\u00e9lemy",
            "shortname": ":flag_bl:",
            "category": "flags",
            "emoji_order": "1268",
            "aliases": [
                ":bl:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_pm": {
            "unicode": "1f1f5-1f1f2",
            "unicode_alternates": "",
            "name": "saint pierre and miquelon",
            "shortname": ":flag_pm:",
            "category": "flags",
            "emoji_order": "1269",
            "aliases": [
                ":pm:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_gs": {
            "unicode": "1f1ec-1f1f8",
            "unicode_alternates": "",
            "name": "south georgia",
            "shortname": ":flag_gs:",
            "category": "flags",
            "emoji_order": "1270",
            "aliases": [
                ":gs:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_tk": {
            "unicode": "1f1f9-1f1f0",
            "unicode_alternates": "",
            "name": "tokelau",
            "shortname": ":flag_tk:",
            "category": "flags",
            "emoji_order": "1271",
            "aliases": [
                ":tk:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_bv": {
            "unicode": "1f1e7-1f1fb",
            "unicode_alternates": "",
            "name": "bouvet island",
            "shortname": ":flag_bv:",
            "category": "flags",
            "emoji_order": "1272",
            "aliases": [
                ":bv:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_hm": {
            "unicode": "1f1ed-1f1f2",
            "unicode_alternates": "",
            "name": "heard island and mcdonald islands",
            "shortname": ":flag_hm:",
            "category": "flags",
            "emoji_order": "1273",
            "aliases": [
                ":hm:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_sj": {
            "unicode": "1f1f8-1f1ef",
            "unicode_alternates": "",
            "name": "svalbard and jan mayen",
            "shortname": ":flag_sj:",
            "category": "flags",
            "emoji_order": "1274",
            "aliases": [
                ":sj:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_um": {
            "unicode": "1f1fa-1f1f2",
            "unicode_alternates": "",
            "name": "united states minor outlying islands",
            "shortname": ":flag_um:",
            "category": "flags",
            "emoji_order": "1275",
            "aliases": [
                ":um:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_ic": {
            "unicode": "1f1ee-1f1e8",
            "unicode_alternates": "",
            "name": "canary islands",
            "shortname": ":flag_ic:",
            "category": "flags",
            "emoji_order": "1276",
            "aliases": [
                ":ic:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_ea": {
            "unicode": "1f1ea-1f1e6",
            "unicode_alternates": "",
            "name": "ceuta, melilla",
            "shortname": ":flag_ea:",
            "category": "flags",
            "emoji_order": "1277",
            "aliases": [
                ":ea:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_cp": {
            "unicode": "1f1e8-1f1f5",
            "unicode_alternates": "",
            "name": "clipperton island",
            "shortname": ":flag_cp:",
            "category": "flags",
            "emoji_order": "1278",
            "aliases": [
                ":cp:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_dg": {
            "unicode": "1f1e9-1f1ec",
            "unicode_alternates": "",
            "name": "diego garcia",
            "shortname": ":flag_dg:",
            "category": "flags",
            "emoji_order": "1279",
            "aliases": [
                ":dg:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_as": {
            "unicode": "1f1e6-1f1f8",
            "unicode_alternates": "",
            "name": "american samoa",
            "shortname": ":flag_as:",
            "category": "flags",
            "emoji_order": "1280",
            "aliases": [
                ":as:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_aq": {
            "unicode": "1f1e6-1f1f6",
            "unicode_alternates": "",
            "name": "antarctica",
            "shortname": ":flag_aq:",
            "category": "flags",
            "emoji_order": "1281",
            "aliases": [
                ":aq:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_vg": {
            "unicode": "1f1fb-1f1ec",
            "unicode_alternates": "",
            "name": "british virgin islands",
            "shortname": ":flag_vg:",
            "category": "flags",
            "emoji_order": "1282",
            "aliases": [
                ":vg:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_ck": {
            "unicode": "1f1e8-1f1f0",
            "unicode_alternates": "",
            "name": "cook islands",
            "shortname": ":flag_ck:",
            "category": "flags",
            "emoji_order": "1283",
            "aliases": [
                ":ck:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_cw": {
            "unicode": "1f1e8-1f1fc",
            "unicode_alternates": "",
            "name": "cura\u00e7ao",
            "shortname": ":flag_cw:",
            "category": "flags",
            "emoji_order": "1284",
            "aliases": [
                ":cw:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_eu": {
            "unicode": "1f1ea-1f1fa",
            "unicode_alternates": "",
            "name": "european union",
            "shortname": ":flag_eu:",
            "category": "flags",
            "emoji_order": "1285",
            "aliases": [
                ":eu:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_gf": {
            "unicode": "1f1ec-1f1eb",
            "unicode_alternates": "",
            "name": "french guiana",
            "shortname": ":flag_gf:",
            "category": "flags",
            "emoji_order": "1286",
            "aliases": [
                ":gf:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_tf": {
            "unicode": "1f1f9-1f1eb",
            "unicode_alternates": "",
            "name": "french southern territories",
            "shortname": ":flag_tf:",
            "category": "flags",
            "emoji_order": "1287",
            "aliases": [
                ":tf:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_gp": {
            "unicode": "1f1ec-1f1f5",
            "unicode_alternates": "",
            "name": "guadeloupe",
            "shortname": ":flag_gp:",
            "category": "flags",
            "emoji_order": "1288",
            "aliases": [
                ":gp:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_mq": {
            "unicode": "1f1f2-1f1f6",
            "unicode_alternates": "",
            "name": "martinique",
            "shortname": ":flag_mq:",
            "category": "flags",
            "emoji_order": "1289",
            "aliases": [
                ":mq:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_mp": {
            "unicode": "1f1f2-1f1f5",
            "unicode_alternates": "",
            "name": "northern mariana islands",
            "shortname": ":flag_mp:",
            "category": "flags",
            "emoji_order": "1290",
            "aliases": [
                ":mp:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_sx": {
            "unicode": "1f1f8-1f1fd",
            "unicode_alternates": "",
            "name": "sint maarten",
            "shortname": ":flag_sx:",
            "category": "flags",
            "emoji_order": "1291",
            "aliases": [
                ":sx:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_ss": {
            "unicode": "1f1f8-1f1f8",
            "unicode_alternates": "",
            "name": "south sudan",
            "shortname": ":flag_ss:",
            "category": "flags",
            "emoji_order": "1292",
            "aliases": [
                ":ss:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_tc": {
            "unicode": "1f1f9-1f1e8",
            "unicode_alternates": "",
            "name": "turks and caicos islands",
            "shortname": ":flag_tc:",
            "category": "flags",
            "emoji_order": "1293",
            "aliases": [
                ":tc:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "flag_mf": {
            "unicode": "1f1f2-1f1eb",
            "unicode_alternates": "",
            "name": "saint martin",
            "shortname": ":flag_mf:",
            "category": "flags",
            "emoji_order": "1294",
            "aliases": [
                ":mf:"
            ],
            "aliases_ascii": [],
            "keywords": []
        },
        "raised_hands_tone1": {
            "unicode": "1f64c-1f3fb",
            "unicode_alternates": "",
            "name": "person raising both hands in celebration tone 1",
            "shortname": ":raised_hands_tone1:",
            "category": "people",
            "emoji_order": "1295",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gesture",
                "hooray",
                "winning",
                "woot",
                "yay",
                "banzai",
                "raised"
            ]
        },
        "raised_hands_tone2": {
            "unicode": "1f64c-1f3fc",
            "unicode_alternates": "",
            "name": "person raising both hands in celebration tone 2",
            "shortname": ":raised_hands_tone2:",
            "category": "people",
            "emoji_order": "1296",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gesture",
                "hooray",
                "winning",
                "woot",
                "yay",
                "banzai",
                "raised"
            ]
        },
        "raised_hands_tone3": {
            "unicode": "1f64c-1f3fd",
            "unicode_alternates": "",
            "name": "person raising both hands in celebration tone 3",
            "shortname": ":raised_hands_tone3:",
            "category": "people",
            "emoji_order": "1297",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gesture",
                "hooray",
                "winning",
                "woot",
                "yay",
                "banzai",
                "raised"
            ]
        },
        "raised_hands_tone4": {
            "unicode": "1f64c-1f3fe",
            "unicode_alternates": "",
            "name": "person raising both hands in celebration tone 4",
            "shortname": ":raised_hands_tone4:",
            "category": "people",
            "emoji_order": "1298",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gesture",
                "hooray",
                "winning",
                "woot",
                "yay",
                "banzai",
                "raised"
            ]
        },
        "raised_hands_tone5": {
            "unicode": "1f64c-1f3ff",
            "unicode_alternates": "",
            "name": "person raising both hands in celebration tone 5",
            "shortname": ":raised_hands_tone5:",
            "category": "people",
            "emoji_order": "1299",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "gesture",
                "hooray",
                "winning",
                "woot",
                "yay",
                "banzai",
                "raised"
            ]
        },
        "clap_tone1": {
            "unicode": "1f44f-1f3fb",
            "unicode_alternates": "",
            "name": "clapping hands sign tone 1",
            "shortname": ":clap_tone1:",
            "category": "people",
            "emoji_order": "1300",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "applause",
                "congrats",
                "praise",
                "clap",
                "appreciation",
                "approval",
                "sound",
                "encouragement",
                "enthusiasm"
            ]
        },
        "clap_tone2": {
            "unicode": "1f44f-1f3fc",
            "unicode_alternates": "",
            "name": "clapping hands sign tone 2",
            "shortname": ":clap_tone2:",
            "category": "people",
            "emoji_order": "1301",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "applause",
                "congrats",
                "praise",
                "clap",
                "appreciation",
                "approval",
                "sound",
                "encouragement",
                "enthusiasm"
            ]
        },
        "clap_tone3": {
            "unicode": "1f44f-1f3fd",
            "unicode_alternates": "",
            "name": "clapping hands sign tone 3",
            "shortname": ":clap_tone3:",
            "category": "people",
            "emoji_order": "1302",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "applause",
                "congrats",
                "praise",
                "clap",
                "appreciation",
                "approval",
                "sound",
                "encouragement",
                "enthusiasm"
            ]
        },
        "clap_tone4": {
            "unicode": "1f44f-1f3fe",
            "unicode_alternates": "",
            "name": "clapping hands sign tone 4",
            "shortname": ":clap_tone4:",
            "category": "people",
            "emoji_order": "1303",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "applause",
                "congrats",
                "praise",
                "clap",
                "appreciation",
                "approval",
                "sound",
                "encouragement",
                "enthusiasm"
            ]
        },
        "clap_tone5": {
            "unicode": "1f44f-1f3ff",
            "unicode_alternates": "",
            "name": "clapping hands sign tone 5",
            "shortname": ":clap_tone5:",
            "category": "people",
            "emoji_order": "1304",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "applause",
                "congrats",
                "praise",
                "clap",
                "appreciation",
                "approval",
                "sound",
                "encouragement",
                "enthusiasm"
            ]
        },
        "wave_tone1": {
            "unicode": "1f44b-1f3fb",
            "unicode_alternates": "",
            "name": "waving hand sign tone 1",
            "shortname": ":wave_tone1:",
            "category": "people",
            "emoji_order": "1305",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "farewell",
                "gesture",
                "goodbye",
                "solong",
                "hi",
                "wave"
            ]
        },
        "wave_tone2": {
            "unicode": "1f44b-1f3fc",
            "unicode_alternates": "",
            "name": "waving hand sign tone 2",
            "shortname": ":wave_tone2:",
            "category": "people",
            "emoji_order": "1306",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "farewell",
                "gesture",
                "goodbye",
                "solong",
                "hi",
                "wave"
            ]
        },
        "wave_tone3": {
            "unicode": "1f44b-1f3fd",
            "unicode_alternates": "",
            "name": "waving hand sign tone 3",
            "shortname": ":wave_tone3:",
            "category": "people",
            "emoji_order": "1307",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "farewell",
                "gesture",
                "goodbye",
                "solong",
                "hi",
                "wave"
            ]
        },
        "wave_tone4": {
            "unicode": "1f44b-1f3fe",
            "unicode_alternates": "",
            "name": "waving hand sign tone 4",
            "shortname": ":wave_tone4:",
            "category": "people",
            "emoji_order": "1308",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "farewell",
                "gesture",
                "goodbye",
                "solong",
                "hi",
                "wave"
            ]
        },
        "wave_tone5": {
            "unicode": "1f44b-1f3ff",
            "unicode_alternates": "",
            "name": "waving hand sign tone 5",
            "shortname": ":wave_tone5:",
            "category": "people",
            "emoji_order": "1309",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "farewell",
                "gesture",
                "goodbye",
                "solong",
                "hi",
                "wave"
            ]
        },
        "thumbsup_tone1": {
            "unicode": "1f44d-1f3fb",
            "unicode_alternates": "",
            "name": "thumbs up sign tone 1",
            "shortname": ":thumbsup_tone1:",
            "category": "people",
            "emoji_order": "1310",
            "aliases": [
                ":+1_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cool",
                "hand",
                "like",
                "yes",
                "+1"
            ]
        },
        "thumbsup_tone2": {
            "unicode": "1f44d-1f3fc",
            "unicode_alternates": "",
            "name": "thumbs up sign tone 2",
            "shortname": ":thumbsup_tone2:",
            "category": "people",
            "emoji_order": "1311",
            "aliases": [
                ":+1_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cool",
                "hand",
                "like",
                "yes",
                "+1"
            ]
        },
        "thumbsup_tone3": {
            "unicode": "1f44d-1f3fd",
            "unicode_alternates": "",
            "name": "thumbs up sign tone 3",
            "shortname": ":thumbsup_tone3:",
            "category": "people",
            "emoji_order": "1312",
            "aliases": [
                ":+1_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cool",
                "hand",
                "like",
                "yes",
                "+1"
            ]
        },
        "thumbsup_tone4": {
            "unicode": "1f44d-1f3fe",
            "unicode_alternates": "",
            "name": "thumbs up sign tone 4",
            "shortname": ":thumbsup_tone4:",
            "category": "people",
            "emoji_order": "1313",
            "aliases": [
                ":+1_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cool",
                "hand",
                "like",
                "yes",
                "+1"
            ]
        },
        "thumbsup_tone5": {
            "unicode": "1f44d-1f3ff",
            "unicode_alternates": "",
            "name": "thumbs up sign tone 5",
            "shortname": ":thumbsup_tone5:",
            "category": "people",
            "emoji_order": "1314",
            "aliases": [
                ":+1_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "cool",
                "hand",
                "like",
                "yes",
                "+1"
            ]
        },
        "thumbsdown_tone1": {
            "unicode": "1f44e-1f3fb",
            "unicode_alternates": "",
            "name": "thumbs down sign tone 1",
            "shortname": ":thumbsdown_tone1:",
            "category": "people",
            "emoji_order": "1315",
            "aliases": [
                ":-1_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hand",
                "no",
                "-1"
            ]
        },
        "thumbsdown_tone2": {
            "unicode": "1f44e-1f3fc",
            "unicode_alternates": "",
            "name": "thumbs down sign tone 2",
            "shortname": ":thumbsdown_tone2:",
            "category": "people",
            "emoji_order": "1316",
            "aliases": [
                ":-1_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hand",
                "no",
                "-1"
            ]
        },
        "thumbsdown_tone3": {
            "unicode": "1f44e-1f3fd",
            "unicode_alternates": "",
            "name": "thumbs down sign tone 3",
            "shortname": ":thumbsdown_tone3:",
            "category": "people",
            "emoji_order": "1317",
            "aliases": [
                ":-1_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hand",
                "no",
                "-1"
            ]
        },
        "thumbsdown_tone4": {
            "unicode": "1f44e-1f3fe",
            "unicode_alternates": "",
            "name": "thumbs down sign tone 4",
            "shortname": ":thumbsdown_tone4:",
            "category": "people",
            "emoji_order": "1318",
            "aliases": [
                ":-1_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hand",
                "no",
                "-1"
            ]
        },
        "thumbsdown_tone5": {
            "unicode": "1f44e-1f3ff",
            "unicode_alternates": "",
            "name": "thumbs down sign tone 5",
            "shortname": ":thumbsdown_tone5:",
            "category": "people",
            "emoji_order": "1319",
            "aliases": [
                ":-1_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hand",
                "no",
                "-1"
            ]
        },
        "punch_tone1": {
            "unicode": "1f44a-1f3fb",
            "unicode_alternates": "",
            "name": "fisted hand sign tone 1",
            "shortname": ":punch_tone1:",
            "category": "people",
            "emoji_order": "1320",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fist",
                "punch"
            ]
        },
        "punch_tone2": {
            "unicode": "1f44a-1f3fc",
            "unicode_alternates": "",
            "name": "fisted hand sign tone 2",
            "shortname": ":punch_tone2:",
            "category": "people",
            "emoji_order": "1321",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fist",
                "punch"
            ]
        },
        "punch_tone3": {
            "unicode": "1f44a-1f3fd",
            "unicode_alternates": "",
            "name": "fisted hand sign tone 3",
            "shortname": ":punch_tone3:",
            "category": "people",
            "emoji_order": "1322",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fist",
                "punch"
            ]
        },
        "punch_tone4": {
            "unicode": "1f44a-1f3fe",
            "unicode_alternates": "",
            "name": "fisted hand sign tone 4",
            "shortname": ":punch_tone4:",
            "category": "people",
            "emoji_order": "1323",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fist",
                "punch"
            ]
        },
        "punch_tone5": {
            "unicode": "1f44a-1f3ff",
            "unicode_alternates": "",
            "name": "fisted hand sign tone 5",
            "shortname": ":punch_tone5:",
            "category": "people",
            "emoji_order": "1324",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fist",
                "punch"
            ]
        },
        "fist_tone1": {
            "unicode": "270a-1f3fb",
            "unicode_alternates": "",
            "name": "raised fist tone 1",
            "shortname": ":fist_tone1:",
            "category": "people",
            "emoji_order": "1325",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "grasp",
                "hand"
            ]
        },
        "fist_tone2": {
            "unicode": "270a-1f3fc",
            "unicode_alternates": "",
            "name": "raised fist tone 2",
            "shortname": ":fist_tone2:",
            "category": "people",
            "emoji_order": "1326",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "grasp",
                "hand"
            ]
        },
        "fist_tone3": {
            "unicode": "270a-1f3fd",
            "unicode_alternates": "",
            "name": "raised fist tone 3",
            "shortname": ":fist_tone3:",
            "category": "people",
            "emoji_order": "1327",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "grasp",
                "hand"
            ]
        },
        "fist_tone4": {
            "unicode": "270a-1f3fe",
            "unicode_alternates": "",
            "name": "raised fist tone 4",
            "shortname": ":fist_tone4:",
            "category": "people",
            "emoji_order": "1328",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "grasp",
                "hand"
            ]
        },
        "fist_tone5": {
            "unicode": "270a-1f3ff",
            "unicode_alternates": "",
            "name": "raised fist tone 5",
            "shortname": ":fist_tone5:",
            "category": "people",
            "emoji_order": "1329",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "grasp",
                "hand"
            ]
        },
        "v_tone1": {
            "unicode": "270c-1f3fb",
            "unicode_alternates": "",
            "name": "victory hand tone 1",
            "shortname": ":v_tone1:",
            "category": "people",
            "emoji_order": "1330",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "ohyeah",
                "peace",
                "two",
                "v"
            ]
        },
        "v_tone2": {
            "unicode": "270c-1f3fc",
            "unicode_alternates": "",
            "name": "victory hand tone 2",
            "shortname": ":v_tone2:",
            "category": "people",
            "emoji_order": "1331",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "ohyeah",
                "peace",
                "two",
                "v"
            ]
        },
        "v_tone3": {
            "unicode": "270c-1f3fd",
            "unicode_alternates": "",
            "name": "victory hand tone 3",
            "shortname": ":v_tone3:",
            "category": "people",
            "emoji_order": "1332",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "ohyeah",
                "peace",
                "two",
                "v"
            ]
        },
        "v_tone4": {
            "unicode": "270c-1f3fe",
            "unicode_alternates": "",
            "name": "victory hand tone 4",
            "shortname": ":v_tone4:",
            "category": "people",
            "emoji_order": "1333",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "ohyeah",
                "peace",
                "two",
                "v"
            ]
        },
        "v_tone5": {
            "unicode": "270c-1f3ff",
            "unicode_alternates": "",
            "name": "victory hand tone 5",
            "shortname": ":v_tone5:",
            "category": "people",
            "emoji_order": "1334",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "ohyeah",
                "peace",
                "two",
                "v"
            ]
        },
        "ok_hand_tone1": {
            "unicode": "1f44c-1f3fb",
            "unicode_alternates": "",
            "name": "ok hand sign tone 1",
            "shortname": ":ok_hand_tone1:",
            "category": "people",
            "emoji_order": "1335",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "limbs",
                "perfect",
                "okay",
                "smoke",
                "smoking",
                "marijuana",
                "joint",
                "pot",
                "420"
            ]
        },
        "ok_hand_tone2": {
            "unicode": "1f44c-1f3fc",
            "unicode_alternates": "",
            "name": "ok hand sign tone 2",
            "shortname": ":ok_hand_tone2:",
            "category": "people",
            "emoji_order": "1336",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "limbs",
                "perfect",
                "okay",
                "smoke",
                "smoking",
                "marijuana",
                "joint",
                "pot",
                "420"
            ]
        },
        "ok_hand_tone3": {
            "unicode": "1f44c-1f3fd",
            "unicode_alternates": "",
            "name": "ok hand sign tone 3",
            "shortname": ":ok_hand_tone3:",
            "category": "people",
            "emoji_order": "1337",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "limbs",
                "perfect",
                "okay",
                "smoke",
                "smoking",
                "marijuana",
                "joint",
                "pot",
                "420"
            ]
        },
        "ok_hand_tone4": {
            "unicode": "1f44c-1f3fe",
            "unicode_alternates": "",
            "name": "ok hand sign tone 4",
            "shortname": ":ok_hand_tone4:",
            "category": "people",
            "emoji_order": "1338",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "limbs",
                "perfect",
                "okay",
                "smoke",
                "smoking",
                "marijuana",
                "joint",
                "pot",
                "420"
            ]
        },
        "ok_hand_tone5": {
            "unicode": "1f44c-1f3ff",
            "unicode_alternates": "",
            "name": "ok hand sign tone 5",
            "shortname": ":ok_hand_tone5:",
            "category": "people",
            "emoji_order": "1339",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "fingers",
                "limbs",
                "perfect",
                "okay",
                "smoke",
                "smoking",
                "marijuana",
                "joint",
                "pot",
                "420"
            ]
        },
        "raised_hand_tone1": {
            "unicode": "270b-1f3fb",
            "unicode_alternates": "",
            "name": "raised hand tone 1",
            "shortname": ":raised_hand_tone1:",
            "category": "people",
            "emoji_order": "1340",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "body",
                "person"
            ]
        },
        "raised_hand_tone2": {
            "unicode": "270b-1f3fc",
            "unicode_alternates": "",
            "name": "raised hand tone 2",
            "shortname": ":raised_hand_tone2:",
            "category": "people",
            "emoji_order": "1341",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "body",
                "person"
            ]
        },
        "raised_hand_tone3": {
            "unicode": "270b-1f3fd",
            "unicode_alternates": "",
            "name": "raised hand tone 3",
            "shortname": ":raised_hand_tone3:",
            "category": "people",
            "emoji_order": "1342",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "body",
                "person"
            ]
        },
        "raised_hand_tone4": {
            "unicode": "270b-1f3fe",
            "unicode_alternates": "",
            "name": "raised hand tone 4",
            "shortname": ":raised_hand_tone4:",
            "category": "people",
            "emoji_order": "1343",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "body",
                "person"
            ]
        },
        "raised_hand_tone5": {
            "unicode": "270b-1f3ff",
            "unicode_alternates": "",
            "name": "raised hand tone 5",
            "shortname": ":raised_hand_tone5:",
            "category": "people",
            "emoji_order": "1344",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "body",
                "person"
            ]
        },
        "open_hands_tone1": {
            "unicode": "1f450-1f3fb",
            "unicode_alternates": "",
            "name": "open hands sign tone 1",
            "shortname": ":open_hands_tone1:",
            "category": "people",
            "emoji_order": "1345",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "butterfly",
                "fingers"
            ]
        },
        "open_hands_tone2": {
            "unicode": "1f450-1f3fc",
            "unicode_alternates": "",
            "name": "open hands sign tone 2",
            "shortname": ":open_hands_tone2:",
            "category": "people",
            "emoji_order": "1346",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "butterfly",
                "fingers"
            ]
        },
        "open_hands_tone3": {
            "unicode": "1f450-1f3fd",
            "unicode_alternates": "",
            "name": "open hands sign tone 3",
            "shortname": ":open_hands_tone3:",
            "category": "people",
            "emoji_order": "1347",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "butterfly",
                "fingers"
            ]
        },
        "open_hands_tone4": {
            "unicode": "1f450-1f3fe",
            "unicode_alternates": "",
            "name": "open hands sign tone 4",
            "shortname": ":open_hands_tone4:",
            "category": "people",
            "emoji_order": "1348",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "butterfly",
                "fingers"
            ]
        },
        "open_hands_tone5": {
            "unicode": "1f450-1f3ff",
            "unicode_alternates": "",
            "name": "open hands sign tone 5",
            "shortname": ":open_hands_tone5:",
            "category": "people",
            "emoji_order": "1349",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "butterfly",
                "fingers"
            ]
        },
        "muscle_tone1": {
            "unicode": "1f4aa-1f3fb",
            "unicode_alternates": "",
            "name": "flexed biceps tone 1",
            "shortname": ":muscle_tone1:",
            "category": "people",
            "emoji_order": "1350",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arm",
                "flex",
                "hand",
                "strong",
                "muscle",
                "bicep"
            ]
        },
        "muscle_tone2": {
            "unicode": "1f4aa-1f3fc",
            "unicode_alternates": "",
            "name": "flexed biceps tone 2",
            "shortname": ":muscle_tone2:",
            "category": "people",
            "emoji_order": "1351",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arm",
                "flex",
                "hand",
                "strong",
                "muscle",
                "bicep"
            ]
        },
        "muscle_tone3": {
            "unicode": "1f4aa-1f3fd",
            "unicode_alternates": "",
            "name": "flexed biceps tone 3",
            "shortname": ":muscle_tone3:",
            "category": "people",
            "emoji_order": "1352",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arm",
                "flex",
                "hand",
                "strong",
                "muscle",
                "bicep"
            ]
        },
        "muscle_tone4": {
            "unicode": "1f4aa-1f3fe",
            "unicode_alternates": "",
            "name": "flexed biceps tone 4",
            "shortname": ":muscle_tone4:",
            "category": "people",
            "emoji_order": "1353",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arm",
                "flex",
                "hand",
                "strong",
                "muscle",
                "bicep"
            ]
        },
        "muscle_tone5": {
            "unicode": "1f4aa-1f3ff",
            "unicode_alternates": "",
            "name": "flexed biceps tone 5",
            "shortname": ":muscle_tone5:",
            "category": "people",
            "emoji_order": "1354",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arm",
                "flex",
                "hand",
                "strong",
                "muscle",
                "bicep"
            ]
        },
        "pray_tone1": {
            "unicode": "1f64f-1f3fb",
            "unicode_alternates": "",
            "name": "person with folded hands tone 1",
            "shortname": ":pray_tone1:",
            "category": "people",
            "emoji_order": "1355",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "highfive",
                "hope",
                "namaste",
                "please",
                "wish",
                "pray",
                "high five",
                "sorrow",
                "regret",
                "sorry"
            ]
        },
        "pray_tone2": {
            "unicode": "1f64f-1f3fc",
            "unicode_alternates": "",
            "name": "person with folded hands tone 2",
            "shortname": ":pray_tone2:",
            "category": "people",
            "emoji_order": "1356",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "highfive",
                "hope",
                "namaste",
                "please",
                "wish",
                "pray",
                "high five",
                "sorrow",
                "regret",
                "sorry"
            ]
        },
        "pray_tone3": {
            "unicode": "1f64f-1f3fd",
            "unicode_alternates": "",
            "name": "person with folded hands tone 3",
            "shortname": ":pray_tone3:",
            "category": "people",
            "emoji_order": "1357",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "highfive",
                "hope",
                "namaste",
                "please",
                "wish",
                "pray",
                "high five",
                "sorrow",
                "regret",
                "sorry"
            ]
        },
        "pray_tone4": {
            "unicode": "1f64f-1f3fe",
            "unicode_alternates": "",
            "name": "person with folded hands tone 4",
            "shortname": ":pray_tone4:",
            "category": "people",
            "emoji_order": "1358",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "highfive",
                "hope",
                "namaste",
                "please",
                "wish",
                "pray",
                "high five",
                "sorrow",
                "regret",
                "sorry"
            ]
        },
        "pray_tone5": {
            "unicode": "1f64f-1f3ff",
            "unicode_alternates": "",
            "name": "person with folded hands tone 5",
            "shortname": ":pray_tone5:",
            "category": "people",
            "emoji_order": "1359",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "highfive",
                "hope",
                "namaste",
                "please",
                "wish",
                "pray",
                "high five",
                "sorrow",
                "regret",
                "sorry"
            ]
        },
        "point_up_tone1": {
            "unicode": "261d-1f3fb",
            "unicode_alternates": "",
            "name": "white up pointing index tone 1",
            "shortname": ":point_up_tone1:",
            "category": "people",
            "emoji_order": "1360",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_tone2": {
            "unicode": "261d-1f3fc",
            "unicode_alternates": "",
            "name": "white up pointing index tone 2",
            "shortname": ":point_up_tone2:",
            "category": "people",
            "emoji_order": "1361",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_tone3": {
            "unicode": "261d-1f3fd",
            "unicode_alternates": "",
            "name": "white up pointing index tone 3",
            "shortname": ":point_up_tone3:",
            "category": "people",
            "emoji_order": "1362",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_tone4": {
            "unicode": "261d-1f3fe",
            "unicode_alternates": "",
            "name": "white up pointing index tone 4",
            "shortname": ":point_up_tone4:",
            "category": "people",
            "emoji_order": "1363",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_tone5": {
            "unicode": "261d-1f3ff",
            "unicode_alternates": "",
            "name": "white up pointing index tone 5",
            "shortname": ":point_up_tone5:",
            "category": "people",
            "emoji_order": "1364",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_2_tone1": {
            "unicode": "1f446-1f3fb",
            "unicode_alternates": "",
            "name": "white up pointing backhand index tone 1",
            "shortname": ":point_up_2_tone1:",
            "category": "people",
            "emoji_order": "1365",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_2_tone2": {
            "unicode": "1f446-1f3fc",
            "unicode_alternates": "",
            "name": "white up pointing backhand index tone 2",
            "shortname": ":point_up_2_tone2:",
            "category": "people",
            "emoji_order": "1366",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_2_tone3": {
            "unicode": "1f446-1f3fd",
            "unicode_alternates": "",
            "name": "white up pointing backhand index tone 3",
            "shortname": ":point_up_2_tone3:",
            "category": "people",
            "emoji_order": "1367",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_2_tone4": {
            "unicode": "1f446-1f3fe",
            "unicode_alternates": "",
            "name": "white up pointing backhand index tone 4",
            "shortname": ":point_up_2_tone4:",
            "category": "people",
            "emoji_order": "1368",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_up_2_tone5": {
            "unicode": "1f446-1f3ff",
            "unicode_alternates": "",
            "name": "white up pointing backhand index tone 5",
            "shortname": ":point_up_2_tone5:",
            "category": "people",
            "emoji_order": "1369",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand",
                "one"
            ]
        },
        "point_down_tone1": {
            "unicode": "1f447-1f3fb",
            "unicode_alternates": "",
            "name": "white down pointing backhand index tone 1",
            "shortname": ":point_down_tone1:",
            "category": "people",
            "emoji_order": "1370",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_down_tone2": {
            "unicode": "1f447-1f3fc",
            "unicode_alternates": "",
            "name": "white down pointing backhand index tone 2",
            "shortname": ":point_down_tone2:",
            "category": "people",
            "emoji_order": "1371",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_down_tone3": {
            "unicode": "1f447-1f3fd",
            "unicode_alternates": "",
            "name": "white down pointing backhand index tone 3",
            "shortname": ":point_down_tone3:",
            "category": "people",
            "emoji_order": "1372",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_down_tone4": {
            "unicode": "1f447-1f3fe",
            "unicode_alternates": "",
            "name": "white down pointing backhand index tone 4",
            "shortname": ":point_down_tone4:",
            "category": "people",
            "emoji_order": "1373",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_down_tone5": {
            "unicode": "1f447-1f3ff",
            "unicode_alternates": "",
            "name": "white down pointing backhand index tone 5",
            "shortname": ":point_down_tone5:",
            "category": "people",
            "emoji_order": "1374",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_left_tone1": {
            "unicode": "1f448-1f3fb",
            "unicode_alternates": "",
            "name": "white left pointing backhand index tone 1",
            "shortname": ":point_left_tone1:",
            "category": "people",
            "emoji_order": "1375",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_left_tone2": {
            "unicode": "1f448-1f3fc",
            "unicode_alternates": "",
            "name": "white left pointing backhand index tone 2",
            "shortname": ":point_left_tone2:",
            "category": "people",
            "emoji_order": "1376",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_left_tone3": {
            "unicode": "1f448-1f3fd",
            "unicode_alternates": "",
            "name": "white left pointing backhand index tone 3",
            "shortname": ":point_left_tone3:",
            "category": "people",
            "emoji_order": "1377",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_left_tone4": {
            "unicode": "1f448-1f3fe",
            "unicode_alternates": "",
            "name": "white left pointing backhand index tone 4",
            "shortname": ":point_left_tone4:",
            "category": "people",
            "emoji_order": "1378",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_left_tone5": {
            "unicode": "1f448-1f3ff",
            "unicode_alternates": "",
            "name": "white left pointing backhand index tone 5",
            "shortname": ":point_left_tone5:",
            "category": "people",
            "emoji_order": "1379",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_right_tone1": {
            "unicode": "1f449-1f3fb",
            "unicode_alternates": "",
            "name": "white right pointing backhand index tone 1",
            "shortname": ":point_right_tone1:",
            "category": "people",
            "emoji_order": "1380",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_right_tone2": {
            "unicode": "1f449-1f3fc",
            "unicode_alternates": "",
            "name": "white right pointing backhand index tone 2",
            "shortname": ":point_right_tone2:",
            "category": "people",
            "emoji_order": "1381",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_right_tone3": {
            "unicode": "1f449-1f3fd",
            "unicode_alternates": "",
            "name": "white right pointing backhand index tone 3",
            "shortname": ":point_right_tone3:",
            "category": "people",
            "emoji_order": "1382",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_right_tone4": {
            "unicode": "1f449-1f3fe",
            "unicode_alternates": "",
            "name": "white right pointing backhand index tone 4",
            "shortname": ":point_right_tone4:",
            "category": "people",
            "emoji_order": "1383",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "point_right_tone5": {
            "unicode": "1f449-1f3ff",
            "unicode_alternates": "",
            "name": "white right pointing backhand index tone 5",
            "shortname": ":point_right_tone5:",
            "category": "people",
            "emoji_order": "1384",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "direction",
                "finger",
                "hand"
            ]
        },
        "middle_finger_tone1": {
            "unicode": "1f595-1f3fb",
            "unicode_alternates": "",
            "name": "reversed hand with middle finger extended tone 1",
            "shortname": ":middle_finger_tone1:",
            "category": "people",
            "emoji_order": "1385",
            "aliases": [
                ":reversed_hand_with_middle_finger_extended_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "fu"
            ]
        },
        "middle_finger_tone2": {
            "unicode": "1f595-1f3fc",
            "unicode_alternates": "",
            "name": "reversed hand with middle finger extended tone 2",
            "shortname": ":middle_finger_tone2:",
            "category": "people",
            "emoji_order": "1386",
            "aliases": [
                ":reversed_hand_with_middle_finger_extended_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "fu"
            ]
        },
        "middle_finger_tone3": {
            "unicode": "1f595-1f3fd",
            "unicode_alternates": "",
            "name": "reversed hand with middle finger extended tone 3",
            "shortname": ":middle_finger_tone3:",
            "category": "people",
            "emoji_order": "1387",
            "aliases": [
                ":reversed_hand_with_middle_finger_extended_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "fu"
            ]
        },
        "middle_finger_tone4": {
            "unicode": "1f595-1f3fe",
            "unicode_alternates": "",
            "name": "reversed hand with middle finger extended tone 4",
            "shortname": ":middle_finger_tone4:",
            "category": "people",
            "emoji_order": "1388",
            "aliases": [
                ":reversed_hand_with_middle_finger_extended_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "fu"
            ]
        },
        "middle_finger_tone5": {
            "unicode": "1f595-1f3ff",
            "unicode_alternates": "",
            "name": "reversed hand with middle finger extended tone 5",
            "shortname": ":middle_finger_tone5:",
            "category": "people",
            "emoji_order": "1389",
            "aliases": [
                ":reversed_hand_with_middle_finger_extended_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "fu"
            ]
        },
        "hand_splayed_tone1": {
            "unicode": "1f590-1f3fb",
            "unicode_alternates": "",
            "name": "raised hand with fingers splayed tone 1",
            "shortname": ":hand_splayed_tone1:",
            "category": "people",
            "emoji_order": "1390",
            "aliases": [
                ":raised_hand_with_fingers_splayed_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hi",
                "five",
                "stop",
                "halt"
            ]
        },
        "hand_splayed_tone2": {
            "unicode": "1f590-1f3fc",
            "unicode_alternates": "",
            "name": "raised hand with fingers splayed tone 2",
            "shortname": ":hand_splayed_tone2:",
            "category": "people",
            "emoji_order": "1391",
            "aliases": [
                ":raised_hand_with_fingers_splayed_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hi",
                "five",
                "stop",
                "halt"
            ]
        },
        "hand_splayed_tone3": {
            "unicode": "1f590-1f3fd",
            "unicode_alternates": "",
            "name": "raised hand with fingers splayed tone 3",
            "shortname": ":hand_splayed_tone3:",
            "category": "people",
            "emoji_order": "1392",
            "aliases": [
                ":raised_hand_with_fingers_splayed_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hi",
                "five",
                "stop",
                "halt"
            ]
        },
        "hand_splayed_tone4": {
            "unicode": "1f590-1f3fe",
            "unicode_alternates": "",
            "name": "raised hand with fingers splayed tone 4",
            "shortname": ":hand_splayed_tone4:",
            "category": "people",
            "emoji_order": "1393",
            "aliases": [
                ":raised_hand_with_fingers_splayed_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hi",
                "five",
                "stop",
                "halt"
            ]
        },
        "hand_splayed_tone5": {
            "unicode": "1f590-1f3ff",
            "unicode_alternates": "",
            "name": "raised hand with fingers splayed tone 5",
            "shortname": ":hand_splayed_tone5:",
            "category": "people",
            "emoji_order": "1394",
            "aliases": [
                ":raised_hand_with_fingers_splayed_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "hi",
                "five",
                "stop",
                "halt"
            ]
        },
        "metal_tone1": {
            "unicode": "1f918-1f3fb",
            "unicode_alternates": "",
            "name": "sign of the horns tone 1",
            "shortname": ":metal_tone1:",
            "category": "people",
            "emoji_order": "1395",
            "aliases": [
                ":sign_of_the_horns_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "band",
                "concert",
                "fingers",
                "rocknroll"
            ]
        },
        "metal_tone2": {
            "unicode": "1f918-1f3fc",
            "unicode_alternates": "",
            "name": "sign of the horns tone 2",
            "shortname": ":metal_tone2:",
            "category": "people",
            "emoji_order": "1396",
            "aliases": [
                ":sign_of_the_horns_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "band",
                "concert",
                "fingers",
                "rocknroll"
            ]
        },
        "metal_tone3": {
            "unicode": "1f918-1f3fd",
            "unicode_alternates": "",
            "name": "sign of the horns tone 3",
            "shortname": ":metal_tone3:",
            "category": "people",
            "emoji_order": "1397",
            "aliases": [
                ":sign_of_the_horns_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "band",
                "concert",
                "fingers",
                "rocknroll"
            ]
        },
        "metal_tone4": {
            "unicode": "1f918-1f3fe",
            "unicode_alternates": "",
            "name": "sign of the horns tone 4",
            "shortname": ":metal_tone4:",
            "category": "people",
            "emoji_order": "1398",
            "aliases": [
                ":sign_of_the_horns_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "band",
                "concert",
                "fingers",
                "rocknroll"
            ]
        },
        "metal_tone5": {
            "unicode": "1f918-1f3ff",
            "unicode_alternates": "",
            "name": "sign of the horns tone 5",
            "shortname": ":metal_tone5:",
            "category": "people",
            "emoji_order": "1399",
            "aliases": [
                ":sign_of_the_horns_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "band",
                "concert",
                "fingers",
                "rocknroll"
            ]
        },
        "vulcan_tone1": {
            "unicode": "1f596-1f3fb",
            "unicode_alternates": "",
            "name": "raised hand with part between middle and ring fingers tone 1",
            "shortname": ":vulcan_tone1:",
            "category": "people",
            "emoji_order": "1400",
            "aliases": [
                ":raised_hand_with_part_between_middle_and_ring_fingers_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "vulcan",
                "spock",
                "leonard",
                "nimoy",
                "star trek",
                "live long"
            ]
        },
        "vulcan_tone2": {
            "unicode": "1f596-1f3fc",
            "unicode_alternates": "",
            "name": "raised hand with part between middle and ring fingers tone 2",
            "shortname": ":vulcan_tone2:",
            "category": "people",
            "emoji_order": "1401",
            "aliases": [
                ":raised_hand_with_part_between_middle_and_ring_fingers_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "vulcan",
                "spock",
                "leonard",
                "nimoy",
                "star trek",
                "live long"
            ]
        },
        "vulcan_tone3": {
            "unicode": "1f596-1f3fd",
            "unicode_alternates": "",
            "name": "raised hand with part between middle and ring fingers tone 3",
            "shortname": ":vulcan_tone3:",
            "category": "people",
            "emoji_order": "1402",
            "aliases": [
                ":raised_hand_with_part_between_middle_and_ring_fingers_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "vulcan",
                "spock",
                "leonard",
                "nimoy",
                "star trek",
                "live long"
            ]
        },
        "vulcan_tone4": {
            "unicode": "1f596-1f3fe",
            "unicode_alternates": "",
            "name": "raised hand with part between middle and ring fingers tone 4",
            "shortname": ":vulcan_tone4:",
            "category": "people",
            "emoji_order": "1403",
            "aliases": [
                ":raised_hand_with_part_between_middle_and_ring_fingers_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "vulcan",
                "spock",
                "leonard",
                "nimoy",
                "star trek",
                "live long"
            ]
        },
        "vulcan_tone5": {
            "unicode": "1f596-1f3ff",
            "unicode_alternates": "",
            "name": "raised hand with part between middle and ring fingers tone 5",
            "shortname": ":vulcan_tone5:",
            "category": "people",
            "emoji_order": "1404",
            "aliases": [
                ":raised_hand_with_part_between_middle_and_ring_fingers_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "vulcan",
                "spock",
                "leonard",
                "nimoy",
                "star trek",
                "live long"
            ]
        },
        "writing_hand_tone1": {
            "unicode": "270d-1f3fb",
            "unicode_alternates": "",
            "name": "writing hand tone 1",
            "shortname": ":writing_hand_tone1:",
            "category": "people",
            "emoji_order": "1405",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "sign",
                "signature",
                "draw"
            ]
        },
        "writing_hand_tone2": {
            "unicode": "270d-1f3fc",
            "unicode_alternates": "",
            "name": "writing hand tone 2",
            "shortname": ":writing_hand_tone2:",
            "category": "people",
            "emoji_order": "1406",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "sign",
                "signature",
                "draw"
            ]
        },
        "writing_hand_tone3": {
            "unicode": "270d-1f3fd",
            "unicode_alternates": "",
            "name": "writing hand tone 3",
            "shortname": ":writing_hand_tone3:",
            "category": "people",
            "emoji_order": "1407",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "sign",
                "signature",
                "draw"
            ]
        },
        "writing_hand_tone4": {
            "unicode": "270d-1f3fe",
            "unicode_alternates": "",
            "name": "writing hand tone 4",
            "shortname": ":writing_hand_tone4:",
            "category": "people",
            "emoji_order": "1408",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "sign",
                "signature",
                "draw"
            ]
        },
        "writing_hand_tone5": {
            "unicode": "270d-1f3ff",
            "unicode_alternates": "",
            "name": "writing hand tone 5",
            "shortname": ":writing_hand_tone5:",
            "category": "people",
            "emoji_order": "1409",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "write",
                "sign",
                "signature",
                "draw"
            ]
        },
        "nail_care_tone1": {
            "unicode": "1f485-1f3fb",
            "unicode_alternates": "",
            "name": "nail polish tone 1",
            "shortname": ":nail_care_tone1:",
            "category": "people",
            "emoji_order": "1410",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beauty",
                "manicure"
            ]
        },
        "nail_care_tone2": {
            "unicode": "1f485-1f3fc",
            "unicode_alternates": "",
            "name": "nail polish tone 2",
            "shortname": ":nail_care_tone2:",
            "category": "people",
            "emoji_order": "1411",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beauty",
                "manicure"
            ]
        },
        "nail_care_tone3": {
            "unicode": "1f485-1f3fd",
            "unicode_alternates": "",
            "name": "nail polish tone 3",
            "shortname": ":nail_care_tone3:",
            "category": "people",
            "emoji_order": "1412",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beauty",
                "manicure"
            ]
        },
        "nail_care_tone4": {
            "unicode": "1f485-1f3fe",
            "unicode_alternates": "",
            "name": "nail polish tone 4",
            "shortname": ":nail_care_tone4:",
            "category": "people",
            "emoji_order": "1413",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beauty",
                "manicure"
            ]
        },
        "nail_care_tone5": {
            "unicode": "1f485-1f3ff",
            "unicode_alternates": "",
            "name": "nail polish tone 5",
            "shortname": ":nail_care_tone5:",
            "category": "people",
            "emoji_order": "1414",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "beauty",
                "manicure"
            ]
        },
        "ear_tone1": {
            "unicode": "1f442-1f3fb",
            "unicode_alternates": "",
            "name": "ear tone 1",
            "shortname": ":ear_tone1:",
            "category": "people",
            "emoji_order": "1415",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hear",
                "listen",
                "sound"
            ]
        },
        "ear_tone2": {
            "unicode": "1f442-1f3fc",
            "unicode_alternates": "",
            "name": "ear tone 2",
            "shortname": ":ear_tone2:",
            "category": "people",
            "emoji_order": "1416",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hear",
                "listen",
                "sound"
            ]
        },
        "ear_tone3": {
            "unicode": "1f442-1f3fd",
            "unicode_alternates": "",
            "name": "ear tone 3",
            "shortname": ":ear_tone3:",
            "category": "people",
            "emoji_order": "1417",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hear",
                "listen",
                "sound"
            ]
        },
        "ear_tone4": {
            "unicode": "1f442-1f3fe",
            "unicode_alternates": "",
            "name": "ear tone 4",
            "shortname": ":ear_tone4:",
            "category": "people",
            "emoji_order": "1418",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hear",
                "listen",
                "sound"
            ]
        },
        "ear_tone5": {
            "unicode": "1f442-1f3ff",
            "unicode_alternates": "",
            "name": "ear tone 5",
            "shortname": ":ear_tone5:",
            "category": "people",
            "emoji_order": "1419",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hear",
                "listen",
                "sound"
            ]
        },
        "nose_tone1": {
            "unicode": "1f443-1f3fb",
            "unicode_alternates": "",
            "name": "nose tone 1",
            "shortname": ":nose_tone1:",
            "category": "people",
            "emoji_order": "1420",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "smell",
                "sniff"
            ]
        },
        "nose_tone2": {
            "unicode": "1f443-1f3fc",
            "unicode_alternates": "",
            "name": "nose tone 2",
            "shortname": ":nose_tone2:",
            "category": "people",
            "emoji_order": "1421",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "smell",
                "sniff"
            ]
        },
        "nose_tone3": {
            "unicode": "1f443-1f3fd",
            "unicode_alternates": "",
            "name": "nose tone 3",
            "shortname": ":nose_tone3:",
            "category": "people",
            "emoji_order": "1422",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "smell",
                "sniff"
            ]
        },
        "nose_tone4": {
            "unicode": "1f443-1f3fe",
            "unicode_alternates": "",
            "name": "nose tone 4",
            "shortname": ":nose_tone4:",
            "category": "people",
            "emoji_order": "1423",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "smell",
                "sniff"
            ]
        },
        "nose_tone5": {
            "unicode": "1f443-1f3ff",
            "unicode_alternates": "",
            "name": "nose tone 5",
            "shortname": ":nose_tone5:",
            "category": "people",
            "emoji_order": "1424",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "smell",
                "sniff"
            ]
        },
        "baby_tone1": {
            "unicode": "1f476-1f3fb",
            "unicode_alternates": "",
            "name": "baby tone 1",
            "shortname": ":baby_tone1:",
            "category": "people",
            "emoji_order": "1425",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "infant",
                "toddler"
            ]
        },
        "baby_tone2": {
            "unicode": "1f476-1f3fc",
            "unicode_alternates": "",
            "name": "baby tone 2",
            "shortname": ":baby_tone2:",
            "category": "people",
            "emoji_order": "1426",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "infant",
                "toddler"
            ]
        },
        "baby_tone3": {
            "unicode": "1f476-1f3fd",
            "unicode_alternates": "",
            "name": "baby tone 3",
            "shortname": ":baby_tone3:",
            "category": "people",
            "emoji_order": "1427",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "infant",
                "toddler"
            ]
        },
        "baby_tone4": {
            "unicode": "1f476-1f3fe",
            "unicode_alternates": "",
            "name": "baby tone 4",
            "shortname": ":baby_tone4:",
            "category": "people",
            "emoji_order": "1428",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "infant",
                "toddler"
            ]
        },
        "baby_tone5": {
            "unicode": "1f476-1f3ff",
            "unicode_alternates": "",
            "name": "baby tone 5",
            "shortname": ":baby_tone5:",
            "category": "people",
            "emoji_order": "1429",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "child",
                "infant",
                "toddler"
            ]
        },
        "boy_tone1": {
            "unicode": "1f466-1f3fb",
            "unicode_alternates": "",
            "name": "boy tone 1",
            "shortname": ":boy_tone1:",
            "category": "people",
            "emoji_order": "1430",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "kid",
                "child"
            ]
        },
        "boy_tone2": {
            "unicode": "1f466-1f3fc",
            "unicode_alternates": "",
            "name": "boy tone 2",
            "shortname": ":boy_tone2:",
            "category": "people",
            "emoji_order": "1431",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "kid",
                "child"
            ]
        },
        "boy_tone3": {
            "unicode": "1f466-1f3fd",
            "unicode_alternates": "",
            "name": "boy tone 3",
            "shortname": ":boy_tone3:",
            "category": "people",
            "emoji_order": "1432",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "kid",
                "child"
            ]
        },
        "boy_tone4": {
            "unicode": "1f466-1f3fe",
            "unicode_alternates": "",
            "name": "boy tone 4",
            "shortname": ":boy_tone4:",
            "category": "people",
            "emoji_order": "1433",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "kid",
                "child"
            ]
        },
        "boy_tone5": {
            "unicode": "1f466-1f3ff",
            "unicode_alternates": "",
            "name": "boy tone 5",
            "shortname": ":boy_tone5:",
            "category": "people",
            "emoji_order": "1434",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "kid",
                "child"
            ]
        },
        "girl_tone1": {
            "unicode": "1f467-1f3fb",
            "unicode_alternates": "",
            "name": "girl tone 1",
            "shortname": ":girl_tone1:",
            "category": "people",
            "emoji_order": "1435",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "kid",
                "child"
            ]
        },
        "girl_tone2": {
            "unicode": "1f467-1f3fc",
            "unicode_alternates": "",
            "name": "girl tone 2",
            "shortname": ":girl_tone2:",
            "category": "people",
            "emoji_order": "1436",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "kid",
                "child"
            ]
        },
        "girl_tone3": {
            "unicode": "1f467-1f3fd",
            "unicode_alternates": "",
            "name": "girl tone 3",
            "shortname": ":girl_tone3:",
            "category": "people",
            "emoji_order": "1437",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "kid",
                "child"
            ]
        },
        "girl_tone4": {
            "unicode": "1f467-1f3fe",
            "unicode_alternates": "",
            "name": "girl tone 4",
            "shortname": ":girl_tone4:",
            "category": "people",
            "emoji_order": "1438",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "kid",
                "child"
            ]
        },
        "girl_tone5": {
            "unicode": "1f467-1f3ff",
            "unicode_alternates": "",
            "name": "girl tone 5",
            "shortname": ":girl_tone5:",
            "category": "people",
            "emoji_order": "1439",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "kid",
                "child"
            ]
        },
        "man_tone1": {
            "unicode": "1f468-1f3fb",
            "unicode_alternates": "",
            "name": "man tone 1",
            "shortname": ":man_tone1:",
            "category": "people",
            "emoji_order": "1440",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "classy",
                "dad",
                "father",
                "guy",
                "mustache"
            ]
        },
        "man_tone2": {
            "unicode": "1f468-1f3fc",
            "unicode_alternates": "",
            "name": "man tone 2",
            "shortname": ":man_tone2:",
            "category": "people",
            "emoji_order": "1441",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "classy",
                "dad",
                "father",
                "guy",
                "mustache"
            ]
        },
        "man_tone3": {
            "unicode": "1f468-1f3fd",
            "unicode_alternates": "",
            "name": "man tone 3",
            "shortname": ":man_tone3:",
            "category": "people",
            "emoji_order": "1442",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "classy",
                "dad",
                "father",
                "guy",
                "mustache"
            ]
        },
        "man_tone4": {
            "unicode": "1f468-1f3fe",
            "unicode_alternates": "",
            "name": "man tone 4",
            "shortname": ":man_tone4:",
            "category": "people",
            "emoji_order": "1443",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "classy",
                "dad",
                "father",
                "guy",
                "mustache"
            ]
        },
        "man_tone5": {
            "unicode": "1f468-1f3ff",
            "unicode_alternates": "",
            "name": "man tone 5",
            "shortname": ":man_tone5:",
            "category": "people",
            "emoji_order": "1444",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "classy",
                "dad",
                "father",
                "guy",
                "mustache"
            ]
        },
        "woman_tone1": {
            "unicode": "1f469-1f3fb",
            "unicode_alternates": "",
            "name": "woman tone 1",
            "shortname": ":woman_tone1:",
            "category": "people",
            "emoji_order": "1445",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "lady"
            ]
        },
        "woman_tone2": {
            "unicode": "1f469-1f3fc",
            "unicode_alternates": "",
            "name": "woman tone 2",
            "shortname": ":woman_tone2:",
            "category": "people",
            "emoji_order": "1446",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "lady"
            ]
        },
        "woman_tone3": {
            "unicode": "1f469-1f3fd",
            "unicode_alternates": "",
            "name": "woman tone 3",
            "shortname": ":woman_tone3:",
            "category": "people",
            "emoji_order": "1447",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "lady"
            ]
        },
        "woman_tone4": {
            "unicode": "1f469-1f3fe",
            "unicode_alternates": "",
            "name": "woman tone 4",
            "shortname": ":woman_tone4:",
            "category": "people",
            "emoji_order": "1448",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "lady"
            ]
        },
        "woman_tone5": {
            "unicode": "1f469-1f3ff",
            "unicode_alternates": "",
            "name": "woman tone 5",
            "shortname": ":woman_tone5:",
            "category": "people",
            "emoji_order": "1449",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "lady"
            ]
        },
        "person_with_blond_hair_tone1": {
            "unicode": "1f471-1f3fb",
            "unicode_alternates": "",
            "name": "person with blond hair tone 1",
            "shortname": ":person_with_blond_hair_tone1:",
            "category": "people",
            "emoji_order": "1450",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "man",
                "blonde",
                "young",
                "western",
                "westerner",
                "occidental"
            ]
        },
        "person_with_blond_hair_tone2": {
            "unicode": "1f471-1f3fc",
            "unicode_alternates": "",
            "name": "person with blond hair tone 2",
            "shortname": ":person_with_blond_hair_tone2:",
            "category": "people",
            "emoji_order": "1451",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "man",
                "blonde",
                "young",
                "western",
                "westerner",
                "occidental"
            ]
        },
        "person_with_blond_hair_tone3": {
            "unicode": "1f471-1f3fd",
            "unicode_alternates": "",
            "name": "person with blond hair tone 3",
            "shortname": ":person_with_blond_hair_tone3:",
            "category": "people",
            "emoji_order": "1452",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "man",
                "blonde",
                "young",
                "western",
                "westerner",
                "occidental"
            ]
        },
        "person_with_blond_hair_tone4": {
            "unicode": "1f471-1f3fe",
            "unicode_alternates": "",
            "name": "person with blond hair tone 4",
            "shortname": ":person_with_blond_hair_tone4:",
            "category": "people",
            "emoji_order": "1453",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "man",
                "blonde",
                "young",
                "western",
                "westerner",
                "occidental"
            ]
        },
        "person_with_blond_hair_tone5": {
            "unicode": "1f471-1f3ff",
            "unicode_alternates": "",
            "name": "person with blond hair tone 5",
            "shortname": ":person_with_blond_hair_tone5:",
            "category": "people",
            "emoji_order": "1454",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "man",
                "blonde",
                "young",
                "western",
                "westerner",
                "occidental"
            ]
        },
        "older_man_tone1": {
            "unicode": "1f474-1f3fb",
            "unicode_alternates": "",
            "name": "older man tone 1",
            "shortname": ":older_man_tone1:",
            "category": "people",
            "emoji_order": "1455",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "men",
                "grandpa",
                "grandfather"
            ]
        },
        "older_man_tone2": {
            "unicode": "1f474-1f3fc",
            "unicode_alternates": "",
            "name": "older man tone 2",
            "shortname": ":older_man_tone2:",
            "category": "people",
            "emoji_order": "1456",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "men",
                "grandpa",
                "grandfather"
            ]
        },
        "older_man_tone3": {
            "unicode": "1f474-1f3fd",
            "unicode_alternates": "",
            "name": "older man tone 3",
            "shortname": ":older_man_tone3:",
            "category": "people",
            "emoji_order": "1457",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "men",
                "grandpa",
                "grandfather"
            ]
        },
        "older_man_tone4": {
            "unicode": "1f474-1f3fe",
            "unicode_alternates": "",
            "name": "older man tone 4",
            "shortname": ":older_man_tone4:",
            "category": "people",
            "emoji_order": "1458",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "men",
                "grandpa",
                "grandfather"
            ]
        },
        "older_man_tone5": {
            "unicode": "1f474-1f3ff",
            "unicode_alternates": "",
            "name": "older man tone 5",
            "shortname": ":older_man_tone5:",
            "category": "people",
            "emoji_order": "1459",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "men",
                "grandpa",
                "grandfather"
            ]
        },
        "older_woman_tone1": {
            "unicode": "1f475-1f3fb",
            "unicode_alternates": "",
            "name": "older woman tone 1",
            "shortname": ":older_woman_tone1:",
            "category": "people",
            "emoji_order": "1460",
            "aliases": [
                ":grandma_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "women",
                "lady",
                "grandma",
                "grandmother"
            ]
        },
        "older_woman_tone2": {
            "unicode": "1f475-1f3fc",
            "unicode_alternates": "",
            "name": "older woman tone 2",
            "shortname": ":older_woman_tone2:",
            "category": "people",
            "emoji_order": "1461",
            "aliases": [
                ":grandma_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "women",
                "lady",
                "grandma",
                "grandmother"
            ]
        },
        "older_woman_tone3": {
            "unicode": "1f475-1f3fd",
            "unicode_alternates": "",
            "name": "older woman tone 3",
            "shortname": ":older_woman_tone3:",
            "category": "people",
            "emoji_order": "1462",
            "aliases": [
                ":grandma_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "women",
                "lady",
                "grandma",
                "grandmother"
            ]
        },
        "older_woman_tone4": {
            "unicode": "1f475-1f3fe",
            "unicode_alternates": "",
            "name": "older woman tone 4",
            "shortname": ":older_woman_tone4:",
            "category": "people",
            "emoji_order": "1463",
            "aliases": [
                ":grandma_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "women",
                "lady",
                "grandma",
                "grandmother"
            ]
        },
        "older_woman_tone5": {
            "unicode": "1f475-1f3ff",
            "unicode_alternates": "",
            "name": "older woman tone 5",
            "shortname": ":older_woman_tone5:",
            "category": "people",
            "emoji_order": "1464",
            "aliases": [
                ":grandma_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "women",
                "lady",
                "grandma",
                "grandmother"
            ]
        },
        "man_with_gua_pi_mao_tone1": {
            "unicode": "1f472-1f3fb",
            "unicode_alternates": "",
            "name": "man with gua pi mao tone 1",
            "shortname": ":man_with_gua_pi_mao_tone1:",
            "category": "people",
            "emoji_order": "1465",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "skullcap",
                "chinese",
                "asian",
                "qing"
            ]
        },
        "man_with_gua_pi_mao_tone2": {
            "unicode": "1f472-1f3fc",
            "unicode_alternates": "",
            "name": "man with gua pi mao tone 2",
            "shortname": ":man_with_gua_pi_mao_tone2:",
            "category": "people",
            "emoji_order": "1466",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "skullcap",
                "chinese",
                "asian",
                "qing"
            ]
        },
        "man_with_gua_pi_mao_tone3": {
            "unicode": "1f472-1f3fd",
            "unicode_alternates": "",
            "name": "man with gua pi mao tone 3",
            "shortname": ":man_with_gua_pi_mao_tone3:",
            "category": "people",
            "emoji_order": "1467",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "skullcap",
                "chinese",
                "asian",
                "qing"
            ]
        },
        "man_with_gua_pi_mao_tone4": {
            "unicode": "1f472-1f3fe",
            "unicode_alternates": "",
            "name": "man with gua pi mao tone 4",
            "shortname": ":man_with_gua_pi_mao_tone4:",
            "category": "people",
            "emoji_order": "1468",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "skullcap",
                "chinese",
                "asian",
                "qing"
            ]
        },
        "man_with_gua_pi_mao_tone5": {
            "unicode": "1f472-1f3ff",
            "unicode_alternates": "",
            "name": "man with gua pi mao tone 5",
            "shortname": ":man_with_gua_pi_mao_tone5:",
            "category": "people",
            "emoji_order": "1469",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "skullcap",
                "chinese",
                "asian",
                "qing"
            ]
        },
        "man_with_turban_tone1": {
            "unicode": "1f473-1f3fb",
            "unicode_alternates": "",
            "name": "man with turban tone 1",
            "shortname": ":man_with_turban_tone1:",
            "category": "people",
            "emoji_order": "1470",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "headdress",
                "headwear",
                "pagri",
                "india",
                "indian",
                "mummy",
                "wisdom",
                "peace"
            ]
        },
        "man_with_turban_tone2": {
            "unicode": "1f473-1f3fc",
            "unicode_alternates": "",
            "name": "man with turban tone 2",
            "shortname": ":man_with_turban_tone2:",
            "category": "people",
            "emoji_order": "1471",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "headdress",
                "headwear",
                "pagri",
                "india",
                "indian",
                "mummy",
                "wisdom",
                "peace"
            ]
        },
        "man_with_turban_tone3": {
            "unicode": "1f473-1f3fd",
            "unicode_alternates": "",
            "name": "man with turban tone 3",
            "shortname": ":man_with_turban_tone3:",
            "category": "people",
            "emoji_order": "1472",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "headdress",
                "headwear",
                "pagri",
                "india",
                "indian",
                "mummy",
                "wisdom",
                "peace"
            ]
        },
        "man_with_turban_tone4": {
            "unicode": "1f473-1f3fe",
            "unicode_alternates": "",
            "name": "man with turban tone 4",
            "shortname": ":man_with_turban_tone4:",
            "category": "people",
            "emoji_order": "1473",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "headdress",
                "headwear",
                "pagri",
                "india",
                "indian",
                "mummy",
                "wisdom",
                "peace"
            ]
        },
        "man_with_turban_tone5": {
            "unicode": "1f473-1f3ff",
            "unicode_alternates": "",
            "name": "man with turban tone 5",
            "shortname": ":man_with_turban_tone5:",
            "category": "people",
            "emoji_order": "1474",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "male",
                "headdress",
                "headwear",
                "pagri",
                "india",
                "indian",
                "mummy",
                "wisdom",
                "peace"
            ]
        },
        "cop_tone1": {
            "unicode": "1f46e-1f3fb",
            "unicode_alternates": "",
            "name": "police officer tone 1",
            "shortname": ":cop_tone1:",
            "category": "people",
            "emoji_order": "1475",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrest",
                "enforcement",
                "law",
                "man",
                "cop"
            ]
        },
        "cop_tone2": {
            "unicode": "1f46e-1f3fc",
            "unicode_alternates": "",
            "name": "police officer tone 2",
            "shortname": ":cop_tone2:",
            "category": "people",
            "emoji_order": "1476",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrest",
                "enforcement",
                "law",
                "man",
                "cop"
            ]
        },
        "cop_tone3": {
            "unicode": "1f46e-1f3fd",
            "unicode_alternates": "",
            "name": "police officer tone 3",
            "shortname": ":cop_tone3:",
            "category": "people",
            "emoji_order": "1477",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrest",
                "enforcement",
                "law",
                "man",
                "cop"
            ]
        },
        "cop_tone4": {
            "unicode": "1f46e-1f3fe",
            "unicode_alternates": "",
            "name": "police officer tone 4",
            "shortname": ":cop_tone4:",
            "category": "people",
            "emoji_order": "1478",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrest",
                "enforcement",
                "law",
                "man",
                "cop"
            ]
        },
        "cop_tone5": {
            "unicode": "1f46e-1f3ff",
            "unicode_alternates": "",
            "name": "police officer tone 5",
            "shortname": ":cop_tone5:",
            "category": "people",
            "emoji_order": "1479",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "arrest",
                "enforcement",
                "law",
                "man",
                "cop"
            ]
        },
        "construction_worker_tone1": {
            "unicode": "1f477-1f3fb",
            "unicode_alternates": "",
            "name": "construction worker tone 1",
            "shortname": ":construction_worker_tone1:",
            "category": "people",
            "emoji_order": "1480",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "human",
                "male",
                "man",
                "wip"
            ]
        },
        "construction_worker_tone2": {
            "unicode": "1f477-1f3fc",
            "unicode_alternates": "",
            "name": "construction worker tone 2",
            "shortname": ":construction_worker_tone2:",
            "category": "people",
            "emoji_order": "1481",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "human",
                "male",
                "man",
                "wip"
            ]
        },
        "construction_worker_tone3": {
            "unicode": "1f477-1f3fd",
            "unicode_alternates": "",
            "name": "construction worker tone 3",
            "shortname": ":construction_worker_tone3:",
            "category": "people",
            "emoji_order": "1482",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "human",
                "male",
                "man",
                "wip"
            ]
        },
        "construction_worker_tone4": {
            "unicode": "1f477-1f3fe",
            "unicode_alternates": "",
            "name": "construction worker tone 4",
            "shortname": ":construction_worker_tone4:",
            "category": "people",
            "emoji_order": "1483",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "human",
                "male",
                "man",
                "wip"
            ]
        },
        "construction_worker_tone5": {
            "unicode": "1f477-1f3ff",
            "unicode_alternates": "",
            "name": "construction worker tone 5",
            "shortname": ":construction_worker_tone5:",
            "category": "people",
            "emoji_order": "1484",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "human",
                "male",
                "man",
                "wip"
            ]
        },
        "guardsman_tone1": {
            "unicode": "1f482-1f3fb",
            "unicode_alternates": "",
            "name": "guardsman tone 1",
            "shortname": ":guardsman_tone1:",
            "category": "people",
            "emoji_order": "1485",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "british",
                "gb",
                "male",
                "man",
                "uk",
                "guard",
                "bearskin",
                "hat",
                "british",
                "queen",
                "ceremonial",
                "military"
            ]
        },
        "guardsman_tone2": {
            "unicode": "1f482-1f3fc",
            "unicode_alternates": "",
            "name": "guardsman tone 2",
            "shortname": ":guardsman_tone2:",
            "category": "people",
            "emoji_order": "1486",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "british",
                "gb",
                "male",
                "man",
                "uk",
                "guard",
                "bearskin",
                "hat",
                "british",
                "queen",
                "ceremonial",
                "military"
            ]
        },
        "guardsman_tone3": {
            "unicode": "1f482-1f3fd",
            "unicode_alternates": "",
            "name": "guardsman tone 3",
            "shortname": ":guardsman_tone3:",
            "category": "people",
            "emoji_order": "1487",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "british",
                "gb",
                "male",
                "man",
                "uk",
                "guard",
                "bearskin",
                "hat",
                "british",
                "queen",
                "ceremonial",
                "military"
            ]
        },
        "guardsman_tone4": {
            "unicode": "1f482-1f3fe",
            "unicode_alternates": "",
            "name": "guardsman tone 4",
            "shortname": ":guardsman_tone4:",
            "category": "people",
            "emoji_order": "1488",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "british",
                "gb",
                "male",
                "man",
                "uk",
                "guard",
                "bearskin",
                "hat",
                "british",
                "queen",
                "ceremonial",
                "military"
            ]
        },
        "guardsman_tone5": {
            "unicode": "1f482-1f3ff",
            "unicode_alternates": "",
            "name": "guardsman tone 5",
            "shortname": ":guardsman_tone5:",
            "category": "people",
            "emoji_order": "1489",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "british",
                "gb",
                "male",
                "man",
                "uk",
                "guard",
                "bearskin",
                "hat",
                "british",
                "queen",
                "ceremonial",
                "military"
            ]
        },
        "santa_tone1": {
            "unicode": "1f385-1f3fb",
            "unicode_alternates": "",
            "name": "father christmas tone 1",
            "shortname": ":santa_tone1:",
            "category": "people",
            "emoji_order": "1490",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "festival",
                "male",
                "man",
                "xmas",
                "santa",
                "saint nick",
                "jolly",
                "ho ho ho",
                "north pole",
                "presents",
                "gifts",
                "naughty",
                "nice",
                "sleigh",
                "holiday"
            ]
        },
        "santa_tone2": {
            "unicode": "1f385-1f3fc",
            "unicode_alternates": "",
            "name": "father christmas tone 2",
            "shortname": ":santa_tone2:",
            "category": "people",
            "emoji_order": "1491",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "festival",
                "male",
                "man",
                "xmas",
                "santa",
                "saint nick",
                "jolly",
                "ho ho ho",
                "north pole",
                "presents",
                "gifts",
                "naughty",
                "nice",
                "sleigh",
                "holiday"
            ]
        },
        "santa_tone3": {
            "unicode": "1f385-1f3fd",
            "unicode_alternates": "",
            "name": "father christmas tone 3",
            "shortname": ":santa_tone3:",
            "category": "people",
            "emoji_order": "1492",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "festival",
                "male",
                "man",
                "xmas",
                "santa",
                "saint nick",
                "jolly",
                "ho ho ho",
                "north pole",
                "presents",
                "gifts",
                "naughty",
                "nice",
                "sleigh",
                "holiday"
            ]
        },
        "santa_tone4": {
            "unicode": "1f385-1f3fe",
            "unicode_alternates": "",
            "name": "father christmas tone 4",
            "shortname": ":santa_tone4:",
            "category": "people",
            "emoji_order": "1493",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "festival",
                "male",
                "man",
                "xmas",
                "santa",
                "saint nick",
                "jolly",
                "ho ho ho",
                "north pole",
                "presents",
                "gifts",
                "naughty",
                "nice",
                "sleigh",
                "holiday"
            ]
        },
        "santa_tone5": {
            "unicode": "1f385-1f3ff",
            "unicode_alternates": "",
            "name": "father christmas tone 5",
            "shortname": ":santa_tone5:",
            "category": "people",
            "emoji_order": "1494",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "festival",
                "male",
                "man",
                "xmas",
                "santa",
                "saint nick",
                "jolly",
                "ho ho ho",
                "north pole",
                "presents",
                "gifts",
                "naughty",
                "nice",
                "sleigh",
                "holiday"
            ]
        },
        "angel_tone1": {
            "unicode": "1f47c-1f3fb",
            "unicode_alternates": "",
            "name": "baby angel tone 1",
            "shortname": ":angel_tone1:",
            "category": "people",
            "emoji_order": "1495",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "halo",
                "cupid",
                "heaven",
                "wings",
                "jesus"
            ]
        },
        "angel_tone2": {
            "unicode": "1f47c-1f3fc",
            "unicode_alternates": "",
            "name": "baby angel tone 2",
            "shortname": ":angel_tone2:",
            "category": "people",
            "emoji_order": "1496",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "halo",
                "cupid",
                "heaven",
                "wings",
                "jesus"
            ]
        },
        "angel_tone3": {
            "unicode": "1f47c-1f3fd",
            "unicode_alternates": "",
            "name": "baby angel tone 3",
            "shortname": ":angel_tone3:",
            "category": "people",
            "emoji_order": "1497",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "halo",
                "cupid",
                "heaven",
                "wings",
                "jesus"
            ]
        },
        "angel_tone4": {
            "unicode": "1f47c-1f3fe",
            "unicode_alternates": "",
            "name": "baby angel tone 4",
            "shortname": ":angel_tone4:",
            "category": "people",
            "emoji_order": "1498",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "halo",
                "cupid",
                "heaven",
                "wings",
                "jesus"
            ]
        },
        "angel_tone5": {
            "unicode": "1f47c-1f3ff",
            "unicode_alternates": "",
            "name": "baby angel tone 5",
            "shortname": ":angel_tone5:",
            "category": "people",
            "emoji_order": "1499",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "halo",
                "cupid",
                "heaven",
                "wings",
                "jesus"
            ]
        },
        "princess_tone1": {
            "unicode": "1f478-1f3fb",
            "unicode_alternates": "",
            "name": "princess tone 1",
            "shortname": ":princess_tone1:",
            "category": "people",
            "emoji_order": "1500",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blond",
                "crown",
                "female",
                "girl",
                "woman",
                "royal",
                "royalty",
                "king",
                "queen",
                "daughter",
                "disney",
                "high-maintenance"
            ]
        },
        "princess_tone2": {
            "unicode": "1f478-1f3fc",
            "unicode_alternates": "",
            "name": "princess tone 2",
            "shortname": ":princess_tone2:",
            "category": "people",
            "emoji_order": "1501",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blond",
                "crown",
                "female",
                "girl",
                "woman",
                "royal",
                "royalty",
                "king",
                "queen",
                "daughter",
                "disney",
                "high-maintenance"
            ]
        },
        "princess_tone3": {
            "unicode": "1f478-1f3fd",
            "unicode_alternates": "",
            "name": "princess tone 3",
            "shortname": ":princess_tone3:",
            "category": "people",
            "emoji_order": "1502",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blond",
                "crown",
                "female",
                "girl",
                "woman",
                "royal",
                "royalty",
                "king",
                "queen",
                "daughter",
                "disney",
                "high-maintenance"
            ]
        },
        "princess_tone4": {
            "unicode": "1f478-1f3fe",
            "unicode_alternates": "",
            "name": "princess tone 4",
            "shortname": ":princess_tone4:",
            "category": "people",
            "emoji_order": "1503",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blond",
                "crown",
                "female",
                "girl",
                "woman",
                "royal",
                "royalty",
                "king",
                "queen",
                "daughter",
                "disney",
                "high-maintenance"
            ]
        },
        "princess_tone5": {
            "unicode": "1f478-1f3ff",
            "unicode_alternates": "",
            "name": "princess tone 5",
            "shortname": ":princess_tone5:",
            "category": "people",
            "emoji_order": "1504",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "blond",
                "crown",
                "female",
                "girl",
                "woman",
                "royal",
                "royalty",
                "king",
                "queen",
                "daughter",
                "disney",
                "high-maintenance"
            ]
        },
        "bride_with_veil_tone1": {
            "unicode": "1f470-1f3fb",
            "unicode_alternates": "",
            "name": "bride with veil tone 1",
            "shortname": ":bride_with_veil_tone1:",
            "category": "people",
            "emoji_order": "1505",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "couple",
                "marriage",
                "wedding",
                "wedding",
                "planning",
                "gown",
                "dress",
                "engagement",
                "white"
            ]
        },
        "bride_with_veil_tone2": {
            "unicode": "1f470-1f3fc",
            "unicode_alternates": "",
            "name": "bride with veil tone 2",
            "shortname": ":bride_with_veil_tone2:",
            "category": "people",
            "emoji_order": "1506",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "couple",
                "marriage",
                "wedding",
                "wedding",
                "planning",
                "gown",
                "dress",
                "engagement",
                "white"
            ]
        },
        "bride_with_veil_tone3": {
            "unicode": "1f470-1f3fd",
            "unicode_alternates": "",
            "name": "bride with veil tone 3",
            "shortname": ":bride_with_veil_tone3:",
            "category": "people",
            "emoji_order": "1507",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "couple",
                "marriage",
                "wedding",
                "wedding",
                "planning",
                "gown",
                "dress",
                "engagement",
                "white"
            ]
        },
        "bride_with_veil_tone4": {
            "unicode": "1f470-1f3fe",
            "unicode_alternates": "",
            "name": "bride with veil tone 4",
            "shortname": ":bride_with_veil_tone4:",
            "category": "people",
            "emoji_order": "1508",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "couple",
                "marriage",
                "wedding",
                "wedding",
                "planning",
                "gown",
                "dress",
                "engagement",
                "white"
            ]
        },
        "bride_with_veil_tone5": {
            "unicode": "1f470-1f3ff",
            "unicode_alternates": "",
            "name": "bride with veil tone 5",
            "shortname": ":bride_with_veil_tone5:",
            "category": "people",
            "emoji_order": "1509",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "couple",
                "marriage",
                "wedding",
                "wedding",
                "planning",
                "gown",
                "dress",
                "engagement",
                "white"
            ]
        },
        "walking_tone1": {
            "unicode": "1f6b6-1f3fb",
            "unicode_alternates": "",
            "name": "pedestrian tone 1",
            "shortname": ":walking_tone1:",
            "category": "people",
            "emoji_order": "1510",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "man",
                "walk",
                "stroll",
                "stride",
                "hiking",
                "hike"
            ]
        },
        "walking_tone2": {
            "unicode": "1f6b6-1f3fc",
            "unicode_alternates": "",
            "name": "pedestrian tone 2",
            "shortname": ":walking_tone2:",
            "category": "people",
            "emoji_order": "1511",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "man",
                "walk",
                "stroll",
                "stride",
                "hiking",
                "hike"
            ]
        },
        "walking_tone3": {
            "unicode": "1f6b6-1f3fd",
            "unicode_alternates": "",
            "name": "pedestrian tone 3",
            "shortname": ":walking_tone3:",
            "category": "people",
            "emoji_order": "1512",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "man",
                "walk",
                "stroll",
                "stride",
                "hiking",
                "hike"
            ]
        },
        "walking_tone4": {
            "unicode": "1f6b6-1f3fe",
            "unicode_alternates": "",
            "name": "pedestrian tone 4",
            "shortname": ":walking_tone4:",
            "category": "people",
            "emoji_order": "1513",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "man",
                "walk",
                "stroll",
                "stride",
                "hiking",
                "hike"
            ]
        },
        "walking_tone5": {
            "unicode": "1f6b6-1f3ff",
            "unicode_alternates": "",
            "name": "pedestrian tone 5",
            "shortname": ":walking_tone5:",
            "category": "people",
            "emoji_order": "1514",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "man",
                "walk",
                "stroll",
                "stride",
                "hiking",
                "hike"
            ]
        },
        "runner_tone1": {
            "unicode": "1f3c3-1f3fb",
            "unicode_alternates": "",
            "name": "runner tone 1",
            "shortname": ":runner_tone1:",
            "category": "people",
            "emoji_order": "1515",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "exercise",
                "man",
                "run",
                "jog",
                "sprint",
                "race",
                "dash",
                "marathon"
            ]
        },
        "runner_tone2": {
            "unicode": "1f3c3-1f3fc",
            "unicode_alternates": "",
            "name": "runner tone 2",
            "shortname": ":runner_tone2:",
            "category": "people",
            "emoji_order": "1516",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "exercise",
                "man",
                "run",
                "jog",
                "sprint",
                "race",
                "dash",
                "marathon"
            ]
        },
        "runner_tone3": {
            "unicode": "1f3c3-1f3fd",
            "unicode_alternates": "",
            "name": "runner tone 3",
            "shortname": ":runner_tone3:",
            "category": "people",
            "emoji_order": "1517",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "exercise",
                "man",
                "run",
                "jog",
                "sprint",
                "race",
                "dash",
                "marathon"
            ]
        },
        "runner_tone4": {
            "unicode": "1f3c3-1f3fe",
            "unicode_alternates": "",
            "name": "runner tone 4",
            "shortname": ":runner_tone4:",
            "category": "people",
            "emoji_order": "1518",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "exercise",
                "man",
                "run",
                "jog",
                "sprint",
                "race",
                "dash",
                "marathon"
            ]
        },
        "runner_tone5": {
            "unicode": "1f3c3-1f3ff",
            "unicode_alternates": "",
            "name": "runner tone 5",
            "shortname": ":runner_tone5:",
            "category": "people",
            "emoji_order": "1519",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "exercise",
                "man",
                "run",
                "jog",
                "sprint",
                "race",
                "dash",
                "marathon"
            ]
        },
        "dancer_tone1": {
            "unicode": "1f483-1f3fb",
            "unicode_alternates": "",
            "name": "dancer tone 1",
            "shortname": ":dancer_tone1:",
            "category": "people",
            "emoji_order": "1520",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "fun",
                "girl",
                "woman",
                "dress",
                "fancy",
                "boogy",
                "party",
                "celebrate",
                "ballet",
                "tango",
                "cha cha",
                "music"
            ]
        },
        "dancer_tone2": {
            "unicode": "1f483-1f3fc",
            "unicode_alternates": "",
            "name": "dancer tone 2",
            "shortname": ":dancer_tone2:",
            "category": "people",
            "emoji_order": "1521",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "fun",
                "girl",
                "woman",
                "dress",
                "fancy",
                "boogy",
                "party",
                "celebrate",
                "ballet",
                "tango",
                "cha cha",
                "music"
            ]
        },
        "dancer_tone3": {
            "unicode": "1f483-1f3fd",
            "unicode_alternates": "",
            "name": "dancer tone 3",
            "shortname": ":dancer_tone3:",
            "category": "people",
            "emoji_order": "1522",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "fun",
                "girl",
                "woman",
                "dress",
                "fancy",
                "boogy",
                "party",
                "celebrate",
                "ballet",
                "tango",
                "cha cha",
                "music"
            ]
        },
        "dancer_tone4": {
            "unicode": "1f483-1f3fe",
            "unicode_alternates": "",
            "name": "dancer tone 4",
            "shortname": ":dancer_tone4:",
            "category": "people",
            "emoji_order": "1523",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "fun",
                "girl",
                "woman",
                "dress",
                "fancy",
                "boogy",
                "party",
                "celebrate",
                "ballet",
                "tango",
                "cha cha",
                "music"
            ]
        },
        "dancer_tone5": {
            "unicode": "1f483-1f3ff",
            "unicode_alternates": "",
            "name": "dancer tone 5",
            "shortname": ":dancer_tone5:",
            "category": "people",
            "emoji_order": "1524",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "fun",
                "girl",
                "woman",
                "dress",
                "fancy",
                "boogy",
                "party",
                "celebrate",
                "ballet",
                "tango",
                "cha cha",
                "music"
            ]
        },
        "bow_tone1": {
            "unicode": "1f647-1f3fb",
            "unicode_alternates": "",
            "name": "person bowing deeply tone 1",
            "shortname": ":bow_tone1:",
            "category": "people",
            "emoji_order": "1525",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "man",
                "sorry",
                "bow",
                "respect",
                "bend"
            ]
        },
        "bow_tone2": {
            "unicode": "1f647-1f3fc",
            "unicode_alternates": "",
            "name": "person bowing deeply tone 2",
            "shortname": ":bow_tone2:",
            "category": "people",
            "emoji_order": "1526",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "man",
                "sorry",
                "bow",
                "respect",
                "bend"
            ]
        },
        "bow_tone3": {
            "unicode": "1f647-1f3fd",
            "unicode_alternates": "",
            "name": "person bowing deeply tone 3",
            "shortname": ":bow_tone3:",
            "category": "people",
            "emoji_order": "1527",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "man",
                "sorry",
                "bow",
                "respect",
                "bend"
            ]
        },
        "bow_tone4": {
            "unicode": "1f647-1f3fe",
            "unicode_alternates": "",
            "name": "person bowing deeply tone 4",
            "shortname": ":bow_tone4:",
            "category": "people",
            "emoji_order": "1528",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "man",
                "sorry",
                "bow",
                "respect",
                "bend"
            ]
        },
        "bow_tone5": {
            "unicode": "1f647-1f3ff",
            "unicode_alternates": "",
            "name": "person bowing deeply tone 5",
            "shortname": ":bow_tone5:",
            "category": "people",
            "emoji_order": "1529",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "boy",
                "male",
                "man",
                "sorry",
                "bow",
                "respect",
                "bend"
            ]
        },
        "information_desk_person_tone1": {
            "unicode": "1f481-1f3fb",
            "unicode_alternates": "",
            "name": "information desk person tone 1",
            "shortname": ":information_desk_person_tone1:",
            "category": "people",
            "emoji_order": "1530",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "woman",
                "help",
                "question",
                "answer",
                "sassy",
                "unimpressed",
                "attitude",
                "snarky"
            ]
        },
        "information_desk_person_tone2": {
            "unicode": "1f481-1f3fc",
            "unicode_alternates": "",
            "name": "information desk person tone 2",
            "shortname": ":information_desk_person_tone2:",
            "category": "people",
            "emoji_order": "1531",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "woman",
                "help",
                "question",
                "answer",
                "sassy",
                "unimpressed",
                "attitude",
                "snarky"
            ]
        },
        "information_desk_person_tone3": {
            "unicode": "1f481-1f3fd",
            "unicode_alternates": "",
            "name": "information desk person tone 3",
            "shortname": ":information_desk_person_tone3:",
            "category": "people",
            "emoji_order": "1532",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "woman",
                "help",
                "question",
                "answer",
                "sassy",
                "unimpressed",
                "attitude",
                "snarky"
            ]
        },
        "information_desk_person_tone4": {
            "unicode": "1f481-1f3fe",
            "unicode_alternates": "",
            "name": "information desk person tone 4",
            "shortname": ":information_desk_person_tone4:",
            "category": "people",
            "emoji_order": "1533",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "woman",
                "help",
                "question",
                "answer",
                "sassy",
                "unimpressed",
                "attitude",
                "snarky"
            ]
        },
        "information_desk_person_tone5": {
            "unicode": "1f481-1f3ff",
            "unicode_alternates": "",
            "name": "information desk person tone 5",
            "shortname": ":information_desk_person_tone5:",
            "category": "people",
            "emoji_order": "1534",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "woman",
                "help",
                "question",
                "answer",
                "sassy",
                "unimpressed",
                "attitude",
                "snarky"
            ]
        },
        "no_good_tone1": {
            "unicode": "1f645-1f3fb",
            "unicode_alternates": "",
            "name": "face with no good gesture tone 1",
            "shortname": ":no_good_tone1:",
            "category": "people",
            "emoji_order": "1535",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "stop",
                "nope",
                "don't",
                "not",
                "forbidden",
                "hand",
                "person",
                "prohibited"
            ]
        },
        "no_good_tone2": {
            "unicode": "1f645-1f3fc",
            "unicode_alternates": "",
            "name": "face with no good gesture tone 2",
            "shortname": ":no_good_tone2:",
            "category": "people",
            "emoji_order": "1536",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "stop",
                "nope",
                "don't",
                "not",
                "forbidden",
                "hand",
                "person",
                "prohibited"
            ]
        },
        "no_good_tone3": {
            "unicode": "1f645-1f3fd",
            "unicode_alternates": "",
            "name": "face with no good gesture tone 3",
            "shortname": ":no_good_tone3:",
            "category": "people",
            "emoji_order": "1537",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "stop",
                "nope",
                "don't",
                "not",
                "forbidden",
                "hand",
                "person",
                "prohibited"
            ]
        },
        "no_good_tone4": {
            "unicode": "1f645-1f3fe",
            "unicode_alternates": "",
            "name": "face with no good gesture tone 4",
            "shortname": ":no_good_tone4:",
            "category": "people",
            "emoji_order": "1538",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "stop",
                "nope",
                "don't",
                "not",
                "forbidden",
                "hand",
                "person",
                "prohibited"
            ]
        },
        "no_good_tone5": {
            "unicode": "1f645-1f3ff",
            "unicode_alternates": "",
            "name": "face with no good gesture tone 5",
            "shortname": ":no_good_tone5:",
            "category": "people",
            "emoji_order": "1539",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "stop",
                "nope",
                "don't",
                "not",
                "forbidden",
                "hand",
                "person",
                "prohibited"
            ]
        },
        "ok_woman_tone1": {
            "unicode": "1f646-1f3fb",
            "unicode_alternates": "",
            "name": "face with ok gesture tone1",
            "shortname": ":ok_woman_tone1:",
            "category": "people",
            "emoji_order": "1540",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "pink",
                "women",
                "yes",
                "okay",
                "accept"
            ]
        },
        "ok_woman_tone2": {
            "unicode": "1f646-1f3fc",
            "unicode_alternates": "",
            "name": "face with ok gesture tone2",
            "shortname": ":ok_woman_tone2:",
            "category": "people",
            "emoji_order": "1541",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "pink",
                "women",
                "yes",
                "okay",
                "accept"
            ]
        },
        "ok_woman_tone3": {
            "unicode": "1f646-1f3fd",
            "unicode_alternates": "",
            "name": "face with ok gesture tone3",
            "shortname": ":ok_woman_tone3:",
            "category": "people",
            "emoji_order": "1542",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "pink",
                "women",
                "yes",
                "okay",
                "accept"
            ]
        },
        "ok_woman_tone4": {
            "unicode": "1f646-1f3fe",
            "unicode_alternates": "",
            "name": "face with ok gesture tone4",
            "shortname": ":ok_woman_tone4:",
            "category": "people",
            "emoji_order": "1543",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "pink",
                "women",
                "yes",
                "okay",
                "accept"
            ]
        },
        "ok_woman_tone5": {
            "unicode": "1f646-1f3ff",
            "unicode_alternates": "",
            "name": "face with ok gesture tone5",
            "shortname": ":ok_woman_tone5:",
            "category": "people",
            "emoji_order": "1544",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "human",
                "pink",
                "women",
                "yes",
                "okay",
                "accept"
            ]
        },
        "raising_hand_tone1": {
            "unicode": "1f64b-1f3fb",
            "unicode_alternates": "",
            "name": "happy person raising one hand tone1",
            "shortname": ":raising_hand_tone1:",
            "category": "people",
            "emoji_order": "1545",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "raise",
                "notice",
                "attention",
                "answer"
            ]
        },
        "raising_hand_tone2": {
            "unicode": "1f64b-1f3fc",
            "unicode_alternates": "",
            "name": "happy person raising one hand tone2",
            "shortname": ":raising_hand_tone2:",
            "category": "people",
            "emoji_order": "1546",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "raise",
                "notice",
                "attention",
                "answer"
            ]
        },
        "raising_hand_tone3": {
            "unicode": "1f64b-1f3fd",
            "unicode_alternates": "",
            "name": "happy person raising one hand tone3",
            "shortname": ":raising_hand_tone3:",
            "category": "people",
            "emoji_order": "1547",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "raise",
                "notice",
                "attention",
                "answer"
            ]
        },
        "raising_hand_tone4": {
            "unicode": "1f64b-1f3fe",
            "unicode_alternates": "",
            "name": "happy person raising one hand tone4",
            "shortname": ":raising_hand_tone4:",
            "category": "people",
            "emoji_order": "1548",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "raise",
                "notice",
                "attention",
                "answer"
            ]
        },
        "raising_hand_tone5": {
            "unicode": "1f64b-1f3ff",
            "unicode_alternates": "",
            "name": "happy person raising one hand tone5",
            "shortname": ":raising_hand_tone5:",
            "category": "people",
            "emoji_order": "1549",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "raise",
                "notice",
                "attention",
                "answer"
            ]
        },
        "person_with_pouting_face_tone1": {
            "unicode": "1f64e-1f3fb",
            "unicode_alternates": "",
            "name": "person with pouting face tone1",
            "shortname": ":person_with_pouting_face_tone1:",
            "category": "people",
            "emoji_order": "1550",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "pout",
                "sexy",
                "cute",
                "annoyed"
            ]
        },
        "person_with_pouting_face_tone2": {
            "unicode": "1f64e-1f3fc",
            "unicode_alternates": "",
            "name": "person with pouting face tone2",
            "shortname": ":person_with_pouting_face_tone2:",
            "category": "people",
            "emoji_order": "1551",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "pout",
                "sexy",
                "cute",
                "annoyed"
            ]
        },
        "person_with_pouting_face_tone3": {
            "unicode": "1f64e-1f3fd",
            "unicode_alternates": "",
            "name": "person with pouting face tone3",
            "shortname": ":person_with_pouting_face_tone3:",
            "category": "people",
            "emoji_order": "1552",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "pout",
                "sexy",
                "cute",
                "annoyed"
            ]
        },
        "person_with_pouting_face_tone4": {
            "unicode": "1f64e-1f3fe",
            "unicode_alternates": "",
            "name": "person with pouting face tone4",
            "shortname": ":person_with_pouting_face_tone4:",
            "category": "people",
            "emoji_order": "1553",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "pout",
                "sexy",
                "cute",
                "annoyed"
            ]
        },
        "person_with_pouting_face_tone5": {
            "unicode": "1f64e-1f3ff",
            "unicode_alternates": "",
            "name": "person with pouting face tone5",
            "shortname": ":person_with_pouting_face_tone5:",
            "category": "people",
            "emoji_order": "1554",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "pout",
                "sexy",
                "cute",
                "annoyed"
            ]
        },
        "person_frowning_tone1": {
            "unicode": "1f64d-1f3fb",
            "unicode_alternates": "",
            "name": "person frowning tone 1",
            "shortname": ":person_frowning_tone1:",
            "category": "people",
            "emoji_order": "1555",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "dejected",
                "rejected",
                "sad",
                "frown"
            ]
        },
        "person_frowning_tone2": {
            "unicode": "1f64d-1f3fc",
            "unicode_alternates": "",
            "name": "person frowning tone 2",
            "shortname": ":person_frowning_tone2:",
            "category": "people",
            "emoji_order": "1556",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "dejected",
                "rejected",
                "sad",
                "frown"
            ]
        },
        "person_frowning_tone3": {
            "unicode": "1f64d-1f3fd",
            "unicode_alternates": "",
            "name": "person frowning tone 3",
            "shortname": ":person_frowning_tone3:",
            "category": "people",
            "emoji_order": "1557",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "dejected",
                "rejected",
                "sad",
                "frown"
            ]
        },
        "person_frowning_tone4": {
            "unicode": "1f64d-1f3fe",
            "unicode_alternates": "",
            "name": "person frowning tone 4",
            "shortname": ":person_frowning_tone4:",
            "category": "people",
            "emoji_order": "1558",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "dejected",
                "rejected",
                "sad",
                "frown"
            ]
        },
        "person_frowning_tone5": {
            "unicode": "1f64d-1f3ff",
            "unicode_alternates": "",
            "name": "person frowning tone 5",
            "shortname": ":person_frowning_tone5:",
            "category": "people",
            "emoji_order": "1559",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman",
                "dejected",
                "rejected",
                "sad",
                "frown"
            ]
        },
        "haircut_tone1": {
            "unicode": "1f487-1f3fb",
            "unicode_alternates": "",
            "name": "haircut tone 1",
            "shortname": ":haircut_tone1:",
            "category": "people",
            "emoji_order": "1560",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "haircut_tone2": {
            "unicode": "1f487-1f3fc",
            "unicode_alternates": "",
            "name": "haircut tone 2",
            "shortname": ":haircut_tone2:",
            "category": "people",
            "emoji_order": "1561",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "haircut_tone3": {
            "unicode": "1f487-1f3fd",
            "unicode_alternates": "",
            "name": "haircut tone 3",
            "shortname": ":haircut_tone3:",
            "category": "people",
            "emoji_order": "1562",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "haircut_tone4": {
            "unicode": "1f487-1f3fe",
            "unicode_alternates": "",
            "name": "haircut tone 4",
            "shortname": ":haircut_tone4:",
            "category": "people",
            "emoji_order": "1563",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "haircut_tone5": {
            "unicode": "1f487-1f3ff",
            "unicode_alternates": "",
            "name": "haircut tone 5",
            "shortname": ":haircut_tone5:",
            "category": "people",
            "emoji_order": "1564",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "massage_tone1": {
            "unicode": "1f486-1f3fb",
            "unicode_alternates": "",
            "name": "face massage tone 1",
            "shortname": ":massage_tone1:",
            "category": "people",
            "emoji_order": "1565",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "massage_tone2": {
            "unicode": "1f486-1f3fc",
            "unicode_alternates": "",
            "name": "face massage tone 2",
            "shortname": ":massage_tone2:",
            "category": "people",
            "emoji_order": "1566",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "massage_tone3": {
            "unicode": "1f486-1f3fd",
            "unicode_alternates": "",
            "name": "face massage tone 3",
            "shortname": ":massage_tone3:",
            "category": "people",
            "emoji_order": "1567",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "massage_tone4": {
            "unicode": "1f486-1f3fe",
            "unicode_alternates": "",
            "name": "face massage tone 4",
            "shortname": ":massage_tone4:",
            "category": "people",
            "emoji_order": "1568",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "massage_tone5": {
            "unicode": "1f486-1f3ff",
            "unicode_alternates": "",
            "name": "face massage tone 5",
            "shortname": ":massage_tone5:",
            "category": "people",
            "emoji_order": "1569",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "female",
                "girl",
                "woman"
            ]
        },
        "rowboat_tone1": {
            "unicode": "1f6a3-1f3fb",
            "unicode_alternates": "",
            "name": "rowboat tone 1",
            "shortname": ":rowboat_tone1:",
            "category": "activity",
            "emoji_order": "1570",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hobby",
                "ship",
                "water",
                "boat",
                "row",
                "oar",
                "paddle"
            ]
        },
        "rowboat_tone2": {
            "unicode": "1f6a3-1f3fc",
            "unicode_alternates": "",
            "name": "rowboat tone 2",
            "shortname": ":rowboat_tone2:",
            "category": "activity",
            "emoji_order": "1571",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hobby",
                "ship",
                "water",
                "boat",
                "row",
                "oar",
                "paddle"
            ]
        },
        "rowboat_tone3": {
            "unicode": "1f6a3-1f3fd",
            "unicode_alternates": "",
            "name": "rowboat tone 3",
            "shortname": ":rowboat_tone3:",
            "category": "activity",
            "emoji_order": "1572",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hobby",
                "ship",
                "water",
                "boat",
                "row",
                "oar",
                "paddle"
            ]
        },
        "rowboat_tone4": {
            "unicode": "1f6a3-1f3fe",
            "unicode_alternates": "",
            "name": "rowboat tone 4",
            "shortname": ":rowboat_tone4:",
            "category": "activity",
            "emoji_order": "1573",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hobby",
                "ship",
                "water",
                "boat",
                "row",
                "oar",
                "paddle"
            ]
        },
        "rowboat_tone5": {
            "unicode": "1f6a3-1f3ff",
            "unicode_alternates": "",
            "name": "rowboat tone 5",
            "shortname": ":rowboat_tone5:",
            "category": "activity",
            "emoji_order": "1574",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "hobby",
                "ship",
                "water",
                "boat",
                "row",
                "oar",
                "paddle"
            ]
        },
        "swimmer_tone1": {
            "unicode": "1f3ca-1f3fb",
            "unicode_alternates": "",
            "name": "swimmer tone 1",
            "shortname": ":swimmer_tone1:",
            "category": "activity",
            "emoji_order": "1575",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "swim",
                "water",
                "pool",
                "laps",
                "freestyle",
                "butterfly",
                "breaststroke",
                "backstroke"
            ]
        },
        "swimmer_tone2": {
            "unicode": "1f3ca-1f3fc",
            "unicode_alternates": "",
            "name": "swimmer tone 2",
            "shortname": ":swimmer_tone2:",
            "category": "activity",
            "emoji_order": "1576",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "swim",
                "water",
                "pool",
                "laps",
                "freestyle",
                "butterfly",
                "breaststroke",
                "backstroke"
            ]
        },
        "swimmer_tone3": {
            "unicode": "1f3ca-1f3fd",
            "unicode_alternates": "",
            "name": "swimmer tone 3",
            "shortname": ":swimmer_tone3:",
            "category": "activity",
            "emoji_order": "1577",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "swim",
                "water",
                "pool",
                "laps",
                "freestyle",
                "butterfly",
                "breaststroke",
                "backstroke"
            ]
        },
        "swimmer_tone4": {
            "unicode": "1f3ca-1f3fe",
            "unicode_alternates": "",
            "name": "swimmer tone 4",
            "shortname": ":swimmer_tone4:",
            "category": "activity",
            "emoji_order": "1578",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "swim",
                "water",
                "pool",
                "laps",
                "freestyle",
                "butterfly",
                "breaststroke",
                "backstroke"
            ]
        },
        "swimmer_tone5": {
            "unicode": "1f3ca-1f3ff",
            "unicode_alternates": "",
            "name": "swimmer tone 5",
            "shortname": ":swimmer_tone5:",
            "category": "activity",
            "emoji_order": "1579",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "swim",
                "water",
                "pool",
                "laps",
                "freestyle",
                "butterfly",
                "breaststroke",
                "backstroke"
            ]
        },
        "surfer_tone1": {
            "unicode": "1f3c4-1f3fb",
            "unicode_alternates": "",
            "name": "surfer tone 1",
            "shortname": ":surfer_tone1:",
            "category": "activity",
            "emoji_order": "1580",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ocean",
                "sea",
                "sport",
                "surf",
                "wave",
                "ocean",
                "ride",
                "swell"
            ]
        },
        "surfer_tone2": {
            "unicode": "1f3c4-1f3fc",
            "unicode_alternates": "",
            "name": "surfer tone 2",
            "shortname": ":surfer_tone2:",
            "category": "activity",
            "emoji_order": "1581",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ocean",
                "sea",
                "sport",
                "surf",
                "wave",
                "ocean",
                "ride",
                "swell"
            ]
        },
        "surfer_tone3": {
            "unicode": "1f3c4-1f3fd",
            "unicode_alternates": "",
            "name": "surfer tone 3",
            "shortname": ":surfer_tone3:",
            "category": "activity",
            "emoji_order": "1582",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ocean",
                "sea",
                "sport",
                "surf",
                "wave",
                "ocean",
                "ride",
                "swell"
            ]
        },
        "surfer_tone4": {
            "unicode": "1f3c4-1f3fe",
            "unicode_alternates": "",
            "name": "surfer tone 4",
            "shortname": ":surfer_tone4:",
            "category": "activity",
            "emoji_order": "1583",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ocean",
                "sea",
                "sport",
                "surf",
                "wave",
                "ocean",
                "ride",
                "swell"
            ]
        },
        "surfer_tone5": {
            "unicode": "1f3c4-1f3ff",
            "unicode_alternates": "",
            "name": "surfer tone 5",
            "shortname": ":surfer_tone5:",
            "category": "activity",
            "emoji_order": "1584",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "ocean",
                "sea",
                "sport",
                "surf",
                "wave",
                "ocean",
                "ride",
                "swell"
            ]
        },
        "bath_tone1": {
            "unicode": "1f6c0-1f3fb",
            "unicode_alternates": "",
            "name": "bath tone 1",
            "shortname": ":bath_tone1:",
            "category": "activity",
            "emoji_order": "1585",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shower",
                "tub",
                "basin",
                "wash",
                "bubble",
                "soak",
                "bathroom",
                "soap",
                "water",
                "clean",
                "shampoo",
                "lather"
            ]
        },
        "bath_tone2": {
            "unicode": "1f6c0-1f3fc",
            "unicode_alternates": "",
            "name": "bath tone 2",
            "shortname": ":bath_tone2:",
            "category": "activity",
            "emoji_order": "1586",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shower",
                "tub",
                "basin",
                "wash",
                "bubble",
                "soak",
                "bathroom",
                "soap",
                "water",
                "clean",
                "shampoo",
                "lather"
            ]
        },
        "bath_tone3": {
            "unicode": "1f6c0-1f3fd",
            "unicode_alternates": "",
            "name": "bath tone 3",
            "shortname": ":bath_tone3:",
            "category": "activity",
            "emoji_order": "1587",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shower",
                "tub",
                "basin",
                "wash",
                "bubble",
                "soak",
                "bathroom",
                "soap",
                "water",
                "clean",
                "shampoo",
                "lather"
            ]
        },
        "bath_tone4": {
            "unicode": "1f6c0-1f3fe",
            "unicode_alternates": "",
            "name": "bath tone 4",
            "shortname": ":bath_tone4:",
            "category": "activity",
            "emoji_order": "1588",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shower",
                "tub",
                "basin",
                "wash",
                "bubble",
                "soak",
                "bathroom",
                "soap",
                "water",
                "clean",
                "shampoo",
                "lather"
            ]
        },
        "bath_tone5": {
            "unicode": "1f6c0-1f3ff",
            "unicode_alternates": "",
            "name": "bath tone 5",
            "shortname": ":bath_tone5:",
            "category": "activity",
            "emoji_order": "1589",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "shower",
                "tub",
                "basin",
                "wash",
                "bubble",
                "soak",
                "bathroom",
                "soap",
                "water",
                "clean",
                "shampoo",
                "lather"
            ]
        },
        "basketball_player_tone1": {
            "unicode": "26f9-1f3fb",
            "unicode_alternates": "",
            "name": "person with ball tone 1",
            "shortname": ":basketball_player_tone1:",
            "category": "activity",
            "emoji_order": "1590",
            "aliases": [
                ":person_with_ball_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "sport"
            ]
        },
        "basketball_player_tone2": {
            "unicode": "26f9-1f3fc",
            "unicode_alternates": "",
            "name": "person with ball tone 2",
            "shortname": ":basketball_player_tone2:",
            "category": "activity",
            "emoji_order": "1591",
            "aliases": [
                ":person_with_ball_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "sport"
            ]
        },
        "basketball_player_tone3": {
            "unicode": "26f9-1f3fd",
            "unicode_alternates": "",
            "name": "person with ball tone 3",
            "shortname": ":basketball_player_tone3:",
            "category": "activity",
            "emoji_order": "1592",
            "aliases": [
                ":person_with_ball_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "sport"
            ]
        },
        "basketball_player_tone4": {
            "unicode": "26f9-1f3fe",
            "unicode_alternates": "",
            "name": "person with ball tone 4",
            "shortname": ":basketball_player_tone4:",
            "category": "activity",
            "emoji_order": "1593",
            "aliases": [
                ":person_with_ball_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "sport"
            ]
        },
        "basketball_player_tone5": {
            "unicode": "26f9-1f3ff",
            "unicode_alternates": "",
            "name": "person with ball tone 5",
            "shortname": ":basketball_player_tone5:",
            "category": "activity",
            "emoji_order": "1594",
            "aliases": [
                ":person_with_ball_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "sport"
            ]
        },
        "lifter_tone1": {
            "unicode": "1f3cb-1f3fb",
            "unicode_alternates": "",
            "name": "weight lifter tone 1",
            "shortname": ":lifter_tone1:",
            "category": "activity",
            "emoji_order": "1595",
            "aliases": [
                ":weight_lifter_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "bench",
                "press",
                "squats",
                "deadlift"
            ]
        },
        "lifter_tone2": {
            "unicode": "1f3cb-1f3fc",
            "unicode_alternates": "",
            "name": "weight lifter tone 2",
            "shortname": ":lifter_tone2:",
            "category": "activity",
            "emoji_order": "1596",
            "aliases": [
                ":weight_lifter_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "bench",
                "press",
                "squats",
                "deadlift"
            ]
        },
        "lifter_tone3": {
            "unicode": "1f3cb-1f3fd",
            "unicode_alternates": "",
            "name": "weight lifter tone 3",
            "shortname": ":lifter_tone3:",
            "category": "activity",
            "emoji_order": "1597",
            "aliases": [
                ":weight_lifter_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "bench",
                "press",
                "squats",
                "deadlift"
            ]
        },
        "lifter_tone4": {
            "unicode": "1f3cb-1f3fe",
            "unicode_alternates": "",
            "name": "weight lifter tone 4",
            "shortname": ":lifter_tone4:",
            "category": "activity",
            "emoji_order": "1598",
            "aliases": [
                ":weight_lifter_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "bench",
                "press",
                "squats",
                "deadlift"
            ]
        },
        "lifter_tone5": {
            "unicode": "1f3cb-1f3ff",
            "unicode_alternates": "",
            "name": "weight lifter tone 5",
            "shortname": ":lifter_tone5:",
            "category": "activity",
            "emoji_order": "1599",
            "aliases": [
                ":weight_lifter_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "bench",
                "press",
                "squats",
                "deadlift"
            ]
        },
        "bicyclist_tone1": {
            "unicode": "1f6b4-1f3fb",
            "unicode_alternates": "",
            "name": "bicyclist tone 1",
            "shortname": ":bicyclist_tone1:",
            "category": "activity",
            "emoji_order": "1600",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bike",
                "exercise",
                "hipster",
                "sport",
                "road",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "bicyclist_tone2": {
            "unicode": "1f6b4-1f3fc",
            "unicode_alternates": "",
            "name": "bicyclist tone 2",
            "shortname": ":bicyclist_tone2:",
            "category": "activity",
            "emoji_order": "1601",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bike",
                "exercise",
                "hipster",
                "sport",
                "road",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "bicyclist_tone3": {
            "unicode": "1f6b4-1f3fd",
            "unicode_alternates": "",
            "name": "bicyclist tone 3",
            "shortname": ":bicyclist_tone3:",
            "category": "activity",
            "emoji_order": "1602",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bike",
                "exercise",
                "hipster",
                "sport",
                "road",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "bicyclist_tone4": {
            "unicode": "1f6b4-1f3fe",
            "unicode_alternates": "",
            "name": "bicyclist tone 4",
            "shortname": ":bicyclist_tone4:",
            "category": "activity",
            "emoji_order": "1603",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bike",
                "exercise",
                "hipster",
                "sport",
                "road",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "bicyclist_tone5": {
            "unicode": "1f6b4-1f3ff",
            "unicode_alternates": "",
            "name": "bicyclist tone 5",
            "shortname": ":bicyclist_tone5:",
            "category": "activity",
            "emoji_order": "1604",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "bike",
                "exercise",
                "hipster",
                "sport",
                "road",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "mountain_bicyclist_tone1": {
            "unicode": "1f6b5-1f3fb",
            "unicode_alternates": "",
            "name": "mountain bicyclist tone 1",
            "shortname": ":mountain_bicyclist_tone1:",
            "category": "activity",
            "emoji_order": "1605",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "transportation",
                "bike",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "mountain_bicyclist_tone2": {
            "unicode": "1f6b5-1f3fc",
            "unicode_alternates": "",
            "name": "mountain bicyclist tone 2",
            "shortname": ":mountain_bicyclist_tone2:",
            "category": "activity",
            "emoji_order": "1606",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "transportation",
                "bike",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "mountain_bicyclist_tone3": {
            "unicode": "1f6b5-1f3fd",
            "unicode_alternates": "",
            "name": "mountain bicyclist tone 3",
            "shortname": ":mountain_bicyclist_tone3:",
            "category": "activity",
            "emoji_order": "1607",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "transportation",
                "bike",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "mountain_bicyclist_tone4": {
            "unicode": "1f6b5-1f3fe",
            "unicode_alternates": "",
            "name": "mountain bicyclist tone 4",
            "shortname": ":mountain_bicyclist_tone4:",
            "category": "activity",
            "emoji_order": "1608",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "transportation",
                "bike",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "mountain_bicyclist_tone5": {
            "unicode": "1f6b5-1f3ff",
            "unicode_alternates": "",
            "name": "mountain bicyclist tone 5",
            "shortname": ":mountain_bicyclist_tone5:",
            "category": "activity",
            "emoji_order": "1609",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "sport",
                "transportation",
                "bike",
                "pedal",
                "bicycle",
                "transportation"
            ]
        },
        "horse_racing_tone1": {
            "unicode": "1f3c7-1f3fb",
            "unicode_alternates": "",
            "name": "horse racing tone 1",
            "shortname": ":horse_racing_tone1:",
            "category": "activity",
            "emoji_order": "1610",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "betting",
                "competition",
                "race",
                "jockey",
                "triple crown"
            ]
        },
        "horse_racing_tone2": {
            "unicode": "1f3c7-1f3fc",
            "unicode_alternates": "",
            "name": "horse racing tone 2",
            "shortname": ":horse_racing_tone2:",
            "category": "activity",
            "emoji_order": "1611",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "betting",
                "competition",
                "race",
                "jockey",
                "triple crown"
            ]
        },
        "horse_racing_tone3": {
            "unicode": "1f3c7-1f3fd",
            "unicode_alternates": "",
            "name": "horse racing tone 3",
            "shortname": ":horse_racing_tone3:",
            "category": "activity",
            "emoji_order": "1612",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "betting",
                "competition",
                "race",
                "jockey",
                "triple crown"
            ]
        },
        "horse_racing_tone4": {
            "unicode": "1f3c7-1f3fe",
            "unicode_alternates": "",
            "name": "horse racing tone 4",
            "shortname": ":horse_racing_tone4:",
            "category": "activity",
            "emoji_order": "1613",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "betting",
                "competition",
                "race",
                "jockey",
                "triple crown"
            ]
        },
        "horse_racing_tone5": {
            "unicode": "1f3c7-1f3ff",
            "unicode_alternates": "",
            "name": "horse racing tone 5",
            "shortname": ":horse_racing_tone5:",
            "category": "activity",
            "emoji_order": "1614",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": [
                "animal",
                "betting",
                "competition",
                "race",
                "jockey",
                "triple crown"
            ]
        },
        "spy_tone1": {
            "unicode": "1f575-1f3fb",
            "unicode_alternates": "",
            "name": "sleuth or spy tone 1",
            "shortname": ":spy_tone1:",
            "category": "people",
            "emoji_order": "1615",
            "aliases": [
                ":sleuth_or_spy_tone1:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "pi",
                "undercover",
                "investigator",
                "person"
            ]
        },
        "spy_tone2": {
            "unicode": "1f575-1f3fc",
            "unicode_alternates": "",
            "name": "sleuth or spy tone 2",
            "shortname": ":spy_tone2:",
            "category": "people",
            "emoji_order": "1616",
            "aliases": [
                ":sleuth_or_spy_tone2:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "pi",
                "undercover",
                "investigator",
                "person"
            ]
        },
        "spy_tone3": {
            "unicode": "1f575-1f3fd",
            "unicode_alternates": "",
            "name": "sleuth or spy tone 3",
            "shortname": ":spy_tone3:",
            "category": "people",
            "emoji_order": "1617",
            "aliases": [
                ":sleuth_or_spy_tone3:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "pi",
                "undercover",
                "investigator",
                "person"
            ]
        },
        "spy_tone4": {
            "unicode": "1f575-1f3fe",
            "unicode_alternates": "",
            "name": "sleuth or spy tone 4",
            "shortname": ":spy_tone4:",
            "category": "people",
            "emoji_order": "1618",
            "aliases": [
                ":sleuth_or_spy_tone4:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "pi",
                "undercover",
                "investigator",
                "person"
            ]
        },
        "spy_tone5": {
            "unicode": "1f575-1f3ff",
            "unicode_alternates": "",
            "name": "sleuth or spy tone 5",
            "shortname": ":spy_tone5:",
            "category": "people",
            "emoji_order": "1619",
            "aliases": [
                ":sleuth_or_spy_tone5:"
            ],
            "aliases_ascii": [],
            "keywords": [
                "pi",
                "undercover",
                "investigator",
                "person"
            ]
        },
        "tone1": {
            "unicode": "1f3fb",
            "unicode_alternates": "",
            "name": "emoji modifier Fitzpatrick type-1-2",
            "shortname": ":tone1:",
            "category": "modifier",
            "emoji_order": "1620",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "tone2": {
            "unicode": "1f3fc",
            "unicode_alternates": "",
            "name": "emoji modifier Fitzpatrick type-3",
            "shortname": ":tone2:",
            "category": "modifier",
            "emoji_order": "1621",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "tone3": {
            "unicode": "1f3fd",
            "unicode_alternates": "",
            "name": "emoji modifier Fitzpatrick type-4",
            "shortname": ":tone3:",
            "category": "modifier",
            "emoji_order": "1622",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "tone4": {
            "unicode": "1f3fe",
            "unicode_alternates": "",
            "name": "emoji modifier Fitzpatrick type-5",
            "shortname": ":tone4:",
            "category": "modifier",
            "emoji_order": "1623",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        },
        "tone5": {
            "unicode": "1f3ff",
            "unicode_alternates": "",
            "name": "emoji modifier Fitzpatrick type-6",
            "shortname": ":tone5:",
            "category": "modifier",
            "emoji_order": "1624",
            "aliases": [],
            "aliases_ascii": [],
            "keywords": []
        }
    }
    return res
} ()

WorkerScript.onMessage = function(message) {
    var cats = categories
    for(var cat in cats) {
        WorkerScript.sendMessage(cats[cat])
    }
}
